#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13dbd7c2, "kvm_x86_vendor_init" },
	{ 0xa598a87a, "__tracepoint_kvm_ple_window_update" },
	{ 0xf518e028, "kvm_arch_has_assigned_device" },
	{ 0x5c0a6ab7, "kvm_apic_match_dest" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0xb1c2aad7, "kvm_requeue_exception" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x35a61b4d, "file_is_kvm" },
	{ 0x1ba237b0, "default_cpu_present_to_apicid" },
	{ 0xdfad44db, "__tracepoint_kvm_avic_ga_log" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0xf65d3ee6, "kvm_init" },
	{ 0xf7f552f, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x2bec4bfe, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0xf4445e9e, "param_ops_ushort" },
	{ 0x66c14bb4, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0xfdbc626a, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x8a7fe54a, "__SCT__tp_func_kvm_vmgexit_enter" },
	{ 0xabab6c3f, "__kvm_request_immediate_exit" },
	{ 0xed272963, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x889c0d22, "kvm_apicv_activated" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x27e1661a, "do_machine_check" },
	{ 0x6ace3abd, "__tracepoint_kvm_vmgexit_msr_protocol_enter" },
	{ 0xce576a13, "enable_apicv" },
	{ 0x24adc0e9, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xdbda2c98, "kvm_mmu_new_pgd" },
	{ 0x368c74ad, "kvm_post_set_cr4" },
	{ 0x9922b5d0, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0xfc47d367, "kvm_get_msr_common" },
	{ 0xabf98173, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e71a67c, "perf_event_period" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe44f9c53, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0xc2621a74, "kvm_emulate_halt" },
	{ 0xaa55130f, "kvm_emulate_mwait" },
	{ 0xc60d6e99, "kvm_vcpu_map" },
	{ 0x365c503b, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x9901edf6, "kvm_wait_lapic_expire" },
	{ 0xd1fbb170, "hv_flush_remote_tlbs" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x6b112ad5, "perf_event_read_value" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x44492459, "kvm_find_cpuid_entry" },
	{ 0x56bb86f6, "kvm_task_switch" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1acb4099, "kvm_write_guest" },
	{ 0x8570d09a, "kvm_sev_es_string_io" },
	{ 0x143d7ac2, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0x41c2e522, "kvm_emulate_monitor" },
	{ 0x5e086a56, "kvm_requeue_exception_e" },
	{ 0x5a7cca6d, "__tracepoint_kvm_vmgexit_enter" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0xd6d5ae53, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x388264ea, "amd_clear_divider" },
	{ 0xe4d99797, "kvm_emulate_rdmsr" },
	{ 0xcff45f4, "__SCT__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x21ac6403, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0x14bb8172, "kvm_vcpu_unmap" },
	{ 0x2ac039cd, "kvm_post_set_cr0" },
	{ 0x10878adf, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0xd90f8cdd, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0x2b4710c3, "kvm_valid_efer" },
	{ 0x8bbe527c, "__tracepoint_ipi_send_cpu" },
	{ 0x9d091b96, "kvm_set_rflags" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x48644036, "__SCT__tp_func_kvm_vmgexit_exit" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x71b8bdfe, "kvm_handle_invpcid" },
	{ 0x45121967, "__tracepoint_kvm_entry" },
	{ 0x6bc56f5a, "kvm_load_host_xsave_state" },
	{ 0x233bb873, "__tracepoint_kvm_page_fault" },
	{ 0x87668461, "kvm_queue_exception_p" },
	{ 0x2481f2c7, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x8ef48aea, "__tracepoint_kvm_inj_virq" },
	{ 0x71dfc7e5, "fput" },
	{ 0x159a67ab, "kvm_cpu_has_interrupt" },
	{ 0x844dabbf, "handle_fastpath_set_msr_irqoff" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0x3f3a9845, "kvm_make_all_cpus_request" },
	{ 0x4fcdae5c, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf4f057bb, "kvm_emulate_instruction_from_buffer" },
	{ 0xb4b4efb, "kvm_init_mmu" },
	{ 0x2c28640b, "kvm_emulate_wbinvd" },
	{ 0x718a8ff8, "kvm_vcpu_reset" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0xdb1bbaa9, "kvm_set_cr3" },
	{ 0x70a802ab, "kvm_update_cpuid_runtime" },
	{ 0xccf388c3, "x86_decode_emulated_instruction" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x676a7b75, "kvm_alloc_apic_access_page" },
	{ 0x2f93fcbf, "kvm_get_cr8" },
	{ 0xc14f2d50, "__tracepoint_kvm_vmgexit_exit" },
	{ 0x859d6060, "kvm_is_linear_rip" },
	{ 0xe8d86ec2, "kvm_set_dr" },
	{ 0xa3449ee, "kvm_emulate_hypercall" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xf403f2de, "kvm_emulate_ap_reset_hold" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2e7291d4, "__tracepoint_kvm_skinit" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x35c6fcb3, "load_pdptrs" },
	{ 0x3ffa704e, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x168cd407, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4613e948, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb813139d, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0xe110e834, "kvm_handle_page_fault" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xfec8202a, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0xa9610c8e, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0xac6ad05b, "mutex_lock_killable" },
	{ 0xa626e7e3, "kvm_load_guest_xsave_state" },
	{ 0xa4b8f376, "kvm_set_cr0" },
	{ 0xef68e99d, "__kvm_is_valid_cr4" },
	{ 0x9def32a0, "kvm_set_cr8" },
	{ 0xc64014bf, "__tracepoint_kvm_vmgexit_msr_protocol_exit" },
	{ 0x85ec310b, "__tracepoint_kvm_invlpga" },
	{ 0xfd11f0d4, "kvm_get_dr" },
	{ 0xd01efe5f, "kvm_update_dr7" },
	{ 0xdf35f897, "__tracepoint_kvm_nested_intercepts" },
	{ 0x64aaf005, "kvm_mmu_page_fault" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xc1d1360f, "kvm_emulate_instruction" },
	{ 0xc03b2ef3, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x6c95726c, "host_xss" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0xcb3fe751, "kvm_vcpu_apicv_activated" },
	{ 0x95113572, "kvm_apic_send_ipi" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77b9cdcf, "__tracepoint_read_msr" },
	{ 0x1d52f384, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8970b2a5, "kvm_vcpu_on_spin" },
	{ 0x18dad522, "kvm_read_guest" },
	{ 0x138a9a16, "kvm_vcpu_wake_up" },
	{ 0x59f8b7c6, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x83eefae, "kvm_get_rflags" },
	{ 0x48f75c1b, "kvm_queue_exception_e" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0xe74e149d, "__tracepoint_kvm_exit" },
	{ 0xaf542a25, "kvm_emulate_cpuid" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0x7f5c185e, "kvm_emulate_wrmsr" },
	{ 0xf54e2886, "__SCT__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0x9221b88d, "kvm_find_cpuid_entry_index" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xe0886be9, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0xf79e4338, "kvm_mmu_invlpg" },
	{ 0x6e6780af, "kvm_emulate_invd" },
	{ 0xc2ceadf4, "kvm_fast_pio" },
	{ 0x4065e274, "kvm_init_shadow_npt_mmu" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x65966009, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0xd69f62f0, "page_address" },
	{ 0xc19de56a, "perf_event_release_kernel" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0xe62fa5bb, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x5a874268, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3623c0bc, "__tracepoint_kvm_avic_doorbell" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7d45461b, "kvm_sev_es_mmio_read" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x2c2640b6, "kvm_cpu_has_injectable_intr" },
	{ 0xe2fed470, "kvm_skip_emulated_instruction" },
	{ 0x5ddb4126, "kvm_set_or_clear_apicv_inhibit" },
	{ 0x2edabaaa, "kvm_handle_invalid_op" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0x6bc792a4, "kvm_caps" },
	{ 0x3fffa3f7, "__kvm_vcpu_update_apicv" },
	{ 0xa63c90c4, "kvm_sev_es_mmio_write" },
	{ 0x956409b7, "hv_flush_remote_tlbs_range" },
	{ 0xb179fca3, "kvm_complete_insn_gp" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x935e9540, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "010CD8F9722ED0C0C1E1C90");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
