#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0xfb442472, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x373383d1, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x3548d02c, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x48fb0311, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x54265c18, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x11876086, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xc50ff381, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xefd5481c, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xc05e305f, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xf7c1fe05, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x6c7fdd63, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x92bb146a, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xb85198d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5c6e6a50, "crypto_alloc_skcipher" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71f757c2, "crypto_alloc_ahash" },
	{ 0xb361a344, "crypto_alloc_aead" },
	{ 0x822d898e, "crypto_skcipher_setkey" },
	{ 0xe7665d5c, "crypto_spawn_tfm2" },
	{ 0xc048ea3f, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0x234364b3, "crypto_clone_shash" },
	{ 0xb0c36d19, "crypto_aead_setauthsize" },
	{ 0xe389a3db, "crypto_aead_setkey" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xf6749967, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xceadf5bb, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x65a9de51, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4742eab1, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x40b34303, "crypto_grab_shash" },
	{ 0x3fb4c5bd, "crypto_grab_skcipher" },
	{ 0xfc31efca, "skcipher_register_instance" },
	{ 0x551b6219, "crypto_grab_aead" },
	{ 0xde07c10d, "aead_register_instance" },
	{ 0x2cf1b2f8, "shash_no_setkey" },
	{ 0xb44bfcf6, "ahash_register_instance" },
	{ 0x6e89570d, "crypto_skcipher_decrypt" },
	{ 0x5adfce93, "crypto_skcipher_encrypt" },
	{ 0x4e625a82, "shash_ahash_digest" },
	{ 0x779be520, "shash_ahash_finup" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0xa0c220a1, "shash_ahash_update" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA85586D61174CF6C4F2FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
