#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x4ab0699d, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xd79e7ea0, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x7107e13b, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x22ce0693, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x77bba544, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xe7f4b317, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x329fa37c, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x79975221, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x78f7ac3e, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x8349e704, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xc850513e, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xc7f7d5cf, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xf7867dfe, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x81c475b1, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x4a2afbc9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x46267411, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa537328e, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x7edd8fda, "kthread_create_worker" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xb0511bd4, "sched_set_fifo" },
	{ 0x2570a7f6, "kthread_destroy_worker" },
	{ 0xceadf5bb, "crypto_enqueue_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf6749967, "crypto_dequeue_request" },
	{ 0x82a83241, "crypto_enqueue_request_head" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "567D2D97CD2F8E3CF47E4C5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
