#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xeea8d673, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x9a42e5bf, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x872c973b, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x02cc15ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5adfce93, "crypto_skcipher_encrypt" },
	{ 0xf7c1fe05, "cryptd_alloc_aead" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x6c7fdd63, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x133c9edc, "crypto_register_aead" },
	{ 0x66132dc3, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0294746, "crypto_register_aeads" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xb361a344, "crypto_alloc_aead" },
	{ 0xb0c36d19, "crypto_aead_setauthsize" },
	{ 0x52004313, "crypto_aead_decrypt" },
	{ 0x822d898e, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29122c1, "crypto_unregister_aeads" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0x373383d1, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6e89570d, "crypto_skcipher_decrypt" },
	{ 0xfb442472, "cryptd_alloc_skcipher" },
	{ 0xe389a3db, "crypto_aead_setkey" },
	{ 0xd94ec2dd, "crypto_register_skcipher" },
	{ 0x4777814f, "crypto_aead_encrypt" },
	{ 0x92bb146a, "cryptd_aead_queued" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x7d347beb, "crypto_unregister_skcipher" },
	{ 0x49be58d0, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3548d02c, "cryptd_skcipher_queued" },
	{ 0xb85198d9, "cryptd_free_aead" },
	{ 0xcea3fc39, "crypto_unregister_skciphers" },
	{ 0x48fb0311, "cryptd_free_skcipher" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x5c6e6a50, "crypto_alloc_skcipher" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "97509D0C432E67D3007BE03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
