#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x265661b1, "");
SYMBOL_CRC(acpi_video_get_edid, 0x5f310f96, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x7de7bf50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xb40365a2, "input_allocate_device" },
	{ 0x2e4f3380, "acpi_dev_get_first_match_dev" },
	{ 0xfd42aa54, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xfe36b29a, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x5f24c950, "backlight_force_update" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0x56261e08, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5aa70984, "acpi_reduced_hardware" },
	{ 0xedc03953, "iounmap" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x685f4723, "thermal_cooling_device_register" },
	{ 0x59540ffd, "get_device" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xec2d6a, "pnp_get_resource" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x386a83fe, "acpi_get_pci_dev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xb19b445, "ioread8" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0xb5947ca2, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf47218db, "input_event" },
	{ 0xbeb14648, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4582e34f, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47a2bff8, "acpi_fetch_acpi_dev" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x58db9c5, "acpi_bus_unregister_driver" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x66225a08, "backlight_device_register" },
	{ 0x3601e1a9, "acpi_dev_for_each_child" },
	{ 0x95f606c5, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6f7ee34, "acpi_bus_register_driver" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "7FB8F860E28D31505D6019E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
