#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x33057e8a, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xf23d8ac5, "_gpl");
SYMBOL_CRC(ahci_ops, 0x238ef196, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xb03497c2, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x825d3095, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xb31a1f3b, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x70a7f8f1, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x1253c9be, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x774d5045, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x41e99e2b, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x45f737fb, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x032af2e4, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x281b02e5, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x049d92c9, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x7447304c, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xc46d0dd6, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x3cff8279, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x5d50cff1, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xce1291d7, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xe6ddcf45, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x50fa0057, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xde2ea975, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x693febb9, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xce3503f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbc35aa6, "ata_link_next" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x68fe48ef, "ata_wait_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x439dcf18, "ata_dev_set_feature" },
	{ 0x8a644c28, "ata_msleep" },
	{ 0x7524edbb, "sata_link_scr_lpm" },
	{ 0xa537328e, "_dev_err" },
	{ 0x179140, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x9b2eecf6, "ata_std_qc_defer" },
	{ 0xfa2b4c88, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xfe6f75cb, "ata_port_classify" },
	{ 0xa8f32b7d, "ata_qc_complete_multiple" },
	{ 0x32541859, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfed13a76, "sata_pmp_error_handler" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xae30383b, "ata_host_start" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0xef1a28e2, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfb548f8, "ata_host_register" },
	{ 0xb35a558c, "ata_host_activate" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfda26a8b, "ata_dummy_port_ops" },
	{ 0xbccbe809, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x9790bf51, "dmam_alloc_attrs" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x17dce389, "sata_link_hardreset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb4222615, "ata_wait_after_reset" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc9c9dc3c, "sata_lpm_ignore_phy_events" },
	{ 0xc0f1b6e, "ata_ehi_clear_desc" },
	{ 0xe1292190, "ata_ehi_push_desc" },
	{ 0xf292d8dc, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41e713ae, "sata_async_notification" },
	{ 0x4048a7a0, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x84fb71c4, "sata_pmp_port_ops" },
	{ 0x8bdda4ea, "dev_attr_sw_activity" },
	{ 0x6a89e5c6, "dev_attr_unload_heads" },
	{ 0xe7683b7b, "dev_attr_ncq_prio_supported" },
	{ 0x4b051df3, "dev_attr_ncq_prio_enable" },
	{ 0xa0c7bb45, "dev_attr_link_power_management_policy" },
	{ 0x9326da20, "dev_attr_em_message_type" },
	{ 0x9fad7877, "dev_attr_em_message" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "1A03F7D1BBB7389AF600E09");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
