#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xbd1197bb, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xf79c840c, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x1f84f5ca, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0x42d0c3d0, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x3067ba60, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x06c4a51e, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x94345c27, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x0bce9289, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x9da04962, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x1aa820e7, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0xc922f59a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c635844, "skb_put" },
	{ 0xe5225d58, "hci_free_dev" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3cb767dc, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6f1a3b5, "of_property_read_variable_u16_array" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf9f0c951, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x25273aab, "of_property_read_variable_u8_array" },
	{ 0x1c75b61c, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x6cd7118f, "hci_unregister_dev" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x7a59421, "hci_register_dev" },
	{ 0x2e8d2685, "__hci_cmd_sync" },
	{ 0x20690101, "debugfs_create_u8" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "1F76DFB6F84EE546EA26F89");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
