#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_all_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_all_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(__mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x4ef83176, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x8ec0d187, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xcf9ae688, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x74386518, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x0f89b786, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x57db49d8, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x585bae3b, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xa0854057, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x1435ee96, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x32dc0c8e, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x84d2accd, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x3a18742e, "_gpl");
SYMBOL_CRC(mhi_notify, 0xd427e570, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x44cfc866, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x63805fb1, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xb6db8a37, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x66191c28, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x78bd6448, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x4ede4c9d, "_gpl");
SYMBOL_CRC(mhi_prepare_all_for_transfer_autoqueue, 0x094e39cc, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x80e7dd3b, "_gpl");
SYMBOL_CRC(mhi_unprepare_all_from_transfer, 0xc82ab366, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xfe5623d7, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x490ba818, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xcc521f8e, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x4194e45d, "_gpl");
SYMBOL_CRC(__mhi_power_down, 0x5fe2220c, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x9ee66826, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xb4614de5, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xcdb77ea3, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xb0458004, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xe9beaaa2, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x927810c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x52075985, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa7bd6956, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa96b96a, "kstrtouint_from_user" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xa684a013, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61a4149e, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0xd592de51, "memset_io" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xda4bba79, "single_open" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x589acbc6, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "520181C1D766BE440F1422D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
