#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x4d8da036, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x592d1111, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xae71627d, "");
SYMBOL_CRC(ipmi_get_smi_info, 0xd23a1f94, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0xaca90ebd, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0xa5dd62dc, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0x96a6e5e8, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x1f65170f, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x80aa4656, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x738803e6, "strnlen" },
	{ 0xeea0399, "strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0xd35f75a1, "match_string" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0x589acbc6, "driver_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7355f004, "try_module_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x3d14dab9, "module_put" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4292364c, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x98e83e92, "driver_find_device" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5152e605, "memcmp" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x80fa04a3, "platform_device_register" },
	{ 0xa537328e, "_dev_err" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x212771a, "device_create_file" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc3595ddf, "platform_bus_type" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0xba979e34, "param_ops_ulong" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "14F6B8B64BEC13DD9D653B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
