#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea82e43, "vmbus_driver_unregister" },
	{ 0xe6d97de7, "drm_open" },
	{ 0xba549db1, "drm_poll" },
	{ 0x85fe0e75, "drm_dev_enter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x516a640e, "drm_plane_enable_fb_damage_clips" },
	{ 0xa6257a2f, "complete" },
	{ 0x419b6e9d, "drm_gem_shmem_dumb_create" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc8370b6f, "drm_gem_prime_mmap" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb1b3a0e1, "drm_atomic_helper_shutdown" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x4d7d6dfe, "vmbus_sendpacket" },
	{ 0xa4903ce5, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xbc3c7fa8, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x47fd3151, "drm_gem_prime_handle_to_fd" },
	{ 0xe85085eb, "drmm_mode_config_init" },
	{ 0x97e394eb, "vmbus_close" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xa788ae13, "vmbus_recvpacket" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd830193d, "drm_add_modes_noedid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77ff7104, "drm_atomic_helper_commit" },
	{ 0x5db75c23, "drm_atomic_helper_check" },
	{ 0x37b8b39e, "screen_info" },
	{ 0xef42a7f0, "drm_atomic_helper_connector_destroy_state" },
	{ 0x12c3ce91, "drm_gem_mmap" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x1e6b174, "drm_ioctl" },
	{ 0x1c815862, "drm_gem_prime_fd_to_handle" },
	{ 0x22afe7af, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0xa6f26d6f, "drm_dev_unplug" },
	{ 0xe4e43072, "drm_connector_init" },
	{ 0xa537328e, "_dev_err" },
	{ 0xc09dac75, "drm_mode_config_helper_suspend" },
	{ 0x963f743f, "vmbus_open" },
	{ 0x2546bac8, "drm_atomic_helper_damage_merged" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0xd181316c, "drm_read" },
	{ 0x58e3e624, "drm_gem_fb_create_with_dirty" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xa50706aa, "__devm_drm_dev_alloc" },
	{ 0x9b2bc544, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xee9cfda7, "drm_fbdev_generic_setup" },
	{ 0x79fe4aa8, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x6a6d631, "drm_simple_display_pipe_init" },
	{ 0xc4ce7d12, "drm_connector_cleanup" },
	{ 0x3ff30ae0, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0x42d79482, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0xa2477b71, "__vmbus_driver_register" },
	{ 0x47f52c12, "drm_helper_probe_single_connector_modes" },
	{ 0x3783fcab, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0xefce030c, "drm_set_preferred_mode" },
	{ 0xbc60a02f, "drm_atomic_helper_connector_reset" },
	{ 0xdedfc1fe, "vmbus_allocate_mmio" },
	{ 0x33665a3f, "drm_mode_config_reset" },
	{ 0xfba5fee, "drm_mode_config_helper_resume" },
	{ 0xa887c7cd, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0xeb55cc45, "drm_dev_register" },
	{ 0x4224a5a3, "drm_release" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "45F6789109A336B0995D83D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
