#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0xd0ede5ea, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x0fc9a13c, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x353f7027, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x9957e39d, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x10fcaada, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x773740b0, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x723c5cdd, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x9d9c3236, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x63000118, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd17086db, "hid_hw_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xcd627fe1, "hid_hw_open" },
	{ 0xa537328e, "_dev_err" },
	{ 0x12ef7e46, "hid_hw_close" },
	{ 0xc3cf7548, "__hid_register_driver" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xa6257a2f, "complete" },
	{ 0x6c9d061e, "hid_hw_stop" },
	{ 0xc59c83e, "mfd_remove_devices" },
	{ 0xeef4c957, "hid_unregister_driver" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf2af9cbc, "hid_open_report" },
	{ 0x487ef4d0, "hid_hw_start" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0x6b905329, "mfd_add_devices" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf7b37c15, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "AC944FCB0EE116A05545D59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
