#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x735dcff7, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0xeb3abf46, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x347618ce, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xba35fbaf, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x231b8c96, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x20e9131b, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xef105ea0, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xe1cd50db, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x91920816, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xea1f4d3e, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xe094ed2b, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x0223c459, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xc6cbe3d7, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x6fbdf7a5, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x1db01d93, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xb79f5b29, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x95dde66c, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x9f59d0db, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x394043ae, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x43df7ea7, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xf4d2a928, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x7135e7c6, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xd8622bf4, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x38ee6294, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x35da4310, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1209f366, "bus_unregister_notifier" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xf8357786, "of_node_put" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb758a546, "i2c_client_type" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x52075985, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x822b7e48, "of_node_get" },
	{ 0x5248ba27, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x76f95e9d, "bus_register_notifier" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6faeaeea, "i2c_new_client_device" },
	{ 0xe37d73d3, "i2c_bus_type" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0xba58848c, "device_register" },
	{ 0x61a4149e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb50573d9, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3847b318, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa42f73cf, "of_i2c_get_board_info" },
	{ 0x29f3a126, "up_read" },
	{ 0x589acbc6, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6536CA7ACE50CEAC0BA6195");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
