#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x32823761, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x7f2bb6fa, "");
SYMBOL_CRC(mma9551_read_status_byte, 0x4f4ba2ee, "");
SYMBOL_CRC(mma9551_read_config_word, 0xef8c148c, "");
SYMBOL_CRC(mma9551_write_config_word, 0x63854edf, "");
SYMBOL_CRC(mma9551_read_status_word, 0x92f643a8, "");
SYMBOL_CRC(mma9551_read_config_words, 0x87209e84, "");
SYMBOL_CRC(mma9551_read_status_words, 0xc9857184, "");
SYMBOL_CRC(mma9551_write_config_words, 0x33b68231, "");
SYMBOL_CRC(mma9551_update_config_bits, 0x969bf85c, "");
SYMBOL_CRC(mma9551_gpio_config, 0x3af88e8d, "");
SYMBOL_CRC(mma9551_read_version, 0x7b1e905a, "");
SYMBOL_CRC(mma9551_set_device_state, 0xa1fa9640, "");
SYMBOL_CRC(mma9551_set_power_state, 0xadcbd20d, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0xef49b8f4, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x0a2390b1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc4384a12, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa537328e, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "00993093DC733556063597F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
