#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ms_sensors_reset, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_prom_word, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_convert_and_read, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_serial, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_write_resolution, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_show_battery_low, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_show_heater, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_write_heater, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_ht_read_temperature, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_ht_read_humidity, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_tp_read_prom, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_temp_and_pressure, "", "IIO_MEAS_SPEC_SENSORS");

SYMBOL_CRC(ms_sensors_reset, 0x2d2f5cd5, "");
SYMBOL_CRC(ms_sensors_read_prom_word, 0x045688dd, "");
SYMBOL_CRC(ms_sensors_convert_and_read, 0x42b6a050, "");
SYMBOL_CRC(ms_sensors_read_serial, 0x45abf526, "");
SYMBOL_CRC(ms_sensors_write_resolution, 0x0a823d2f, "");
SYMBOL_CRC(ms_sensors_show_battery_low, 0xcb2abcc5, "");
SYMBOL_CRC(ms_sensors_show_heater, 0xdaa2edd5, "");
SYMBOL_CRC(ms_sensors_write_heater, 0x683847f3, "");
SYMBOL_CRC(ms_sensors_ht_read_temperature, 0xa77c4ccb, "");
SYMBOL_CRC(ms_sensors_ht_read_humidity, 0x23195a41, "");
SYMBOL_CRC(ms_sensors_tp_read_prom, 0x5008526e, "");
SYMBOL_CRC(ms_sensors_read_temp_and_pressure, 0xe9d6b0b8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d11e087, "i2c_smbus_read_word_data" },
	{ 0xa537328e, "_dev_err" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb3dd90de, "i2c_smbus_write_byte" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2dd4af06, "i2c_smbus_read_i2c_block_data" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xb2f3ff5b, "i2c_transfer_buffer_flags" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf55ab875, "i2c_smbus_write_byte_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xc4384a12, "i2c_transfer" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C2F56A03575DA6B582C4FF3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
