#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0x033769a4, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0xa53664b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fb320b8, "regulator_enable" },
	{ 0x29441066, "regmap_write" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x9e857a08, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1216f838, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa6e2f7e0, "regmap_get_device" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x2b801003, "iio_push_to_buffers" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x1faa13d, "iio_device_release_direct_mode" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfbfec22f, "__module_get" },
	{ 0x59540ffd, "get_device" },
	{ 0x9ac33c4f, "iio_device_id" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4e409aa, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x2a32e9cf, "devm_regulator_get" },
	{ 0xc7940841, "iio_show_mount_matrix" },
	{ 0x63cea5e4, "iio_device_claim_direct_mode" },
	{ 0xa537328e, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf8c0ad3b, "irq_get_irq_data" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf98330a0, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3c88656f, "iio_read_mount_matrix" },
	{ 0xd40fa1f0, "devm_iio_device_alloc" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x68b8b9d6, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f83f601, "regmap_noinc_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0x6fc6e624, "regmap_bulk_write" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xc461235b, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x4dc51eb5, "iio_trigger_notify_done" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0xfe624959, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x4cb279f, "__devm_iio_trigger_alloc" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "93B9F2ACBD021158DED7E87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
