#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x8dadc05c, "");
SYMBOL_CRC(bme280_chip_info, 0xfa48e198, "");
SYMBOL_CRC(bmp380_chip_info, 0x10a2212a, "");
SYMBOL_CRC(bmp580_chip_info, 0xe8606a9c, "");
SYMBOL_CRC(bmp180_chip_info, 0xf1cce587, "");
SYMBOL_CRC(bmp280_common_probe, 0x9132b144, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x1cf70c61, "");
SYMBOL_CRC(bmp180_regmap_config, 0x2c1c554b, "");
SYMBOL_CRC(bmp280_regmap_config, 0xc69a8829, "");
SYMBOL_CRC(bmp380_regmap_config, 0x29c83ec8, "");
SYMBOL_CRC(bmp580_regmap_config, 0x27b4824d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29441066, "regmap_write" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb28a66cb, "gpiod_set_value" },
	{ 0xff268a96, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x66a3052c, "regulator_bulk_disable" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf8c0ad3b, "irq_get_irq_data" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf98330a0, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd40fa1f0, "devm_iio_device_alloc" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x183ade39, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x937e8a1, "regulator_bulk_enable" },
	{ 0x5b12615, "devm_regulator_bulk_get" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0x6fc6e624, "regmap_bulk_write" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc461235b, "regmap_bulk_read" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "D281281CA802783048A1103");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
