#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25111b21, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5dcd454f, "ib_umem_release" },
	{ 0xbd314ae5, "pcie_capability_write_word" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x571470da, "__rdma_block_iter_start" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0xe7b52e5f, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x56261e08, "pci_get_device" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x2f384613, "ib_modify_qp_is_ok" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0xd942915, "remap_pfn_range" },
	{ 0x19e7490f, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa17b2312, "pci_irq_vector" },
	{ 0xd7f21a1d, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x200324ea, "rdma_create_ah" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0x65183eef, "ib_unregister_device" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0x9986d6ca, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x738803e6, "strnlen" },
	{ 0x10878adf, "__free_pages" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x4575d832, "ib_unregister_mad_agent" },
	{ 0xcf6f5f1a, "pci_find_capability" },
	{ 0x716ba078, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb089f09, "ib_create_send_mad" },
	{ 0xe2b46a5f, "ib_dispatch_event" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef2ba179, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x7013c11d, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8fc72cae, "pcix_get_max_mmrbc" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x20180bbf, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xae956dce, "ib_rate_to_mult" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x798578fd, "unpin_user_page" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf99bece0, "rdma_destroy_ah_user" },
	{ 0xf1dea95c, "ib_dealloc_device" },
	{ 0xbd798a13, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x936a2493, "pcie_set_readrq" },
	{ 0x7c9a30e8, "ib_register_mad_agent" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9eadfb3, "pci_free_irq_vectors" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9f21ffb, "pcix_set_mmrbc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1c67028c, "ib_set_device_ops" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D649159AB1713CB22F76BA5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
