#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fb320b8, "regulator_enable" },
	{ 0xdaad2e7d, "input_copy_abs" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd8adda36, "input_mt_sync_frame" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x7ae078f1, "input_mt_report_slot_state" },
	{ 0x156f0c2f, "devm_input_allocate_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x2f443226, "acpi_dev_get_resources" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf386e4ea, "devm_free_irq" },
	{ 0x738803e6, "strnlen" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0x2a32e9cf, "devm_regulator_get" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x2df6c2d2, "i2c_register_driver" },
	{ 0x3c27db08, "devm_acpi_dev_add_driver_gpios" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x93ebbca7, "request_firmware_nowait" },
	{ 0x30e07eaf, "gpiod_direction_output_raw" },
	{ 0x61ba0838, "input_mt_init_slots" },
	{ 0xbb037872, "gpiod_direction_input" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x703ad7d0, "device_property_read_string" },
	{ 0x7290f64e, "input_set_capability" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf47218db, "input_event" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x80ebdf01, "input_set_abs_params" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4d5e0e8, "acpi_gpio_get_irq_resource" },
	{ 0xeea0399, "strscpy" },
	{ 0x7c756924, "acpi_device_fix_up_power" },
	{ 0xa9169e65, "touchscreen_report_pos" },
	{ 0xf63f003a, "acpi_gpio_get_io_resource" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69f7cae3, "input_alloc_absinfo" },
	{ 0xc4384a12, "i2c_transfer" },
	{ 0xe94ae0e6, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0xfd2c20e1, "i2c_del_driver" },
	{ 0x3f63dd75, "touchscreen_parse_properties" },
	{ 0x4caa389e, "gpiod_direction_output" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cgoodix,gt1151");
MODULE_ALIAS("of:N*T*Cgoodix,gt1151C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt1158");
MODULE_ALIAS("of:N*T*Cgoodix,gt1158C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt5663");
MODULE_ALIAS("of:N*T*Cgoodix,gt5663C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt5688");
MODULE_ALIAS("of:N*T*Cgoodix,gt5688C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt911");
MODULE_ALIAS("of:N*T*Cgoodix,gt911C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9110");
MODULE_ALIAS("of:N*T*Cgoodix,gt9110C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt912");
MODULE_ALIAS("of:N*T*Cgoodix,gt912C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9147");
MODULE_ALIAS("of:N*T*Cgoodix,gt9147C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt917s");
MODULE_ALIAS("of:N*T*Cgoodix,gt917sC*");
MODULE_ALIAS("of:N*T*Cgoodix,gt927");
MODULE_ALIAS("of:N*T*Cgoodix,gt927C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9271");
MODULE_ALIAS("of:N*T*Cgoodix,gt9271C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt928");
MODULE_ALIAS("of:N*T*Cgoodix,gt928C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9286");
MODULE_ALIAS("of:N*T*Cgoodix,gt9286C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt967");
MODULE_ALIAS("of:N*T*Cgoodix,gt967C*");
MODULE_ALIAS("acpi*:GDIX1001:*");
MODULE_ALIAS("acpi*:GDIX1002:*");
MODULE_ALIAS("i2c:GDIX1001:00");

MODULE_INFO(srcversion, "5C23D2E3B892B9844F26FC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
