#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0xda780f1f, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0xba6bdccc, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x32f00e4e, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x87ea94d7, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x98d94f1d, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0xed35cd3e, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0x0c6b497d, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x86d40c41, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x98f7fc8c, "_gpl");
SYMBOL_CRC(wm9705_codec, 0xd9b47eb5, "_gpl");
SYMBOL_CRC(wm9712_codec, 0xc40a63ef, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x08a06371, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7a8fea, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x156f0c2f, "devm_input_allocate_device" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x921847ec, "device_wakeup_disable" },
	{ 0xa537328e, "_dev_err" },
	{ 0xa684a013, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x435b6d0b, "platform_device_add" },
	{ 0x7169b89f, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf47218db, "input_event" },
	{ 0x80ebdf01, "input_set_abs_params" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x12da855a, "input_device_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD1201B9F1DF58EE1128B59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
