#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_init_writes_pending, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(acct_bioset_init, "_gpl", "");
KSYMTAB_FUNC(acct_bioset_exit, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0xae9b4599, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x74cf3b06, "");
SYMBOL_CRC(mddev_suspend, 0xd04c1818, "_gpl");
SYMBOL_CRC(mddev_resume, 0x759833f5, "_gpl");
SYMBOL_CRC(md_flush_request, 0xd7580994, "");
SYMBOL_CRC(mddev_init, 0xb2694526, "_gpl");
SYMBOL_CRC(mddev_unlock, 0xeb6f6706, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x9eddbc48, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x62c8dcdc, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x7660b6dc, "_gpl");
SYMBOL_CRC(sync_page_io, 0xa7bb97c0, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x50c5eaac, "");
SYMBOL_CRC(md_integrity_register, 0x9751e1cf, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x0fb844be, "");
SYMBOL_CRC(md_update_sb, 0x50f48000, "");
SYMBOL_CRC(md_rdev_init, 0xef27a291, "_gpl");
SYMBOL_CRC(mddev_init_writes_pending, 0x49203891, "_gpl");
SYMBOL_CRC(md_run, 0xf322071f, "_gpl");
SYMBOL_CRC(md_start, 0x0b6a2cb7, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x6b643aea, "_gpl");
SYMBOL_CRC(md_stop, 0x4c9cfea5, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xa2c3dfb7, "");
SYMBOL_CRC(md_wakeup_thread, 0xf737d121, "");
SYMBOL_CRC(md_register_thread, 0xf7f576bc, "");
SYMBOL_CRC(md_unregister_thread, 0x730682a6, "");
SYMBOL_CRC(md_error, 0x3e6d88c4, "");
SYMBOL_CRC(register_md_personality, 0x084d41c6, "");
SYMBOL_CRC(unregister_md_personality, 0x0a1a8442, "");
SYMBOL_CRC(register_md_cluster_operations, 0x0c508753, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xbd3e5797, "");
SYMBOL_CRC(md_write_start, 0xa10ee2e9, "");
SYMBOL_CRC(md_write_inc, 0x32001058, "");
SYMBOL_CRC(md_write_end, 0x0dc15a2b, "");
SYMBOL_CRC(md_submit_discard_bio, 0xce7030ec, "_gpl");
SYMBOL_CRC(acct_bioset_init, 0xd69207d4, "_gpl");
SYMBOL_CRC(acct_bioset_exit, 0x40cd19b9, "_gpl");
SYMBOL_CRC(md_account_bio, 0x5932063c, "_gpl");
SYMBOL_CRC(md_allow_write, 0x1cd6ef11, "_gpl");
SYMBOL_CRC(md_do_sync, 0xae7bb319, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x0b7698b8, "");
SYMBOL_CRC(md_reap_sync_thread, 0xc86f4511, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x692229e2, "");
SYMBOL_CRC(md_finish_reshape, 0xb821be1c, "");
SYMBOL_CRC(rdev_set_badblocks, 0xda9c185a, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xe5307924, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x21165405, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xe67a0a3a, "");
SYMBOL_CRC(md_bitmap_unplug, 0x38482534, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x830495f6, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xe55603ab, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x73bf2e19, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x1b1a9404, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x6e501007, "");
SYMBOL_CRC(md_bitmap_close_sync, 0xd86bdc57, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x6ba944c0, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x67c332d6, "");
SYMBOL_CRC(md_bitmap_free, 0x20d6e110, "");
SYMBOL_CRC(md_bitmap_load, 0x8b1c602f, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x7afa763d, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x08604fce, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xae334c12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c15543e, "set_capacity_and_notify" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x8f59a737, "set_disk_ro" },
	{ 0xa6de5abd, "__blk_alloc_disk" },
	{ 0xbe3da62e, "blk_integrity_register" },
	{ 0x7355f004, "try_module_get" },
	{ 0x5c385b05, "alloc_page_buffers" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0x45b401e5, "__bio_add_page" },
	{ 0x8ff3c6bc, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x91c6626c, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x903eda2f, "proc_create" },
	{ 0x1a6c0004, "bio_split_to_limits" },
	{ 0x8235805b, "memmove" },
	{ 0x6e7caf23, "seq_release" },
	{ 0x3d22cf71, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6df0a8d6, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xed1feff3, "fget" },
	{ 0xe42ae4fa, "sysfs_unbreak_active_protection" },
	{ 0x301e20d2, "invalidate_mapping_pages" },
	{ 0x8b0fa0c9, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4d8071, "badblocks_exit" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x29852bd5, "blk_queue_write_cache" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x3782a2c7, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0x58c06a3a, "kernfs_notify" },
	{ 0xf2e8a6ac, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3dfb10e5, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x93fbc3c2, "bio_clone_blkg_association" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5c3fff23, "bioset_integrity_create" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xa3ecd7ab, "put_disk" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7d954497, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf995236f, "unregister_sysctl_table" },
	{ 0xbc20eb2a, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xd828b71f, "sync_blockdev" },
	{ 0x42ef878b, "free_buffer_head" },
	{ 0x738803e6, "strnlen" },
	{ 0xbf626b41, "blk_queue_flag_set" },
	{ 0x419fdb65, "blkdev_put" },
	{ 0xc8ec0ccb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb45f6aa1, "submit_bio" },
	{ 0x5eac1fce, "blk_queue_flag_clear" },
	{ 0x3d14dab9, "module_put" },
	{ 0x6f18269a, "bio_start_io_acct" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x1243aefb, "bioset_exit" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xecf63ada, "flush_signals" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x2b377f79, "bio_put" },
	{ 0x889ca2d4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x71dfc7e5, "fput" },
	{ 0xfbadb000, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0xf3c0a0e1, "blkdev_get_by_dev" },
	{ 0x15eca580, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa545842a, "submit_bio_noacct" },
	{ 0xd5a5ad61, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xbe88a9e7, "blk_sync_queue" },
	{ 0x35916a92, "seq_file_path" },
	{ 0xa7cb6af2, "kernfs_find_and_get_ns" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x9302a4fe, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xe52b1cfe, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x1d0cdc8c, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2fe1690f, "bd_unlink_disk_holder" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xa7b122f3, "bio_init" },
	{ 0x78d56f15, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7020d871, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0xc3adf322, "kobject_del" },
	{ 0x5348d955, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x9ded2374, "bioset_init" },
	{ 0xb3364631, "file_path" },
	{ 0x9629ce7f, "kernfs_put" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xb670d0db, "sysfs_break_active_protection" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x790280c9, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x1840449, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x746e50d0, "bd_link_disk_holder" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc04e20c3, "percpu_ref_switch_to_atomic_sync" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd790bd7e, "seq_open" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe92571d4, "badblocks_clear" },
	{ 0x37cd75eb, "bmap" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7d064119, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8fdc84e6, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4e0a644, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xc46337cd, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD27915803296B971C57293");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
