#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x6a811169, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x6b58f183, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x8f59a737, "set_disk_ro" },
	{ 0x84d41c6, "register_md_personality" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0x45b401e5, "__bio_add_page" },
	{ 0x8ff3c6bc, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae334c12, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x49203891, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x62c8dcdc, "md_find_rdev_rcu" },
	{ 0x759833f5, "mddev_resume" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1b1a9404, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ba944c0, "md_bitmap_cond_end_sync" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3e6d88c4, "md_error" },
	{ 0x212933c5, "async_xor_val_offs" },
	{ 0x4f6b4a24, "__cpu_present_mask" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x43fe1da1, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe55603ab, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb821be1c, "md_finish_reshape" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xb0ee7aa9, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x730682a6, "md_unregister_thread" },
	{ 0xa7bb97c0, "sync_page_io" },
	{ 0xd86bdc57, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x52478b5, "kthread_park" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f75a3, "node_states" },
	{ 0x58c06a3a, "kernfs_notify" },
	{ 0x3dfb10e5, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf737d121, "md_wakeup_thread" },
	{ 0xd69207d4, "acct_bioset_init" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xeaa5f5ec, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa2c3dfb7, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x1cd6ef11, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5307924, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x4e9c205b, "async_tx_quiesce" },
	{ 0xa10ee2e9, "md_write_start" },
	{ 0xbf626b41, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x390e4ca0, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x58b9a9a3, "async_xor" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x2181de02, "async_xor_offs" },
	{ 0xc8ec0ccb, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb45f6aa1, "submit_bio" },
	{ 0x5eac1fce, "blk_queue_flag_clear" },
	{ 0x6f18269a, "bio_start_io_acct" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x53e642eb, "kthread_unpark" },
	{ 0x1243aefb, "bioset_exit" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xbd3e5797, "md_done_sync" },
	{ 0x40cd19b9, "acct_bioset_exit" },
	{ 0x2b377f79, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x889ca2d4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x692229e2, "md_wait_for_blocked_rdev" },
	{ 0x33ef0118, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e878316, "async_memcpy" },
	{ 0xa545842a, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xeb6f6706, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0x9302a4fe, "bio_chain" },
	{ 0xe52b1cfe, "__blk_trace_note_message" },
	{ 0x1a431e60, "blkdev_issue_zeroout" },
	{ 0x84f3a2fc, "disk_stack_limits" },
	{ 0x57e9486d, "__cpuhp_state_add_instance" },
	{ 0xa1bbf712, "async_trigger_callback" },
	{ 0xae7bb319, "md_do_sync" },
	{ 0x56134b60, "async_raid6_2data_recov" },
	{ 0x1d3760ac, "bio_add_page" },
	{ 0x6e501007, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50f48000, "md_update_sb" },
	{ 0x605b735, "blk_queue_max_discard_sectors" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xd7580994, "md_flush_request" },
	{ 0xa7b122f3, "bio_init" },
	{ 0xf7f576bc, "md_register_thread" },
	{ 0x78d56f15, "bio_alloc_clone" },
	{ 0x39a7ce3a, "raid6_call" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xcce2bb39, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5932063c, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32001058, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa1a8442, "unregister_md_personality" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x959f12b3, "blk_queue_max_write_zeroes_sectors" },
	{ 0x38482534, "md_bitmap_unplug" },
	{ 0x311e2032, "bio_uninit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x9ded2374, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xd427e187, "async_syndrome_val" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x790280c9, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xdc15a2b, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8e86c79b, "blk_queue_io_min" },
	{ 0xb7698b8, "md_check_recovery" },
	{ 0x73bf2e19, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x611b1fa1, "blkdev_issue_flush" },
	{ 0xd04c1818, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd17ab27e, "badblocks_check" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xed921f3, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xd69f62f0, "page_address" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xda9c185a, "rdev_set_badblocks" },
	{ 0x8fdc84e6, "bio_alloc_bioset" },
	{ 0x63475c7f, "blk_queue_io_opt" },
	{ 0xed251dc1, "async_raid6_datap_recov" },
	{ 0x4e0a644, "submit_bio_wait" },
	{ 0x8041d948, "__cpuhp_remove_state" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xc406ded4, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x92b57248, "flush_work" },
	{ 0xf176fcd1, "blkdev_issue_discard" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "md-mod,async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "0FCC5C86ED110AB9174D9AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
