#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(saa7146_register_extension, "_gpl", "");
KSYMTAB_FUNC(saa7146_unregister_extension, "_gpl", "");
KSYMTAB_FUNC(saa7146_pgtable_alloc, "_gpl", "");
KSYMTAB_FUNC(saa7146_pgtable_free, "_gpl", "");
KSYMTAB_FUNC(saa7146_pgtable_build_single, "_gpl", "");
KSYMTAB_FUNC(saa7146_vmalloc_build_pgtable, "_gpl", "");
KSYMTAB_FUNC(saa7146_vfree_destroy_pgtable, "_gpl", "");
KSYMTAB_FUNC(saa7146_wait_for_debi_done, "_gpl", "");
KSYMTAB_FUNC(saa7146_setgpio, "_gpl", "");
KSYMTAB_FUNC(saa7146_i2c_adapter_prepare, "_gpl", "");
KSYMTAB_DATA(saa7146_debug, "_gpl", "");

SYMBOL_CRC(saa7146_register_extension, 0x665ad38d, "_gpl");
SYMBOL_CRC(saa7146_unregister_extension, 0xb22a4b6d, "_gpl");
SYMBOL_CRC(saa7146_pgtable_alloc, 0xe1b75605, "_gpl");
SYMBOL_CRC(saa7146_pgtable_free, 0x6530376a, "_gpl");
SYMBOL_CRC(saa7146_pgtable_build_single, 0x4085f817, "_gpl");
SYMBOL_CRC(saa7146_vmalloc_build_pgtable, 0x209d2913, "_gpl");
SYMBOL_CRC(saa7146_vfree_destroy_pgtable, 0xc24b8909, "_gpl");
SYMBOL_CRC(saa7146_wait_for_debi_done, 0xe1092b01, "_gpl");
SYMBOL_CRC(saa7146_setgpio, 0xc0adcff7, "_gpl");
SYMBOL_CRC(saa7146_i2c_adapter_prepare, 0xb5e5eb5c, "_gpl");
SYMBOL_CRC(saa7146_debug, 0xe3cd9b5c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xe6e148ea, "pci_request_region" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x24079b40, "vmalloc_to_page" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa0b04675, "vmalloc_32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x1d3330a3, "pci_release_region" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98B1D4C486D7196A2020E7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
