#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smscore_translate_msg, "_gpl", "");
KSYMTAB_FUNC(smscore_set_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_get_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_registry_getmode, "_gpl", "");
KSYMTAB_FUNC(smscore_register_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_register_device, "_gpl", "");
KSYMTAB_FUNC(smscore_start_device, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_device, "_gpl", "");
KSYMTAB_FUNC(smscore_get_device_mode, "_gpl", "");
KSYMTAB_FUNC(smscore_onresponse, "_gpl", "");
KSYMTAB_FUNC(smscore_getbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_putbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_register_client, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_client, "_gpl", "");
KSYMTAB_FUNC(smsclient_sendrequest, "_gpl", "");
KSYMTAB_FUNC(sms_get_board, "_gpl", "");
KSYMTAB_FUNC(sms_board_event, "_gpl", "");
KSYMTAB_FUNC(sms_board_setup, "_gpl", "");
KSYMTAB_FUNC(sms_board_power, "_gpl", "");
KSYMTAB_FUNC(sms_board_led_feedback, "_gpl", "");
KSYMTAB_FUNC(sms_board_lna_control, "_gpl", "");
KSYMTAB_FUNC(sms_board_load_modules, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_tx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_rx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_message_header, "_gpl", "");

SYMBOL_CRC(smscore_translate_msg, 0x34bf0e61, "_gpl");
SYMBOL_CRC(smscore_set_board_id, 0xfbf79c3b, "_gpl");
SYMBOL_CRC(smscore_get_board_id, 0xfbd5720b, "_gpl");
SYMBOL_CRC(smscore_registry_getmode, 0x21e36bf2, "_gpl");
SYMBOL_CRC(smscore_register_hotplug, 0xa3b64779, "_gpl");
SYMBOL_CRC(smscore_unregister_hotplug, 0x1e388427, "_gpl");
SYMBOL_CRC(smscore_register_device, 0x446c17be, "_gpl");
SYMBOL_CRC(smscore_start_device, 0x19961434, "_gpl");
SYMBOL_CRC(smscore_unregister_device, 0x36e5459f, "_gpl");
SYMBOL_CRC(smscore_get_device_mode, 0x3fe9e112, "_gpl");
SYMBOL_CRC(smscore_onresponse, 0x9f3099ed, "_gpl");
SYMBOL_CRC(smscore_getbuffer, 0x5c339c05, "_gpl");
SYMBOL_CRC(smscore_putbuffer, 0x5f395d40, "_gpl");
SYMBOL_CRC(smscore_register_client, 0x6c0c51f7, "_gpl");
SYMBOL_CRC(smscore_unregister_client, 0xbbdb5c42, "_gpl");
SYMBOL_CRC(smsclient_sendrequest, 0x63222b29, "_gpl");
SYMBOL_CRC(sms_get_board, 0x844539ae, "_gpl");
SYMBOL_CRC(sms_board_event, 0xf4f69bdc, "_gpl");
SYMBOL_CRC(sms_board_setup, 0xcf17e518, "_gpl");
SYMBOL_CRC(sms_board_power, 0x132d777c, "_gpl");
SYMBOL_CRC(sms_board_led_feedback, 0x21225e05, "_gpl");
SYMBOL_CRC(sms_board_lna_control, 0x7bb2d8a2, "_gpl");
SYMBOL_CRC(sms_board_load_modules, 0x74ee9098, "_gpl");
SYMBOL_CRC(smsendian_handle_tx_message, 0x37d91069, "_gpl");
SYMBOL_CRC(smsendian_handle_rx_message, 0x45284ae9, "_gpl");
SYMBOL_CRC(smsendian_handle_message_header, 0x7c576277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x3b23e89f, "ir_raw_event_handle" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xadfdeeaf, "ir_raw_event_store" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5298b1b, "rc_register_device" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf4bebccf, "rc_free_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3f9738a, "rc_allocate_device" },
	{ 0xeea0399, "strscpy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35dac1ce, "rc_unregister_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "271F8ACC5673C80D487C1BA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
