#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x0843df68, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x8cb9353f, "_gpl");
SYMBOL_CRC(media_device_init, 0xa75c1d2c, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x252ea157, "_gpl");
SYMBOL_CRC(__media_device_register, 0xb63518b5, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x1d1e5039, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x2e68b096, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x7c68aa8b, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xfe64ea0c, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xc9cc2e0b, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x234c58cb, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xa0df9755, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x56927b69, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x2f277f3b, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x9eb8266d, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x3b30993e, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xe9c75db5, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xe33b7a43, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x21bec36c, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x6b46e1bd, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x4698176b, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x0ffe5617, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x3cb09a48, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xec2ebed2, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x95e0df82, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x9e16f71f, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x6e71e517, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xdd74184a, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x9c0975af, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x9ba0302c, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x58bec2f5, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xa20aadd5, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x5c47de08, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x5733ab42, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x7e998b38, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xd54b738b, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x6b8282b2, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x44da91d8, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xc61c66a8, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x89b09c50, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xb80a2353, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xdbc436ef, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x3489b9a6, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xed3fa045, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x3d1ecbdf, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x1434a6d5, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x268cbf2b, "_gpl");
SYMBOL_CRC(media_request_put, 0x58fcfaff, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x4661bf33, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x388e2a5f, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xfc2963dd, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xcc8a48cc, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x44355cc0, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xfd7cd792, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x193ffa04, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x55c076fb, "_gpl");
SYMBOL_CRC(media_device_delete, 0x065daa1e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe2820fb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9a5b5e8b, "cdev_device_del" },
	{ 0x52075985, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbdcf5c6f, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xee13acfc, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xcc3ace6b, "fwnode_graph_parse_endpoint" },
	{ 0x3d14dab9, "module_put" },
	{ 0x212771a, "device_create_file" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x71dfc7e5, "fput" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc3595ddf, "platform_bus_type" },
	{ 0x8d0b8cdc, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0945AE9370BBEC2034E6C65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
