#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flexcop_dma_allocate, "", "");
KSYMTAB_FUNC(flexcop_dma_free, "", "");
KSYMTAB_FUNC(flexcop_dma_config, "", "");
KSYMTAB_FUNC(flexcop_dma_xfer_control, "", "");
KSYMTAB_FUNC(flexcop_dma_control_size_irq, "", "");
KSYMTAB_FUNC(flexcop_dma_control_timer_irq, "", "");
KSYMTAB_FUNC(flexcop_dma_config_timer, "", "");

SYMBOL_CRC(flexcop_dma_allocate, 0xe811572e, "");
SYMBOL_CRC(flexcop_dma_free, 0xb272ed2c, "");
SYMBOL_CRC(flexcop_dma_config, 0xa13da831, "");
SYMBOL_CRC(flexcop_dma_xfer_control, 0x72351e1f, "");
SYMBOL_CRC(flexcop_dma_control_size_irq, 0x2bb9d5b2, "");
SYMBOL_CRC(flexcop_dma_control_timer_irq, 0xbd2eb1cb, "");
SYMBOL_CRC(flexcop_dma_config_timer, 0xdf683558, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xb1508cc2, "flexcop_device_exit" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x731b76b0, "pci_iomap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x90a2cf0e, "flexcop_pass_dmx_packets" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x606aa0c7, "flexcop_sram_set_dest" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6aeff62d, "flexcop_device_kmalloc" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x78d1c40f, "flexcop_pid_feed_control" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x73fad14b, "pci_iounmap" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd9bb02a, "flexcop_device_kfree" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x4e7dc2a9, "flexcop_device_initialize" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf53f3fcd, "flexcop_pass_dmx_data" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x58998114, "flexcop_i2c_request" },
	{ 0x89baeedf, "flexcop_eeprom_check_mac_addr" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "b2c2-flexcop");

MODULE_ALIAS("pci:v000013D0d00002103sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D30EBC4538AB6B07F19ABF4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
