#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0xae25be87, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xa08d1bcd, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xb2cf1265, "");
SYMBOL_CRC(cx18_claim_stream, 0xd6c17e81, "");
SYMBOL_CRC(cx18_release_stream, 0xe40971d6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cb08d, "vb2_queue_init" },
	{ 0xef48a6e1, "v4l2_fh_exit" },
	{ 0x24ea39e5, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3e801463, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ed6eb79, "vb2_queue_release" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x827c1b20, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd703e034, "i2c_bit_add_bus" },
	{ 0x563800c8, "v4l2_fh_del" },
	{ 0xb929ca68, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xba1b64c6, "vb2_ops_wait_finish" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x56f35cfb, "vb2_ioctl_querybuf" },
	{ 0x8aa567bb, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x89d2bf12, "vb2_video_unregister_device" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc6dc2bfd, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x47d71f41, "v4l2_device_register_subdev" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe67bac6e, "v4l2_ctrl_handler_log_status" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x7cf9eae, "i2c_new_scanned_device" },
	{ 0xac6c5f73, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x77b3540d, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaaa6f191, "vb2_ioctl_dqbuf" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{  0xb2732, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x92f49973, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14874c52, "vb2_ioctl_prepare_buf" },
	{ 0xdc50ffe1, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xd8372600, "vb2_plane_vaddr" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x2852f304, "v4l2_fh_init" },
	{ 0xfd75c58b, "v4l2_event_pending" },
	{ 0xbc665a26, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8fdbdf45, "dvb_dmxdev_release" },
	{ 0x573610e, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8b888786, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xed9dc06f, "param_ops_short" },
	{ 0xab62c5d1, "vb2_vmalloc_memops" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc0788ba, "vb2_fop_read" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0x19be6ed6, "dvb_frontend_detach" },
	{ 0xf1799065, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d258b97, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaee9f0d4, "dvb_unregister_frontend" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0xf9907937, "vb2_ops_wait_prepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e1a787, "vb2_ioctl_streamon" },
	{ 0x81e6d7d1, "vb2_fop_poll" },
	{ 0x9f808647, "v4l2_ctrl_new_std" },
	{ 0xa5f81558, "v4l2_ctrl_g_ctrl" },
	{ 0x91c94b2d, "cx2341x_handler_init" },
	{ 0x71ba70a5, "cx2341x_handler_set_50hz" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x11b6f52, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x732fc1f3, "v4l2_subdev_call_wrappers" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x94715bc9, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xfde6fe6a, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x58fb8b5a, "vb2_ioctl_reqbufs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,dvb-core,cx2341x,i2c-algo-bit,tveeprom,videobuf2-common,videobuf2-vmalloc");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FA9114B2582E5F921F53E91");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
