#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x3c8507fb, "");
SYMBOL_CRC(cx88_querycap, 0x5c72268c, "");
SYMBOL_CRC(cx88_enum_input, 0x953d574a, "");
SYMBOL_CRC(cx88_set_freq, 0xdecfc097, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cb08d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb23a1126, "vb2_dma_sg_memops" },
	{ 0xa683a984, "cx88_reset" },
	{ 0x211694, "v4l2_ctrl_poll" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0x81df5af, "cx88_wakeup" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x827c1b20, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2598e4d8, "v4l2_ctrl_add_handler" },
	{ 0x226f044f, "v4l2_i2c_new_subdev_board" },
	{ 0x9d1987c2, "cx88_set_scale" },
	{ 0xba1b64c6, "vb2_ops_wait_finish" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xe9da2980, "cx88_shutdown" },
	{ 0x98bf37b8, "cx88_vdev_init" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f35cfb, "vb2_ioctl_querybuf" },
	{ 0x22ad7923, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0abcb4c, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x39cf55d8, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x527ed392, "cx88_core_get" },
	{ 0xc2dc3242, "cx88_get_stereo" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe675f35b, "cx88_ir_stop" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x9eb46b52, "cx88_set_tvnorm" },
	{ 0x785c2ffb, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x598c1578, "v4l2_ctrl_find" },
	{ 0x2fea20ff, "cx88_ir_start" },
	{ 0x77b3540d, "__v4l2_ctrl_s_ctrl" },
	{ 0xce0d42ac, "vb2_plane_cookie" },
	{ 0xaaa6f191, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6b400a36, "cx88_risc_buffer" },
	{ 0xf410eff5, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x87ce588, "cx88_set_stereo" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0x6faeaeea, "i2c_new_client_device" },
	{ 0x573610e, "vb2_ioctl_qbuf" },
	{ 0x8b888786, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x8ef5b15a, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc0788ba, "vb2_fop_read" },
	{ 0x1825148b, "cx88_sram_channel_dump" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xeea0399, "strscpy" },
	{ 0x389f5a32, "cx88_sram_channel_setup" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xf9907937, "vb2_ops_wait_prepare" },
	{ 0xc5e1a787, "vb2_ioctl_streamon" },
	{ 0x81e6d7d1, "vb2_fop_poll" },
	{ 0x9f808647, "v4l2_ctrl_new_std" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6a0e4acc, "cx88_newstation" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58fb8b5a, "vb2_ioctl_reqbufs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB47061119EEB4C8B5A8C97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
