#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x33f6e8cb, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x6b400a36, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x2273c12f, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x389f5a32, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x1825148b, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x39cf55d8, "");
SYMBOL_CRC(cx88_wakeup, 0x081df5af, "");
SYMBOL_CRC(cx88_shutdown, 0xe9da2980, "");
SYMBOL_CRC(cx88_reset, 0xa683a984, "");
SYMBOL_CRC(cx88_set_scale, 0x9d1987c2, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x9eb46b52, "");
SYMBOL_CRC(cx88_vdev_init, 0x98bf37b8, "");
SYMBOL_CRC(cx88_core_get, 0x527ed392, "");
SYMBOL_CRC(cx88_core_put, 0x22ad7923, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x8ef5b15a, "");
SYMBOL_CRC(cx88_newstation, 0x6a0e4acc, "");
SYMBOL_CRC(cx88_get_stereo, 0xc2dc3242, "");
SYMBOL_CRC(cx88_set_stereo, 0x087ce588, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xca60a513, "");
SYMBOL_CRC(cx88_ir_start, 0x2fea20ff, "");
SYMBOL_CRC(cx88_ir_stop, 0xe675f35b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x3b23e89f, "ir_raw_event_handle" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd703e034, "i2c_bit_add_bus" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xb2f3ff5b, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x738803e6, "strnlen" },
	{ 0x63a3ef22, "i2c_smbus_xfer" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x90619cf9, "rc_keyup" },
	{ 0xb74481fa, "__v4l2_ctrl_grab" },
	{ 0x969b519f, "i2c_unregister_device" },
	{ 0x92f49973, "tveeprom_read" },
	{ 0x55f82848, "rc_keydown_notimeout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5298b1b, "rc_register_device" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0xb8d1fddd, "rc_keydown" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6faeaeea, "i2c_new_client_device" },
	{ 0x5cc8d177, "freezing_slow_path" },
	{ 0xf4bebccf, "rc_free_device" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3f9738a, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0xc4384a12, "i2c_transfer" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x209d441f, "ir_raw_event_store_with_filter" },
	{ 0x6ffc1305, "i2c_smbus_read_byte_data" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35dac1ce, "rc_unregister_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "C0D49D099BAF7E37DC2A059");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
