#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x05a8be91, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x2ade04fa, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x257a8605, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xb2a10690, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x9f3ea2a1, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x3e4a82d8, "_gpl");
SYMBOL_CRC(is_fw_load, 0x5baa9224, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xeaf9ec58, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xf3e07f66, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xd1afb77a, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x6dd9256e, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xcf446af1, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xed785396, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xfc5208e6, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x2aa68902, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x77cf4ae7, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x93989e12, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xbf306cc8, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x86a68ed6, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xd31c5c75, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0xbe5da149, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x1e47d300, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cb08d, "vb2_queue_init" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0x211694, "v4l2_ctrl_poll" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7c68aa8b, "media_device_unregister" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x827c1b20, "vb2_ioctl_streamoff" },
	{ 0x887327ae, "v4l2_ctrl_radio_filter" },
	{ 0xe6d41d9d, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2598e4d8, "v4l2_ctrl_add_handler" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xba1b64c6, "vb2_ops_wait_finish" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb63518b5, "__media_device_register" },
	{ 0x56f35cfb, "vb2_ioctl_querybuf" },
	{ 0xb2f3ff5b, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb0abcb4c, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4d8825c3, "usb_clear_halt" },
	{ 0xca4c6168, "usb_put_dev" },
	{ 0x69308dac, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x785c2ffb, "vb2_fop_release" },
	{ 0xac6c5f73, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x79759b7d, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x843df68, "media_device_register_entity" },
	{ 0x252ea157, "media_device_cleanup" },
	{ 0xaaa6f191, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x969b519f, "i2c_unregister_device" },
	{ 0x98291531, "usb_free_coherent" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xd8372600, "vb2_plane_vaddr" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0xa0df9755, "media_entity_pads_init" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6faeaeea, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0x573610e, "vb2_ioctl_qbuf" },
	{ 0x8b888786, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49d4f959, "v4l2_s_ctrl" },
	{ 0x98d590a, "i2c_mux_alloc" },
	{ 0xab62c5d1, "vb2_vmalloc_memops" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc0788ba, "vb2_fop_read" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0xb50573d9, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3f9738a, "rc_allocate_device" },
	{ 0x7235dcc1, "usb_unlink_urb" },
	{ 0x58bec2f5, "media_entity_setup_link" },
	{ 0xeea0399, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9907937, "vb2_ops_wait_prepare" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5e1a787, "vb2_ioctl_streamon" },
	{ 0x59a1521d, "v4l2_mc_create_media_graph" },
	{ 0x81e6d7d1, "vb2_fop_poll" },
	{ 0x91c94b2d, "cx2341x_handler_init" },
	{ 0x71ba70a5, "cx2341x_handler_set_50hz" },
	{ 0xc9cc2e0b, "__media_device_usb_init" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0xc4384a12, "i2c_transfer" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0x66f9545c, "usb_reset_endpoint" },
	{ 0x77792391, "i2c_mux_del_adapters" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x732fc1f3, "v4l2_subdev_call_wrappers" },
	{ 0x20b65f7a, "v4l2_ctrl_log_status" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0xf6e2155f, "i2c_mux_add_adapter" },
	{ 0x7b6361ae, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x58fb8b5a, "vb2_ioctl_reqbufs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "911671118CF304C86EAB7B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
