#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_parse_fwnode_endpoints, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xba159b6a, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x7e323305, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x2243e97b, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x99a531e1, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x0f9e3742, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0xcf627069, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0xead400f4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x75fc496b, "_gpl");
SYMBOL_CRC(v4l2_async_nf_parse_fwnode_endpoints, 0xfab90d23, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x0d1c37c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xebdd1a89, "fwnode_property_read_u32_array" },
	{ 0x6da2fb72, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc3ace6b, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a89cc48, "fwnode_handle_put" },
	{ 0xcc4a7c46, "fwnode_graph_get_port_parent" },
	{ 0x8a7ff3b1, "fwnode_graph_get_remote_endpoint" },
	{ 0x5ee7664b, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb35cdc69, "fwnode_get_name" },
	{ 0xfb014dc4, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x6d68b191, "fwnode_property_get_reference_args" },
	{ 0x71f6f400, "fwnode_get_next_child_node" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x861100fd, "v4l2_async_nf_init" },
	{ 0x743730d0, "v4l2_subdev_get_privacy_led" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0xd190ccf5, "v4l2_subdev_put_privacy_led" },
	{ 0x14e73597, "v4l2_async_nf_cleanup" },
	{ 0x9622f6f8, "is_acpi_data_node" },
	{ 0x52a72c9e, "__v4l2_async_nf_add_fwnode" },
	{ 0x4a4b688, "v4l2_async_subdev_nf_register" },
	{ 0xeca9744f, "v4l2_async_register_subdev" },
	{ 0x4ffffab5, "v4l2_async_nf_unregister" },
	{ 0x532b7879, "fwnode_property_read_u64_array" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x60173ec, "fwnode_graph_get_next_endpoint" },
	{ 0x43db323c, "fwnode_device_is_available" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb039f416, "__v4l2_async_nf_add_subdev" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "D538CB44C86F97BA5B3B3CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
