#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x5efb6dba, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x79a97842, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xa61acd55, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x05280a74, "");
SYMBOL_CRC(mpt_halt_firmware, 0x37547c5f, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xb8e3221f, "");
SYMBOL_CRC(mpt_attach, 0x234e9f5e, "");
SYMBOL_CRC(mpt_detach, 0xbb4a4494, "");
SYMBOL_CRC(mpt_resume, 0xb5f9a8a6, "");
SYMBOL_CRC(mpt_suspend, 0xd0670968, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xfad67174, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x7f2f7a70, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xd442030b, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xa4bf0a4c, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x32c51dd2, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x15b5ba11, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x14687f40, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xe962ecc5, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x1b8d319e, "");
SYMBOL_CRC(mpt_verify_adapter, 0xf646692a, "");
SYMBOL_CRC(mpt_GetIocState, 0xdafe1c20, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xe6caa959, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x63bc44ac, "");
SYMBOL_CRC(mpt_config, 0xc9307d0e, "");
SYMBOL_CRC(mpt_findImVolumes, 0x9954a6e1, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x24cd90fb, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x289c5687, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x1d815272, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x9f99981b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0xeea0399, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x7278ccbf, "pci_stop_and_remove_bus_device_locked" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xfd5faa86, "pci_select_bars" },
	{ 0xb2bc7fc1, "pci_enable_device_mem" },
	{ 0xc3fee633, "pci_request_selected_regions" },
	{ 0xdf89c4c0, "dma_get_required_mask" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xc0fb3a0b, "pci_release_selected_regions" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xa288de8d, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe50a8fa6, "proc_mkdir" },
	{ 0x9715244c, "proc_create_single_data" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5ac21a49, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0x59587349, "pci_set_power_state" },
	{ 0x4179e07a, "pci_disable_msi" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0xfde6fe6a, "pci_write_config_word" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0xd15cfed6, "pci_enable_msi" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0xa9f24bcf, "pci_get_slot" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0x465bb5d, "pci_enable_wake" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xa4ab8400, "param_get_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B5A7A0D80380BB31E92910");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
