#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0xb9d25525, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xb1c383ac, "_gpl");
SYMBOL_CRC(mei_reset, 0x7bfc5be7, "_gpl");
SYMBOL_CRC(mei_start, 0x31da52ed, "_gpl");
SYMBOL_CRC(mei_restart, 0xbaa8ead1, "_gpl");
SYMBOL_CRC(mei_stop, 0xf05b6633, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x72f698b6, "_gpl");
SYMBOL_CRC(mei_device_init, 0x7ecab0ef, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0xdb3b107b, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x1912b73d, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0xa4750d09, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x0f2a2098, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0xb2ebea14, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0x68c0ed59, "_gpl");
SYMBOL_CRC(mei_register, 0xb90314a9, "_gpl");
SYMBOL_CRC(mei_deregister, 0xfbff2d66, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xbfa5b8ee, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xaffc0a61, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x7196467c, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x2a09e187, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x73ff38d6, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x5aad6482, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xdc8498e3, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x55951c9b, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x0a870d12, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x557bea49, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0xac3f6862, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x05be7b62, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x79f0f529, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x6bc16c06, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0xaa43afe0, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x4869606c, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x5c942bb8, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0xf5ef45f3, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xc019acb4, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xfcb3e213, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x61e55ac6, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x07f975f7, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x5f2b7ce6, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x4d9ba764, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x66143d2f, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x76cb498a, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xd27a8f09, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x6c77228d, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xda90fd0e, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9790bf51, "dmam_alloc_attrs" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x49715188, "kill_fasync" },
	{ 0xb8f70751, "class_destroy" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x52075985, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfbfec22f, "__module_get" },
	{ 0x59540ffd, "get_device" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x39f15267, "debugfs_read_file_bool" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x60eb186e, "sysfs_notify" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe400a5ed, "debugfs_write_file_bool" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x3d14dab9, "module_put" },
	{ 0x3a33ac87, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x2fd128ea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x203aa149, "class_create" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x24f7917c, "fasync_helper" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x61a4149e, "device_del" },
	{ 0x1528f1f6, "dmam_free_coherent" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x29da51a7, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x8ddceb5f, "nonseekable_open" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99ade68d, "device_create_with_groups" },
	{ 0xeea0399, "strscpy" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb327349e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xc2ca680f, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0xda4bba79, "single_open" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x9dfb71c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x589acbc6, "driver_register" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf01aca45, "cdev_del" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72148024F57EAE578573729");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
