#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_register, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_unregister, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x4b79c079, "");
SYMBOL_CRC(mmc_request_done, 0x3e1d1d53, "");
SYMBOL_CRC(mmc_start_request, 0x8e178429, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x9fea27a6, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xdd13b021, "");
SYMBOL_CRC(mmc_cqe_request_done, 0xd56527e3, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x779013cc, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xdee7d074, "");
SYMBOL_CRC(mmc_is_req_done, 0xc16caf33, "");
SYMBOL_CRC(mmc_wait_for_req, 0x667f01a6, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x4dd3c9fc, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x0b2c1d40, "");
SYMBOL_CRC(__mmc_claim_host, 0xbaa91634, "");
SYMBOL_CRC(mmc_release_host, 0xd6178dd6, "");
SYMBOL_CRC(mmc_get_card, 0x9dc697b5, "");
SYMBOL_CRC(mmc_put_card, 0x2d97f551, "");
SYMBOL_CRC(mmc_detect_change, 0x90afaa87, "");
SYMBOL_CRC(mmc_erase, 0x5112516f, "");
SYMBOL_CRC(mmc_can_erase, 0x19860088, "");
SYMBOL_CRC(mmc_can_trim, 0xed363a88, "");
SYMBOL_CRC(mmc_can_discard, 0x1823ce02, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x5f0ad3c7, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0xac753f91, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x2721267e, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xf88b4b0f, "");
SYMBOL_CRC(mmc_set_blocklen, 0xb6119959, "");
SYMBOL_CRC(mmc_hw_reset, 0x094a16c6, "");
SYMBOL_CRC(mmc_sw_reset, 0xbf285d92, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xbf2e9d71, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x43bdbbdf, "");
SYMBOL_CRC(mmc_register_driver, 0x579f4804, "");
SYMBOL_CRC(mmc_unregister_driver, 0x687e7397, "");
SYMBOL_CRC(mmc_retune_pause, 0xe6875678, "");
SYMBOL_CRC(mmc_retune_unpause, 0xd732bf03, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xc00c2b61, "");
SYMBOL_CRC(mmc_retune_release, 0xfd91fac6, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x5a1781f9, "");
SYMBOL_CRC(mmc_of_parse, 0x0404c230, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xcb7afd15, "");
SYMBOL_CRC(mmc_alloc_host, 0x2b695921, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0xc5c73f10, "");
SYMBOL_CRC(mmc_add_host, 0x1e6aa0f9, "");
SYMBOL_CRC(mmc_remove_host, 0xde6da6bc, "");
SYMBOL_CRC(mmc_free_host, 0x44dc4bfd, "");
SYMBOL_CRC(__mmc_send_status, 0x2394740a, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x2823c46d, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0xaa3d993b, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x8163814d, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x1885d622, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x97c04ac6, "_gpl");
SYMBOL_CRC(mmc_switch, 0x3137a946, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x19ce5b1d, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x36326738, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xebbf59dc, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xaf92c0c8, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x4dede35a, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xeabb2e39, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x10ab1f33, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x58bfd810, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x6906320b, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x5472bc0a, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xb6d625cc, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x8134b26f, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xa04bac28, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x4f842835, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x4c480a52, "_gpl");
SYMBOL_CRC(sdio_readb, 0x4a53a9a5, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xf7704a45, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xd74c0b19, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x7657fd34, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x58743726, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x8a964dbe, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xa28d7dc1, "_gpl");
SYMBOL_CRC(sdio_readw, 0x5828d887, "_gpl");
SYMBOL_CRC(sdio_writew, 0x16a68aa6, "_gpl");
SYMBOL_CRC(sdio_readl, 0x9235019e, "_gpl");
SYMBOL_CRC(sdio_writel, 0x471b4b67, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x57a87005, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xed6f6d3f, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x1600c6c9, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xd5cb9718, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x2c139da3, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x94da3a25, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x6b854409, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x070fd43b, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xc9ec02c9, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xf1c2690d, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x3a62bdad, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x3b175156, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x6dc28ea2, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x986eae9d, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xbfad5a2e, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xa364ac4b, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x8421745e, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x3e197d22, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xddc11f74, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x60ad958d, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x606ce025, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x6c8bda4b, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0xe8403149, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xe00fee58, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x4cf01057, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0xa67a3328, "_gpl");
SYMBOL_CRC(mmc_pwrseq_register, 0x7f8578a3, "_gpl");
SYMBOL_CRC(mmc_pwrseq_unregister, 0xe31a3aad, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x9659f44d, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0x41bd5079, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbe8ad2d1, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5fb320b8, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x7355f004, "try_module_get" },
	{ 0xbbf69388, "blk_crypto_reprogram_all_keys" },
	{ 0xa424b562, "wakeup_source_register" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xf8357786, "of_node_put" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xe507c5b1, "device_match_of_node" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0xf99c8f1a, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x52075985, "device_initialize" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x14fcbc3d, "gpiod_to_irq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x14755282, "gpiod_toggle_active_low" },
	{ 0xc3b0701, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x546d4d11, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7523b045, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x7bc6fc9b, "sched_set_fifo_low" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae8961b7, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x4ef58e70, "pm_generic_runtime_resume" },
	{ 0xacec307c, "pm_generic_resume" },
	{ 0xe73787ef, "regulator_get_voltage" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x219b3414, "pm_wakeup_ws_event" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x955cf9, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0x6147154d, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xebf1550c, "gpiod_set_debounce" },
	{ 0x27ec3465, "dev_pm_domain_detach" },
	{ 0x3d14dab9, "module_put" },
	{ 0x62c8c94b, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x6b9c9cde, "pm_generic_suspend" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1177930b, "debugfs_create_file_unsafe" },
	{ 0x2fd128ea, "device_add" },
	{ 0x7c33711, "__of_parse_phandle_with_args" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0xf14fbab6, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xd311062e, "devm_gpiod_get_index" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x47497b18, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0x61a4149e, "device_del" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x90a6fc98, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc62bc0c9, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf1791bd9, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x665a63f0, "gpiod_cansleep" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x97e00540, "gpiod_is_active_low" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x9e02c931, "of_device_is_compatible" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x93962be7, "debugfs_create_x32" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3847b318, "of_alias_get_id" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x71fb8a6d, "set_primary_fwnode" },
	{ 0xb10fc496, "led_trigger_event" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda4bba79, "single_open" },
	{ 0x2f539544, "gpiod_set_consumer_name" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x35c4906, "regulator_set_voltage" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x589acbc6, "driver_register" },
	{ 0x927909f3, "class_register" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "61827EBBFBEF445858EAF6D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
