#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19a8eb38, "sdhci_runtime_resume_host" },
	{ 0xff047123, "sdhci_resume_host" },
	{ 0xe00f78ee, "__sdhci_read_caps" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x39f920d1, "acpi_dev_hid_uid_match" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa8bb7d23, "platform_get_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x986eae9d, "mmc_gpio_get_cd" },
	{ 0xdd8fc443, "sdhci_get_cd_nogpio" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x22810b5c, "acpi_device_fix_up_power_extended" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0x4639229e, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4aa3cb3, "__devm_request_region" },
	{ 0xc18c4ac3, "sdhci_alloc_host" },
	{ 0xc5a084ec, "devm_ioremap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3e197d22, "mmc_gpiod_request_cd" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x733ff4c6, "sdhci_setup_host" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf8b50834, "__sdhci_add_host" },
	{ 0x38b597, "sdhci_cleanup_host" },
	{ 0xcb73c4fc, "sdhci_free_host" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0x131a9549, "sdhci_execute_tuning" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x819e23d3, "sdhci_runtime_suspend_host" },
	{ 0x3e75f72, "sdhci_suspend_host" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3e2a18e5, "sdhci_start_signal_voltage_switch" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6bdf92c9, "sdhci_remove_host" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd5b8b982, "sdhci_reset" },
	{ 0xaec4e5a1, "sdhci_set_ios" },
	{ 0xc8c31411, "sdhci_set_clock" },
	{ 0x78058854, "sdhci_set_bus_width" },
	{ 0xa5047bb9, "sdhci_set_uhs_signaling" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");

MODULE_ALIAS("acpi*:80865ACA:*");
MODULE_ALIAS("acpi*:80865ACC:*");
MODULE_ALIAS("acpi*:80865AD0:*");
MODULE_ALIAS("acpi*:80860F14:*");
MODULE_ALIAS("acpi*:80860F16:*");
MODULE_ALIAS("acpi*:INT33BB:*");
MODULE_ALIAS("acpi*:INT33C6:*");
MODULE_ALIAS("acpi*:INT3436:*");
MODULE_ALIAS("acpi*:INT344D:*");
MODULE_ALIAS("acpi*:PNP0D40:*");
MODULE_ALIAS("acpi*:QCOM8051:*");
MODULE_ALIAS("acpi*:QCOM8052:*");
MODULE_ALIAS("acpi*:AMDI0040:*");
MODULE_ALIAS("acpi*:AMDI0041:*");

MODULE_INFO(srcversion, "A425B7C46DDCFCDF2C18BEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
