#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce446aa2, "device_property_present" },
	{ 0x78058854, "sdhci_set_bus_width" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3e2a18e5, "sdhci_start_signal_voltage_switch" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0x8e2f1045, "of_address_to_resource" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0xd5b8b982, "sdhci_reset" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x59cb2a06, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x59b4ba76, "sdhci_pltfm_free" },
	{ 0x6c8bda4b, "mmc_regulator_set_ocr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0x19a8eb38, "sdhci_runtime_resume_host" },
	{ 0xa537328e, "_dev_err" },
	{ 0x819e23d3, "sdhci_runtime_suspend_host" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaec4e5a1, "sdhci_set_ios" },
	{ 0x703ad7d0, "device_property_read_string" },
	{ 0x6dc3cc20, "sdhci_get_property" },
	{ 0x205c90e1, "of_property_read_string" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xc8c31411, "sdhci_set_clock" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xdae65787, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x131a9549, "sdhci_execute_tuning" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x798aa6c1, "sdhci_add_host" },
	{ 0x77c44f76, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x404c230, "mmc_of_parse" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xe5ab662, "sdhci_enable_sdio_irq" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf29cb45f, "devm_ioremap_resource" },
	{ 0xe64449c5, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2ca60bf, "sdhci_set_power_noreg" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf05693e1, "sdhci_pltfm_init" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xd35f75a1, "match_string" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x33c060a9, "pm_runtime_force_suspend" },
	{ 0x6bdf92c9, "sdhci_remove_host" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "sdhci,sdhci-pltfm,mmc_core");

MODULE_ALIAS("acpi*:MRVL0002:*");
MODULE_ALIAS("acpi*:MRVL0003:*");
MODULE_ALIAS("acpi*:MRVL0004:*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhciC*");

MODULE_INFO(srcversion, "6908F1AB0B480414AB55EAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
