#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x435877c9, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x6ae0cc76, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xb94d3571, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x5ce55faf, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x7ae6049e, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x44638c02, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x6ef6ee95, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x8d048cd1, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x7105873a, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x4a79e959, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xae58258b, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xdd4c4ae2, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x8f6ef8f2, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x4038e3d5, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x46d7331c, "_gpl");
SYMBOL_CRC(mtd_erase, 0x92ca8fe3, "_gpl");
SYMBOL_CRC(mtd_point, 0xd784b948, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xf0e5585b, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xdd0012dd, "_gpl");
SYMBOL_CRC(mtd_read, 0x1efd988d, "_gpl");
SYMBOL_CRC(mtd_write, 0x412dc9cb, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x99f77529, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x6ee53950, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x6d273f04, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x481d119a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x414d3463, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x51a09d4a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xdd3c2a06, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x9a226232, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xfd5c1522, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xfa369059, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xd942f129, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x2aef33a8, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xb5a8ecba, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x40b5f64c, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x5facec26, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x91f253c8, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xf56f829c, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x73a21e3d, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x7646663d, "_gpl");
SYMBOL_CRC(mtd_lock, 0xc43212e6, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x6b0f64c5, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x27e3bfe5, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x96d14ad0, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x1293cc6b, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x2e8177ff, "_gpl");
SYMBOL_CRC(mtd_writev, 0x8a521950, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xd9db482a, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x4d11f047, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x87c9c169, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x001de832, "");
SYMBOL_CRC(mtd_concat_destroy, 0xf791451d, "");
SYMBOL_CRC(mtd_add_partition, 0x5e8b182d, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x5fbcc5d9, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x84af56f7, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x1b5e8eaa, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x2967adca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaec0e75e, "generic_shutdown_super" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf8357786, "of_node_put" },
	{ 0x7299ac60, "bdi_unregister" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xa6f8ccbf, "of_get_compatible_child" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xe7e66819, "bdi_register" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x89c5dc74, "of_node_name_prefix" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x77ce8dd2, "sget_fc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x822b7e48, "of_node_get" },
	{ 0x51716714, "logfc" },
	{ 0x46905480, "sysfs_remove_files" },
	{ 0xfbfec22f, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3127cfce, "bdi_put" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x39e04af8, "of_get_child_by_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xbcf9e5b6, "debugfs_create_bool" },
	{ 0xe5931b6f, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x9ec4f73c, "device_create" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x62670854, "fixed_size_llseek" },
	{ 0x205c90e1, "of_property_read_string" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x47497b18, "class_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x41bd117a, "bdi_alloc" },
	{ 0xba58848c, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9e02c931, "of_device_is_compatible" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdd186686, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb327349e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x9f55c04a, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0x231a7a0d, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x3847b318, "of_alias_get_id" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x9715244c, "proc_create_single_data" },
	{ 0x4dd196cb, "nvmem_register" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31e205de, "of_platform_populate" },
	{ 0x927909f3, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EE85649FBD57E0489F7F14A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
