#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xfc4bfbf5, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xddd15c4d, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x978f4c93, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x34289f76, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x3346d9aa, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x68b88a69, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x33653728, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x33ddda69, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0xc136ea76, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xc8f954f4, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x852b289c, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x9c5661b2, "_gpl");
SYMBOL_CRC(nand_status_op, 0x141725f1, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xb1d798e0, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x85264b45, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x557304c2, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x1088202c, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x170f466a, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x8c0ac5fc, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x3fb30114, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xca1b0718, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x64e54706, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xfabc0c71, "");
SYMBOL_CRC(nand_write_oob_std, 0x3ad1fde9, "");
SYMBOL_CRC(nand_write_page_raw, 0x552a15e7, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0xb53cae4c, "");
SYMBOL_CRC(nand_decode_ext_id, 0x3d92ccac, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x406c6ecc, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x6dbd7f3d, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x06edb7b9, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x635878b3, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x66f17176, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x5a7238ab, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x38916345, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x5f130fbf, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xe6faf489, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xe9543de9, "");
SYMBOL_CRC(nand_cleanup, 0x2c261ae4, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xde565bd8, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x77aea375, "");
SYMBOL_CRC(nand_create_bbt, 0x312faeed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe8ad2d1, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6ee53950, "mtd_read_oob" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x22df4b54, "gpiod_count" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2765af32, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd7cbfcee, "nand_get_large_page_hamming_ooblayout" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4a3b5d7b, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x70bd0a27, "gpiod_get_index_optional" },
	{ 0xd5a19c5b, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xcb2c1cce, "nanddev_init" },
	{ 0x1793a594, "nand_ecc_sw_bch_correct" },
	{ 0x47aa08b1, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x9a226232, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x5da3ffa2, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x4a0d8c02, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x922986d0, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8f76744f, "nand_ecc_is_strong_enough" },
	{ 0x6d273f04, "mtd_write_oob" },
	{ 0x9492d7a6, "nand_get_small_page_ooblayout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa13adec6, "of_get_nand_ecc_user_config" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd6c0c9ba, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa8677093, "of_property_count_elems_of_size" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x205c90e1, "of_property_read_string" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x5152e605, "memcmp" },
	{ 0x1efd988d, "mtd_read" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd942f129, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9be17084, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa369059, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51a09d4a, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd5c1522, "mtd_ooblayout_get_databytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd35f75a1, "match_string" },
	{ 0xdd3c2a06, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbc83268a, "nanddev_mtd_max_bad_blocks" },
	{ 0x1a896fa5, "nand_ecc_sw_bch_calculate" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "38487AC1F2E471D5B2EAABF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
