#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x4e4ceaa4, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x919f08ce, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x660cf119, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x5cf9a1fb, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xcdb8a340, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xa5ac2719, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xa4f2b842, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x8fc0494d, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x609edd02, "_gpl");
SYMBOL_CRC(can_bus_off, 0xe7fe4571, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xaa3b7c3f, "_gpl");
SYMBOL_CRC(free_candev, 0x12d5cb20, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x5850ec89, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xc385564e, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x812914ea, "");
SYMBOL_CRC(open_candev, 0x2a8e44d3, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xa91d4c1c, "_gpl");
SYMBOL_CRC(close_candev, 0x0d13d9e5, "_gpl");
SYMBOL_CRC(register_candev, 0x0c37568b, "_gpl");
SYMBOL_CRC(unregister_candev, 0x00b9fc50, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xb764a866, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x5db33106, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xc8369f79, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x52405005, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x5542c64e, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb, 0xebe894ea, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0xac70b878, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xf7532ec2, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xcc44a76a, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x2911d001, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xd3a210ac, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x47a4826e, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x681e43f8, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x2f1bc94b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf8357786, "of_node_put" },
	{ 0x3c635844, "skb_put" },
	{ 0xb28a66cb, "gpiod_set_value" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x572833d, "netdev_warn" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0x39e04af8, "of_get_child_by_name" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9f670c34, "sock_efree" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C88A97F550988796E5F528B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
