#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_init_ram, 0xfbb4918e, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x667fe4df, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x83bc442b, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xcabcbe76, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x980c4783, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x02e88564, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x7fca5519, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xfeba8e1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0xebdd1a89, "fwnode_property_read_u32_array" },
	{ 0xaa3b7c3f, "alloc_candev_mqs" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xa537328e, "_dev_err" },
	{ 0x12d5cb20, "free_candev" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x660cf119, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x572833d, "netdev_warn" },
	{ 0xebe894ea, "can_rx_offload_get_echo_skb" },
	{ 0x919f08ce, "can_get_echo_skb" },
	{ 0xb9fc50, "unregister_candev" },
	{ 0x2f1bc94b, "can_rx_offload_del" },
	{ 0x59cb2a06, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4e4ceaa4, "can_put_echo_skb" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8fc0494d, "can_dropped_invalid_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd737de3f, "netdev_printk" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd13d9e5, "close_candev" },
	{ 0x2bd609ff, "phy_power_off" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x47a4826e, "can_rx_offload_add_manual" },
	{ 0xc37568b, "register_candev" },
	{ 0xa91d4c1c, "of_can_transceiver" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0x4e156bc6, "pinctrl_pm_select_sleep_state" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xbcf3ab1d, "phy_power_on" },
	{ 0x2a8e44d3, "open_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x681e43f8, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x53fd1f28, "pinctrl_pm_select_default_state" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbdc0494c, "netif_device_attach" },
	{ 0xe7fe4571, "can_bus_off" },
	{ 0xa4f2b842, "alloc_can_err_skb" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0x5542c64e, "can_rx_offload_queue_timestamp" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0xcdb8a340, "alloc_canfd_skb" },
	{ 0x5cf9a1fb, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xcc44a76a, "can_rx_offload_threaded_irq_finish" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0x5850ec89, "can_change_mtu" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "A44AFBAE14E32E7CEA66F37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
