#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xca8e23b0, "usb_anchor_urb" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x660cf119, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4e4ceaa4, "can_put_echo_skb" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x919f08ce, "can_get_echo_skb" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcdb8a340, "alloc_canfd_skb" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x572833d, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2a8e44d3, "open_candev" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69308dac, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cf9a1fb, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x738803e6, "strnlen" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0xb9fc50, "unregister_candev" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x609edd02, "can_change_state" },
	{ 0x5850ec89, "can_change_mtu" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x8fc0494d, "can_dropped_invalid_skb" },
	{ 0xa537328e, "_dev_err" },
	{ 0x12d5cb20, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaa3b7c3f, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd737de3f, "netdev_printk" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xd13d9e5, "close_candev" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe7fe4571, "can_bus_off" },
	{ 0xe1e7eec, "usb_unanchor_urb" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeea0399, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7278abd4, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa4f2b842, "alloc_can_err_skb" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc37568b, "register_candev" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,can-dev");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "5FF51C22B2D59D3F85FA2A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
