#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x687ecdac, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x4f8811dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb0f8c3e9, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf4445e9e, "param_ops_ushort" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x731b76b0, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2e2cb1ec, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x82e54bbf, "ndo_dflt_bridge_getlink" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x5486f6d3, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xd922411c, "pci_num_vf" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb60f1d26, "pci_sriov_get_totalvfs" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x725aa112, "udp_tunnel_nic_ops" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x234787d3, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x57fb5cce, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0x6a48ecce, "__hw_addr_unsync_dev" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xbdc0494c, "netif_device_attach" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xa537328e, "_dev_err" },
	{ 0x4e43f022, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x81a70fbe, "netif_set_real_num_tx_queues" },
	{ 0xc13d51b8, "netif_set_real_num_rx_queues" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xc0e30161, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0x56a018e9, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x73fad14b, "pci_iounmap" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x214fa885, "devm_hwmon_device_register_with_groups" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x1395bf65, "netif_tx_lock" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xeea0399, "strscpy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x465bb5d, "pci_enable_wake" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x790280c9, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x152c2f1e, "__hw_addr_sync_dev" },
	{ 0xad0751f5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0x42d0b24b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x113ecc5d, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xf8978af3, "pci_sriov_set_totalvfs" },
	{ 0xd0d8621b, "strlen" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdcaaa310, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "88A4E901DF61B53C7C0A8BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
