#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_interface, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_interface, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_protocol_dev, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_bond, "_gpl", "");
KSYMTAB_FUNC(mlx4_unbond, "_gpl", "");
KSYMTAB_FUNC(mlx4_port_map_set, "_gpl", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x08789c36, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x159784c6, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x6ea80954, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x5d8067a3, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x4316a3c8, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x15b1f98c, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x351fbda2, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x33e58d7f, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xd81209b6, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x43ed9636, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x3f03ea32, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x5aad036d, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x6dcda3aa, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xcb23e997, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x0a7b79b2, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x026b212d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xc10e3951, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x9fc97a7f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xc7727bc7, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x3e47716c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x4becaccc, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xcbdec96a, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x061a1dc2, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x3c47ef18, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x45539a29, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xdb3e3dc9, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x6b0b6a01, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x8e986330, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xcf693ae5, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xe1bf8d00, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x4d8e6e46, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x261ecf2c, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x4ade784d, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x4a0d40ef, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xa8292451, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x2e470648, "");
SYMBOL_CRC(mlx4_test_async, 0x6df1fba9, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xa70598db, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x39f0f3a8, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xdb09cf34, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xb6e39462, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x44d2f02b, "");
SYMBOL_CRC(mlx4_assign_eq, 0x76b0acc6, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xa67abae4, "");
SYMBOL_CRC(mlx4_release_eq, 0xc530c5ab, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xa38a0ba6, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x1870cfce, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x70296af5, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xb828f8b1, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x1f26d4a1, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xc8f5ebed, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x71418ed5, "");
SYMBOL_CRC(mlx4_wol_read, 0xd44a31df, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xc11b3331, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x9b78d8ad, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x5addef5b, "");
SYMBOL_CRC(set_phv_bit, 0x712ceb75, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x69b598e6, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xf046bb62, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x3e2297f2, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xe2f46160, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xeff7f942, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xffeb8870, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x32361a9b, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x46893844, "");
SYMBOL_CRC(mlx4_register_interface, 0x41b38cd4, "_gpl");
SYMBOL_CRC(mlx4_unregister_interface, 0xa3f522c7, "_gpl");
SYMBOL_CRC(mlx4_get_protocol_dev, 0x2f5ef904, "_gpl");
SYMBOL_CRC(mlx4_get_devlink_port, 0x2b79998d, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xcee90abc, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xdf527832, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x12a5cedb, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x76ca8bf8, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x646671ef, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_bond, 0xf2af3080, "_gpl");
SYMBOL_CRC(mlx4_unbond, 0xad0ad7b6, "_gpl");
SYMBOL_CRC(mlx4_port_map_set, 0x003a0455, "_gpl");
SYMBOL_CRC(mlx4_read_clock, 0xf7a0607d, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xa67ade3d, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x77da9798, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xd4a758b3, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x2278224b, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x6a5cde29, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xa1c563fc, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xb2869ba8, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x6bbff4b0, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x19b642dc, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xa32c2da5, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xae567b6b, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x80531209, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xa242b0e4, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x00eb145d, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x08744f39, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xaba6faa4, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xdfa44dfe, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x909931d5, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x71584143, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x8770a829, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xefdcd63b, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xcd507bbf, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x8739a427, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xf374ceab, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x6fbdd456, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x09ebfcea, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x384663fb, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x59ab09da, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x0810763d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x8d4614fa, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x263c29ae, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x8aa26e11, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x78581678, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xbb262603, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xdf3dde1f, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x5a8795c8, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x663cd7a4, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x341e71b0, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xa5ce2963, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x1ff7939a, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x2387a95e, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xc66bb365, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xb74d9306, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x2d618562, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x927c8890, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x7e64d429, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xb3e9f522, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x206f27ff, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x4e52c084, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x35be9ce0, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x1a073dca, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x2ba5b42b, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xd93ef0ed, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xa262076e, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x6d7ed0a7, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x15735c3a, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x5a15dd29, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x31eef8e2, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x5517d720, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x879fd8fb, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x0c5f1b27, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x65d2532b, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x622a910b, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x4433b373, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x4b412a53, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x2c63f60d, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x77ff047c, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xcb44ca00, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xf10c7487, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x7067e780, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xbaf6faa5, "");
SYMBOL_CRC(mlx4_get_module_info, 0x07d66223, "");
SYMBOL_CRC(mlx4_max_tc, 0x5d5f5b15, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xd5116010, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xcbda34b0, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x026f9dea, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x476a531a, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x2795fc94, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x3cc6c217, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x0fecafc6, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x637fd33d, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xd5a11c5b, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xdb862abb, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xed87b39b, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xd294cbbc, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x965f5d5d, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xf0069513, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549c9de2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbd314ae5, "pcie_capability_write_word" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xec7d8206, "devl_region_create" },
	{ 0xf2258487, "devlink_unregister" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb758ff09, "devlink_region_snapshot_id_get" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb6dd92dd, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd922411c, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b45d62, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb60f1d26, "pci_sriov_get_totalvfs" },
	{ 0xe680e63, "devlink_register" },
	{ 0x5bc7592b, "devlink_port_type_clear" },
	{ 0x9d737228, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe6faeca4, "param_ops_byte" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x130a8c67, "iomap_free" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xeb0ca2c5, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7277b9d9, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x57fb5cce, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x738803e6, "strnlen" },
	{ 0x29270ea, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x10878adf, "__free_pages" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x212771a, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xc5d1427e, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb70d2cfa, "iomap_create_wc" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x5aa3c5df, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x947663e4, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x565f9cde, "__alloc_pages" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95ae8516, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x539b7732, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0x73a5f767, "devl_assert_locked" },
	{ 0x5c09cd27, "pcie_print_link_status" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x70d8cb1b, "devl_port_unregister" },
	{ 0x722bd06b, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56991684, "devlink_priv" },
	{ 0xad0751f5, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x42d0b24b, "pci_disable_msix" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd0d8621b, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdcaaa310, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0xc468e0a7, "devl_param_value_changed" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E56C31B22B4323F52856CC9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
