#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_vector2eqn, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_count, "", "");
KSYMTAB_FUNC(mlx5_comp_irq_get_affinity_mask, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x7a1a7e9a, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xcf5e8e02, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xebb7ea1a, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xed51a369, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xf68bd69d, "");
SYMBOL_CRC(mlx5_cmd_check, 0x1ffb385c, "");
SYMBOL_CRC(mlx5_cmd_do, 0x8493f8d7, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xcfa1d3cc, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x02c501ce, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x45e914d0, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xeddc0f9b, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xcf469a92, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x70d87b77, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x3323446e, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x150d6395, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x0621d8ae, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xa79302c4, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x85e09577, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x3a44bb3a, "");
SYMBOL_CRC(mlx5_eq_enable, 0x61bf81f0, "");
SYMBOL_CRC(mlx5_eq_disable, 0x3b6e7494, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xc1b75f7b, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x3e60cbe1, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x3e8261a0, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xf6fc354a, "");
SYMBOL_CRC(mlx5_vector2eqn, 0x65a396c9, "");
SYMBOL_CRC(mlx5_comp_vectors_count, 0xfe344569, "");
SYMBOL_CRC(mlx5_comp_irq_get_affinity_mask, 0xb005cdbd, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x5e7723c3, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x2c20876d, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x6b09641d, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x96ff8b67, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xba18c46e, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x69d63f3d, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x2d6da615, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x024f82a2, "");
SYMBOL_CRC(mlx5_create_cq, 0xc3ba28f8, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xca849307, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x405ff33c, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x580744f6, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xbc68c23e, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x232358e0, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x43c56059, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x1ebeaa74, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x2e2f20b5, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xa9eda575, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xea176a8c, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x19c2a84f, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xe56c3bf9, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xd9015899, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x6bd02c6c, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xa2298046, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x1ca64b0e, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x0ebfd887, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x4c84bc89, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xb00e885f, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xf01c7321, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x895049ce, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x4a2a0e62, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x3d631a05, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xd495fb4a, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x5e2c4239, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x693e2704, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xce514783, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x83f43e28, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x9e702489, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xc1c8f484, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xca2e8276, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xb9e08cf2, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x2d76366b, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xc990340b, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x83661705, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xc152cefe, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xef326184, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x4cb54e8c, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xaea44a26, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x8d7909f8, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x2a745ef0, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x4f7ad100, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x48e3da9f, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x3184ceed, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x0f713d72, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x84958a46, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xa2d13f68, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x7163e44c, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x920488f3, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x152d44da, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xc9ac28b6, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x13cf720a, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x4867d24f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x5d5338d1, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xa9716544, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x6282d61d, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x6d91e406, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xa4ea2216, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xff53ffc2, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x0383e0ca, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xd871f293, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xbba12a62, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xe517944d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x86475156, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xa8495694, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x93105f1c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x5a6c695e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xa64a349c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x7aea3305, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x3d591a63, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xbde333f1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x562dc86b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x95df90bf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x66029706, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x12fdea9c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x318a8b16, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xfe34526b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x6e082e41, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x797aaf35, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x896e63a3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xfa996948, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x01c1c945, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x2439763f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xaefebf29, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x8aa34a96, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xa34e1275, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xda233371, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x46a2d05f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xc0b249f5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xdcebe0dc, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xc3add09c, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x25944af6, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xc5544c65, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xed23f496, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x66474692, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x52505e70, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x111c1b3a, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xdd0bcd82, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x5fc0d96d, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x5870b10a, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x7e7cc4de, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xf8afa157, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xff099f1b, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xe5ee8e11, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x26fc2e5e, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xb24c7904, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x71796ec4, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xeef0351a, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xcc6a1f8c, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x2c255162, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xde3fa02d, "");
SYMBOL_CRC(mlx5_msix_free, 0x7e39b3c1, "");
SYMBOL_CRC(mlx5_fc_create, 0x3c1987c8, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xf073eb57, "");
SYMBOL_CRC(mlx5_fc_query, 0xa4fa297d, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xc8d029c1, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x72a58ca4, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x90e02596, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x8ba516e3, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x6a33425b, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x135ff637, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xd3c84d94, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x198fd318, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x6cc625a9, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x57f2e586, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x3c4cca85, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xe7017a80, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x449ca387, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x3b7c6686, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x04505f86, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x54034793, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x12bb218d, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xd8f2b6e6, "");
SYMBOL_CRC(mlx5_notifier_register, 0x646cc5db, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xe2ca8102, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x77b715d4, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xe3815cc2, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x43b501a5, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x3504797d, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x7e24668c, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x04174773, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xce3db85b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb8bc66c5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xe24ccfc5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x4d9d948b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x6bf49e26, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xeb813c2e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x7feeeea4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x27e37be4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x3571c00e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xd1804508, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x5c2b035c, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x1bb61b23, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x18ac0252, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x86011403, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x99132fa7, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x3f0b9a82, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xd6246268, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x564fa242, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x3b555445, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x687527da, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xa1317f79, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x8e36e875, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x0b841326, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x370fff76, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x7b6f5e0e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x3efd0e85, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xfa10d449, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x6528ad76, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x78d475a4, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x4a600bb1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x7269904b, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x2d14fadb, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x9bcc4f97, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x3c05f4f6, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x0dceca5f, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x5abbb718, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xbfc32d19, "__inet_lookup_established" },
	{ 0xfcaeab5c, "xsk_tx_completed" },
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0xf3228352, "netdev_lower_get_next" },
	{ 0x7954a4ab, "secpath_set" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0x90affc39, "flow_block_cb_lookup" },
	{ 0x840b2688, "thermal_zone_device_unregister" },
	{ 0xe914e41e, "strcpy" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0x569c35bd, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f1f1f02, "devl_rate_leaf_create" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa9c7ee04, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xcdfadd91, "thermal_zone_device_priv" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x58d59ca9, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xde1835a7, "bpf_prog_put" },
	{ 0xf8c0605e, "page_pool_get_stats" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b7532d, "pci_cfg_access_unlock" },
	{ 0xbf5bee35, "xp_dma_map" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf2258487, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfabf52b, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x3c635844, "skb_put" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb44211a8, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x739d7129, "__napi_alloc_skb" },
	{ 0x2b4aa87b, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xea88874, "register_fib_notifier" },
	{ 0x8f23a306, "auxiliary_device_init" },
	{ 0xeedfad0a, "ip6_dst_hoplimit" },
	{ 0xdf6e6d83, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x27ed16a1, "flow_rule_match_enc_ip" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0x7919be8b, "pci_enable_atomic_ops_to_root" },
	{ 0x6e7caf23, "seq_release" },
	{ 0x9ddea225, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x94fcdc05, "xsk_clear_tx_need_wakeup" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcae90b57, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xb6dd92dd, "devl_lock" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0x2a0c98a8, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x82e54bbf, "ndo_dflt_bridge_getlink" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x3c4a8951, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x915d3e51, "flow_rule_match_tcp" },
	{ 0x12ec2ab7, "register_netdevice_notifier_dev_net" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x953dad71, "devlink_health_reporter_create" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa41662e6, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x75637d2b, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xd922411c, "pci_num_vf" },
	{ 0xb7a79de6, "debugfs_create_atomic_t" },
	{ 0x71bfb046, "flow_rule_match_eth_addrs" },
	{ 0xc571eded, "skb_add_rx_frag" },
	{ 0xd97ea6a8, "xfrm_state_check_expire" },
	{ 0x96fa3e79, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x861a5bc1, "ptp_clock_index" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xf8434f50, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc1715bd6, "xp_can_alloc" },
	{ 0x2466aba3, "psample_sample_packet" },
	{ 0x931e8c7a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b45d62, "devlink_alloc_ns" },
	{ 0x499938a1, "devl_rate_leaf_destroy" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb60f1d26, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe680e63, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9784a8f6, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x8e7a9812, "page_pool_destroy" },
	{ 0x45c5f417, "xdp_do_redirect" },
	{ 0x9d737228, "devlink_free" },
	{ 0x3c0edf5, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x572833d, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x725aa112, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3c22e5a1, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xa17b2312, "pci_irq_vector" },
	{ 0xabc03e3e, "flow_rule_match_ipv4_addrs" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xec7a94ff, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x512edbb3, "sock_gen_put" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xc1b480d1, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7896e056, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x2c474daa, "netdev_port_same_parent_id" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x5013e04b, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x85638360, "ptp_find_pin" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0x175921b0, "request_firmware_direct" },
	{ 0x73419967, "flow_rule_match_icmp" },
	{ 0xe7086fa6, "auxiliary_driver_unregister" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc44e1000, "devlink_port_attrs_pci_vf_set" },
	{ 0x7277b9d9, "priv_to_devlink" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0x8f10b04f, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x6156c7f4, "net_dim" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x7222939b, "devlink_port_health_reporter_create" },
	{ 0xf0200f79, "pcie_relaxed_ordering_enabled" },
	{ 0xa4b15e67, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x29270ea, "kmalloc_node_trace" },
	{ 0x4ced3211, "devlink_port_attrs_pci_pf_set" },
	{ 0x4251a720, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x58c2d5c1, "skb_vlan_pop" },
	{ 0xfdd3e65e, "napi_gro_receive" },
	{ 0xbdc0494c, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x2c171ce4, "netdev_pick_tx" },
	{ 0xc6f7e0ab, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x6f93f14e, "xp_raw_get_dma" },
	{ 0xa84a5812, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x184e21cd, "xdp_rxq_info_is_reg" },
	{ 0xee159566, "flow_rule_match_enc_opts" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x4fccd6e6, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x37a0bbb, "free_fib_info" },
	{ 0xdea8a5b, "devl_health_reporter_create" },
	{ 0xce5ae977, "flow_block_cb_setup_simple" },
	{ 0x19826d30, "pci_msix_can_alloc_dyn" },
	{ 0x645a36ad, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1459299, "unregister_netdevice_notifier_dev_net" },
	{ 0xcf6f5f1a, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xff505736, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xe759c783, "flow_rule_match_ct" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xf8ef77a9, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa2972ae7, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x357bcaf3, "devlink_port_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e43f022, "softnet_data" },
	{ 0xb942aeaa, "ipv6_stub" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x82c763d6, "bus_find_device" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x50519f11, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x40df9540, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x160217b8, "xp_dma_sync_for_cpu_slow" },
	{ 0x70869166, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x81a70fbe, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x59bee194, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf8c0ad3b, "irq_get_irq_data" },
	{ 0xba18028e, "dev_remove_pack" },
	{ 0xc13d51b8, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xd3254432, "dev_get_by_index" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0xea99c10, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x17d374f9, "skb_store_bits" },
	{ 0xc5d1427e, "devl_port_register_with_ops" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd737de3f, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x728a89e, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x5d74f3b5, "pcie_capability_clear_and_set_word_locked" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xfc3f3589, "strscpy_pad" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd8e479d4, "xsk_clear_rx_need_wakeup" },
	{ 0x66d0b848, "unregister_netdevice_notifier_net" },
	{ 0xf6f97c3a, "xsk_uses_need_wakeup" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0x8822ca62, "unregister_fib_notifier" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4d6c08c, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x39144b76, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x3a069ccb, "debugfs_create_size_t" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x5aa3c5df, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x56a018e9, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa440d121, "flow_keys_dissector" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x42f73720, "__inet6_lookup_established" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x61a4149e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x87dbe4b1, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xb4127068, "page_pool_create" },
	{ 0xe42d9a57, "skb_checksum" },
	{ 0xa4342a2, "page_pool_put_defragged_page" },
	{ 0x947663e4, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2e79bde4, "flow_rule_match_ports" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x77114938, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe1798f68, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x7fcc5d41, "netif_schedule_queue" },
	{ 0x565f9cde, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x37f25a48, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b92ca4, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x98a0f1dc, "flow_rule_match_ipv6_addrs" },
	{ 0x5b127449, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x95ae8516, "devl_params_unregister" },
	{ 0x34c9c4ed, "ptp_clock_unregister" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x7444a7b2, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x59c5de6a, "devlink_trap_report" },
	{ 0xa464054a, "__neigh_event_send" },
	{ 0xb9f6ee66, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0x1762295c, "dev_printk_emit" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6c89c07, "devl_traps_register" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x539b7732, "devl_unlock" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x4319fd95, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xb1d86ce8, "flow_rule_match_enc_control" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe6a87822, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x4bc0a945, "rps_may_expire_flow" },
	{ 0x9202207e, "metadata_dst_free" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xe8a9fbb6, "xsk_set_tx_need_wakeup" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x274335d5, "netdev_reset_tc" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x93962be7, "debugfs_create_x32" },
	{ 0xd3c89c9, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x62865aa6, "flow_rule_match_enc_ports" },
	{ 0xddbb930a, "xdp_return_frame_bulk" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7f64d087, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x73a5f767, "devl_assert_locked" },
	{ 0x5c09cd27, "pcie_print_link_status" },
	{ 0x4e235e69, "xp_set_rxq_info" },
	{ 0xf8d4f102, "flow_rule_match_vlan" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x70d8cb1b, "devl_port_unregister" },
	{ 0xe2f9d2e5, "xdp_rxq_info_unreg" },
	{ 0xd34a866c, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x722bd06b, "devl_param_driverinit_value_get" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xa4d12fff, "napi_build_skb" },
	{ 0x99a264fd, "netdev_master_upper_dev_get_rcu" },
	{ 0x790280c9, "__folio_put" },
	{ 0xb59772e9, "__xdp_rxq_info_reg" },
	{ 0xc43d2559, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb6f3324, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x58f998d4, "bpf_prog_inc" },
	{ 0x1916f770, "rhltable_init" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaa78df37, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x24f13693, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56991684, "devlink_priv" },
	{ 0xb3269aac, "devlink_port_register_with_ops" },
	{ 0xad0751f5, "pci_disable_sriov" },
	{ 0x8919559a, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xa922289e, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x11921a42, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xfc097601, "seq_puts" },
	{ 0x2c8d63a0, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcb2dfe41, "page_pool_update_nid" },
	{ 0xd4690780, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xc20c5a5d, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x113ecc5d, "netif_set_tso_max_size" },
	{ 0x28d44c48, "vlan_dev_vlan_id" },
	{ 0x458edfe9, "__skb_flow_dissect" },
	{ 0x27dbed68, "pci_msix_alloc_irq_at" },
	{ 0xd790bd7e, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xb08b4753, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6e5505c0, "xp_raw_get_data" },
	{ 0xc574f7c8, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xd69f62f0, "page_address" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x1cae33fb, "qdisc_reset" },
	{ 0x3105e3, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x2d30d874, "xp_alloc_batch" },
	{ 0x4a00e6a4, "flow_rule_match_mpls" },
	{ 0xd0d8621b, "strlen" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xaabc0e0e, "dcb_ieee_delapp" },
	{ 0x2ee8dd3c, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1c32a8b6, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x20690101, "debugfs_create_u8" },
	{ 0xda4bba79, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd114ad79, "skb_ext_add" },
	{ 0xd2bd763d, "pcie_bandwidth_available" },
	{ 0xa9eadfb3, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xdd2d7147, "flow_rule_match_control" },
	{ 0xa3fd384, "flow_rule_match_ip" },
	{ 0xdcaaa310, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x5904228b, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf8cfd7a2, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4e256d1a, "xsk_tx_release" },
	{ 0xf1538507, "devl_traps_unregister" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xfe64ed35, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x1c6a84d0, "neigh_lookup" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ptp,psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "13CA25711A618C94E760607");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
