#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxsw_core_port_driver_priv, "", "");
KSYMTAB_FUNC(mlxsw_core_max_ports, "", "");
KSYMTAB_FUNC(mlxsw_core_max_lag, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_priv, "", "");
KSYMTAB_FUNC(mlxsw_core_fw_rev_minor_subminor_validate, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_bus_device_register, "", "");
KSYMTAB_FUNC(mlxsw_core_bus_device_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_transmit_busy, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_transmit, "", "");
KSYMTAB_FUNC(mlxsw_core_ptp_transmitted, "", "");
KSYMTAB_FUNC(mlxsw_core_rx_listener_register, "", "");
KSYMTAB_FUNC(mlxsw_core_rx_listener_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_event_listener_register, "", "");
KSYMTAB_FUNC(mlxsw_core_event_listener_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_register, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_traps_register, "", "");
KSYMTAB_FUNC(mlxsw_core_traps_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_state_set, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_query, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_write, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_bulk_wait, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handler_register, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handler_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handlers_call, "", "");
KSYMTAB_FUNC(mlxsw_reg_query, "", "");
KSYMTAB_FUNC(mlxsw_reg_write, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_receive, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_set, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_get, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_clear, "", "");
KSYMTAB_FUNC(mlxsw_core_res_valid, "", "");
KSYMTAB_FUNC(mlxsw_core_res_get, "", "");
KSYMTAB_FUNC(mlxsw_core_port_init, "", "");
KSYMTAB_FUNC(mlxsw_core_port_fini, "", "");
KSYMTAB_FUNC(mlxsw_core_cpu_port_init, "", "");
KSYMTAB_FUNC(mlxsw_core_cpu_port_fini, "", "");
KSYMTAB_FUNC(mlxsw_core_port_netdev_link, "", "");
KSYMTAB_FUNC(mlxsw_core_port_devlink_port_get, "", "");
KSYMTAB_FUNC(mlxsw_cmd_exec, "", "");
KSYMTAB_FUNC(mlxsw_core_schedule_dw, "", "");
KSYMTAB_FUNC(mlxsw_core_schedule_work, "", "");
KSYMTAB_FUNC(mlxsw_core_flush_owq, "", "");
KSYMTAB_FUNC(mlxsw_core_kvd_sizes_get, "", "");
KSYMTAB_FUNC(mlxsw_core_resources_query, "", "");
KSYMTAB_FUNC(mlxsw_core_read_frc_h, "", "");
KSYMTAB_FUNC(mlxsw_core_read_frc_l, "", "");
KSYMTAB_FUNC(mlxsw_core_read_utc_sec, "", "");
KSYMTAB_FUNC(mlxsw_core_read_utc_nsec, "", "");
KSYMTAB_FUNC(mlxsw_core_sdq_supports_cqe_v2, "", "");
KSYMTAB_FUNC(mlxsw_afk_create, "", "");
KSYMTAB_FUNC(mlxsw_afk_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_put, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_subset, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_block_encoding_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_blocks_count_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_values_add_u32, "", "");
KSYMTAB_FUNC(mlxsw_afk_values_add_buf, "", "");
KSYMTAB_FUNC(mlxsw_afk_encode, "", "");
KSYMTAB_FUNC(mlxsw_afk_clear, "", "");
KSYMTAB_FUNC(mlxsw_afa_create, "", "");
KSYMTAB_FUNC(mlxsw_afa_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_create, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_commit, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_first_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_cur_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_first_kvdl_index, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_activity_get, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_continue, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_jump, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_terminate, "", "");
KSYMTAB_FUNC(mlxsw_afa_cookie_lookup, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_vlan_modify, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_drop, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_trap, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_trap_and_forward, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_mirror, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_dsfield, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_dscp, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_ecn, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_switch_prio, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_fwd, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_allocated_counter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_counter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_police, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_fid_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_mcrouter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_ip, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_l4port, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_sampler, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_info, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_eeprom, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_eeprom_by_page, "", "");
KSYMTAB_FUNC(mlxsw_env_reset_module, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_power_mode, "", "");
KSYMTAB_FUNC(mlxsw_env_set_module_power_mode, "", "");
KSYMTAB_FUNC(mlxsw_env_module_overheat_counter_get, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_map, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_unmap, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_up, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_down, "", "");
KSYMTAB_FUNC(mlxsw_linecards_event_ops_register, "", "");
KSYMTAB_FUNC(mlxsw_linecards_event_ops_unregister, "", "");

SYMBOL_CRC(mlxsw_core_port_driver_priv, 0x63874d4c, "");
SYMBOL_CRC(mlxsw_core_max_ports, 0x0ca34ccf, "");
SYMBOL_CRC(mlxsw_core_max_lag, 0xd21722b4, "");
SYMBOL_CRC(mlxsw_core_driver_priv, 0xbfb7df3c, "");
SYMBOL_CRC(mlxsw_core_fw_rev_minor_subminor_validate, 0xcbab836f, "");
SYMBOL_CRC(mlxsw_core_driver_register, 0x8c6a5fdd, "");
SYMBOL_CRC(mlxsw_core_driver_unregister, 0xa84e744b, "");
SYMBOL_CRC(mlxsw_core_bus_device_register, 0x2c1a1f91, "");
SYMBOL_CRC(mlxsw_core_bus_device_unregister, 0x5cf3dd79, "");
SYMBOL_CRC(mlxsw_core_skb_transmit_busy, 0xac1074a5, "");
SYMBOL_CRC(mlxsw_core_skb_transmit, 0x04752a56, "");
SYMBOL_CRC(mlxsw_core_ptp_transmitted, 0x9e3d8f51, "");
SYMBOL_CRC(mlxsw_core_rx_listener_register, 0xc5a2b6d6, "");
SYMBOL_CRC(mlxsw_core_rx_listener_unregister, 0x713dc0a9, "");
SYMBOL_CRC(mlxsw_core_event_listener_register, 0x7e08c6e0, "");
SYMBOL_CRC(mlxsw_core_event_listener_unregister, 0xd7a93413, "");
SYMBOL_CRC(mlxsw_core_trap_register, 0xa0aa2014, "");
SYMBOL_CRC(mlxsw_core_trap_unregister, 0x9ed3fa0d, "");
SYMBOL_CRC(mlxsw_core_traps_register, 0x24440af8, "");
SYMBOL_CRC(mlxsw_core_traps_unregister, 0x9b677939, "");
SYMBOL_CRC(mlxsw_core_trap_state_set, 0x65803f7b, "");
SYMBOL_CRC(mlxsw_reg_trans_query, 0xaa600760, "");
SYMBOL_CRC(mlxsw_reg_trans_write, 0x3f672008, "");
SYMBOL_CRC(mlxsw_reg_trans_bulk_wait, 0x996c5d6d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_register, 0xd111d3e8, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_unregister, 0x16f4221d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handlers_call, 0xbda212df, "");
SYMBOL_CRC(mlxsw_reg_query, 0xa7765e88, "");
SYMBOL_CRC(mlxsw_reg_write, 0x8854d198, "");
SYMBOL_CRC(mlxsw_core_skb_receive, 0x7e2f6f16, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_set, 0xf82bdc70, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_get, 0x83fb69af, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_clear, 0x75339042, "");
SYMBOL_CRC(mlxsw_core_res_valid, 0x4765b9f0, "");
SYMBOL_CRC(mlxsw_core_res_get, 0xc31fbb6a, "");
SYMBOL_CRC(mlxsw_core_port_init, 0x508923e3, "");
SYMBOL_CRC(mlxsw_core_port_fini, 0x7b0bfeec, "");
SYMBOL_CRC(mlxsw_core_cpu_port_init, 0x23eddc68, "");
SYMBOL_CRC(mlxsw_core_cpu_port_fini, 0xff007c25, "");
SYMBOL_CRC(mlxsw_core_port_netdev_link, 0x221dd91f, "");
SYMBOL_CRC(mlxsw_core_port_devlink_port_get, 0x2cd11009, "");
SYMBOL_CRC(mlxsw_cmd_exec, 0x57e736af, "");
SYMBOL_CRC(mlxsw_core_schedule_dw, 0xeca0348c, "");
SYMBOL_CRC(mlxsw_core_schedule_work, 0xbbd7a457, "");
SYMBOL_CRC(mlxsw_core_flush_owq, 0x19fa5852, "");
SYMBOL_CRC(mlxsw_core_kvd_sizes_get, 0x50359cc0, "");
SYMBOL_CRC(mlxsw_core_resources_query, 0xdc5c95df, "");
SYMBOL_CRC(mlxsw_core_read_frc_h, 0x2c68ced3, "");
SYMBOL_CRC(mlxsw_core_read_frc_l, 0x77d83398, "");
SYMBOL_CRC(mlxsw_core_read_utc_sec, 0x0f4a209d, "");
SYMBOL_CRC(mlxsw_core_read_utc_nsec, 0x86817014, "");
SYMBOL_CRC(mlxsw_core_sdq_supports_cqe_v2, 0x5c73d5a4, "");
SYMBOL_CRC(mlxsw_afk_create, 0xd1bab622, "");
SYMBOL_CRC(mlxsw_afk_destroy, 0x0e81c09c, "");
SYMBOL_CRC(mlxsw_afk_key_info_get, 0xe532482a, "");
SYMBOL_CRC(mlxsw_afk_key_info_put, 0x15801382, "");
SYMBOL_CRC(mlxsw_afk_key_info_subset, 0xf446732c, "");
SYMBOL_CRC(mlxsw_afk_key_info_block_encoding_get, 0x02dfd3d0, "");
SYMBOL_CRC(mlxsw_afk_key_info_blocks_count_get, 0x47041e4e, "");
SYMBOL_CRC(mlxsw_afk_values_add_u32, 0x16673aec, "");
SYMBOL_CRC(mlxsw_afk_values_add_buf, 0x299e2562, "");
SYMBOL_CRC(mlxsw_afk_encode, 0x5d55fb68, "");
SYMBOL_CRC(mlxsw_afk_clear, 0xbc222a8d, "");
SYMBOL_CRC(mlxsw_afa_create, 0xf63b40cf, "");
SYMBOL_CRC(mlxsw_afa_destroy, 0x9cbf026d, "");
SYMBOL_CRC(mlxsw_afa_block_create, 0x858c30d0, "");
SYMBOL_CRC(mlxsw_afa_block_destroy, 0x5ff17b5c, "");
SYMBOL_CRC(mlxsw_afa_block_commit, 0x618a30ab, "");
SYMBOL_CRC(mlxsw_afa_block_first_set, 0x829e8851, "");
SYMBOL_CRC(mlxsw_afa_block_cur_set, 0x202693f0, "");
SYMBOL_CRC(mlxsw_afa_block_first_kvdl_index, 0xdeb1dc2e, "");
SYMBOL_CRC(mlxsw_afa_block_activity_get, 0xe16986dd, "");
SYMBOL_CRC(mlxsw_afa_block_continue, 0xdc415cf1, "");
SYMBOL_CRC(mlxsw_afa_block_jump, 0x827a2f1f, "");
SYMBOL_CRC(mlxsw_afa_block_terminate, 0x43a9b87e, "");
SYMBOL_CRC(mlxsw_afa_cookie_lookup, 0xecab212a, "");
SYMBOL_CRC(mlxsw_afa_block_append_vlan_modify, 0x718d28f4, "");
SYMBOL_CRC(mlxsw_afa_block_append_drop, 0xe4d9ac5a, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap, 0x07abcc0c, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap_and_forward, 0xb6517b2e, "");
SYMBOL_CRC(mlxsw_afa_block_append_mirror, 0x620d03e7, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dsfield, 0x2f303cd3, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dscp, 0x383bc49a, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_ecn, 0x0d0129fc, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_switch_prio, 0x65c7e645, "");
SYMBOL_CRC(mlxsw_afa_block_append_fwd, 0xff0b141d, "");
SYMBOL_CRC(mlxsw_afa_block_append_allocated_counter, 0xd28256cf, "");
SYMBOL_CRC(mlxsw_afa_block_append_counter, 0xa509fafd, "");
SYMBOL_CRC(mlxsw_afa_block_append_police, 0x49ec8a06, "");
SYMBOL_CRC(mlxsw_afa_block_append_fid_set, 0xe1860dde, "");
SYMBOL_CRC(mlxsw_afa_block_append_mcrouter, 0xd9f711ae, "");
SYMBOL_CRC(mlxsw_afa_block_append_ip, 0xd888ffb3, "");
SYMBOL_CRC(mlxsw_afa_block_append_l4port, 0xc5eacafe, "");
SYMBOL_CRC(mlxsw_afa_block_append_sampler, 0xa8e2509a, "");
SYMBOL_CRC(mlxsw_env_get_module_info, 0xb9e47edc, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom, 0xfb426d35, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom_by_page, 0x4866767a, "");
SYMBOL_CRC(mlxsw_env_reset_module, 0x413cdbd3, "");
SYMBOL_CRC(mlxsw_env_get_module_power_mode, 0x4a558271, "");
SYMBOL_CRC(mlxsw_env_set_module_power_mode, 0x14d6ca2e, "");
SYMBOL_CRC(mlxsw_env_module_overheat_counter_get, 0x51b5769d, "");
SYMBOL_CRC(mlxsw_env_module_port_map, 0x6929f2b4, "");
SYMBOL_CRC(mlxsw_env_module_port_unmap, 0xb68e9fa8, "");
SYMBOL_CRC(mlxsw_env_module_port_up, 0x02815b77, "");
SYMBOL_CRC(mlxsw_env_module_port_down, 0xed2801d4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_register, 0x14e17bb4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_unregister, 0x4036254f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x840b2688, "thermal_zone_device_unregister" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcdfadd91, "thermal_zone_device_priv" },
	{ 0xf968f278, "devl_unregister" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf2258487, "devlink_unregister" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8f23a306, "auxiliary_device_init" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb6dd92dd, "devl_lock" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb69afbb0, "devlink_linecard_deactivate" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96fa3e79, "devlink_port_attrs_set" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b45d62, "devlink_alloc_ns" },
	{ 0xe680e63, "devlink_register" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x685f4723, "thermal_cooling_device_register" },
	{ 0x9d737228, "devlink_free" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xaa8ac590, "thermal_zone_unbind_cooling_device" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc61a48c, "thermal_zone_device_enable" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x175921b0, "request_firmware_direct" },
	{ 0xe7086fa6, "auxiliary_driver_unregister" },
	{ 0xa0d81b76, "__SCT__tp_func_devlink_hwmsg" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7277b9d9, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x606b4aba, "devlink_linecard_provision_set" },
	{ 0x9b92fd18, "devl_resource_occ_get_unregister" },
	{ 0x738803e6, "strnlen" },
	{ 0xac8923ff, "devlink_is_reload_failed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa2893859, "thermal_zone_bind_cooling_device" },
	{ 0xa54a2cba, "devlink_linecard_provision_clear" },
	{ 0x2a24b57, "devl_resource_register" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xdea8a5b, "devl_health_reporter_create" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xa2c4532e, "devlink_port_linecard_set" },
	{ 0x33398be3, "devlink_linecard_nested_dl_set" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0x59bee194, "__auxiliary_device_add" },
	{ 0xc5d1427e, "devl_port_register_with_ops" },
	{ 0x728a89e, "mlxfw_firmware_flash" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xb7eab117, "devl_linecard_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5aa3c5df, "devl_params_register" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbf4513c3, "devlink_linecard_activate" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x61a4149e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x87dbe4b1, "thermal_zone_device_register_with_trips" },
	{ 0x947663e4, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b63eb19, "devl_resources_unregister" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1baa71a, "devlink_linecard_provision_fail" },
	{ 0x892f9f04, "__SCT__tp_func_devlink_hwerr" },
	{ 0x95ae8516, "devl_params_unregister" },
	{ 0xe9fa41df, "devl_linecard_create" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x539b7732, "devl_unlock" },
	{ 0xa4062a57, "__tracepoint_devlink_hwmsg" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70d8cb1b, "devl_port_unregister" },
	{ 0x722bd06b, "devl_param_driverinit_value_get" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56991684, "devlink_priv" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x57c58e9b, "__tracepoint_devlink_hwerr" },
	{ 0xbe79db8c, "hwmon_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xc20c5a5d, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x95f606c5, "thermal_cooling_device_unregister" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0b5d331, "devl_resource_occ_get_register" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x600690ce, "devl_register" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c3cae6f, "hwmon_device_register_with_groups" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mlxfw");

MODULE_ALIAS("auxiliary:mlxsw_core.lc");

MODULE_INFO(srcversion, "51836C2B3F0CB49C44A7F23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
