#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa769f9d9, "ocelot_vlan_prepare" },
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0xf3228352, "netdev_lower_get_next" },
	{ 0x90affc39, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xebcf8424, "br_vlan_enabled" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xeaf21153, "ocelot_set_ageing_time" },
	{ 0xa998d3f8, "__ocelot_rmw_ix" },
	{ 0x29441066, "regmap_write" },
	{ 0xf2258487, "devlink_unregister" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0xb89f5141, "br_port_flag_is_set" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xf8357786, "of_node_put" },
	{ 0x3c635844, "skb_put" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0xe71200bc, "ocelot_hwstamp_set" },
	{ 0xcd74046, "ocelot_mrp_del" },
	{ 0xc74ea96, "ocelot_port_policer_del" },
	{ 0x83f5662c, "br_port_get_stp_state" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0x92a504f7, "ocelot_port_lag_change" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xf0bd5e84, "ocelot_bridge_num_find" },
	{ 0xc77cb485, "ocelot_port_policer_add" },
	{ 0xa9176040, "ocelot_port_mdb_add" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0x8c6cb47, "ocelot_vlan_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9790bf51, "dmam_alloc_attrs" },
	{ 0x3126c4f4, "ocelot_sb_tc_pool_bind_get" },
	{ 0x790aa4fb, "phy_mii_ioctl" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x14731eff, "ocelot_ptp_adjfine" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x4acf0f8, "ocelot_port_bridge_flags" },
	{ 0x99cfe29a, "ocelot_devlink_sb_unregister" },
	{ 0xc94ca417, "ocelot_ptp_verify" },
	{ 0x9dd01786, "ocelot_port_bridge_leave" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xda135d9b, "ocelot_port_set_maxlen" },
	{ 0xc13056b1, "ocelot_mact_learn" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x38d33ee4, "ocelot_sb_occ_snapshot" },
	{ 0x52e4057f, "ocelot_get_ts_info" },
	{ 0xf85fa2a5, "ocelot_sb_occ_max_clear" },
	{ 0xcda14d6d, "ocelot_get_txtstamp" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xcf2dca2b, "ocelot_ptp_gettime64" },
	{ 0xc571eded, "skb_add_rx_frag" },
	{ 0x96fa3e79, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1f1c2e5, "ocelot_get_strings" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b45d62, "devlink_alloc_ns" },
	{ 0xcc18cdca, "phy_ethtool_set_link_ksettings" },
	{ 0xe680e63, "devlink_register" },
	{ 0xdccc6bd1, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x9d737228, "devlink_free" },
	{ 0xe28d6b17, "ocelot_policer_validate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0xb2113e96, "platform_get_resource_byname" },
	{ 0xea11d831, "ocelot_drain_cpu_queue" },
	{ 0x32acd331, "ocelot_port_mirror_del" },
	{ 0x5248ba27, "of_get_next_available_child" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x2a532e6c, "switchdev_handle_port_attr_set" },
	{ 0x1cb3026c, "phylink_create" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xae0720a1, "__ocelot_read_ix" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xee6b71c4, "syscon_regmap_lookup_by_compatible" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xfb3d21c9, "switchdev_handle_port_obj_del" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7277b9d9, "priv_to_devlink" },
	{ 0xa14a2538, "platform_get_irq_byname" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf386e4ea, "devm_free_irq" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x7433b102, "ocelot_get_sset_count" },
	{ 0x4611cb31, "ocelot_hwstamp_get" },
	{ 0x97196f2c, "ocelot_port_txtstamp_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xbf1942af, "switchdev_bridge_port_offload" },
	{ 0x8e2b78fb, "ocelot_port_bridge_join" },
	{ 0x10878adf, "__free_pages" },
	{ 0x19b6d0ea, "ocelot_ptp_settime64" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x4c1317f0, "ocelot_port_configure_serdes" },
	{ 0x9051e7f5, "phy_ethtool_get_link_ksettings" },
	{ 0x8959bf58, "ocelot_ptp_adjtime" },
	{ 0x3cc61923, "ocelot_fdb_add" },
	{ 0x3b5b3db, "ocelot_xtr_poll_frame" },
	{ 0xb0fdd7fd, "ocelot_wm_dec" },
	{ 0xc915165d, "build_skb" },
	{ 0x39e04af8, "of_get_child_by_name" },
	{ 0xe37558b8, "ocelot_init_port" },
	{ 0xd0c8fefb, "ocelot_reset" },
	{ 0x357bcaf3, "devlink_port_unregister" },
	{ 0xfbdc5fe0, "ocelot_deinit" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xe0899327, "skb_pull" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xfa37f576, "of_get_ethdev_address" },
	{ 0xe52753a4, "ocelot_vlan_del" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xab06fd53, "mem_section" },
	{ 0xd46ab755, "ocelot_get_ethtool_stats" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x5f96ad7c, "ocelot_cls_flower_destroy" },
	{ 0x6af7b21a, "packing" },
	{ 0x6289e655, "ocelot_port_vlan_filtering" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6d0124e8, "ocelot_bridge_stp_state_set" },
	{ 0x69973bef, "ocelot_devlink_sb_register" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0xe1e42da1, "switchdev_bridge_port_unoffload" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x565f9cde, "__alloc_pages" },
	{ 0xd18852ea, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x555e69d3, "netif_rx" },
	{ 0x8aa037a1, "ocelot_fdb_del" },
	{ 0xd1615fd0, "ocelot_phylink_mac_link_down" },
	{ 0xe30fc619, "ocelot_wm_stat" },
	{ 0xb9f6ee66, "flow_block_cb_alloc" },
	{ 0x7b23e075, "switchdev_handle_port_obj_add" },
	{ 0x64ec668a, "ocelot_port_lag_join" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x1c02b1be, "ocelot_port_lag_leave" },
	{ 0x3437bb36, "ocelot_mrp_add_ring_role" },
	{ 0xdafcff2c, "ocelot_deinit_timestamp" },
	{ 0x7950bc19, "of_get_phy_mode" },
	{ 0xd9847581, "ocelot_cls_flower_replace" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0xc6de3d66, "ocelot_port_get_stats64" },
	{ 0x53f19ff0, "ocelot_port_mdb_del" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xcb6f3324, "netdev_master_upper_dev_get" },
	{ 0x9d8c72f0, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x72983d9, "ocelot_port_pre_bridge_flags" },
	{ 0x8e61baff, "ocelot_mrp_del_ring_role" },
	{ 0xb94c5890, "ocelot_sb_tc_pool_bind_set" },
	{ 0x56991684, "devlink_priv" },
	{ 0x152c2f1e, "__hw_addr_sync_dev" },
	{ 0xb3269aac, "devlink_port_register_with_ops" },
	{ 0xe3ff8426, "ocelot_init" },
	{ 0xdd167ada, "ocelot_regmap_init" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x62407205, "ocelot_regfields_init" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7e5aec55, "vsc7514_regfields" },
	{ 0x6ce19e2a, "vsc7514_vcap_props" },
	{ 0x46cd0453, "ocelot_sb_port_pool_get" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa10ec6a5, "ocelot_port_inject_frame" },
	{ 0x5eaa06b8, "ocelot_mrp_add" },
	{ 0x7b10a308, "ocelot_sb_occ_port_pool_get" },
	{ 0x303607d4, "ocelot_phylink_mac_config" },
	{ 0x5528fb84, "ocelot_sb_pool_set" },
	{ 0xf44a18ce, "ocelot_mact_forget" },
	{ 0xfb750344, "ocelot_ptp_rx_timestamp" },
	{ 0xd69f62f0, "page_address" },
	{ 0x20db6196, "phylink_of_phy_connect" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x3105e3, "napi_consume_skb" },
	{ 0xb959b165, "ocelot_ptp_enable" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x59df65c8, "ocelot_init_timestamp" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x54675ba1, "ocelot_cls_flower_stats" },
	{ 0x6dddf860, "ocelot_sb_pool_get" },
	{ 0x3b2d2006, "ocelot_phylink_mac_link_up" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0xe70264ac, "ocelot_deinit_port" },
	{ 0x138b9d23, "ocelot_can_inject" },
	{ 0xc2813c98, "ocelot_port_mirror_add" },
	{ 0x23d7a180, "ocelot_pll5_init" },
	{ 0x4e788ebf, "ocelot_fdb_dump" },
	{ 0x8791cd6, "ocelot_wm_enc" },
	{ 0xf80fc88d, "vsc7514_regmap" },
	{ 0xd0ebefd9, "ocelot_ifh_port_set" },
	{ 0x2819474, "br_get_ageing_time" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,bridge,libphy,phylink");

MODULE_ALIAS("of:N*T*Cmscc,vsc7514-switch");
MODULE_ALIAS("of:N*T*Cmscc,vsc7514-switchC*");

MODULE_INFO(srcversion, "9FD796F076BAB8CD4D263A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
