#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qed_get_eth_ops, "", "");
KSYMTAB_FUNC(qed_put_eth_ops, "", "");
KSYMTAB_FUNC(qed_get_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_put_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_get_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_put_iscsi_ops, "", "");

SYMBOL_CRC(qed_get_eth_ops, 0x305db014, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0x44aa6686, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0xa51b7e51, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x73965b91, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2258487, "devlink_unregister" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x3c635844, "skb_put" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x953dad71, "devlink_health_reporter_create" },
	{ 0x9c85a8ee, "devlink_params_unregister" },
	{ 0x4f6b4a24, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4179e07a, "pci_disable_msi" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b45d62, "devlink_alloc_ns" },
	{ 0xe680e63, "devlink_register" },
	{ 0x9d737228, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xefb6b9e9, "pci_ioremap_bar" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xeb53178a, "crc8" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x57fb5cce, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xcf6f5f1a, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd15cfed6, "pci_enable_msi" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe2d07c1f, "slab_build_skb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xa4df730b, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56991684, "devlink_priv" },
	{ 0xad0751f5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x42d0b24b, "pci_disable_msix" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0xd0d8621b, "strlen" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xdcaaa310, "pci_enable_sriov" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "B79741C5A73B65D8026E0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
