#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x9857ff94, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x63250f59, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xeb3205c7, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xf5fcbd68, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x629d8f6d, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x67707659, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2cdb48e, "mdiobus_alloc_size" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xfcaeab5c, "xsk_tx_completed" },
	{ 0x569c35bd, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa9c7ee04, "xp_alloc" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xde1835a7, "bpf_prog_put" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf5bee35, "xp_dma_map" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0x3c635844, "skb_put" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x739d7129, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdf6e6d83, "netdev_update_features" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x8235805b, "memmove" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2a0c98a8, "bpf_warn_invalid_xdp_action" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x3c4a8951, "xdp_convert_zc_to_xdp_frame" },
	{ 0x10be9d79, "xdp_features_set_redirect_target" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0xc571eded, "skb_add_rx_frag" },
	{ 0xb0c4d478, "get_device_system_crosststamp" },
	{ 0x861a5bc1, "ptp_clock_index" },
	{ 0x53060a50, "phy_attached_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x8e7a9812, "page_pool_destroy" },
	{ 0x45c5f417, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x572833d, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xabc03e3e, "flow_rule_match_ipv4_addrs" },
	{ 0x8e0d5c5b, "xdp_rxq_info_unreg_mem_model" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1cb3026c, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x53fd1f28, "pinctrl_pm_select_default_state" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x5013e04b, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa7bd6956, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xa4b15e67, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0xdaa4994b, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xfea6e184, "xpcs_create_mdiodev" },
	{ 0xfdd3e65e, "napi_gro_receive" },
	{ 0xbdc0494c, "netif_device_attach" },
	{ 0x433c0fbd, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x2c171ce4, "netdev_pick_tx" },
	{ 0xd4f069ac, "phy_init_eee" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x6f93f14e, "xp_raw_get_dma" },
	{ 0x184e21cd, "xdp_rxq_info_is_reg" },
	{ 0x16d99dfe, "devm_alloc_etherdev_mqs" },
	{ 0xce5ae977, "flow_block_cb_setup_simple" },
	{ 0x645a36ad, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x11147d6e, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xa537328e, "_dev_err" },
	{ 0xb675e17d, "xpcs_destroy" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e156bc6, "pinctrl_pm_select_sleep_state" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x50519f11, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x40df9540, "ptp_clock_register" },
	{ 0x160217b8, "xp_dma_sync_for_cpu_slow" },
	{ 0x70869166, "xsk_tx_peek_desc" },
	{ 0xef81958, "__of_mdiobus_register" },
	{ 0x81a70fbe, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc13d51b8, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x41b6c2b4, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x7874fb49, "napi_enable" },
	{ 0xd8e479d4, "xsk_clear_rx_need_wakeup" },
	{ 0xfceb7a9f, "xpcs_get_interfaces" },
	{ 0xf6f97c3a, "xsk_uses_need_wakeup" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0x8a48402e, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xb128a0bf, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7fbb556b, "page_pool_release_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xa99fa672, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0xb4127068, "page_pool_create" },
	{ 0xa4342a2, "page_pool_put_defragged_page" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2e79bde4, "flow_rule_match_ports" },
	{ 0x9e12eedc, "phylink_fwnode_phy_connect" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe1798f68, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x7fcc5d41, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x81ffcd7, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x34c9c4ed, "ptp_clock_unregister" },
	{ 0x7444a7b2, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x9360432d, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x464bfa5e, "xdp_return_frame_rx_napi" },
	{ 0x437c4c93, "netdev_alert" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9c52a81a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x24194de4, "debugfs_rename" },
	{ 0xeea0399, "strscpy" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x1eb64646, "div64_s64" },
	{ 0xe8a9fbb6, "xsk_set_tx_need_wakeup" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x4e235e69, "xp_set_rxq_info" },
	{ 0xf8d4f102, "flow_rule_match_vlan" },
	{ 0xe2f9d2e5, "xdp_rxq_info_unreg" },
	{ 0xd34a866c, "page_pool_alloc_pages" },
	{ 0xb59772e9, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xa94b3c65, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x2c8d63a0, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xb08b4753, "xdp_master_redirect" },
	{ 0x1a89cc48, "fwnode_handle_put" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda4bba79, "single_open" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0x4e256d1a, "xsk_tx_release" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x3c5d573b, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libphy,ptp,phylink,pcs_xpcs,of_mdio");


MODULE_INFO(srcversion, "04F5CE0314F670B8D3CF55D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
