#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x635560bc, "phy_drivers_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfb87db2d, "genphy_suspend" },
	{ 0x706a360d, "mdiobus_read" },
	{ 0x64d9cd85, "mdiobus_write" },
	{ 0xf64d193e, "genphy_read_status" },
	{ 0x2efa2bbc, "phy_modify" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0xf6ddfa5b, "phy_write_mmd" },
	{ 0xacbb6254, "phy_read_mmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8799f81d, "phy_modify_mmd" },
	{ 0x36abe133, "phy_trigger_machine" },
	{ 0xee90ac2, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x57b8b1, "ptp_classify_raw" },
	{ 0x1504cba2, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x82f1bb32, "skb_complete_tx_timestamp" },
	{ 0x4c72af7a, "ptp_cancel_worker_sync" },
	{ 0xa537328e, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6cc9c6bc, "__mdiobus_write" },
	{ 0x548f3f47, "__mdiobus_read" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeea0399, "strscpy" },
	{ 0xed1c4317, "phy_drivers_unregister" },
	{ 0x17f0f754, "__genphy_config_aneg" },
	{ 0xacb19b6f, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc39da936, "phy_init_hw" },
	{ 0x928e0044, "ptp_find_pin_unlocked" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0xe1798f68, "ptp_clock_event" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xcd4176db, "devm_phy_package_join" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0x2f539544, "gpiod_set_consumer_name" },
	{ 0x1c30c0a8, "gpiod_set_value_cansleep" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x40df9540, "ptp_clock_register" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x793f6a47, "genphy_restart_aneg" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x59cb2a06, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xdc8c60d6, "genphy_resume" },
	{ 0x555e69d3, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xf9a482f9, "msleep" },
	{ 0x89256ec2, "ethnl_cable_test_result" },
	{ 0xe504e81f, "ethnl_cable_test_fault_length" },
	{ 0x48091176, "genphy_soft_reset" },
	{ 0x399b4d44, "genphy_read_mmd_unsupported" },
	{ 0x78811bc2, "genphy_write_mmd_unsupported" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libphy,ptp");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "25C5127AA4DA8EF57DD6430");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
