#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x574271bf, "");
SYMBOL_CRC(ppp_register_channel, 0x4a4cd7e2, "");
SYMBOL_CRC(ppp_unregister_channel, 0x68bf5ac0, "");
SYMBOL_CRC(ppp_channel_index, 0xd49b1a68, "");
SYMBOL_CRC(ppp_unit_number, 0x2e001c9e, "");
SYMBOL_CRC(ppp_dev_name, 0x96204c73, "");
SYMBOL_CRC(ppp_input, 0x8db29e14, "");
SYMBOL_CRC(ppp_input_error, 0x71494bf4, "");
SYMBOL_CRC(ppp_output_wakeup, 0xcc7443df, "");
SYMBOL_CRC(ppp_register_compressor, 0xd277eb5c, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x0141d8ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3d14dab9, "module_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x3c635844, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x7355f004, "try_module_get" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0xdd186686, "__register_chrdev" },
	{ 0x203aa149, "class_create" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0x9ec4f73c, "device_create" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0xb8f70751, "class_destroy" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0xb327349e, "device_destroy" },
	{ 0x2a928918, "slhc_free" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x4b23e667, "bpf_prog_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc0e30161, "free_netdev" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x3c9fb60e, "iov_iter_init" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4b867c9e, "netdev_name_in_use" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0xed1feff3, "fget" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x71dfc7e5, "fput" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x467cc511, "__put_net" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xbbe9ef30, "skb_pull_rcsum" },
	{ 0xc3e2121a, "skb_scrub_packet" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe0899327, "skb_pull" },
	{ 0xd737de3f, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15f90688, "slhc_init" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xca328980, "bpf_prog_create" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "7A6EA02E459C92B0BB77841");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
