#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x74b91bb0, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xcd719d1b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x24f7917c, "fasync_helper" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x8defdf2a, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x5c5ff7e7, "from_kgid_munged" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4b23e667, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb354a995, "__skb_get_hash_symmetric" },
	{ 0x280ac07b, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e7e0042, "bpf_prog_get_type_dev" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0x405e2be8, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x50519f11, "xdp_return_frame" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x49715188, "kill_fasync" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xfdd3e65e, "napi_gro_receive" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xde1835a7, "bpf_prog_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7870de54, "netdev_core_stats_alloc" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x20981a75, "sock_init_data_uid" },
	{ 0x705f5e7, "sk_free" },
	{ 0xc915165d, "build_skb" },
	{ 0x3c635844, "skb_put" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x45c5f417, "xdp_do_redirect" },
	{ 0x2a0c98a8, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x464bfa5e, "xdp_return_frame_rx_napi" },
	{ 0x3c4a8951, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9e67fcdd, "sk_filter_trim_cap" },
	{ 0x50c28eb1, "skb_tx_error" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x836af428, "skb_copy_ubufs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe2f9d2e5, "xdp_rxq_info_unreg" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x3d14dab9, "module_put" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x81a70fbe, "netif_set_real_num_tx_queues" },
	{ 0xc13d51b8, "netif_set_real_num_rx_queues" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0xcac9ebe3, "netdev_state_change" },
	{ 0xdef68d34, "flow_keys_basic_dissector" },
	{ 0x458edfe9, "__skb_flow_dissect" },
	{ 0x3c37ad2f, "skb_partial_csum_set" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0x36fdf1b7, "iov_iter_advance" },
	{ 0xac1e8974, "iov_iter_npages" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0x9eaf3550, "zerocopy_sg_from_iter" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5486f6d3, "napi_get_frags" },
	{ 0x9da25162, "iov_iter_single_seg_count" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xab06fd53, "mem_section" },
	{ 0xd69f62f0, "page_address" },
	{ 0xe75f4571, "skb_copy_datagram_from_iter" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd8ffc5b4, "do_xdp_generic" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa84a5812, "eth_get_headlen" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xb0f8c3e9, "napi_gro_frags" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xc5d650d0, "skb_page_frag_refill" },
	{ 0xf1eec613, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb08b4753, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x790280c9, "__folio_put" },
	{ 0x4c1bdf04, "__page_frag_cache_drain" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9406a022, "_copy_to_iter" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x50ac4023, "sock_recv_errqueue" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x184e21cd, "xdp_rxq_info_is_reg" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x1c8076bb, "sk_attach_filter" },
	{ 0xd0d05280, "release_sock" },
	{ 0xb59772e9, "__xdp_rxq_info_reg" },
	{ 0x5013e04b, "xdp_rxq_info_reg_mem_model" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0x7874fb49, "napi_enable" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x9e6d24a9, "get_net_ns" },
	{ 0xd66bb2a, "open_related_ns" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x59560f0d, "__dev_get_by_name" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0xfc0f1ad4, "from_kgid" },
	{ 0x31e716fb, "dev_set_mac_address_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0x99106d89, "ip_tunnel_header_ops" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0x205a63ee, "dev_get_mac_address" },
	{ 0x12196f73, "sk_detach_filter" },
	{ 0xdf6e6d83, "netdev_update_features" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xaaa2784, "ether_setup" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xedfb9596, "call_netdevice_notifiers" },
	{ 0xa171831e, "from_kuid" },
	{ 0xc0e30161, "free_netdev" },
	{ 0xfbfec22f, "__module_get" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x66568792, "passthru_features_check" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C20008E3BAFB1991F1DA74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
