#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x1182fd9c, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x208f0dd7, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xca4dbffa, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xce95c5a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x14db0810, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4634153c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x1141db30, "netdev_adjacent_change_commit" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb44211a8, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xeedfad0a, "ip6_dst_hoplimit" },
	{ 0xf4445e9e, "param_ops_ushort" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x6a828b86, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb004b12a, "dst_cache_set_ip4" },
	{ 0x58f70d10, "udp_tunnel6_xmit_skb" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x87056655, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xe7f48b84, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x17358639, "rtnl_create_link" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xbe9ac2ed, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaaa2784, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5dff3eea, "udp_tunnel_drop_rx_port" },
	{ 0x519d1f95, "netdev_upper_dev_link" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x7870de54, "netdev_core_stats_alloc" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x1400e8bd, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x372e3050, "eth_gro_complete" },
	{ 0x12360498, "rtnl_set_sk_err" },
	{ 0xd127421c, "eth_gro_receive" },
	{ 0x3766636f, "rtnl_configure_link" },
	{ 0xcb9ac70d, "skb_tunnel_check_pmtu" },
	{ 0x2c4e70b3, "peernet2id" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xfcced6a2, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb942aeaa, "ipv6_stub" },
	{ 0xe0899327, "skb_pull" },
	{ 0xa93b5eac, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x655ce2e1, "gro_cells_receive" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xbd2fee7e, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x62b2842b, "ip_mc_join_group" },
	{ 0xd13eae46, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xacab1fb9, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x815976e2, "arp_create" },
	{ 0xee824b65, "__ethtool_get_link_ksettings" },
	{ 0xdb58c2cd, "netdev_adjacent_change_prepare" },
	{ 0xb66a36b3, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xe49af374, "netdev_adjacent_change_abort" },
	{ 0x60bc3a00, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4a80ca31, "__iptunnel_pull_header" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x555e69d3, "netif_rx" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xdd04f3c4, "setup_udp_tunnel_sock" },
	{ 0xe182a2e0, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3e2121a, "skb_scrub_packet" },
	{ 0x13820a3d, "nexthop_select_path" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9202207e, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0xa51a08e0, "dst_cache_get_ip6" },
	{ 0x930b6a02, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x5bffb41, "udp_tun_rx_dst" },
	{ 0xf6343888, "dst_cache_set_ip6" },
	{ 0xee377ca4, "rtnl_notify" },
	{ 0xcfac382a, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x81a1d1c2, "__netif_rx" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8919559a, "metadata_dst_alloc" },
	{ 0xa58bc662, "dst_release" },
	{ 0xb65dcf41, "unregister_nexthop_notifier" },
	{ 0x11921a42, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc1ae1829, "udp_tunnel_notify_del_rx_port" },
	{ 0xbbf3634e, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe7775492, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xae3cef5f, "gro_find_receive_by_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x1c6a84d0, "neigh_lookup" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "1A46FCF40573B4CC22FE9F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
