#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xf7382fed, "");
SYMBOL_CRC(ath10k_info, 0x66f51321, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x23ddd154, "");
SYMBOL_CRC(ath10k_err, 0x349bc314, "");
SYMBOL_CRC(ath10k_warn, 0xc0832c6d, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x24da5935, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x6411472b, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x87b29619, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x95099ec2, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xb85462b8, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xaf298f3a, "");
SYMBOL_CRC(ath10k_core_start, 0x1a57e2db, "");
SYMBOL_CRC(ath10k_core_stop, 0xd2692690, "");
SYMBOL_CRC(ath10k_core_register, 0x7da9b81b, "");
SYMBOL_CRC(ath10k_core_unregister, 0xff9fc179, "");
SYMBOL_CRC(ath10k_core_create, 0xfd2ef901, "");
SYMBOL_CRC(ath10k_core_destroy, 0x86f6d10e, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x29613656, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x26c633bc, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xf3a64b1c, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x64a92a5f, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x8d4e8a71, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xc96f2020, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x607f1b0d, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xeb56cac0, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x7e38f55b, "");
SYMBOL_CRC(ath10k_bmi_start, 0x3b500a86, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x84ac1b5a, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x2632a9e2, "");
SYMBOL_CRC(ath10k_coredump_new, 0x31755f39, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xc508118e, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x1e82e611, "");
SYMBOL_CRC(ath10k_ce_send, 0xd18085a9, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x5eb9b7bf, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xa9e1ddd5, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xa4944c16, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xac1d469a, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x406e48e5, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xc87ee471, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xeb21db07, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x18d6eaa9, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xf1623f95, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xe9859f05, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x0d95716b, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x13a01308, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x27731960, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xb07736db, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x2055f155, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xe29979cd, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x43d43308, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x06b5ce0a, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xb2094c3f, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xa8c60ebb, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x14179949, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x6883907c, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x2527bef8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xb8fab619, "ieee80211_beacon_update_cntdwn" },
	{ 0x3649287b, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xabb0f28e, "ieee80211_connection_loss" },
	{ 0xda904f55, "ieee80211_manage_rx_ba_offl" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x403d9e3, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb978ed0e, "ieee80211_txq_get_depth" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0xba979e34, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3c635844, "skb_put" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x297d14b, "firmware_request_nowarn" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x45c138aa, "ieee80211_txq_may_transmit" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2cb3650d, "device_get_mac_address" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x92e83e27, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x20d1018a, "ieee80211_iterate_stations_atomic" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x9c707da5, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xabbeb4e5, "ieee80211_beacon_loss" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0xfe15c5aa, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x685f4723, "thermal_cooling_device_register" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0x44366cfc, "simple_write_to_buffer" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x4e057917, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5b510aa3, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xed037a3b, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x34ca145c, "kstrtou8_from_user" },
	{ 0x907d69e, "ieee80211_find_sta" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x625ae479, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x738803e6, "strnlen" },
	{ 0x7f5b71ee, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xa96b96a, "kstrtouint_from_user" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x31947dab, "ieee80211_get_channel_khz" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0xd6bf2826, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0x78117ff1, "ieee80211_proberesp_get" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0xe0899327, "skb_pull" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdffd6e38, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae92808f, "ieee80211_find_sta_by_ifaddr" },
	{ 0x99b57ce0, "ieee80211_next_txq" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x6179975b, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0x205c90e1, "of_property_read_string" },
	{ 0x38b362b3, "wiphy_read_of_freq_limits" },
	{ 0x828d2cf9, "ieee80211_report_low_ack" },
	{ 0xc6fac808, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6df2e83c, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0x970db74f, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0x4c6b8b28, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x214fa885, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x57180157, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x25273aab, "of_property_read_variable_u8_array" },
	{ 0x78e4ec9e, "devm_nvmem_cell_get" },
	{ 0xad7ebf56, "ieee80211_stop_queue" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1647c2d6, "skb_realloc_headroom" },
	{ 0xc1e11159, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xeea0399, "strscpy" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x634d8d66, "ath_regd_init" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe85a3fb1, "ieee80211_tdls_oper_request" },
	{ 0xceae9a00, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x95f606c5, "thermal_cooling_device_unregister" },
	{ 0x81baa56, "ieee80211_tx_rate_update" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x6ba5117e, "init_dummy_netdev" },
	{ 0x66070843, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xdc6661ef, "ieee80211_csa_finish" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0xf0f5f169, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "601D2A3B38AB123DFD1F619");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
