#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x8c2a911f, "");
SYMBOL_CRC(ath11k_core_resume, 0x96953be4, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xfcdfe36e, "");
SYMBOL_CRC(ath11k_core_init, 0xf9233154, "");
SYMBOL_CRC(ath11k_core_deinit, 0x0a61a7e2, "");
SYMBOL_CRC(ath11k_core_free, 0xae202389, "");
SYMBOL_CRC(ath11k_core_alloc, 0x006bcc8a, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x8029348e, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xb825b45b, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x88ebc001, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x607974cf, "");
SYMBOL_CRC(ath11k_info, 0xceea9aaa, "");
SYMBOL_CRC(ath11k_err, 0x8e5339ec, "");
SYMBOL_CRC(ath11k_warn, 0xbed92760, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x65f471e4, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x9f15555a, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xe80f63df, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x875dc4f2, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x417057ad, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x97909561, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x44d3187b, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xce8c99c1, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x617a8407, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x5ca6ff73, "");
SYMBOL_CRC(ath11k_pcic_read, 0x07270bd7, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x299c14cf, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x326bbb71, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x0b59ca91, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xa01cbcf4, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xc2f1c24b, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xb8cddf66, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x483ef188, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x3da809b5, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x70eeceae, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x667291f3, "");
SYMBOL_CRC(ath11k_pcic_start, 0x8b25138d, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x214dc770, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xb5e519a6, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x563d0dae, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x7c924a58, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8fab619, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fcda8b6, "ieee80211_gtk_rekey_notify" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xabb0f28e, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf8357786, "of_node_put" },
	{ 0x3c635844, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x297d14b, "firmware_request_nowarn" },
	{ 0xaf0f32d0, "qmi_handle_init" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8e2f1045, "of_address_to_resource" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2cb3650d, "device_get_mac_address" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb068edb, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x20d1018a, "ieee80211_iterate_stations_atomic" },
	{ 0xc5a084ec, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x9c707da5, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xabbeb4e5, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x27517e26, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x685f4723, "thermal_cooling_device_register" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5b510aa3, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0x907d69e, "ieee80211_find_sta" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xfc1404d5, "qmi_send_request" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x97c8dd92, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x625ae479, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x7f5b71ee, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xce3c9eb3, "qmi_txn_wait" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x31947dab, "ieee80211_get_channel_khz" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0xb07134b1, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9489ff2e, "qmi_txn_cancel" },
	{ 0x7c33711, "__of_parse_phandle_with_args" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae92808f, "ieee80211_find_sta_by_ifaddr" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x6179975b, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0x205c90e1, "of_property_read_string" },
	{ 0x16746c16, "qmi_txn_init" },
	{ 0x828d2cf9, "ieee80211_report_low_ack" },
	{ 0xc6fac808, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x970db74f, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0xe8e59fc6, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x214fa885, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x669d430f, "ieee80211_beacon_free_ema_list" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xa8ec403d, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xbbfe26be, "ieee80211_vif_to_wdev" },
	{ 0xeea0399, "strscpy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xf1277a1a, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xceae9a00, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x95f606c5, "thermal_cooling_device_unregister" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x8309f869, "regulatory_set_wiphy_regd" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0xb46fc60b, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x48b4b8c0, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6ba5117e, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xdc6661ef, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf0f5f169, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "857C241496CA9C7E89CE344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
