#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x7235dcc1, "usb_unlink_urb" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x4a51f866, "__orinoco_ev_info" },
	{ 0x99190840, "__orinoco_ev_rx" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xcaf17803, "orinoco_if_del" },
	{ 0xc97a4daa, "wiphy_unregister" },
	{ 0xf58250d2, "free_orinocodev" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xc1b038d7, "orinoco_process_xmit_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0x2e4b8ae4, "alloc_orinocodev" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x7dab2295, "orinoco_init" },
	{ 0x2537757f, "orinoco_if_add" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7f6e1988, "orinoco_open" },
	{ 0x5d6d39e3, "orinoco_stop" },
	{ 0x2f6795c1, "orinoco_set_multicast_list" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0x5e105296, "orinoco_change_mtu" },
	{ 0xd2034cf1, "orinoco_tx_timeout" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,orinoco,cfg80211");

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B0CAA56D0E75A0204F7E13");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
