#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xc6545352, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x47507e6e, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x477d92a4, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x951f9d16, "_gpl");
SYMBOL_CRC(p54_rx, 0xbb0fd68e, "_gpl");
SYMBOL_CRC(p54_init_common, 0x76444135, "_gpl");
SYMBOL_CRC(p54_register_common, 0x1901e46f, "_gpl");
SYMBOL_CRC(p54_free_common, 0xfb0e5a53, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x7f703f40, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c635844, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0xabbeb4e5, "ieee80211_beacon_loss" },
	{ 0xfe15c5aa, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf9ab92f3, "__ieee80211_get_radio_led_name" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0x4e057917, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0cae291, "__ieee80211_get_tx_led_name" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97c8dd92, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x517ed4b9, "__ieee80211_get_rx_led_name" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0xe0899327, "skb_pull" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad7ebf56, "ieee80211_stop_queue" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x11af2959, "skb_unlink" },
	{ 0xc1e11159, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3256b92d, "__ieee80211_get_assoc_led_name" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf60dd16e, "ieee80211_rx_irqsafe" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "2A1446DDFB43961EA30D635");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
