#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xc9c7e7d1, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x538ab31e, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x43ac578b, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x2ecd0b17, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xec9df15d, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xebb031d7, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x3f9bef88, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x1a4fd945, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xc01c2534, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x25771d3a, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x986bbddc, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x3c63d055, "_gpl");
SYMBOL_CRC(mt76s_init, 0x7f36d074, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x69c406be, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x629972d0, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x53a7e2ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6d625cc, "sdio_release_host" },
	{ 0xa04bac28, "sdio_disable_func" },
	{ 0x4f842835, "sdio_set_block_size" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5472bc0a, "sdio_claim_host" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc571eded, "skb_add_rx_frag" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7bc6fc9b, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x2a23c97, "mt76_tx_status_check" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a62bdad, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x8a964dbe, "sdio_readsb" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xab06fd53, "mem_section" },
	{ 0x9235019e, "sdio_readl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x565f9cde, "__alloc_pages" },
	{ 0x471b4b67, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2973e88a, "mt76_queue_tx_complete" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0xba52d1c7, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x790280c9, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c2690d, "sdio_claim_irq" },
	{ 0xc970282b, "mt76_skb_adjust_pad" },
	{ 0x8134b26f, "sdio_enable_func" },
	{ 0xa28d7dc1, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd69f62f0, "page_address" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mt76,mac80211");


MODULE_INFO(srcversion, "F2C5725C6C557920E4263AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
