#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x5b398d91, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x36fbe60d, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x20020fa7, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xf78ee519, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x7b636ac3, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xf5c83b68, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xad118c4f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xdc48dad2, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x0a1564d9, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x08e4b042, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x2ac60d4e, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x6354034e, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x67b22c07, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x109e41bb, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xaaf16f0f, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x6b963b27, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x6178218b, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x549f0279, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x085891af, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x0653ef2d, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x28d2edbf, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x4ca101e6, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x10711a14, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xcbc01879, "_gpl");
SYMBOL_CRC(mt76_rx, 0x84acf321, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x33103432, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x30fcf3b1, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x78cb622b, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xf1e24db2, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x0f943373, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x76afe0e6, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xba52d1c7, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x2f9ca9d2, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xe188f557, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x6a5a9728, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xf9681f18, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xdbecec62, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xad77f5b2, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xaa491570, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xe313730c, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xd411db22, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x6c46cfae, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x3d526cf9, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xa12ec78e, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x0ca45be2, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x5bdca882, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x7333e4cc, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xd442274a, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x6ecf94ad, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x34c085e9, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xa66cfde6, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xd6f3280c, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xe613a13b, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x1451c436, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x7a343068, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xb6142ef5, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xe6c54e73, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x715c3e2f, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x9d983e6b, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x4196a723, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x5c33883d, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x0b04e385, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x8d084902, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x02a23c97, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x617bd73d, "_gpl");
SYMBOL_CRC(mt76_tx, 0xcde5d834, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xbe2b2690, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xb16672f5, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xe691ed58, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x2efeb4a5, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xd91a07fd, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xf51ed61f, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xc970282b, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x2973e88a, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xd87d139a, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xb7c59fda, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xaa64f2db, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x421e9e51, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x663a0437, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x5539f8b1, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xa98f0f1a, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x4607e913, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x9ea8af66, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x7ffbb803, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xca11a3e8, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xc8ba7579, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xdf38b425, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xac300003, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3649287b, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x43afc6f, "pcie_capability_read_word" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0xf8c0605e, "page_pool_get_stats" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x403d9e3, "__ieee80211_schedule_txq" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xf8357786, "of_node_put" },
	{ 0x3c635844, "skb_put" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1017fb51, "page_pool_alloc_frag" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9790bf51, "dmam_alloc_attrs" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x92e83e27, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xc571eded, "skb_add_rx_frag" },
	{ 0x9c707da5, "ieee80211_tx_status_ext" },
	{ 0x42c42d1d, "debugfs_create_blob" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x8e7a9812, "page_pool_destroy" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0x2b74d30a, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xeae6ad1f, "ieee80211_sta_eosp" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x52478b5, "kthread_park" },
	{ 0x7bc6fc9b, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf7a443bd, "ieee80211_get_tx_rates" },
	{ 0x7641d29a, "ieee80211_send_bar" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x5dd71fe2, "ieee80211_sta_uapsd_trigger" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6094dede, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9f39128f, "pci_disable_link_state" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xfdd3e65e, "napi_gro_receive" },
	{ 0xaf4ff50d, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xe760ffee, "dev_set_threaded" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x39e04af8, "of_get_child_by_name" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x7513b5ec, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xf565d79, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe5931b6f, "of_prop_next_string" },
	{ 0x1177930b, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x4f1f442a, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xae92808f, "ieee80211_find_sta_by_ifaddr" },
	{ 0x99b57ce0, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5d74f3b5, "pcie_capability_clear_and_set_word_locked" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x6179975b, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x3fcc3f36, "ieee80211_sta_pspoll" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0x38b362b3, "wiphy_read_of_freq_limits" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4c6b8b28, "ieee80211_tx_dequeue" },
	{ 0x6236c1b, "ieee80211_rx_list" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0xb4127068, "page_pool_create" },
	{ 0xa4342a2, "page_pool_put_defragged_page" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b92ca4, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x5e4beb66, "cfg80211_reg_can_beacon" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xa4d12fff, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc39fda99, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x20690101, "debugfs_create_u8" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x6ba5117e, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xdc6661ef, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "0160CCB4C456AAB22FF26F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
