#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7921_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_reset, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_mac_sta_poll, 0x4409673e, "_gpl");
SYMBOL_CRC(mt7921_txwi_free, 0xf403a4a5, "_gpl");
SYMBOL_CRC(mt7921_rx_check, 0x890824eb, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xfbe79830, "_gpl");
SYMBOL_CRC(mt7921_update_channel, 0x580aa6b8, "_gpl");
SYMBOL_CRC(mt7921_reset, 0x308fa2bf, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x2e103a54, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x3766266e, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x85d26ce2, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x368ee58c, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xcd91caf0, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xcdc7edbd, "_gpl");
SYMBOL_CRC(mt7921_mcu_drv_pmctrl, 0x11c0e2c1, "_gpl");
SYMBOL_CRC(mt7921_mcu_fw_pmctrl, 0x6644edb8, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x7aba0b6e, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xc8fdd708, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x8cb245ee, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x49a865df, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xc5a32832, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xb10e9209, "_gpl");
SYMBOL_CRC(mt7921_get_mac80211_ops, 0xff9e9f06, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xf878e92b, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x9d692478, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x326d3418, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xcdd5c2d4, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x3649287b, "ieee80211_sta_register_airtime" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0xdbecec62, "mt76_init_sar_power" },
	{ 0xabb0f28e, "ieee80211_connection_loss" },
	{ 0x4196a723, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x32163af9, "ieee80211_iterate_interfaces" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0xa429c56e, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xc3d117c7, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8d084902, "mt76_tx_status_skb_get" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x78959432, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x9d983e6b, "mt76_tx_status_lock" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x15fabafc, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2609b73, "mt76_connac_mcu_set_channel_domain" },
	{ 0xdcd32c37, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbe2b2690, "mt76_release_buffered_frames" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0xf9681f18, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb04e385, "mt76_tx_status_skb_add" },
	{ 0x20d1018a, "ieee80211_iterate_stations_atomic" },
	{ 0x46a8af75, "mt76_connac_pm_wake" },
	{ 0xc1f99434, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x96640cda, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xf51ed61f, "mt76_wake_tx_queue" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xf132823c, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfc03a204, "mt76_connac_mcu_chip_config" },
	{ 0x5bdca882, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x33103432, "mt76_has_tx_pending" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x617bd73d, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x6b963b27, "mt76_set_stream_caps" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x400c867f, "mt76_connac_mcu_update_arp_filter" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x7ffbb803, "mt76_mcu_rx_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf8a80dab, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x2a23c97, "mt76_tx_status_check" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x74a469af, "mt76_connac_free_pending_tx_skbs" },
	{ 0x2387102f, "mt76_connac_power_save_sched" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa2a8740d, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6094dede, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcde5d834, "mt76_tx" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xf08bb6c1, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x76afe0e6, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x84acf321, "mt76_rx" },
	{ 0x52ebd3d1, "mt76_connac_mcu_sched_scan_req" },
	{ 0x33e2be4f, "mt76_connac_mcu_uni_add_bss" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x65f6d49a, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x290e4ba8, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xf565d79, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x4ca101e6, "mt76_register_device" },
	{ 0x374f5aa, "mt76_connac2_load_ram" },
	{ 0xc8ba7579, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xf1e24db2, "mt76_set_channel" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x78cb622b, "mt76_update_survey" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0xca11a3e8, "mt76_mcu_send_and_get_msg" },
	{ 0xc6fac808, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x7a343068, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6df2e83c, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4607e913, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x840fddff, "mt76_connac_pm_dequeue_skbs" },
	{ 0xf943373, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x421e9e51, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xe188f557, "mt76_sta_state" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0x6ecf94ad, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e4beb66, "cfg80211_reg_can_beacon" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xfbb62682, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xa08bf5f, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x6ad798f4, "ieee80211_sched_scan_results" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6c46cfae, "mt76_insert_ccmp_hdr" },
	{ 0xe691ed58, "mt76_txq_schedule_all" },
	{ 0x54596f39, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x64ad3df5, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3b9f6ba4, "mt76_connac2_load_patch" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x5539f8b1, "mt76_rx_aggr_start" },
	{ 0xf78ee519, "____mt76_poll_msec" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x7c6f8f10, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc970282b, "mt76_skb_adjust_pad" },
	{ 0xa1564d9, "mt76_put_txwi" },
	{ 0xfc097601, "seq_puts" },
	{ 0xe4989796, "mt76_connac_sta_state_dp" },
	{ 0xe5f15412, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0xa66cfde6, "mt76_queues_read" },
	{ 0x6a5a9728, "mt76_sta_pre_rcu_remove" },
	{ 0xe613a13b, "mt76_register_debugfs_fops" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x9bb2e824, "mt76_connac2_mac_write_txwi" },
	{ 0xd87d139a, "__mt76_set_tx_blocked" },
	{ 0xd8d50a24, "mt76_connac_mcu_sta_ba" },
	{ 0xf679b663, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x3105e3, "napi_consume_skb" },
	{ 0xd0d8621b, "strlen" },
	{ 0x20020fa7, "__mt76_poll" },
	{ 0xa98f0f1a, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda4bba79, "single_open" },
	{ 0xd8382b5d, "mt76_connac_mcu_add_key" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3eb616cc, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "C4B04B79A4263A449C8EB97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
