#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x4ba66689, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xb1a479c1, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x75ea8909, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x5917c6d3, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x1dbd0db9, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0xce15bdb9, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0x3c635844, "skb_put" },
	{ 0xdc43427, "cfg80211_scan_done" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa1c783f6, "cfg80211_cac_event" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa67fd9e8, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfe15c5aa, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb61313f6, "cfg80211_external_auth_request" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xd74dfe45, "cfg80211_new_sta" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbfadbceb, "cfg80211_disconnected" },
	{ 0xaaa2784, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c474daa, "netdev_port_same_parent_id" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0x9bde9d13, "wiphy_new_nm" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6031dd10, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x7f5b71ee, "cfg80211_put_bss" },
	{ 0x314022bc, "cfg80211_ch_switch_notify" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x31947dab, "ieee80211_get_channel_khz" },
	{ 0x7022dff, "cfg80211_check_combinations" },
	{ 0xb502fd0c, "__cfg80211_radar_event" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x7d6501f3, "cfg80211_get_drvinfo" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x703b8e32, "cfg80211_michael_mic_failure" },
	{ 0xd00bd895, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x4d8b86e0, "cfg80211_del_sta_sinfo" },
	{ 0xe7e933f7, "cfg80211_update_owe_info_event" },
	{ 0xc97a4daa, "wiphy_unregister" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x970db74f, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x280ac07b, "netif_tx_stop_all_queues" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7092cc5f, "wdev_chandef" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeea0399, "strscpy" },
	{ 0xd1827355, "cfg80211_unregister_wdev" },
	{ 0xc04932da, "platform_device_register_full" },
	{ 0x1a01c2e9, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa2371fbe, "netdev_walk_all_lower_dev" },
	{ 0xdb5d2a1b, "cfg80211_inform_bss_data" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x27be8477, "cfg80211_shutdown_all_interfaces" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x8309f869, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7848f613, "cfg80211_connect_done" },
	{ 0x5e733455, "wiphy_free" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C3F17522E89B21CA11366AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
