#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_calculate_bit_shift, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x31fe41a0, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x5077c381, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x61a9500f, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x0f8fa998, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x86fea361, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x7aa01a4b, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x17d6735e, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x511599e3, "");
SYMBOL_CRC(rtl92c_dm_init, 0x2ede8a79, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x2d177c12, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x672de2ee, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0xed105dea, "");
SYMBOL_CRC(rtl92c_download_fw, 0x534b565a, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0xc7cb44cd, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0xec709147, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x389ae752, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0x47c189fc, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0x5b71484a, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x2358fe3e, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0xf49b7cab, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x0f70647d, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0xac183886, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0xa03d4ae9, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x019dfbfe, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xa691e178, "");
SYMBOL_CRC(_rtl92c_phy_calculate_bit_shift, 0x2327d91c, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x30a55166, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0xe0fce233, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0xbedbbf6b, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x7bf94970, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0xaba8eec3, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x3192b3b3, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0xeee880b9, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xfeb6acc8, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x54673600, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x48a7df5f, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x9cf0537a, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x9385b8a8, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0xe7c11b4f, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x9b5aa504, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xcbf6613b, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x1017ce2c, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0xf66442ad, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x222d06f7, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0x7b664b3f, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x7a234b81, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c635844, "skb_put" },
	{ 0x5b364b06, "rtl_fw_block_write" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x83944c83, "_rtl_dbg_print" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa3c1f14, "rtl_cmd_send_packet" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdd972db6, "_rtl_dbg_print_data" },
	{ 0xa6cf78bb, "rtl_fw_page_write" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd1b9eda2, "rtl_dm_diginit" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "816236AA2CE6910E2464939");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
