#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_usb_probe, "", "");
KSYMTAB_FUNC(rtl_usb_disconnect, "", "");
KSYMTAB_FUNC(rtl_usb_suspend, "", "");
KSYMTAB_FUNC(rtl_usb_resume, "", "");

SYMBOL_CRC(rtl_usb_probe, 0xa6a23391, "");
SYMBOL_CRC(rtl_usb_disconnect, 0x19a307cf, "");
SYMBOL_CRC(rtl_usb_suspend, 0x6aa31949, "");
SYMBOL_CRC(rtl_usb_resume, 0x2eaf2e49, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xca8e23b0, "usb_anchor_urb" },
	{ 0xbc372f30, "rtl_beacon_statistic" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x3c635844, "skb_put" },
	{ 0xe6d41d9d, "usb_alloc_coherent" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x83944c83, "_rtl_dbg_print" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2ec70046, "rtl_ops" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xca4c6168, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x29b96918, "rtl_update_beacon_work_callback" },
	{ 0x79759b7d, "usb_get_dev" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x13462b31, "rtl_init_sw_leds" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x98291531, "usb_free_coherent" },
	{ 0xe0899327, "skb_pull" },
	{ 0x3d59d9f6, "rtl_init_rx_config" },
	{ 0xf8ff6add, "rtl_lps_change_work_callback" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0xe763956, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x755b7aa, "rtl_init_core" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe1e7eec, "usb_unanchor_urb" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x8499c560, "usb_get_from_anchor" },
	{ 0x6a73bd96, "rtl_deinit_core" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xb581fcb7, "rtl_deinit_deferred_work" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf0f5f169, "ieee80211_rx_napi" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rtlwifi,mac80211");


MODULE_INFO(srcversion, "C5F750D985DF4693F6A87FB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
