#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xce0eae0d, "");
SYMBOL_CRC(rtw_dump_reg, 0xe2758f51, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x48f2cab3, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x973eb4bb, "");
SYMBOL_CRC(rtw_core_init, 0xf27d1fc3, "");
SYMBOL_CRC(rtw_core_deinit, 0x5aae35e6, "");
SYMBOL_CRC(rtw_register_hw, 0x8b7dcfd5, "");
SYMBOL_CRC(rtw_unregister_hw, 0x6bfaa909, "");
SYMBOL_CRC(rtw_ops, 0x098b131b, "");
SYMBOL_CRC(check_hw_ready, 0xd8caae24, "");
SYMBOL_CRC(rtw_restore_reg, 0xa103017a, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x8002e207, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x47a0cc78, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x73ff416d, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0xb24e8ae0, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x63468803, "");
SYMBOL_CRC(rtw_rx_stats, 0x8336ba86, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xb9f51d51, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x800545d0, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x5eca3dd6, "");
SYMBOL_CRC(rtw_phy_init, 0x9ffbb532, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x00136298, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xf2378b20, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x7e34b200, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x6b66cbec, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x3acff870, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xc483b4b3, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x6dd06e9a, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x7f101525, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xf100aedd, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xa123b89b, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x375519a4, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x08a565a7, "");
SYMBOL_CRC(rtw_phy_load_tables, 0xd60f2242, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x4b1da502, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x03acb45a, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x5c997709, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xc3719a05, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x397e3c24, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xaeaaf8c3, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x7b9d0b45, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x241b5cbc, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x1127bd84, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x25b76197, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x41469d52, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x6c374f23, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x2042fc6e, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x2c27f281, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x942a3082, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x98d41dba, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x604e4c4b, "");
SYMBOL_CRC(rtw_power_mode_change, 0x81e6eec8, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x4d9bb0f0, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xd3a7d60b, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0xbbc8d6fa, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xe23ad314, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x03306963, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xf197fc4c, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x506c7e99, "");
SYMBOL_CRC(rtw_regd_get, 0x708832f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xabb0f28e, "ieee80211_connection_loss" },
	{ 0x380e2915, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb978ed0e, "ieee80211_txq_get_depth" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x36247d1c, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x20d1018a, "ieee80211_iterate_stations_atomic" },
	{ 0xf132823c, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfe15c5aa, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x74c6869, "ieee80211_nullfunc_get" },
	{ 0x7c9219a, "ieee80211_pspoll_get" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x907d69e, "ieee80211_find_sta" },
	{ 0x1eddcea7, "ieee80211_iter_keys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0x78117ff1, "ieee80211_proberesp_get" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x93ebbca7, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae92808f, "ieee80211_find_sta_by_ifaddr" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0x5152e605, "memcmp" },
	{ 0xd6c1faf5, "ieee80211_iter_keys_rcu" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6df2e83c, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4c6b8b28, "ieee80211_tx_dequeue" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0x11af2959, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9996c4c0, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc69fb629, "ieee80211_request_smps" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "2A71B37432DD557120CAF98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
