#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0xf3ea2535, "");
SYMBOL_CRC(rtw_sdio_probe, 0xdfce464a, "");
SYMBOL_CRC(rtw_sdio_remove, 0x758a41f3, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x1dc6cc07, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47a0cc78, "rtw_tx_report_enqueue" },
	{ 0xb6d625cc, "sdio_release_host" },
	{ 0x63468803, "rtw_tx_queue_mapping" },
	{ 0xa04bac28, "sdio_disable_func" },
	{ 0x4f842835, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c635844, "skb_put" },
	{ 0x5472bc0a, "sdio_claim_host" },
	{ 0x7657fd34, "sdio_memcpy_fromio" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x58743726, "sdio_memcpy_toio" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4c480a52, "sdio_align_size" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a62bdad, "sdio_release_irq" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xd5cb9718, "sdio_set_host_pm_flags" },
	{ 0x973eb4bb, "rtw_chip_info_setup" },
	{ 0x6bfaa909, "rtw_unregister_hw" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8002e207, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xf27d1fc3, "rtw_core_init" },
	{ 0x9235019e, "sdio_readl" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0x73ff416d, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x471b4b67, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x8336ba86, "rtw_rx_stats" },
	{ 0x8b7dcfd5, "rtw_register_hw" },
	{ 0x5aae35e6, "rtw_core_deinit" },
	{ 0x98b131b, "rtw_ops" },
	{ 0xf1c2690d, "sdio_claim_irq" },
	{ 0x54bca071, "skb_copy_header" },
	{ 0x8134b26f, "sdio_enable_func" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x81e6eec8, "rtw_power_mode_change" },
	{ 0xb24e8ae0, "rtw_tx_write_data_h2c_get" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2c27f281, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xf60dd16e, "ieee80211_rx_irqsafe" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0x4a53a9a5, "sdio_readb" },
	{ 0xf7704a45, "sdio_writeb" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mmc_core,mac80211");


MODULE_INFO(srcversion, "027487F45BCB78362047A59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
