#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x290691c3, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x3725b124, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x0abb11a6, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x41e914c8, "");
SYMBOL_CRC(rtw89_core_rx, 0x7d3c7dcd, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xb81f32fd, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x964aa657, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x1e83b9b4, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x420fd875, "");
SYMBOL_CRC(rtw89_core_init, 0x9e196be4, "");
SYMBOL_CRC(rtw89_core_deinit, 0xb87e074b, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xe757c756, "");
SYMBOL_CRC(rtw89_core_register, 0x271dda1a, "");
SYMBOL_CRC(rtw89_core_unregister, 0xfd63d3a3, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x767bfe88, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x33393835, "");
SYMBOL_CRC(rtw89_ops, 0xf2097c0e, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x3c72b6bc, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x58c6c7d5, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xd236e89c, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xc06e0264, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x316ca9e6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x96af10fa, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x0094ba49, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x3bc0523e, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x6cc376f6, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x8fada806, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x32d57fae, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x91614426, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x3fbc6789, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x3188fa9d, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xd5826325, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xed9621cf, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0x841a0632, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x3c3d0ca2, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xd95030ff, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x3608fb7a, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x582abb4d, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xc1658f8e, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xaea6de8e, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xf738df4c, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xf1b1db3e, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x7f313f54, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x9427d654, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x176cdf4b, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xfe40f2dd, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x924264a1, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0xf9f38d09, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0xe6c59462, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0x5bc1384a, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x11df4535, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x09a5dfd5, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x712c0c71, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x7ba88e82, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x00ba79b7, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xaa5b6c8e, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x289223ca, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0xcf7d4cc3, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x379da08d, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xf63a2c43, "");
SYMBOL_CRC(rtw89_ser_notify, 0xad3a04c4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18e47e13, "ieee80211_stop_tx_ba_session" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xabb0f28e, "ieee80211_connection_loss" },
	{ 0x380e2915, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x403d9e3, "__ieee80211_schedule_txq" },
	{ 0xb978ed0e, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2386c7ac, "cfg80211_bss_iter" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x36247d1c, "ieee80211_probereq_get" },
	{ 0x92e83e27, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x20d1018a, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf132823c, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfe15c5aa, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x74c6869, "ieee80211_nullfunc_get" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x7c9219a, "ieee80211_pspoll_get" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x907d69e, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99b57ce0, "ieee80211_next_txq" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xd6c1faf5, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6df2e83c, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0x4c6b8b28, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0x11af2959, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x9996c4c0, "ieee80211_cqm_rssi_notify" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x6ba5117e, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xf0f5f169, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CFC98592720C5C166366D21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
