#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x5fe2446b, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x9b614fda, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x347a6aa6, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xcf9dc3d7, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x5d7b82db, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x49e3f03c, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xe5bc973e, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xa2f0b5f3, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x8a507f11, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xe63cb728, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xd22d9600, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x58b7a565, "");
SYMBOL_CRC(rtw89_pm_ops, 0x9ba0700f, "");
SYMBOL_CRC(rtw89_pci_probe, 0x6ceb7a23, "");
SYMBOL_CRC(rtw89_pci_remove, 0xdc4371e5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x43afc6f, "pcie_capability_read_word" },
	{ 0x73965b91, "pci_find_ext_capability" },
	{ 0x767bfe88, "rtw89_alloc_ieee80211_hw" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x731b76b0, "pci_iomap" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1e83b9b4, "rtw89_core_napi_init" },
	{ 0xfd63d3a3, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf386e4ea, "devm_free_irq" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x9e196be4, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420fd875, "rtw89_core_napi_deinit" },
	{ 0xab06fd53, "mem_section" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x33393835, "rtw89_free_ieee80211_hw" },
	{ 0xb81f32fd, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x73fad14b, "pci_iounmap" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeba87446, "ieee80211_tx_status" },
	{ 0xad3a04c4, "rtw89_ser_notify" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x11af2959, "skb_unlink" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x271dda1a, "rtw89_core_register" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x7d3c7dcd, "rtw89_core_rx" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb87e074b, "rtw89_core_deinit" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xa9eadfb3, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x964aa657, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe757c756, "rtw89_chip_info_setup" },
	{ 0x3c72b6bc, "rtw89_mac_get_err_status" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "BC2A5DDA7D71EB9FE4E858C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
