#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0xf6af5920, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0xf52d3b5c, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0xcd0f1193, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x26409049, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0x84122958, "");
SYMBOL_CRC(rsi_hal_device_init, 0x585e7309, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x560e87e4, "ieee80211_queue_stopped" },
	{ 0x7e859ec3, "rsi_bt_ops" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x3c635844, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x36247d1c, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xf132823c, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x111c4d8d, "ieee80211_generic_frame_duration" },
	{ 0x4e057917, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97c8dd92, "ieee80211_handle_wake_tx_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb70fc3c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xe0899327, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xad7ebf56, "ieee80211_stop_queue" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xc1e11159, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xb69714f2, "wiphy_rfkill_start_polling" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x9996c4c0, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf60dd16e, "ieee80211_rx_irqsafe" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,btrsi,rfkill,cfg80211");


MODULE_INFO(srcversion, "7B49789E57FF6D4ADE5E19D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
