#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x221d29be, "wl1271_tx_min_rate_get" },
	{ 0x2a5de262, "wl1271_cmd_send" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0xf2f15622, "wlcore_event_roc_complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x249f8b03, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x65bd0fb9, "wlcore_translate_addr" },
	{ 0xffa17e2f, "wlcore_boot_run_firmware" },
	{ 0x7068fb61, "wlcore_set_scan_chan_params" },
	{ 0x6bb60fb9, "wl1271_debugfs_update_stats" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc1db71fa, "wl1271_format_buffer" },
	{ 0xc5f97b27, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6f9f8582, "wlcore_free_hw" },
	{ 0x23950d63, "wlcore_event_soft_gemini_sense" },
	{ 0x71b36aa0, "wlcore_scan_sched_scan_results" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb953b750, "wlcore_event_max_tx_failure" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd00cb3c4, "wlcore_remove" },
	{ 0x4f7d827a, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdff19f58, "wlcore_event_channel_switch" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf44c676f, "wl1271_cmd_test" },
	{ 0x5acdf79e, "wlcore_enable_interrupts" },
	{ 0x6a8caaad, "wlcore_set_partition" },
	{ 0xf8730783, "wl1271_acx_sleep_auth" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x51bc4c48, "wlcore_boot_upload_firmware" },
	{ 0x1e6eb44a, "wlcore_event_sched_scan_completed" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xe8567bea, "wl12xx_acx_mem_cfg" },
	{ 0xfb345319, "wl1271_cmd_data_path" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd95cf0d2, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x7e479a1d, "wl1271_acx_set_ht_capabilities" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe637dd90, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa7ce09c9, "wlcore_probe" },
	{ 0xaada44c8, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe0b6df23, "wlcore_event_rssi_trigger" },
	{ 0x63cb6031, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x581454dd, "wl1271_acx_pm_config" },
	{ 0xa8609bb8, "wlcore_event_ba_rx_constraint" },
	{ 0x2f27be64, "wlcore_event_inactive_sta" },
	{ 0x59999175, "wlcore_event_dummy_packet" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x421d3aa0, "wlcore_event_beacon_loss" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x9dfb71c, "generic_file_llseek" },
	{ 0xd31f4883, "wl1271_acx_init_mem_config" },
	{ 0x57c0d979, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x858a4f68, "wlcore_boot_upload_nvs" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x65f6c5cb, "wl12xx_cmd_build_probe_req" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "28638E379495466AE9EF17E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
