#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfcmrvl_nci_register_dev, "_gpl", "");
KSYMTAB_FUNC(nfcmrvl_nci_unregister_dev, "_gpl", "");
KSYMTAB_FUNC(nfcmrvl_nci_recv_frame, "_gpl", "");
KSYMTAB_FUNC(nfcmrvl_parse_dt, "_gpl", "");

SYMBOL_CRC(nfcmrvl_nci_register_dev, 0xbb85e088, "_gpl");
SYMBOL_CRC(nfcmrvl_nci_unregister_dev, 0x273d23c5, "_gpl");
SYMBOL_CRC(nfcmrvl_nci_recv_frame, 0xc33bb375, "_gpl");
SYMBOL_CRC(nfcmrvl_parse_dt, 0x50c2586a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8504fc82, "nci_free_device" },
	{ 0x3f365629, "nci_allocate_device" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0786581, "nci_register_device" },
	{ 0x3c635844, "skb_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x508eee7e, "gpiod_set_raw_value" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x266ae7a2, "nfc_fw_download_done" },
	{ 0xfe990052, "gpio_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe0899327, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x6b071972, "of_get_named_gpio" },
	{ 0xc51e17c8, "nci_unregister_device" },
	{ 0x2f073a13, "nci_set_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf5ea4a, "nci_send_frame" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x403f9529, "gpio_request_one" },
	{ 0x587ecab5, "gpio_to_desc" },
	{ 0xed8c334, "nci_recv_frame" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb012445b, "nci_send_cmd" },
	{ 0xd2ce28bc, "nfc_send_to_raw_sock" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "03993991E6C2FC1A164033D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
