#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x205f3481, "");
SYMBOL_CRC(ndlc_close, 0xff296e32, "");
SYMBOL_CRC(ndlc_send, 0xa624707b, "");
SYMBOL_CRC(ndlc_recv, 0xfca3b236, "");
SYMBOL_CRC(ndlc_probe, 0xfa23e967, "");
SYMBOL_CRC(ndlc_remove, 0x26451510, "");
SYMBOL_CRC(st_nci_probe, 0x5c59437f, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xfd76cb02, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xd8c556f5, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xf5dbafea, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x4e619ca3, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x85d7a605, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x4500d367, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xabb02228, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x11f71f60, "");
SYMBOL_CRC(st_nci_se_init, 0xffb2da35, "");
SYMBOL_CRC(st_nci_se_deinit, 0xfba2b8fb, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x5285f99a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8504fc82, "nci_free_device" },
	{ 0x3f365629, "nci_allocate_device" },
	{ 0xd0786581, "nci_register_device" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3852527b, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc84e7a38, "nfc_add_se" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9807e0df, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b7a74dd, "nci_nfcee_mode_set" },
	{ 0xd55bfdad, "nci_hci_get_param" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x75fa34, "nfc_se_transaction" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe0899327, "skb_pull" },
	{ 0xe7300f9b, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x1f0b24a3, "nci_prop_cmd" },
	{ 0x46663423, "nci_core_conn_create" },
	{ 0xa320dfa1, "nci_nfcc_loopback" },
	{ 0xc51e17c8, "nci_unregister_device" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x57180157, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f0befb8, "nci_hci_send_event" },
	{ 0x7f5ff87f, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f74304c, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x30edb2b2, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7661e3e3, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xed8c334, "nci_recv_frame" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcd386cf7, "nci_hci_dev_session_init" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x3a5acb10, "nci_hci_set_param" },
	{ 0xbe621e37, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "792C94CF5E39EBB0DCF6263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
