#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st95hf_spi_send, "_gpl", "");
KSYMTAB_FUNC(st95hf_spi_recv_response, "_gpl", "");
KSYMTAB_FUNC(st95hf_spi_recv_echo_res, "_gpl", "");

SYMBOL_CRC(st95hf_spi_send, 0x5c7e20a2, "_gpl");
SYMBOL_CRC(st95hf_spi_recv_response, 0xce2896ca, "_gpl");
SYMBOL_CRC(st95hf_spi_recv_echo_res, 0x8f21be6a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e04413, "nfc_digital_allocate_device" },
	{ 0x5fb320b8, "regulator_enable" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3c635844, "skb_put" },
	{ 0xa6257a2f, "complete" },
	{ 0x4a14229e, "nfc_digital_free_device" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf2a6966, "up" },
	{ 0x508eee7e, "gpiod_set_raw_value" },
	{ 0xf36999fe, "nfc_digital_register_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x675d3a9d, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a32e9cf, "devm_regulator_get" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xe2916871, "spi_sync" },
	{ 0xd1c81082, "devm_gpio_request_one" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe0899327, "skb_pull" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x6b071972, "of_get_named_gpio" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2f12ca1, "__spi_register_driver" },
	{ 0x56470118, "__warn_printk" },
	{ 0x587ecab5, "gpio_to_desc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x5d363419, "nfc_digital_unregister_device" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nfc_digital,nfc");

MODULE_ALIAS("of:N*T*Cst,st95hf");
MODULE_ALIAS("of:N*T*Cst,st95hfC*");
MODULE_ALIAS("spi:st95hf");

MODULE_INFO(srcversion, "3843D8CC4A781C7DED0DA65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
