#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0xa06acdd1, "");
SYMBOL_CRC(ntb_unregister_client, 0x8ef5b012, "");
SYMBOL_CRC(ntb_register_device, 0xd0e3bc5f, "");
SYMBOL_CRC(ntb_unregister_device, 0x7b0629e0, "");
SYMBOL_CRC(ntb_set_ctx, 0x1b76fc87, "");
SYMBOL_CRC(ntb_clear_ctx, 0xf44f62ac, "");
SYMBOL_CRC(ntb_link_event, 0xb7a21e14, "");
SYMBOL_CRC(ntb_db_event, 0x2609d4ba, "");
SYMBOL_CRC(ntb_msg_event, 0xd9d11e91, "");
SYMBOL_CRC(ntb_default_port_number, 0xfe0713f5, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x7c656966, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x7835c73b, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xa7f142a2, "");
SYMBOL_CRC(ntb_msi_init, 0x6a107153, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x30c48323, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xca388422, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xadfbed66, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x49a88578, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x3e1f132d, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x59d32951, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x40217375, "devm_iounmap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcbbd2e87, "devres_destroy" },
	{ 0x439f94f6, "msi_unlock_descs" },
	{ 0xc5a084ec, "devm_ioremap" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x64469c79, "msi_lock_descs" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xf386e4ea, "devm_free_irq" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf8c0ad3b, "irq_get_irq_data" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf397d755, "msi_domain_first_desc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8884072e, "msi_next_desc" },
	{ 0x589acbc6, "driver_register" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B51C723BE41A2FD33E1D75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
