#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f757c2, "crypto_alloc_ahash" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x45b6e671, "ip_sock_set_tos" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf17aca27, "nvmet_req_complete" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0x2d0aba06, "sock_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x43f2331, "kernel_accept" },
	{ 0x6b2c20cf, "kernel_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb5df041, "sock_set_priority" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0x5f23573e, "nvmet_sq_destroy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xe306d5f0, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x3f3895f8, "nvmet_req_init" },
	{ 0xe3b1fc99, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8891cd80, "kernel_getpeername" },
	{ 0xf8dd1d16, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd04b06c6, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x35253a1d, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xffb7c514, "ida_free" },
	{ 0x11a2034e, "inet_pton_with_scope" },
	{ 0x1d996a58, "sock_sendmsg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x514c44ce, "tcp_stream_memory_free" },
	{ 0x55659ddc, "sock_set_reuseaddr" },
	{ 0x12f2c6e5, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x96a3e481, "crypto_ahash_digest" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c1bdf04, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95e1e1a0, "kernel_listen" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1f191c2, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0x30e21c68, "sock_release" },
	{ 0xef0af27, "tcp_sock_set_nodelay" },
	{ 0xefe8d745, "nvmet_ctrl_fatal_error" },
	{ 0xb332be42, "nvmet_req_uninit" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xa4ab8400, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaee2c993, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf99cd43, "sock_no_linger" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "0C89E8833D6F5ADFE0E6C3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
