#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x35253a1d, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xe306d5f0, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xf17aca27, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x5f23573e, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xb1f191c2, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x3f3895f8, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xb332be42, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x8dd373bf, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x143b868c, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x8a1c8ab0, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xefe8d745, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x873de0ef, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0x8ff3c6bc, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x3a6ad19, "config_group_init" },
	{ 0x78f7ffb7, "bio_add_zone_append_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4b01382c, "t10_pi_type1_crc" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34dd15d1, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xe4e205d6, "sg_zero_buffer" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0xfdc1a249, "vfs_fallocate" },
	{ 0x4ab12dcb, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x92c53f36, "bdev_nr_zones" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x419fdb65, "blkdev_put" },
	{ 0xc8ec0ccb, "blk_finish_plug" },
	{ 0xb45f6aa1, "submit_bio" },
	{ 0x3d14dab9, "module_put" },
	{ 0x6c99927, "t10_pi_type3_crc" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x2b377f79, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x889ca2d4, "bio_endio" },
	{ 0xfeeb00ba, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x71dfc7e5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1116f100, "configfs_register_subsystem" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x7acab55e, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6377f117, "bio_integrity_add_page" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xf788ab31, "blkdev_get_by_path" },
	{ 0xcd9706aa, "sg_miter_stop" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x9302a4fe, "bio_chain" },
	{ 0xffb7c514, "ida_free" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x1d3760ac, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc18cc5bf, "bio_integrity_alloc" },
	{ 0xe0710989, "sg_miter_start" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xa7b122f3, "bio_init" },
	{ 0x12f2c6e5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x5348d955, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x611b1fa1, "blkdev_issue_flush" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8fdc84e6, "bio_alloc_bioset" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xec82e3eb, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x4e0a644, "submit_bio_wait" },
	{ 0x8c5f2a36, "blkdev_report_zones" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0xc46337cd, "__blkdev_issue_discard" },
	{ 0xff6fee97, "fs_bio_set" },
	{ 0x4cb43487, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "configfs,t10-pi");


MODULE_INFO(srcversion, "FC358F623D8BEF7962490DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
