#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__parport_register_driver, "", "");
KSYMTAB_FUNC(parport_unregister_driver, "", "");
KSYMTAB_FUNC(parport_get_port, "", "");
KSYMTAB_FUNC(parport_del_port, "", "");
KSYMTAB_FUNC(parport_put_port, "", "");
KSYMTAB_FUNC(parport_register_port, "", "");
KSYMTAB_FUNC(parport_announce_port, "", "");
KSYMTAB_FUNC(parport_remove_port, "", "");
KSYMTAB_FUNC(parport_register_dev_model, "", "");
KSYMTAB_FUNC(parport_unregister_device, "", "");
KSYMTAB_FUNC(parport_find_number, "", "");
KSYMTAB_FUNC(parport_find_base, "", "");
KSYMTAB_FUNC(parport_claim, "", "");
KSYMTAB_FUNC(parport_claim_or_block, "", "");
KSYMTAB_FUNC(parport_release, "", "");
KSYMTAB_FUNC(parport_irq_handler, "", "");
KSYMTAB_FUNC(parport_negotiate, "", "");
KSYMTAB_FUNC(parport_write, "", "");
KSYMTAB_FUNC(parport_read, "", "");
KSYMTAB_FUNC(parport_wait_peripheral, "", "");
KSYMTAB_FUNC(parport_wait_event, "", "");
KSYMTAB_FUNC(parport_set_timeout, "", "");
KSYMTAB_FUNC(parport_ieee1284_interrupt, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_write_compat, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_nibble, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_byte, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_addr, "", "");

SYMBOL_CRC(__parport_register_driver, 0x0850eab7, "");
SYMBOL_CRC(parport_unregister_driver, 0xab71c8bd, "");
SYMBOL_CRC(parport_get_port, 0xbcc51128, "");
SYMBOL_CRC(parport_del_port, 0xcc5c7f96, "");
SYMBOL_CRC(parport_put_port, 0xf670a9c6, "");
SYMBOL_CRC(parport_register_port, 0x37c02ec9, "");
SYMBOL_CRC(parport_announce_port, 0x44cbb087, "");
SYMBOL_CRC(parport_remove_port, 0x29f3c049, "");
SYMBOL_CRC(parport_register_dev_model, 0x8cde6aee, "");
SYMBOL_CRC(parport_unregister_device, 0x2a541460, "");
SYMBOL_CRC(parport_find_number, 0x5819bf89, "");
SYMBOL_CRC(parport_find_base, 0xf65d1591, "");
SYMBOL_CRC(parport_claim, 0x19b37b5c, "");
SYMBOL_CRC(parport_claim_or_block, 0xf5ca24b0, "");
SYMBOL_CRC(parport_release, 0x06995930, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0xdc773b13, "");
SYMBOL_CRC(parport_write, 0x00145ffa, "");
SYMBOL_CRC(parport_read, 0xb20fe1b1, "");
SYMBOL_CRC(parport_wait_peripheral, 0xec50f93c, "");
SYMBOL_CRC(parport_wait_event, 0x933df548, "");
SYMBOL_CRC(parport_set_timeout, 0x4688596e, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0x3ec704b5, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0xb382ffb6, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0xca711f61, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x72dc4586, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x78f21301, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0x9d7fcf79, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0x4dd91a5b, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0xece3e1d9, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0xb96f018f, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0xb81e863f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7355f004, "try_module_get" },
	{ 0x91c6626c, "register_sysctl" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x6b0ca306, "bus_for_each_drv" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf995236f, "unregister_sysctl_table" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xc3bd7b85, "bus_for_each_dev" },
	{ 0x3d14dab9, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x44eff455, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x11089ac7, "_ctype" },
	{ 0xba58848c, "device_register" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd0d8621b, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x589acbc6, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "96CA2DA0FE8FA404205368E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
