#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x495b654f, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xf083c76f, "");
SYMBOL_CRC(pcmcia_dev_present, 0xd30043a3, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xd02525da, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x762406a7, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xcd71956e, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x169ef405, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x297c8c82, "");
SYMBOL_CRC(pcmcia_release_window, 0x4d629777, "");
SYMBOL_CRC(pcmcia_enable_device, 0x9034f925, "");
SYMBOL_CRC(pcmcia_request_io, 0x5c32d3ac, "");
SYMBOL_CRC(pcmcia_request_irq, 0xb83471d1, "");
SYMBOL_CRC(pcmcia_request_window, 0xf7938b18, "");
SYMBOL_CRC(pcmcia_disable_device, 0xec1ff914, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0xed3cf6cf, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x39fcc658, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x4f38a4ab, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0xffb187b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7355f004, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x6d74e6db, "pcmcia_get_socket" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc059e04, "driver_remove_file" },
	{ 0x9fbee31a, "driver_attach" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xda35cfce, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x59540ffd, "get_device" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x65edeb8b, "driver_create_file" },
	{ 0xc3bd7b85, "bus_for_each_dev" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x96922652, "pccard_register_pcmcia" },
	{ 0x3d14dab9, "module_put" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x8dc8b1d3, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5152e605, "memcmp" },
	{ 0xfb1fa82a, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xba58848c, "device_register" },
	{ 0xe20cf7d0, "pcmcia_parse_uevents" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x825157a3, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb29885c5, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4859450f, "pcmcia_put_socket" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xc9fbd927, "sysfs_remove_bin_file" },
	{ 0x589acbc6, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "77AACED2EF04C89B289268A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
