#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xdcfc9113, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0xe6c5782a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf7e56b63, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x60eb186e, "sysfs_notify" },
	{ 0x5e244fb1, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa537328e, "_dev_err" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x212771a, "device_create_file" },
	{ 0xda4bba79, "single_open" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x7290f64e, "input_set_capability" },
	{ 0xf47218db, "input_event" },
	{ 0x2a8dd42a, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xf3bc5000, "sparse_keymap_report_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5f24c950, "backlight_force_update" },
	{ 0x6bac93a2, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x486e7d96, "pci_find_bus" },
	{ 0xacf9defc, "pci_bus_read_config_dword" },
	{ 0xa9f24bcf, "pci_get_slot" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xb265ae69, "pci_stop_and_remove_bus_device" },
	{ 0x81bacfa8, "pci_scan_single_device" },
	{ 0xc669739d, "pci_bus_assign_resources" },
	{ 0xe8d1d344, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xfe3f3193, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xfe36b29a, "backlight_device_unregister" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x80ac02bd, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xb40365a2, "input_allocate_device" },
	{ 0x3320ca2e, "sparse_keymap_setup" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0x214fa885, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0x7d6b8e8b, "battery_hook_register" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x93962be7, "debugfs_create_x32" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xc213e0c3, "__pci_hp_register" },
	{ 0x56261e08, "pci_get_device" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x66225a08, "backlight_device_register" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xd4690780, "single_release" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,video,sparse-keymap,battery,ledtrig-audio");


MODULE_INFO(srcversion, "6384CB9739B8A8442ED26AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
