#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0xe50a8fa6, "proc_mkdir" },
	{ 0xc6f7ee34, "acpi_bus_register_driver" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8aaf28d4, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x6bac93a2, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0xbe79db8c, "hwmon_device_unregister" },
	{ 0xd0b7d2c5, "iio_device_unregister" },
	{ 0xb8e7e6ff, "iio_device_free" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0xfe36b29a, "backlight_device_unregister" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x80ac02bd, "battery_hook_unregister" },
	{ 0x9633f958, "i8042_remove_filter" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x8f931ffc, "device_remove_groups" },
	{ 0x72b8d8fc, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xda4bba79, "single_open" },
	{ 0x58db9c5, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x405e2be8, "misc_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x66225a08, "backlight_device_register" },
	{ 0x8385ca9e, "proc_create_data" },
	{ 0x9715244c, "proc_create_single_data" },
	{ 0x7d6b8e8b, "battery_hook_register" },
	{ 0xb40365a2, "input_allocate_device" },
	{ 0x3320ca2e, "sparse_keymap_setup" },
	{ 0x72ccb80e, "i8042_install_filter" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0xa9da9077, "iio_device_alloc" },
	{ 0x7cacb87c, "__iio_device_register" },
	{ 0x2a8dd42a, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x8d59df8d, "hwmon_device_register_with_info" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xf3bc5000, "sparse_keymap_report_event" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xd4690780, "single_release" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,video,sparse-keymap");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "C35D1D74DB246AC5BC649D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
