#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x333e3f64, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x31ec00b6, "");
SYMBOL_CRC(rio_alloc_net, 0x84a19a9b, "_gpl");
SYMBOL_CRC(rio_add_net, 0x1d139b9d, "_gpl");
SYMBOL_CRC(rio_free_net, 0x51e67368, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x7c5faac2, "_gpl");
SYMBOL_CRC(rio_add_device, 0xbfc4ec38, "_gpl");
SYMBOL_CRC(rio_del_device, 0x0616fcab, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x3330bfa9, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x1ba3c16e, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x9eb75bcd, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x11d2d41b, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xc97ae161, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x3c543897, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x78ac9989, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x216bcc65, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xe0f41e45, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x0a70e570, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xd1db212e, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x9334d689, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0xff4ccdf9, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x4807dbab, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xf185422d, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x7d949e9f, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x6990a496, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x0956de34, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0xd4b31be4, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x8deb5ce0, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xff15cb7b, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x8f4f2e99, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x2571138f, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x7980d64f, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xd18feb17, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x38eaeccd, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x80b0f0eb, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x1165e9ea, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xa5745d0f, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xb61d00e4, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xf2b617bd, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x2aaea999, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x2ea22a9b, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x3e9a2170, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x1b841959, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x5449245f, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xfcf28f3c, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xdb97707d, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x6381c771, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xc3b7e0ca, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xcb6aa04d, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x2df7a16e, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x6fce4ca3, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x432b4cd5, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x6be26467, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xa0fba73d, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x1c69df55, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xbe7e3bd7, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x85a7700b, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x1cb28bdd, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x717bdf68, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xa733c416, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x2e49ec0a, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x50e0408f, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xb77b7d2c, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x6343ecb5, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x6b15506f, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x2a83fb00, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x48f903ec, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xe7e1c0f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7355f004, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x5098d5fe, "dma_release_channel" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4de4b4e5, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x47497b18, "class_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x589acbc6, "driver_register" },
	{ 0x927909f3, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "893DA794099224AEA7B22EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
