#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x75fdead2, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xd9a06ce0, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x5470558d, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xa0d94154, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x7b2043b1, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x05bffc33, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x720c4157, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x6f288d14, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xa41e21e4, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xefde438c, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x8a752054, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x9eb917c1, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x382a2568, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x78f7a68a, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xed15888c, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x7b529478, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xff3c3e56, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xc88f607f, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x980fb3e8, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xe924d87e, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x60429f8e, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x9718f3d7, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x9b48abe3, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x260f12d6, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xbef2a3c1, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xec07d3c0, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x7593d996, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x810125d6, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x4df30ebb, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x3079ac14, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xa0e3a7d4, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x36cf7b4c, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x17b4a520, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xffc74bb3, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x0aa67b3f, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xc504427c, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xc308b81e, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x6aa07fee, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xac0740df, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xfa6c07d8, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xfb7f615a, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x25c575f0, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xa96d2b91, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x56a2f58e, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf8ef77a9, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d6f9d1a, "iscsi_host_remove" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0x3b69a1f0, "iscsi_host_free" },
	{ 0xfdd03124, "pci_dev_get" },
	{ 0x9772d6e3, "iscsi_host_add" },
	{ 0x6d6649eb, "iscsi_host_alloc" },
	{ 0xa5ea3208, "scsi_host_put" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4bb8729, "cxgbi_ppm_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5be3e95c, "iscsi_conn_queue_xmit" },
	{ 0xb8ea33d3, "__kfree_skb" },
	{ 0x9907ebb8, "iscsi_tcp_cleanup_task" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xbca87cdf, "cxgbi_ppm_ppod_release" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x56193bab, "iscsi_tcp_set_max_r2t" },
	{ 0x8856edc1, "iscsi_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x8ab36e23, "iscsi_tcp_conn_setup" },
	{ 0xe2b8410c, "iscsi_session_setup" },
	{ 0x3f35bf71, "iscsi_tcp_r2tpool_alloc" },
	{ 0xbab7e85a, "iscsi_session_teardown" },
	{ 0xfd4cbb96, "iscsi_tcp_r2tpool_free" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x516b210e, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96898769, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x46fe11d5, "iscsi_host_get_param" },
	{ 0x5152e605, "memcmp" },
	{ 0xb0f89385, "iscsi_unregister_transport" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x80b7abc8, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x276c9592, "iscsi_register_transport" },
	{ 0xe3b1fc99, "init_net" },
	{ 0x17e319e4, "ip6_route_output_flags" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa6ebe0b6, "cxgbi_ppm_ppods_reserve" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x1744497c, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15ea0258, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xeab36e8c, "iscsi_tcp_recv_skb" },
	{ 0xbb7d3ee4, "iscsi_lookup_endpoint" },
	{ 0xb4a66495, "iscsi_conn_bind" },
	{ 0xe7b6748b, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe98158ef, "iscsi_tcp_hdr_recv_prep" },
	{ 0x3c635844, "skb_put" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xab06fd53, "mem_section" },
	{ 0xd69f62f0, "page_address" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x13de1553, "iscsi_itt_to_ctask" },
	{ 0xa58bc662, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdeef8055, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x790280c9, "__folio_put" },
	{ 0x3d14dab9, "module_put" },
	{ 0x5c26d9da, "iscsi_destroy_endpoint" },
	{ 0x41f2aec2, "ipv6_dev_get_saddr" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3b65cfaa, "iscsi_create_endpoint" },
	{ 0xd2c7d5f5, "__ip_dev_find" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "2F0402BB868940AA579B39F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
