#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x13b792dd, "");
SYMBOL_CRC(sas_remove_host, 0x2c078744, "");
SYMBOL_CRC(sas_get_address, 0x8546c20d, "");
SYMBOL_CRC(sas_tlr_supported, 0xc738715f, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xc254070f, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xde8b1a9f, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x366eaa2d, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x3a72ae84, "");
SYMBOL_CRC(sas_phy_add, 0x240a21ff, "");
SYMBOL_CRC(sas_phy_free, 0x1a0f121d, "");
SYMBOL_CRC(sas_phy_delete, 0x2e06c1a3, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb2054430, "");
SYMBOL_CRC(sas_port_alloc, 0xe135883b, "");
SYMBOL_CRC(sas_port_alloc_num, 0x0979920b, "");
SYMBOL_CRC(sas_port_add, 0x304c5d77, "");
SYMBOL_CRC(sas_port_free, 0xd8567041, "");
SYMBOL_CRC(sas_port_delete, 0xc7b0f4e3, "");
SYMBOL_CRC(scsi_is_sas_port, 0xeac46bb7, "");
SYMBOL_CRC(sas_port_get_phy, 0x8f07e3b2, "");
SYMBOL_CRC(sas_port_add_phy, 0xf4d8bd8f, "");
SYMBOL_CRC(sas_port_delete_phy, 0xa24341a2, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xacec4d20, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xfa8f74c5, "");
SYMBOL_CRC(sas_end_device_alloc, 0x5c2ed750, "");
SYMBOL_CRC(sas_expander_alloc, 0xf053dd12, "");
SYMBOL_CRC(sas_rphy_add, 0xe86b2275, "");
SYMBOL_CRC(sas_rphy_free, 0xac62751d, "");
SYMBOL_CRC(sas_rphy_delete, 0xe2a233ed, "");
SYMBOL_CRC(sas_rphy_unlink, 0x30ebfb93, "");
SYMBOL_CRC(sas_rphy_remove, 0x61b2ed6d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x5092229d, "");
SYMBOL_CRC(sas_attach_transport, 0x115fb81d, "");
SYMBOL_CRC(sas_release_transport, 0x4231286d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2fd128ea, "device_add" },
	{ 0xabc64832, "transport_add_device" },
	{ 0x82e78d1a, "transport_configure_device" },
	{ 0x61a4149e, "device_del" },
	{ 0xb8ca27a1, "transport_destroy_device" },
	{ 0x83038fe8, "transport_remove_device" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x59540ffd, "get_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x260df688, "scsi_scan_target" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x513553b6, "bsg_setup_queue" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9291f9e1, "transport_class_register" },
	{ 0x355e3548, "transport_class_unregister" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd3755d23, "attribute_container_register" },
	{ 0x17b86955, "scsi_get_vpd_page" },
	{ 0xfac3c78f, "scsi_mode_sense" },
	{ 0x6f08dadf, "attribute_container_unregister" },
	{ 0xb737db35, "scsi_remove_host" },
	{ 0x9a2691c3, "bsg_remove_queue" },
	{ 0xf7c3b37e, "scsi_remove_target" },
	{ 0x144e5d30, "scsi_is_host_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2af94946, "bsg_job_done" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa006f51f, "dma_opt_mapping_size" },
	{ 0x52075985, "device_initialize" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x82923818, "transport_setup_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "CF3C57A660508DE2073A421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
