#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_channel_map, "", "");
KSYMTAB_DATA(rt_global_debug_component, "", "");
KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_EnableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_DisableIntelPromiscuousMode, "", "");
KSYMTAB_FUNC(rtllib_stop_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_start_send_beacons, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_get_beacon, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_MgntDisconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rawtx, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(RemovePeerTS, "", "");

SYMBOL_CRC(dot11d_init, 0xc1df55ad, "");
SYMBOL_CRC(dot11d_channel_map, 0xdb396f19, "");
SYMBOL_CRC(rt_global_debug_component, 0x22166084, "");
SYMBOL_CRC(alloc_rtllib, 0x59e2280d, "");
SYMBOL_CRC(free_rtllib, 0xec12de76, "");
SYMBOL_CRC(rtllib_rx, 0x84703417, "");
SYMBOL_CRC(rtllib_legal_channel, 0xcfc332a7, "");
SYMBOL_CRC(rtllib_xmit, 0x3044e574, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x978754de, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0xba3044dd, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x26fd2200, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xdd2f6a73, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x5bfc3851, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x52d28b82, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x5d1c2cb2, "");
SYMBOL_CRC(rtllib_EnableIntelPromiscuousMode, 0x829d2101, "");
SYMBOL_CRC(rtllib_DisableIntelPromiscuousMode, 0xd6225775, "");
SYMBOL_CRC(rtllib_stop_send_beacons, 0x3b266422, "");
SYMBOL_CRC(rtllib_start_send_beacons, 0x70835d8b, "");
SYMBOL_CRC(rtllib_stop_scan, 0x5b4cd646, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x2561f397, "");
SYMBOL_CRC(rtllib_act_scanning, 0xe8577356, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0xa866f515, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x9831a4b6, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x97773319, "");
SYMBOL_CRC(rtllib_reset_queue, 0xd5d48b84, "");
SYMBOL_CRC(rtllib_get_beacon, 0x654f2107, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xb45a2363, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0x0db95703, "");
SYMBOL_CRC(rtllib_MgntDisconnect, 0x8b729db4, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xa4538658, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xff9e877e, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xfea0fb87, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xb7a26fa7, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x52af90e6, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xccda560c, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0xcb879603, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xcab9eafa, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xb9e44201, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x5ce9bd40, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x5f933621, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x96b92827, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x08ba22c8, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x5ead4ad8, "");
SYMBOL_CRC(rtllib_wx_set_rawtx, 0xbe7e0615, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x5e3fa127, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x8feed232, "");
SYMBOL_CRC(rtllib_wx_get_power, 0x4b8ea6f6, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x24bf8721, "");
SYMBOL_CRC(RemovePeerTS, 0xdcdf82da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0x7355f004, "try_module_get" },
	{ 0x3c635844, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa4160e86, "dev_trans_start" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x572833d, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1af9767f, "lib80211_crypt_info_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x4ea32045, "lib80211_get_crypto_ops" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x60daa59d, "wireless_send_event" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x280ac07b, "netif_tx_stop_all_queues" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x437c4c93, "netdev_alert" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1430b3b8, "lib80211_crypt_info_free" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xccf7c8b8, "lib80211_crypt_delayed_deinit" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "6180C8B4DF822C45CF43E0E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
