#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x8fcae310, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xa839cd95, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x7ac6a219, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x6d848fc8, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x8cda73b3, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xff6ec4e5, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xb6893d3d, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x036e46bf, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xe3740ead, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x6841baa5, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x1d7a01ae, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xf2826718, "");
SYMBOL_CRC(iscsit_release_cmd, 0x06cb6c88, "");
SYMBOL_CRC(iscsit_free_cmd, 0x777a79a5, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xa625d924, "");
SYMBOL_CRC(iscsit_aborted_task, 0x97e935de, "");
SYMBOL_CRC(iscsit_add_reject, 0x984f1b29, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xd0e7a574, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x1e89304a, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x26fb1031, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x9ad6b024, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xc72c7a88, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x5401bbf5, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x23b157f9, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xd282ce01, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x7f1adecf, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x2a7959cc, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x205e5135, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x36aa3fb5, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x09865c74, "");
SYMBOL_CRC(iscsit_handle_snack, 0x4d853523, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xede190ab, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xb1a6bd8f, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xaa5a3b50, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x9b5e6c16, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xa4be36e6, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x2744c3c9, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x8f129ea2, "");
SYMBOL_CRC(iscsit_build_reject, 0x6bad014e, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xa561ab61, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x37f76624, "");
SYMBOL_CRC(iscsit_response_queue, 0xba5e831b, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x2fd51b51, "");
SYMBOL_CRC(iscsit_register_transport, 0xaf7c3b91, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x5d8ca710, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f757c2, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x1980562a, "target_alloc_cmd_counter" },
	{ 0xc0064a01, "core_alua_check_nonop_delay" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0x55b82158, "target_wait_for_cmds" },
	{ 0x536ffe43, "transport_generic_new_cmd" },
	{ 0xe50b4e8a, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x81cea30a, "kmap_high" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xaf1e0b33, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x2d0aba06, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x43f2331, "kernel_accept" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x343551c5, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x86820580, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2ab4a18d, "transport_generic_handle_tmr" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbfc515c4, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xbf013008, "transport_alloc_session_tags" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x68bcfebb, "transport_alloc_session" },
	{ 0xbc435770, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x55e88eae, "target_unregister_template" },
	{ 0x70eed539, "transport_send_check_condition_and_sense" },
	{ 0x738803e6, "strnlen" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa15269e0, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0xecf63ada, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe1c3c1de, "kunmap_high" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xa7f20ee2, "set_cpus_allowed_ptr" },
	{ 0x77226a1c, "transport_deregister_session_configfs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x11a2034e, "inet_pton_with_scope" },
	{ 0x1d996a58, "sock_sendmsg" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0xec89531a, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8a79079a, "target_cmd_parse_cdb" },
	{ 0x55659ddc, "sock_set_reuseaddr" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x76b3b832, "crypto_ahash_finup" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x12f2c6e5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x96a3e481, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x17f39460, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d5277c6, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0xb35e32b6, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x158e7451, "core_tpg_check_initiator_node_acl" },
	{ 0x9de2be6d, "target_cmd_init_cdb" },
	{ 0xeea0399, "strscpy" },
	{ 0x95e1e1a0, "kernel_listen" },
	{ 0xb3ec0360, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xc84934f9, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x74497d85, "crypto_shash_finup" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2c3b9cbc, "transport_wait_for_tasks" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x4c42c971, "transport_handle_cdb_direct" },
	{ 0xf429cd4, "target_get_sess_cmd" },
	{ 0x6aa2af9, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0x379af924, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x83a8fd95, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7d5e1fca, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x30e21c68, "sock_release" },
	{ 0x89e07b6a, "target_register_template" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xef0af27, "tcp_sock_set_nodelay" },
	{ 0x797fe566, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x299d1d1f, "transport_generic_free_cmd" },
	{ 0xd69f62f0, "page_address" },
	{ 0x5656f1b5, "core_tpg_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x575cc85c, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x56794fc, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xcdf046f3, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "5F3C6A9D71822AA7B778B2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
