#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x4b010475, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xe731ff48, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x298a5907, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xd75639da, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x05310efd, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x63696e3c, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xad21bef8, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x87408b79, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xe2697cd4, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x6ceee74b, "_gpl");
SYMBOL_CRC(tb_property_find, 0xc64da6ae, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x86166e8c, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x6e1826b8, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x5d0d5948, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x36521060, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0x21a31526, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x8985c223, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x11b35534, "_gpl");
SYMBOL_CRC(tb_service_type, 0x7f54ee95, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x910b04a0, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x8b5a0670, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xb65d74d4, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x533a305d, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x01d84c03, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x645f911c, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x003458a4, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xd718ce15, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x806f82ea, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xafe7d90b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xdbf3d628, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x73965b91, "pci_find_ext_capability" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0x52075985, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcb95b6fa, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x3faa8430, "acpi_find_child_by_adr" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa17b2312, "pci_irq_vector" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa7bd6956, "pm_wakeup_dev_event" },
	{ 0x4bc5cb13, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x6147154d, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xf386e4ea, "devm_free_irq" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xc87f8f20, "device_for_each_child_reverse" },
	{ 0x738803e6, "strnlen" },
	{ 0xc3bd7b85, "bus_for_each_dev" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0x49f26466, "kstrndup" },
	{ 0x9321f84e, "pcim_iomap_regions" },
	{ 0x352f7704, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xa684a013, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0x82c763d6, "bus_find_device" },
	{ 0x2fd128ea, "device_add" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc763a173, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2497c7a7, "pci_device_is_present" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb87cbdf9, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf10a90ef, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0x61a4149e, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x316a8025, "unregister_acpi_bus_type" },
	{ 0xb5947ca2, "acpi_get_first_physical_node" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5cbd8e69, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x39ad0cee, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe387d6ab, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47a2bff8, "acpi_fetch_acpi_dev" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0xcdf380ea, "device_iommu_capable" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x60bb311b, "pci_walk_bus" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x4dd196cb, "nvmem_register" },
	{ 0x84c42648, "pcim_iomap_table" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xb0e64871, "component_add" },
	{ 0x1a89cc48, "fwnode_handle_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0xda4bba79, "single_open" },
	{ 0xbf8f1b09, "pcim_enable_device" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x571fe10, "device_link_add" },
	{ 0x589acbc6, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "40345CA0A1C16F3CE8EF90E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
