#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x465e6db6, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0xa9c14bc8, "");
SYMBOL_CRC(ufshcd_hold, 0xd882035e, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x7ccfeeb0, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xf9d375e3, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x26ddf7f1, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x36ba3026, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xa1004698, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x81977409, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xa45b2e3a, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x39b46754, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x010aecbe, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xe6566b27, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x8f6e5368, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x16fdd54c, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x07c245d6, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x5ed5f33e, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x1e9da494, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x167706a2, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x25b501d3, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xc7009294, "");
SYMBOL_CRC(ufshcd_system_resume, 0x11196523, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xb42ef063, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xe36d11a4, "");
SYMBOL_CRC(ufshcd_remove, 0x9e4961c7, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x30f35676, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xcb012bd6, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xd183c53e, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x2edfdc6a, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xa7634b66, "");
SYMBOL_CRC(ufshcd_init, 0x52fdc662, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x07a81c41, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x13ea4293, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x2ca6d11b, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x2d55f577, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x17b4f391, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x37342d7b, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x63c3b6c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5da24462, "scsi_dma_map" },
	{ 0x412bdd7e, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5fb320b8, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbbf69388, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x513553b6, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x6149889e, "scsi_autopm_put_device" },
	{ 0xee03c17b, "scsi_device_get" },
	{ 0x3e1a77e4, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9a2691c3, "bsg_remove_queue" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x2af94946, "bsg_job_done" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9790bf51, "dmam_alloc_attrs" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb737db35, "scsi_remove_host" },
	{ 0x4e1f5105, "blk_rq_append_bio" },
	{ 0x250ed5b3, "bpf_trace_run6" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xdb95042a, "blk_pm_runtime_init" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x32d9de8f, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3322fecc, "sysfs_remove_groups" },
	{ 0xcd9a6c34, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0x52075985, "device_initialize" },
	{ 0xc4b762f1, "sysfs_create_groups" },
	{ 0xdb145423, "dev_pm_opp_add" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x503f8444, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x72d15548, "__scsi_iterate_devices" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x59cb2a06, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b5da2ec, "blk_mq_alloc_tag_set" },
	{ 0xeaac2715, "devfreq_add_device" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xfc4d6fa0, "scsi_register_driver" },
	{ 0x955cf9, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x63a1afc8, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xddc3d620, "blk_mq_free_request" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0x2a32e9cf, "devm_regulator_get" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xa7304f09, "scsi_device_put" },
	{ 0x212771a, "device_create_file" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x2b377f79, "bio_put" },
	{ 0xa1a829f2, "regulator_set_load" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xa537328e, "_dev_err" },
	{ 0xd4787277, "blk_queue_update_dma_alignment" },
	{ 0xc7e83e80, "devfreq_remove_device" },
	{ 0xa5ea3208, "scsi_host_put" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2aa0843e, "mempool_resize" },
	{ 0x2fd128ea, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x71d93032, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x8d59df8d, "hwmon_device_register_with_info" },
	{ 0x6626afca, "down" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd7ecdc0f, "dev_pm_opp_remove" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfa08bdd0, "sdev_prefix_printk" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xca48b33c, "scsi_scan_host" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x2042bb00, "device_link_remove" },
	{ 0xee806f31, "blk_mq_alloc_request" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xcf721b26, "blk_queue_update_dma_pad" },
	{ 0x707eac97, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdd26231, "blk_put_queue" },
	{ 0x61a4149e, "device_del" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x1528f1f6, "dmam_free_coherent" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x90a6fc98, "regulator_count_voltages" },
	{ 0x144e5d30, "scsi_is_host_device" },
	{ 0x8074a5cf, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b92ca4, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa1e255e0, "blk_mq_init_queue" },
	{ 0xfffe5c20, "blk_mq_unique_tag" },
	{ 0x83b030ee, "bpf_trace_run10" },
	{ 0xc8f176d, "scsi_device_quiesce" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x963a6489, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x8f5aa4f7, "scsi_print_command" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x499f314, "param_set_uint_minmax" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x553c4dc9, "devfreq_suspend_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x1e0369d4, "blk_mq_destroy_queue" },
	{ 0xd0a401ec, "scsi_execute_cmd" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x6da9dc7e, "devm_blk_crypto_profile_init" },
	{ 0xbe79db8c, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe73b99b8, "blk_mq_tagset_busy_iter" },
	{ 0x3a0fce17, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x1f00e207, "scsi_unblock_requests" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x136a89e6, "scsi_remove_device" },
	{ 0xba7083d9, "scsi_block_requests" },
	{ 0xd69f62f0, "page_address" },
	{ 0x13c7f70c, "scsi_add_host_with_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda4bba79, "single_open" },
	{ 0x9497156a, "scsi_host_alloc" },
	{ 0x61f5f20c, "__scsi_add_device" },
	{ 0x76b5ff8d, "devfreq_resume_device" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x571fe10, "device_link_add" },
	{ 0x8fdc84e6, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0xdafee0f6, "scsi_change_queue_depth" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xff6fee97, "fs_bio_set" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "8C3957A4138B5DBADB1195C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
