#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");
KSYMTAB_FUNC(onboard_hub_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_hub_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0xd477e381, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x572d63b4, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x8aa24bf2, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x126e86d1, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x292007c3, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x305ed8fe, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xa5c43522, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x19b3ac61, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x79759b7d, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xca4c6168, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x192dedc7, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x48e3a75f, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x17055d80, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0xc8aaecb7, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x02ba7f98, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0x4cf24332, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0xe6d41d9d, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x98291531, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x82618415, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0xf5e01b80, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x7b51aaa2, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x098ddc6b, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x909ef99d, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x5bcc5758, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x8d279ff1, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x7a935be9, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xe51cc780, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x25fb2182, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x18b39f76, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0xcab6f620, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xef075b6e, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x21924502, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x86d3e151, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xbe7399dc, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x48d27569, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xa28b5740, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe7740ac6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xa50aa824, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x12307160, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x85553083, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xc2427155, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xf000ee09, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x584a1fa2, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x6bd4a932, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x82a554c7, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x3aa5532a, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x6bc0f1bf, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xe5b79915, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x30f8e432, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0xd6b38ac2, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x3cd1a700, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x56f83e06, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x1ab60474, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x2e630ede, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0xf88be98e, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0xf45b4cee, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0xaafccb2f, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x1313d23f, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x8dbe76e3, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x815aad78, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x3e112809, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x63264cef, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x31d4bf6d, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0xfef41e58, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xe3a80365, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x4fa2ac03, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xefca6754, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0xca8e23b0, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x0e1e7eec, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x8d459118, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xcb5518f5, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0xf8cd8c25, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x7235dcc1, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0xb58c8d0e, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x6aa492d2, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xcc3cfbcd, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xc6d2bc9a, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x8499c560, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x439b04a0, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x208a976e, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xd0ff7ffd, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xdb1ccf44, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x69308dac, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x212079f5, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0xfa587db8, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x337c17f0, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x0d60e424, "_gpl");
SYMBOL_CRC(usb_string, 0x9589e10f, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x6080d509, "_gpl");
SYMBOL_CRC(usb_get_status, 0xfc7a12f9, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x4d8825c3, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x66f9545c, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x1af1018c, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x2cd79402, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xde287e07, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x36101463, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x97c56ea7, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0xd1f07277, "");
SYMBOL_CRC(usb_store_new_id, 0x3a50ef3b, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xd58b2b98, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xc21c27f1, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x706f445c, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xf15fe1c4, "_gpl");
SYMBOL_CRC(usb_match_id, 0x491688cd, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0xe0f22320, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x017415bb, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0xc96ea1c5, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x43afec41, "_gpl");
SYMBOL_CRC(usb_deregister, 0x5a18fc57, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x1423196a, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x41022be1, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xed75f8af, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x2bc68555, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0xbf06ce9d, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0xa299311a, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x62abb944, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0xeaf92032, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xaf5eab60, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0xfcd9be62, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x194ed47d, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x9e9aca92, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x44d3e231, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x9d62c78a, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0x67fcf24b, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0xa6d84c6d, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0x98aff07a, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x4c14d749, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0xa9051635, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x51814843, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x74364865, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x7e88f100, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xb2284b98, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0xf3bdc30a, "_gpl");
SYMBOL_CRC(onboard_hub_create_pdevs, 0x877c08cc, "_gpl");
SYMBOL_CRC(onboard_hub_destroy_pdevs, 0x25c42796, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6985115, "of_platform_device_create" },
	{ 0xe9d037be, "device_set_of_node_from_dev" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0x1209f366, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xf8357786, "of_node_put" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xed8837f5, "devm_memremap" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8235805b, "memmove" },
	{ 0x8ac4e797, "of_find_device_by_node" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0xc31d8de7, "param_get_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9790bf51, "dmam_alloc_attrs" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc059e04, "driver_remove_file" },
	{ 0x4bd8a3a1, "sysfs_add_file_to_group" },
	{ 0x9fbee31a, "driver_attach" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x56261e08, "pci_get_device" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb8f70751, "class_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x52ab091c, "pci_dev_run_wake" },
	{ 0xc5a084ec, "devm_ioremap" },
	{ 0x43cb5975, "pci_prepare_to_sleep" },
	{ 0x52075985, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x75bd7ed1, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcb95b6fa, "component_del" },
	{ 0xd942915, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf52db7c6, "kobject_get_path" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3faa8430, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6b0ca306, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa17b2312, "pci_irq_vector" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x58c06a3a, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1800303, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7a9e5d56, "device_create_bin_file" },
	{ 0x9874a615, "__put_cred" },
	{ 0x8e532a6a, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0xb7d0e4d0, "gen_pool_dma_alloc" },
	{ 0x60eb186e, "sysfs_notify" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4aa3cb3, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa7bd6956, "pm_wakeup_dev_event" },
	{ 0x8b64c302, "device_reprobe" },
	{ 0x4bc5cb13, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0x6147154d, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x64124f3c, "debugfs_lookup_and_remove" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x65edeb8b, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x7b5d2c83, "phy_exit" },
	{ 0x76f95e9d, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc3bd7b85, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x3d14dab9, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0x921847ec, "device_wakeup_disable" },
	{ 0x3a33ac87, "cdev_add" },
	{ 0x212771a, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x352f7704, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8aaf28d4, "sysfs_update_group" },
	{ 0x238c2e11, "sysfs_unmerge_group" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xa684a013, "device_wakeup_enable" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x82c763d6, "bus_find_device" },
	{ 0x2fd128ea, "device_add" },
	{ 0x7c33711, "__of_parse_phandle_with_args" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xdffd6e38, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9ec4f73c, "device_create" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0x6b966943, "sysfs_merge_group" },
	{ 0x90bc0332, "of_platform_device_destroy" },
	{ 0x203aa149, "class_create" },
	{ 0x566e7e0, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa7cb6af2, "kernfs_find_and_get_ns" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbcf3ab1d, "phy_power_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x94128661, "no_seek_end_llseek" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x9706a8ee, "of_match_node" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0xceec3e14, "sysfs_remove_file_from_group" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8d546bf4, "of_device_is_available" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xba58848c, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x61a4149e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x85ec63cc, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x316a8025, "unregister_acpi_bus_type" },
	{ 0x29da51a7, "device_match_devt" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x39ad0cee, "pm_runtime_no_callbacks" },
	{ 0x2bd609ff, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9c8a14c4, "devm_gen_pool_create" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x8c1b51b0, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x72523e08, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47a2bff8, "acpi_fetch_acpi_dev" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x9629ce7f, "kernfs_put" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdd186686, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb327349e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xa79aa25f, "device_pm_wait_for_dev" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x2bcec985, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb84e7ace, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xc71c6d06, "of_count_phandle_with_args" },
	{ 0xc54ab5c8, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x91baf681, "dev_pm_qos_add_request" },
	{ 0x820c4470, "pm_runtime_barrier" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x49fbb13d, "usb_debug_root" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb0e64871, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd69f62f0, "page_address" },
	{ 0x71fb8a6d, "set_primary_fwnode" },
	{ 0xc2ca680f, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x748fbe93, "phy_calibrate" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x90160482, "dev_pm_qos_expose_flags" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xdf98e3a, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9eadfb3, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x29f3a126, "up_read" },
	{ 0x589acbc6, "driver_register" },
	{ 0x726d37b4, "put_pid" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa883a860, "devm_of_phy_get_by_index" },
	{ 0xf01aca45, "cdev_del" },
	{ 0xb89a87b, "device_remove_bin_file" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6ce11b39, "phy_init" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "F33DD9CD2F16DEBC7CA993D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
