#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ohci_hub_status_data, "_gpl", "");
KSYMTAB_FUNC(ohci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ohci_setup, "_gpl", "");
KSYMTAB_FUNC(ohci_restart, "_gpl", "");
KSYMTAB_FUNC(ohci_suspend, "_gpl", "");
KSYMTAB_FUNC(ohci_resume, "_gpl", "");
KSYMTAB_FUNC(ohci_init_driver, "_gpl", "");

SYMBOL_CRC(ohci_hub_status_data, 0x43eed179, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0x569a9c14, "_gpl");
SYMBOL_CRC(ohci_setup, 0x55394efc, "_gpl");
SYMBOL_CRC(ohci_restart, 0x682e4219, "_gpl");
SYMBOL_CRC(ohci_suspend, 0x2759a1c6, "_gpl");
SYMBOL_CRC(ohci_resume, 0x64f02d10, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0xc70b8afd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x584a1fa2, "usb_hcd_unlink_urb_from_ep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6bc0f1bf, "usb_hcd_giveback_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x16bd3e8c, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x543b3016, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x49fbb13d, "usb_debug_root" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa537328e, "_dev_err" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xc2427155, "usb_hcd_link_urb_to_ep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf000ee09, "usb_hcd_check_unlink_urb" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56f83e06, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x92b57248, "flush_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x25fb2182, "usb_root_hub_lost_power" },
	{ 0xd6b38ac2, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa50aa824, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "741DE3BD26DD724BF23E521");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
