#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x30f8e432, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0xbe7399dc, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92b57248, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba7083d9, "scsi_block_requests" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x1f00e207, "scsi_unblock_requests" },
	{ 0x37b8adc, "scmd_printk" },
	{ 0x8f5aa4f7, "scsi_print_command" },
	{ 0xca48b33c, "scsi_scan_host" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0xa537328e, "_dev_err" },
	{ 0x144e5d30, "scsi_is_host_device" },
	{ 0xdafee0f6, "scsi_change_queue_depth" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0xefca6754, "usb_get_urb" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0xd4787277, "blk_queue_update_dma_alignment" },
	{ 0xed921f3, "blk_queue_max_hw_sectors" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xe5b79915, "usb_alloc_streams" },
	{ 0x32d9de8f, "scsi_report_bus_reset" },
	{ 0xca8e23b0, "usb_anchor_urb" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe1e7eec, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3a0fce17, "scsi_done" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xb737db35, "scsi_remove_host" },
	{ 0xa5ea3208, "scsi_host_put" },
	{ 0xc8aaecb7, "usb_lock_device_for_reset" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x61322a98, "usb_stor_adjust_quirks" },
	{ 0x9497156a, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x13c7f70c, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7235dcc1, "usb_unlink_urb" },
	{ 0xfa08bdd0, "sdev_prefix_printk" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "256B05C52A8E1E2FB5D252A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
