#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x5d6580f6, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x4d6ce875, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x5c2b37ff, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x3a68c853, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xc94583f8, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x46a73d4a, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x3d8ca048, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xfd3b4202, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xd560d86b, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xda7e0dbc, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xdc49c807, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xb0a1f77b, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xb28f6568, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xf00a571c, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x04230c11, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xb085160f, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x1afd048b, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x81df85c0, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xd0b1ce83, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xead287f8, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x62e3891e, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xc0429f2b, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xf68e30e5, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x3f1c8dc6, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xf399290b, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xe9252b91, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x97dc7e4e, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x4fcf0e8c, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x79c9b687, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x688cfd28, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x46c81c6f, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xacb82cd6, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xd1d149ce, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x6c38d65f, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0xb2098a1c, "_gpl");
SYMBOL_CRC(typec_register_port, 0x5de3c2bf, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xa6c319d6, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xf85310d7, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x2ce9218a, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x9062fbec, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x7781a6ae, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xc242a218, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xc9a52d19, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x45685d5f, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x2ad2df51, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x4091d4b6, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x8b46a49b, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x98b31edf, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xdd43be4d, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x04e31b57, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x1912c0eb, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x3da19786, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x09a4df43, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xf764c01e, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x0d7b4e94, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xf03b64cb, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x3846887b, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x245794a2, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xba50aa42, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x2766f6f3, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x5f193c75, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x25d423ee, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x8581b0a3, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x7bd8956b, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x4f4e0e26, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xb6d1e75a, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x670ebadf, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x5066b3e6, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xe8697394, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x332bf228, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd7ad6ce8, "component_master_add_with_match" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xb6ac85, "acpi_bus_for_each_dev" },
	{ 0x52075985, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf1fb506, "fwnode_connection_find_match" },
	{ 0x71f6f400, "fwnode_get_next_child_node" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x59540ffd, "get_device" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60eb186e, "sysfs_notify" },
	{ 0xb68ff42f, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xebdd1a89, "fwnode_property_read_u32_array" },
	{ 0x3d14dab9, "module_put" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0xb35cdc69, "fwnode_get_name" },
	{ 0x352f7704, "kobject_uevent_env" },
	{ 0x8aaf28d4, "sysfs_update_group" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x47497b18, "class_unregister" },
	{ 0xf10a90ef, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xba58848c, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5ee7664b, "fwnode_property_read_string" },
	{ 0x6da2fb72, "fwnode_property_present" },
	{ 0xb6c5a3b5, "component_master_del" },
	{ 0x96672901, "component_match_add_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc288ca63, "device_get_named_child_node" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xf68f966c, "component_bind_all" },
	{ 0x7fad943a, "device_match_name" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb6b1998d, "fwnode_connection_find_matches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd35f75a1, "match_string" },
	{ 0xecb0d924, "component_unbind_all" },
	{ 0x589acbc6, "driver_register" },
	{ 0x927909f3, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "97261029CA1DD8913B6D392");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
