#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(iova_bitmap_set, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xdec4d237, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x18735984, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xaafffab6, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xd84c91e4, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x6d4d79f2, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x747135c7, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xf352c681, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x44b83e00, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x51f16cdb, "");
SYMBOL_CRC(vfio_info_add_capability, 0x0f655355, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0x05b8cfda, "");
SYMBOL_CRC(vfio_pin_pages, 0x310d790c, "");
SYMBOL_CRC(vfio_unpin_pages, 0x2675b044, "");
SYMBOL_CRC(vfio_dma_rw, 0xd255a029, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xad7403a4, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x1c39c3f3, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x4932b06f, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x33fade40, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x11826b29, "_gpl");
SYMBOL_CRC(iova_bitmap_set, 0xfe2eae00, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x6ad5c518, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x0984e5ee, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x01d31008, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x4b849b38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25111b21, "pin_user_pages_fast" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe2820fb, "anon_inode_getfile" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x9a5b5e8b, "cdev_device_del" },
	{ 0xbc6bbf55, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb8f70751, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x52075985, "device_initialize" },
	{ 0x8d898e32, "unpin_user_pages" },
	{ 0xbdcf5c6f, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xee13acfc, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x71dfc7e5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x203aa149, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61a4149e, "device_del" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x405e2be8, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0xcdf380ea, "device_iommu_capable" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x251df7ef, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xfe33ecc, "eventfd_ctx_fileget" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb732e1c3, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AFFA3B78A43B3EB3C187B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
