#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xa046c8ad, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x3f03e241, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x313e3025, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x3a6ad19, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x23825c44, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x8235805b, "memmove" },
	{ 0x6e7caf23, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x95b428a2, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x250ed5b3, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa8dfff4c, "config_item_get" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x81d43f3a, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9998508d, "kset_unregister" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x8594261a, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x7d6ab55b, "call_srcu" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x43f2331, "kernel_accept" },
	{ 0x6b2c20cf, "kernel_recvmsg" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x2fc9526f, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34dd15d1, "configfs_unregister_subsystem" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x7a9cf304, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xcfa575dc, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x4a8efa5d, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x1116f100, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x90df9aed, "configfs_remove_default_groups" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0xd04b06c6, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf1e046cc, "panic" },
	{ 0xde78e575, "kobject_init_and_add" },
	{ 0x1d996a58, "sock_sendmsg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc4a70022, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0x55659ddc, "sock_set_reuseaddr" },
	{ 0x2bc95bd4, "memset" },
	{ 0x12f2c6e5, "iov_iter_bvec" },
	{ 0x405e2be8, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5708629, "config_item_init_type_name" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xe1c8131, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0x30e21c68, "sock_release" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0xfc097601, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xef0af27, "tcp_sock_set_nodelay" },
	{ 0xd790bd7e, "seq_open" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda4bba79, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xe4b7ada2, "sock_bind_add" },
	{ 0x634de1e1, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xd0d05280, "release_sock" },
	{ 0xc7331f56, "kset_create_and_add" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "D2E7337BC88CE7DAF07AA31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
