#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x2c366219, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x572d4f24, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x3cb3d861, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x9f34423b, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xf6a39e11, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x3dba47ba, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x3de0cf55, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x368d7a37, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x6d5be428, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x3e397f8e, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x9020b48d, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x434f8245, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xa02df320, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x1cde8e3c, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x40780e96, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xff6c2c7b, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xeb02da2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x1d7cd904, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x95c6f252, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xe3cb99c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x5783419a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x36a3f6ff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xde2a557f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x5eb93ab9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x0b6defba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xac148884, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xb6c12b47, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x91159de3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x69e8d26e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xdf082a86, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x967185a3, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x041528ce, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x2a800e6a, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x02458ab5, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xaaa4bdfc, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xc03a129e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x1138974d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xe58de8bb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x75ee957f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xa49e3882, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xc370e684, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x3343d181, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x1b52a7c7, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x0323c4f4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x3c6d9ff5, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x5f5dd5d5, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x7c20eff5, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xe0a341b3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xed299a8e, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xa51b93f1, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xf73d7fe3, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x5e29b139, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x1da2bb2a, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x870a6cbf, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x7c922088, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x4b1ad6fc, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xc4240991, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x93756955, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xe13fff5a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x11ac36fb, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xc43e1c13, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x73b696ac, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x28bd7f24, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x475660f3, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x33fc63c8, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x054f26e0, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x93b243c5, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xd131d686, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x74e13f0d, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xab2a6da5, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xc0f853a3, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xa77f78e8, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xa70f413c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xc749fb0d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xf3870640, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x5e5616b0, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x10bf487a, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x49acbbac, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xebb4694d, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xf86d9acd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3017ebe, "rpc_put_task" },
	{ 0x4e89c1d0, "generic_copy_file_range" },
	{ 0xde935c33, "svc_generic_rpcbind_set" },
	{ 0xf1e0631e, "nfs_clone_server" },
	{ 0x8b4e3666, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7e9a8ee, "filemap_fdatawrite" },
	{ 0xa97c04bf, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe304fb5a, "nfs_server_remove_lists" },
	{ 0xb08abc2c, "nfs42_ssc_unregister" },
	{ 0x57bfcea3, "generic_listxattr" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe1c19faa, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6237b976, "nfs_writeback_update_inode" },
	{ 0x74ed8e35, "clear_inode" },
	{ 0x2a5b1af6, "inode_to_bdi" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x2f839105, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x6754b9e6, "user_revoke" },
	{ 0x754e8c50, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbbe90828, "nfs_alloc_client" },
	{ 0x91c6626c, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x71dfd7c9, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x905533a4, "rpc_clnt_probe_trunked_xprts" },
	{ 0xf05deeee, "nfs_pageio_reset_read_mds" },
	{ 0x55d4c353, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xcd19886d, "rpc_shutdown_client" },
	{ 0xc042882e, "svc_bind" },
	{ 0x8ab62d55, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x46f6ea79, "nfs_free_inode" },
	{ 0xc821fde6, "nfs_access_zap_cache" },
	{ 0xa1912371, "nfs_sb_deactive" },
	{ 0xe92260e0, "nfs_wb_all" },
	{ 0xa0e12068, "__break_lease" },
	{ 0xa95aeffd, "nfs_pageio_init_write" },
	{ 0xdbd99195, "svc_recv" },
	{ 0xd87f5e9e, "nfs_drop_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x20eb9e50, "xdr_inline_decode" },
	{ 0x49f07bd9, "nfs_pageio_init_read" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x20382691, "nfs_wait_client_init_complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xf4fd63a3, "nfs_init_commit" },
	{ 0xdf7cc73d, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x250ed5b3, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa4476cbf, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x7712fcc7, "nfs_mknod" },
	{ 0xd7cdaba3, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xabbe363, "nfs4_label_alloc" },
	{ 0xeb67d038, "rpc_localaddr" },
	{ 0xe815c004, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x1482d7d5, "nfs_access_get_cached" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4d29f55e, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x74204e87, "unregister_key_type" },
	{ 0xcb7b5e0e, "nfs_client_init_is_complete" },
	{ 0xd9566b99, "nfs_file_splice_read" },
	{ 0x43fe1da1, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe972161c, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x15b2c556, "ihold" },
	{ 0x5e36f8fe, "truncate_pagecache_range" },
	{ 0x3deb916b, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x14812f77, "invalidate_inode_pages2_range" },
	{ 0xfaf2b686, "nfs_post_op_update_inode" },
	{ 0x7cd42dfe, "svc_exit_thread" },
	{ 0xd2380637, "iput" },
	{ 0x502c6b46, "xdr_set_pagelen" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x63440736, "nfs_pgio_header_free" },
	{ 0x6205109d, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x51716714, "logfc" },
	{ 0xc4853c2e, "nfs_pgio_header_alloc" },
	{ 0xce1bfbb1, "iter_file_splice_write" },
	{ 0x88be6d59, "rpc_pton" },
	{ 0x9ac02507, "nfs_sb_active" },
	{ 0x23e45ae9, "mod_node_page_state" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x87c09d03, "rpc_wake_up_queued_task" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x6baa2316, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54505060, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x45c6a5ff, "_copy_from_pages" },
	{ 0xfbfec22f, "__module_get" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x9215dc36, "rpc_task_release_transport" },
	{ 0x3204c6df, "xdr_page_pos" },
	{ 0x331e5030, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x36ac2358, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb20cd691, "key_instantiate_and_link" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0x462a2e75, "match_strlcpy" },
	{ 0x182fb8ee, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x38390858, "register_key_type" },
	{ 0xae14489d, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7114fb64, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcffa8693, "nfs_pageio_resend" },
	{ 0xeb0a7e4b, "keyring_alloc" },
	{ 0xd8383690, "vfs_setpos" },
	{ 0xebfee9e7, "nfs_create" },
	{ 0x6b75a696, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9874a615, "__put_cred" },
	{ 0xc80b8078, "swapcache_mapping" },
	{ 0x55254025, "nfs_statfs" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x41b476e3, "rpc_max_bc_payload" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x9a142c98, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x7a9cf304, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x420ad002, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5f7b3f3f, "nfs_revalidate_inode" },
	{ 0x5398d321, "inode_newsize_ok" },
	{ 0x9feddb3f, "nfs_file_mmap" },
	{ 0x7a16457d, "nfs_get_lock_context" },
	{ 0x393e447f, "d_drop" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd6640862, "nfs_set_cache_invalid" },
	{ 0xc45eabe5, "rpc_release_client" },
	{ 0x8cd6abff, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x96abf082, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8ccde9be, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf995236f, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3c36bb52, "nfs_generic_pgio" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0x5f776bb4, "truncate_inode_pages_final" },
	{ 0x75c05514, "generic_setlease" },
	{ 0x21231890, "xprt_destroy_backchannel" },
	{ 0xf8b06952, "rpc_switch_client_transport" },
	{ 0x3c1e0b06, "bc_svc_process" },
	{ 0x738803e6, "strnlen" },
	{ 0x24455b65, "nfs_scan_commit_list" },
	{ 0x4aeaa38e, "xdr_stream_decode_string_dup" },
	{ 0xc23d677e, "nfs_commit_inode" },
	{ 0x4a8efa5d, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x390e4ca0, "unregister_shrinker" },
	{ 0x4f63d648, "rpc_destroy_pipe_data" },
	{ 0x9543fe83, "nfs_get_client" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x10d2beaf, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdcca6350, "nfs_atomic_open" },
	{ 0x980f15b5, "rpc_pipe_generic_upcall" },
	{ 0x45812294, "nfs_file_fsync" },
	{ 0x3d14dab9, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x8636ed65, "mntput" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x851d31d0, "nfs_put_lock_context" },
	{ 0x1e6d1526, "nfs_rename" },
	{ 0xbfdcb4bb, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xecf63ada, "flush_signals" },
	{ 0x810ade4c, "nfs_sysfs_link_rpc_client" },
	{ 0xcdd9bb36, "nfs_put_client" },
	{ 0x4a0957b2, "nfs_show_options" },
	{ 0x44378641, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x7c5e8ef0, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x194d0d45, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd30a14b1, "get_nfs_open_context" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x248f479b, "nfs_clear_verifier_delegated" },
	{ 0x29778156, "nfs_sysfs_add_server" },
	{ 0x71dfc7e5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0x9b5d0e85, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x93767dac, "nfs_do_submount" },
	{ 0xa5c1671d, "vfs_dup_fs_context" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xbcbf9737, "request_key_with_auxdata" },
	{ 0x131694c1, "rpc_clone_client_set_auth" },
	{ 0xae13f973, "rpc_clone_client" },
	{ 0xbe8cc898, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe63664ce, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6bc7209a, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2fa39c48, "svc_process" },
	{ 0x83c61185, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9e9847d, "put_fs_context" },
	{ 0xbe5c8fdf, "nfs_retry_commit" },
	{ 0x7d96d171, "nfs4_dentry_operations" },
	{ 0x75faaebd, "__module_put_and_kthread_exit" },
	{ 0xdcb38dbe, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0x3bc74ead, "nfs_client_for_each_server" },
	{ 0xb526a52e, "nfs_clear_inode" },
	{ 0x979cad89, "rpc_sleep_on_priority" },
	{ 0x7604c97, "nfs_invalidate_atime" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x83c550a1, "nfs_umount_begin" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x4ff0ead8, "nfs_getattr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf98c9857, "nfs_pageio_reset_write_mds" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xfb19c89a, "nfs_generic_pg_test" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x3af2ac3c, "xdr_stream_subsegment" },
	{ 0xc723a469, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x36defc0c, "nfs_fscache_open_file" },
	{ 0xfc0f1ad4, "from_kgid" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7c40ae60, "nfs_write_inode" },
	{ 0x5a80c998, "nfs_request_remove_commit_list" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x22aba082, "page_to_nid" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xaca4077c, "rpc_wake_up_first" },
	{ 0x8f473a9c, "alloc_nfs_open_context" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x186d9bd1, "vfs_parse_fs_param" },
	{ 0x75206a8c, "nfs_path" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x4f8ed83, "rpc_sleep_on_priority_timeout" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xb03b71f7, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8e75a3fd, "register_nfs_version" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb06c8e8f, "rpc_sleep_on_timeout" },
	{ 0xa6d1c624, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x39ce5bac, "rpc_call_start" },
	{ 0xc7b45e55, "xprt_setup_backchannel" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x2dd2493, "svc_create" },
	{ 0x1eb79281, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x106a6e, "nfs_file_set_open_context" },
	{ 0x49a35f13, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xc2bdc077, "rpc_call_sync" },
	{ 0xa171831e, "from_kuid" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x404c708a, "rpc_put_task_async" },
	{ 0xfec20c12, "rpc_prepare_reply_pages" },
	{ 0x331d3911, "rpc_queue_upcall" },
	{ 0x10aff1ee, "nfs_free_server" },
	{ 0xc52b59e5, "fc_mount" },
	{ 0xe71ad8ec, "nfs_setattr" },
	{ 0x67e2af9c, "xdr_terminate_string" },
	{ 0x40e75719, "nfs4_fs_type" },
	{ 0xe8739ff4, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x9809aecc, "rpc_delay" },
	{ 0xba0c9184, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4bb573f, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x85fed59c, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x391865af, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x321b2cf3, "rpc_exit" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc2ed0f2f, "rpc_remove_pipe_dir_object" },
	{ 0x1abb60ce, "nfs_may_open" },
	{ 0x5c5ff7e7, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x4e9a447, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe27bcb08, "xdr_reserve_space" },
	{ 0xb0ea0b8a, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2f94bee1, "nfs_rmdir" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xaedc2c68, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x626d4180, "nfs_filemap_write_and_wait_range" },
	{ 0xbf21b364, "rpc_mkpipe_dentry" },
	{ 0x242797dc, "alloc_file_pseudo" },
	{ 0xeea0399, "strscpy" },
	{ 0xdf4e7a26, "rpc_mkpipe_data" },
	{ 0x55a4ec61, "rpc_add_pipe_dir_object" },
	{ 0x241ed52a, "igrab" },
	{ 0x90c2a249, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x71390175, "nfs_async_iocounter_wait" },
	{ 0xca7f99c, "nfs_file_read" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x3efb1869, "nfs_alloc_fattr_with_label" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x88043cff, "filemap_fdatawait_range" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xf02fe8a0, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9a77afe, "nfs_setattr_update_inode" },
	{ 0x86113b9, "nfs_instantiate" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x4e6f439f, "rpc_uaddr2sockaddr" },
	{ 0x1f81f947, "user_read" },
	{ 0xd3a7be89, "rpc_restart_call" },
	{ 0xb6188e5d, "request_key_tag" },
	{ 0x25beb52f, "xprt_force_disconnect" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xf87bf956, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1c0868a6, "svc_xprt_destroy_all" },
	{ 0x681b9c5d, "generic_key_instantiate" },
	{ 0xb7a5e524, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x7e69c06a, "nfs_link" },
	{ 0x790280c9, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2fabc6f4, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x296d2f28, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe16b7ab4, "dput" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0x2753039a, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbc5e0e58, "xdr_stream_move_subsegment" },
	{ 0xb5ba517c, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xb446b5ee, "nfs_post_op_update_inode_force_wcc" },
	{ 0xeff9e7fb, "nfs_pgheader_init" },
	{ 0x737a05dd, "put_nfs_open_context" },
	{ 0xf1a302ad, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3293a9d7, "nfs_show_devname" },
	{ 0x4a48d1d, "nfs_permission" },
	{ 0xd34c730d, "nfs_initiate_commit" },
	{ 0x9eb7a44f, "truncate_inode_pages_range" },
	{ 0x77aa1388, "__put_user_ns" },
	{ 0xff86aa63, "cred_fscmp" },
	{ 0xd1c4c79b, "rpc_unlink" },
	{ 0xc0bb9ce2, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xe542948, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b2b7dc7, "nfs_file_write" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x8f2ff814, "node_data" },
	{ 0xe7f844e2, "nfs_probe_server" },
	{ 0x1352f44, "nfs_setsecurity" },
	{ 0xfe99b20c, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x2454964c, "rpc_clnt_test_and_add_xprt" },
	{ 0x714c9bfa, "file_ra_state_init" },
	{ 0x99515ce9, "nfs_force_lookup_revalidate" },
	{ 0x1c7e42dd, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7f9860e5, "rpc_clnt_add_xprt" },
	{ 0xb6b25e97, "dget_parent" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0xbb637fee, "prepare_kernel_cred" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe68ffcef, "nfs_alloc_server" },
	{ 0xb6b2869e, "rpc_call_async" },
	{ 0xef4a86be, "security_dentry_init_security" },
	{ 0x6b84f31b, "filemap_write_and_wait_range" },
	{ 0x92a02b46, "nfs_server_insert_lists" },
	{ 0xd69f62f0, "page_address" },
	{ 0x71d30d04, "nfs_dreq_bytes_left" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf0506560, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xacce693c, "rpc_init_pipe_dir_object" },
	{ 0x2ee8dd3c, "bpf_trace_run7" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x69991f86, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x5f2383a9, "nfs_init_server_rpcclient" },
	{ 0x71acd967, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9eaf66c2, "rpc_set_connect_timeout" },
	{ 0xbdeafe6, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0xc8b9a6ed, "xdr_stream_pos" },
	{ 0x96fc1f58, "key_set_timeout" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x29f3a126, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x985e4ff9, "svc_xprt_create" },
	{ 0x8610fb92, "nfs42_ssc_register" },
	{ 0xcfb7a325, "rpc_wait_for_completion_task" },
	{ 0x33213b9e, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7155d608, "rpc_num_bc_slots" },
	{ 0xc8a3a96e, "nfs_alloc_inode" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c9781dc, "rpc_destroy_wait_queue" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x7c851b99, "security_inode_listsecurity" },
	{ 0xdb0c1e2b, "nfs_fhget" },
	{ 0x66a34bde, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x634de1e1, "locks_copy_lock" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x6f07fa2c, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc033c629, "nfs_set_verifier" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "D592E5202A84B338011EE0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
