#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_unregister_domain, "_gpl", "");
KSYMTAB_FUNC(dlm_register_domain, "_gpl", "");
KSYMTAB_FUNC(dlm_setup_eviction_cb, "_gpl", "");
KSYMTAB_FUNC(dlm_register_eviction_cb, "_gpl", "");
KSYMTAB_FUNC(dlm_unregister_eviction_cb, "_gpl", "");
KSYMTAB_FUNC(dlm_print_one_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_errmsg, "_gpl", "");
KSYMTAB_FUNC(dlm_errname, "_gpl", "");
KSYMTAB_FUNC(dlmlock, "_gpl", "");
KSYMTAB_FUNC(dlmunlock, "_gpl", "");

SYMBOL_CRC(dlm_unregister_domain, 0x02477e34, "_gpl");
SYMBOL_CRC(dlm_register_domain, 0xff9c0b8a, "_gpl");
SYMBOL_CRC(dlm_setup_eviction_cb, 0x7a1211f8, "_gpl");
SYMBOL_CRC(dlm_register_eviction_cb, 0x1bffca1d, "_gpl");
SYMBOL_CRC(dlm_unregister_eviction_cb, 0xd8fa57a6, "_gpl");
SYMBOL_CRC(dlm_print_one_lock, 0x5d0095c0, "_gpl");
SYMBOL_CRC(dlm_errmsg, 0xd7ba575e, "_gpl");
SYMBOL_CRC(dlm_errname, 0xfb86b96f, "_gpl");
SYMBOL_CRC(dlmlock, 0x23319d6d, "_gpl");
SYMBOL_CRC(dlmunlock, 0x94c0df3c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb6ebf62a, "o2nm_this_node" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbd13ee5d, "o2hb_check_node_heartbeating_no_sem" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf50a1d1a, "o2nm_get_node_by_num" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa58453a7, "o2hb_setup_callback" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xbfd7d7a2, "o2hb_global_heartbeat_active" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xde714cd7, "__seq_open_private" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x364f639b, "o2net_send_message_vec" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xa941cb47, "o2hb_fill_node_map" },
	{ 0xf1a5611d, "o2net_unregister_handler_list" },
	{ 0xf982e6db, "o2net_send_message" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfe1298f3, "o2net_register_handler" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6c6d06ea, "seq_release_private" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x490585cc, "o2hb_register_callback" },
	{ 0x58c88ff2, "o2hb_get_all_regions" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x9dfb71c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0xb5580ab2, "o2hb_unregister_callback" },
	{ 0x7c39fd2e, "o2nm_node_put" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_nodemanager");


MODULE_INFO(srcversion, "C4681DAEF2FB43428144512");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
