#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x9094e4dd, "");
SYMBOL_CRC(is_hsr_master, 0x11c50caf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71a90bca, "dev_set_mtu" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xaec06840, "eth_header" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdf6e6d83, "netdev_update_features" },
	{ 0x8235805b, "memmove" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8a0a7, "dev_set_promiscuity" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x572833d, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0x98573465, "netlink_ack" },
	{ 0xcac9ebe3, "netdev_state_change" },
	{ 0x87761ba3, "__pskb_copy_fclone" },
	{ 0xaaa2784, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x519d1f95, "netdev_upper_dev_link" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x7870de54, "netdev_core_stats_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xce050bbd, "netdev_rx_handler_unregister" },
	{ 0x6e3e3171, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x3ff637d5, "skb_copy_expand" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd737de3f, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xbd2fee7e, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x24194de4, "debugfs_rename" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xedfb9596, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xb9b33ba3, "netdev_rx_handler_register" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x6402284f, "dev_disable_lro" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xda4bba79, "single_open" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x41522e1, "genl_register_family" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3CE71D8C93B022EFD6FD267");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
