#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0xff1adff3, "");
SYMBOL_CRC(gue_encap_hlen, 0x19741ae4, "");
SYMBOL_CRC(__fou_build_header, 0xc1a811dd, "");
SYMBOL_CRC(__gue_build_header, 0xd3b75654, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14db0810, "__skb_checksum_complete" },
	{ 0x892b6e22, "ip_tunnel_encap_add_ops" },
	{ 0x4634153c, "inet_get_local_port_range" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6a828b86, "udp_sock_create4" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x2bf51948, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xd12216fa, "inet_offloads" },
	{ 0x4106e2fc, "inet_protos" },
	{ 0xbe9ac2ed, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5d9fad29, "ip_tunnel_encap_del_ops" },
	{ 0x60bc3a00, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x4d225b7b, "register_btf_kfunc_id_set" },
	{ 0xdd04f3c4, "setup_udp_tunnel_sock" },
	{ 0xe182a2e0, "udp_sock_create6" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x256ebd91, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C7AA7FA773852698CE3E91E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
