#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xab66db5a, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xd8f5a876, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x1a4187e0, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x892b6e22, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x5d9fad29, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x74e19bc9, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x2cdee186, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x1494d1b4, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x1c642342, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xdcae3be1, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x9d9dc2cc, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x77a23ea0, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x19a38a1a, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xbd483c5b, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xb567eb11, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xc95b4105, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xc4c64104, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xc3627876, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x219268cd, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xbf69a93f, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x3f2af90b, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x15229b1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb37e8e58, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd0d8621b, "strlen" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xeea0399, "strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe7f48b84, "gro_cells_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa58bc662, "dst_release" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc3e2121a, "skb_scrub_packet" },
	{ 0x655ce2e1, "gro_cells_receive" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0xfcced6a2, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xcac9ebe3, "netdev_state_change" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x71a90bca, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xe3b1fc99, "init_net" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe4ec9f84, "ip6_mtu" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4e9b9820, "icmpv6_ndo_send" },
	{ 0x4a12be57, "icmp_ndo_send" },
	{ 0xcbec605b, "ipv4_mtu" },
	{ 0x930b6a02, "dst_cache_get_ip4" },
	{ 0x736fb704, "iptunnel_xmit" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0xb004b12a, "dst_cache_set_ip4" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BB7BF42AE847C78AF3BD127");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
