#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x93577c12, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xf66c1eb0, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xea9badca, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x23b2fe99, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xa00bc2d9, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x54374ec5, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x81b7f20c, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x54111868, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x44a9e329, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xee6930ac, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x24d27477, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x5260f33e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe97c2713, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd83675a5, "ipv6_chk_addr_and_flags" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0x7417b5d, "xfrm6_tunnel_register" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0x8840f8f8, "xfrm6_tunnel_deregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x5fc33b64, "rt6_lookup" },
	{ 0xa58bc662, "dst_release" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x99106d89, "ip_tunnel_header_ops" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0x738803e6, "strnlen" },
	{ 0xc0e30161, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0xd38ee2c7, "__get_hash_from_flowi6" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe7f48b84, "gro_cells_init" },
	{ 0xc3e2121a, "skb_scrub_packet" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x655ce2e1, "gro_cells_receive" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xeea0399, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xcac9ebe3, "netdev_state_change" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x17e319e4, "ip6_route_output_flags" },
	{ 0xc617789c, "xfrm_lookup" },
	{ 0xe4ec9f84, "ip6_mtu" },
	{ 0x1647c2d6, "skb_realloc_headroom" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5205bc9b, "ipv6_push_frag_opts" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x13ed8dc2, "ip6_local_out" },
	{ 0x179a1ba6, "dst_cache_get" },
	{ 0xf6343888, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x41f2aec2, "ipv6_dev_get_saddr" },
	{ 0xeedfad0a, "ip6_dst_hoplimit" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcbec605b, "ipv4_mtu" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0xbe9ac2ed, "iptunnel_handle_offloads" },
	{ 0x4e9b9820, "icmpv6_ndo_send" },
	{ 0x4a12be57, "icmp_ndo_send" },
	{ 0xe7a50364, "__xfrm_policy_check" },
	{ 0x4a80ca31, "__iptunnel_pull_header" },
	{ 0x8919559a, "metadata_dst_alloc" },
	{ 0x96a34604, "ip6_redirect" },
	{ 0x5caa213c, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xe0899327, "skb_pull" },
	{ 0xa7b8076d, "icmp6_send" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x8564c0fb, "ip_route_input_noref" },
	{ 0x10e5ec3b, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "4131B37B341AAA99D2CA6F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
