#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xf2dac966, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x6eb71978, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x92639f31, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xb4a9ecbb, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x6af5aeac, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x6ec18360, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x6d7a6c11, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x9ded76ba, "");
SYMBOL_CRC(ip_vs_conn_put, 0x630fc7fe, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x50ca7548, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x44166805, "");
SYMBOL_CRC(register_ip_vs_app, 0xf9333b3a, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x665758f0, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x704b69a6, "");
SYMBOL_CRC(ip_vs_proto_get, 0x19e29d32, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x443c1a4e, "");
SYMBOL_CRC(register_ip_vs_pe, 0x73553cf7, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x4b317947, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x85dd1cb5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ee98b1, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x8174b90d, "nf_conntrack_find_get" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x7355f004, "try_module_get" },
	{ 0x8b8404aa, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4634153c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa7b8076d, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0xc617789c, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9fc43743, "proc_dointvec_jiffies" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52d4e744, "housekeeping_cpumask" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x13ed8dc2, "ip6_local_out" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x321b89c1, "ip_output" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x21c74111, "nf_register_sockopt" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd556d8c4, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0xe74c6bc4, "set_user_nice" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x2bf51948, "udp_set_csum" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xddd76d0, "ip6_output" },
	{ 0xf41d73fc, "ip6_route_me_harder" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfbfec22f, "__module_get" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xbe9ac2ed, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x59560f0d, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x26f626c9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x7ccad39c, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee05fe25, "nf_register_net_hooks" },
	{ 0x17e319e4, "ip6_route_output_flags" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x7160e6db, "ipv6_sock_mc_join" },
	{ 0x3d14dab9, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x41f2aec2, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4ec9f84, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xea1fc95, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xdc97d246, "nf_conntrack_alter_reply" },
	{ 0xb05be14d, "ip_route_me_harder" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xa7f20ee2, "set_cpus_allowed_ptr" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0x113e80dc, "nf_ct_expect_alloc" },
	{ 0x1be1ef8, "skb_ensure_writable" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0x62b2842b, "ip_mc_join_group" },
	{ 0x67c54269, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x6794c9a8, "nf_unregister_net_hooks" },
	{ 0x4cc1ec0e, "inet_select_addr" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe903cd8c, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc151e379, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xe8e59fc6, "kernel_connect" },
	{ 0xe42d9a57, "skb_checksum" },
	{ 0x33ec78f6, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xef0e728, "nf_ct_delete" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x16b7f064, "nf_hook_slow" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x5fdd5dd6, "nf_ct_deliver_cached_events" },
	{ 0x1647c2d6, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe6a87822, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x10e5ec3b, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcbec605b, "ipv4_mtu" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0xd4d2eeb9, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x1915743c, "nf_ct_expect_init" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa9d5ee31, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x11ffa4a, "ipv4_update_pmtu" },
	{ 0xa9b9940c, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0x30e21c68, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0x296863d0, "ip_local_out" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc19c62e0, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaee2c993, "kernel_sendmsg" },
	{ 0x85274b4, "nf_ct_netns_put" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "8CA8097F32FBAF3D6A1FA39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
