#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x9de9b5ea, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x814b5c55, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xfb070993, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xe3d26cfa, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x0ef0e728, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x8174b90d, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x98dadc93, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x8605fa24, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xc151e379, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x06445bb9, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x109a24dd, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x2946e3cb, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xc7c34476, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xdc97d246, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xbe1cd815, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x0e4bb97b, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xcf0d1a54, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xb9e86436, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x8dd0ddb5, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x4e95c76d, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x3df28ffc, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xa1611278, "_gpl");
SYMBOL_CRC(print_tuple, 0x5d574ffe, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xa26566fe, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x0c2b43d1, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xa709c5ff, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xdb607338, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x8e7ea36f, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x0ebdc337, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xcd25c163, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x113e80dc, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x1915743c, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x67c54269, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x0ea1fc95, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x01c03bf6, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xdc5e6896, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xf6400571, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x1f8659f7, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x6066f7fb, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xa1117919, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x36f0d785, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x361db701, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xe86af503, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xe1cb22d3, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xea1d955b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xc9d270c4, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xf0c9c461, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xd6dc20cd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x04b8ac32, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xcb02f46c, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x4bff84e6, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x75919db5, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x0f32e05e, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x432b2367, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x9accbe25, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x4d1b30b8, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x3ad6ef7f, "_gpl");
SYMBOL_CRC(nf_confirm, 0x850b8dd6, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xd556d8c4, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x085274b4, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x482f4c16, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x5b3c26ac, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xc9ee98b1, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xaeae8c19, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x54e58d36, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x569e6082, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x8d4cc583, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xb5e11497, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xfd28f579, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xc6e7837c, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x08c6b90f, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x924764cd, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xe99ce69e, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xfa377438, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x5fdd5dd6, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xceace173, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x3d2155fb, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x05227eb4, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xc279d180, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x15fd7ac6, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xd009c09c, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x2307d4a5, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x5bc56ed4, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xe2489658, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x38e99923, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x378c046b, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x2060accc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9187694, "__do_once_done" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x7355f004, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x77e8015a, "nf_defrag_ipv4_disable" },
	{ 0x34efee85, "nf_ip6_checksum" },
	{ 0x33183887, "proc_dou8vec_minmax" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x9fc43743, "proc_dointvec_jiffies" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x21c74111, "nf_register_sockopt" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x366367e, "nfct_btf_struct_access" },
	{ 0xbb14955f, "param_set_uint" },
	{ 0xbaf8760, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6139cb5d, "nf_ct_frag6_gather" },
	{ 0x69b6e68c, "get_net_ns_by_id" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xe43ac1a8, "nf_ct_hook" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x26f626c9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x7ccad39c, "nf_unregister_sockopt" },
	{ 0x63a1afc8, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0x9831e6db, "nf_defrag_ipv6_disable" },
	{ 0x33e78cc3, "ipv6_skip_exthdr" },
	{ 0xee05fe25, "nf_register_net_hooks" },
	{ 0x738803e6, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3d14dab9, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x542bafbe, "nf_checksum" },
	{ 0x8ff94aad, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x26d574f3, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xef6747aa, "nf_checksum_partial" },
	{ 0x1be1ef8, "skb_ensure_writable" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x6794c9a8, "nf_unregister_net_hooks" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x33ec78f6, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe44df201, "nf_log_packet" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0xbad97a58, "nf_ip_checksum" },
	{ 0x4d225b7b, "register_btf_kfunc_id_set" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0x5fdc190f, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x467cc511, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0xd4d2eeb9, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe1919198, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x2c56a43a, "inet_proto_csum_replace4" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9b9940c, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xfc097601, "seq_puts" },
	{ 0x64295a16, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x52264dae, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x25a22819, "pskb_trim_rcsum_slow" },
	{ 0x29f3a126, "up_read" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "A2D4CFEC1561B508920FC67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
