#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xef0ea167, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x365f46b7, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x37d1c26d, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xf543a33a, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x50fb53db, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x7038ea13, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x754f1d06, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x645bafd9, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x316e6ea1, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x4096be40, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x8da780d1, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x5db4120f, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x252621fa, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x8e3f7e2f, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x5e98ddaf, "");
SYMBOL_CRC(nf_nat_follow_master, 0x1cb82727, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x2697a83c, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x5d54cb78, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xe7344aa4, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x0330c0a0, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xdb441cf1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x74d7dd5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ee98b1, "nf_ct_ext_add" },
	{ 0xf9187694, "__do_once_done" },
	{ 0x8174b90d, "nf_conntrack_find_get" },
	{ 0x7355f004, "try_module_get" },
	{ 0x34efee85, "nf_ip6_checksum" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x5d778b0f, "nf_hook_entries_insert_raw" },
	{ 0xc617789c, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x54e58d36, "nf_ct_seqadj_set" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe1cb22d3, "nf_ct_helper_expectfn_unregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x389a7e1f, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xe86af503, "nf_ct_helper_expectfn_register" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xf41d73fc, "ip6_route_me_harder" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x6445bb9, "nf_conntrack_tuple_taken" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb9e86436, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x33e78cc3, "ipv6_skip_exthdr" },
	{ 0xee05fe25, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3d14dab9, "module_put" },
	{ 0x41f2aec2, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xea1fc95, "nf_ct_expect_related_report" },
	{ 0xdc97d246, "nf_conntrack_alter_reply" },
	{ 0xb05be14d, "ip_route_me_harder" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x71692bec, "nf_hook_entries_delete_raw" },
	{ 0x1be1ef8, "skb_ensure_writable" },
	{ 0x6794c9a8, "nf_unregister_net_hooks" },
	{ 0x4cc1ec0e, "inet_select_addr" },
	{ 0x5152e605, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xe42d9a57, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xef0e728, "nf_ct_delete" },
	{ 0xbad97a58, "nf_ip_checksum" },
	{ 0x4d225b7b, "register_btf_kfunc_id_set" },
	{ 0x8dd0ddb5, "nf_ct_iterate_destroy" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0xb302eb46, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x467cc511, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4d2eeb9, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2c56a43a, "inet_proto_csum_replace4" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0xe4bb97b, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x64295a16, "nf_nat_hook" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "7B51C8989E84E59B8AF5E7B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
