#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x266ae7a2, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x7e098f7f, "");
SYMBOL_CRC(nfc_find_se, 0xc740a86c, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x989e461d, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x2ba18e9a, "");
SYMBOL_CRC(nfc_tm_data_received, 0xeb39384b, "");
SYMBOL_CRC(nfc_tm_activated, 0x3aa3723b, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x9aedb0e3, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x675d3a9d, "");
SYMBOL_CRC(nfc_targets_found, 0x4bc2b5ae, "");
SYMBOL_CRC(nfc_target_lost, 0x05cc66ee, "");
SYMBOL_CRC(nfc_driver_failure, 0x12599977, "");
SYMBOL_CRC(nfc_add_se, 0xc84e7a38, "");
SYMBOL_CRC(nfc_remove_se, 0x9807e0df, "");
SYMBOL_CRC(nfc_se_transaction, 0x0075fa34, "");
SYMBOL_CRC(nfc_se_connectivity, 0x7f74304c, "");
SYMBOL_CRC(nfc_class, 0x27d5cd9d, "");
SYMBOL_CRC(nfc_allocate_device, 0x4915b92c, "");
SYMBOL_CRC(nfc_register_device, 0xfb718ee5, "");
SYMBOL_CRC(nfc_unregister_device, 0xc1510f16, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x3852527b, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x7661e3e3, "");
SYMBOL_CRC(nfc_proto_register, 0x797942e0, "");
SYMBOL_CRC(nfc_proto_unregister, 0x2bc315c4, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0xd2ce28bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6d669e0a, "skb_free_datagram" },
	{ 0x39d95ef6, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xadacb523, "class_dev_iter_next" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3c635844, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x52075985, "device_initialize" },
	{ 0x8d9f77b8, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x75bb39ae, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x87761ba3, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa1b35a38, "class_dev_iter_exit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2680723, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b996f53, "sock_register" },
	{ 0xb1b2bfb, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9500fb01, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x3d14dab9, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xd8644bce, "__sock_recv_timestamp" },
	{ 0x9a57e661, "sock_no_shutdown" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x2fd128ea, "device_add" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x705f5e7, "sk_free" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x47497b18, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x9b053e0, "sock_no_bind" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0x2a8dd42a, "rfkill_alloc" },
	{ 0x2dd11356, "class_dev_iter_init" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x61a4149e, "device_del" },
	{ 0xdce2b90a, "__sock_recv_wifi_status" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x11af2959, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xfa5afa48, "skb_recv_datagram" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2f7b4271, "sock_no_getname" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9175681, "skb_copy" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdc91788a, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x927909f3, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xd0d05280, "release_sock" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "CD42A085CD092B25DBBFE4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
