#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xc7f394f5, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x3cbd87c4, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x6a0f2d04, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x2153ce3a, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x2a503da6, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xa5b9f438, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ee98b1, "nf_ct_ext_add" },
	{ 0xb354a995, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7b53ceb3, "nsh_pop" },
	{ 0x8174b90d, "nf_conntrack_find_get" },
	{ 0x8c6b90f, "nf_ct_set_timeout" },
	{ 0x7b5df9db, "dev_get_stats" },
	{ 0x1fc78c0f, "__nla_put" },
	{ 0x7355f004, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd9d14200, "dev_fill_metadata_dst" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x38e99923, "nf_ct_handle_fragments" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0x3c635844, "skb_put" },
	{ 0x5d075a90, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69ebd13d, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0x74d7dd5b, "nf_ct_nat" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb322c7f8, "skb_eth_pop" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x95a56167, "skb_gso_validate_mac_len" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x361db701, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x2307d4a5, "nf_ct_helper" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x88a098f9, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x1ba2a51c, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0xd009c09c, "nf_connlabels_put" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8a0a7, "dev_set_promiscuity" },
	{ 0x924764cd, "nf_ct_destroy_timeout" },
	{ 0x5bc56ed4, "nf_ct_add_helper" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x6066f7fb, "nf_conntrack_helper_put" },
	{ 0x9f2fc979, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2489658, "nf_ct_skb_network_trim" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xbbe9ef30, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0xaaa2784, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0xd2aa195a, "skb_csum_hwoffload_help" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xc279d180, "nf_connlabels_replace" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x15fd7ac6, "nf_connlabels_get" },
	{ 0xce050bbd, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0x32f608df, "skb_eth_push" },
	{ 0xdc680fb3, "nf_conncount_count" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xdb607338, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x4a54e78f, "skb_mpls_pop" },
	{ 0x58c2d5c1, "skb_vlan_pop" },
	{ 0x48d1702, "dst_init" },
	{ 0x3d14dab9, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x9b6eb137, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xaacc9e27, "sort" },
	{ 0xb942aeaa, "ipv6_stub" },
	{ 0x9d96115, "skb_mpls_update_lse" },
	{ 0xe0899327, "skb_pull" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xbd2fee7e, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x1be1ef8, "skb_ensure_writable" },
	{ 0xc0e30161, "free_netdev" },
	{ 0xf1f95795, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xc151e379, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0xa1117919, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xef0e728, "nf_ct_delete" },
	{ 0x498feba2, "nf_conncount_init" },
	{ 0xebe05fff, "skb_vlan_push" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe9def179, "netdev_master_upper_dev_link" },
	{ 0x4c6bfc4, "skb_zerocopy_headlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb302eb46, "inet_proto_csum_replace16" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3e2121a, "skb_scrub_packet" },
	{ 0x5fdd5dd6, "nf_ct_deliver_cached_events" },
	{ 0xe6a87822, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x50c28eb1, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xd4d2eeb9, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2c56a43a, "inet_proto_csum_replace4" },
	{ 0xd84d631, "nf_conncount_destroy" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xad0e0d5a, "skb_zerocopy" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb6f3324, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x830b6b94, "dev_get_by_name" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x8919559a, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x43709483, "peernet2id_alloc" },
	{ 0x9de9b5ea, "nf_ct_get_tuplepr" },
	{ 0xb9b33ba3, "netdev_rx_handler_register" },
	{ 0x75d03f66, "ip_do_fragment" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x6402284f, "dev_disable_lro" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xe3d26cfa, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4559f8c6, "netlink_has_listeners" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xec5e53ab, "__skb_gso_segment" },
	{ 0x29f3a126, "up_read" },
	{ 0x9251eb53, "skb_mpls_push" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0xc7c34476, "nf_conntrack_in" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb28e4c51, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xa70c3bc3, "__skb_vlan_pop" },
	{ 0xfb070993, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "2F86118A25195BB792BFBA8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
