#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x45b48282, "");
SYMBOL_CRC(pn_sock_unhash, 0xef4ff8ee, "");
SYMBOL_CRC(phonet_stream_ops, 0xca3c578f, "");
SYMBOL_CRC(pn_sock_get_port, 0xe4725256, "");
SYMBOL_CRC(phonet_header_ops, 0xe3f0f073, "");
SYMBOL_CRC(pn_skb_send, 0xef4e8126, "");
SYMBOL_CRC(phonet_proto_register, 0xfb20aa0b, "");
SYMBOL_CRC(phonet_proto_unregister, 0xe73dce1e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6d669e0a, "skb_free_datagram" },
	{ 0x39d95ef6, "sock_queue_rcv_skb_reason" },
	{ 0x7355f004, "try_module_get" },
	{ 0xd365669, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x3c635844, "skb_put" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x9ddea225, "dev_add_pack" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x780b2a53, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x75bb39ae, "sock_no_connect" },
	{ 0x1131cce2, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x26f626c9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2680723, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b996f53, "sock_register" },
	{ 0xb1b2bfb, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x86f7d560, "netlink_capable" },
	{ 0x12360498, "rtnl_set_sk_err" },
	{ 0x9500fb01, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0xa998908f, "__sk_receive_skb" },
	{ 0x9a57e661, "sock_no_shutdown" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba18028e, "dev_remove_pack" },
	{ 0xd3254432, "dev_get_by_index" },
	{ 0x705f5e7, "sk_free" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xb66a36b3, "rtnl_register_module" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xca5611e2, "sock_common_recvmsg" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x35971154, "sk_common_release" },
	{ 0xa84891f1, "seq_pad" },
	{ 0x7543b595, "sock_i_ino" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xfa5afa48, "skb_recv_datagram" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0xee377ca4, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x47a939c8, "sk_ioctl" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0d05280, "release_sock" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6D8E9F06C61752961F518CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
