#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x2d5ca0c6, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xf3929405, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x248afd02, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d669e0a, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x39d95ef6, "sock_queue_rcv_skb_reason" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6b2c20cf, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0x3b5df000, "radix_tree_iter_delete" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2680723, "proto_unregister" },
	{ 0x5b996f53, "sock_register" },
	{ 0xb1b2bfb, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9500fb01, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x9a57e661, "sock_no_shutdown" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe3b1fc99, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7acab55e, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf8dd1d16, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x705f5e7, "sk_free" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x2fce984f, "radix_tree_iter_resume" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfa5afa48, "skb_recv_datagram" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0x30e21c68, "sock_release" },
	{ 0x1561951b, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaee2c993, "kernel_sendmsg" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xd0d05280, "release_sock" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A092475C97213249B485EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
