#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6d669e0a, "skb_free_datagram" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x53dea1ff, "ax2asc" },
	{ 0x79a62d7, "ax25_linkfail_register" },
	{ 0xee02e420, "ax25_findbyuid" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3c635844, "skb_put" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc1444946, "ax25cmp" },
	{ 0x14cecd59, "ax25_display_timer" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa28b8e7, "ax25_listen_register" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ede9e26, "ax25_protocol_release" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x59560f0d, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2680723, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0x5b996f53, "sock_register" },
	{ 0xb1b2bfb, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9b50c3d1, "sk_reset_timer" },
	{ 0x9500fb01, "proto_register" },
	{ 0x786dbe66, "ax25_send_frame" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x9a57e661, "sock_no_shutdown" },
	{ 0x9e67fcdd, "sk_filter_trim_cap" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xe0899327, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242852b9, "ax25_uid_policy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x705f5e7, "sk_free" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xd43ecbf1, "null_ax25_address" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x5152e605, "memcmp" },
	{ 0x1b6c491f, "ax25_listen_release" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xf50e5ac7, "ax25_find_cb" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x9fb391d6, "__sock_queue_rcv_skb" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xad0a630f, "ax25_register_pid" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xfa5afa48, "skb_recv_datagram" },
	{ 0x84df8dee, "ax25_linkfail_release" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfc097601, "seq_puts" },
	{ 0x1561951b, "sock_gettstamp" },
	{ 0xa6b3c102, "sk_stop_timer" },
	{ 0x797fe566, "send_sig" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4502c65a, "asc2ax" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x28cc672e, "skb_append" },
	{ 0xfc79e0a2, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xd0d05280, "release_sock" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ax25");


MODULE_INFO(srcversion, "ABDCF30152E88045F378C70");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
