#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x0e9360c0, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xdbbd4add, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x89a4d8fa, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x650a0b7b, "");
SYMBOL_CRC(gss_mech_put, 0x053c3eb6, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x49d63293, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xfee8b07c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3017ebe, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4b9d149, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xd22b749b, "xdr_buf_from_iov" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x2ac76fa6, "xdr_stream_decode_opaque_auth" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x55d4c353, "xdr_write_pages" },
	{ 0xcd19886d, "rpc_shutdown_client" },
	{ 0x94791cd, "auth_domain_find" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x20eb9e50, "xdr_inline_decode" },
	{ 0xe4c4ce02, "cache_create_net" },
	{ 0xc9d8999a, "rpcauth_destroy_credcache" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x250ed5b3, "bpf_trace_run6" },
	{ 0xa4476cbf, "rpc_net_ns" },
	{ 0xf8fd0c47, "read_bytes_from_xdr_buf" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe815c004, "rpc_wake_up" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3b698e1f, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94abb745, "sprint_oid" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x8385ca9e, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x16710a7, "xdr_truncate_decode" },
	{ 0x56253d74, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xa7eb54f, "__xdr_commit_encode" },
	{ 0xfbfec22f, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae14489d, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9874a615, "__put_cred" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc51b1960, "cache_purge" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xc45eabe5, "rpc_release_client" },
	{ 0xc3f1d41d, "auth_domain_lookup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd2acc842, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbeee4f6b, "svc_auth_register" },
	{ 0xc4844ea9, "xdr_stream_encode_opaque_auth" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0x4f63d648, "rpc_destroy_pipe_data" },
	{ 0x10878adf, "__free_pages" },
	{ 0x980f15b5, "rpc_pipe_generic_upcall" },
	{ 0x3d14dab9, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x5fb749c3, "cache_unregister_net" },
	{ 0x2f371258, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbd09278a, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x34d7991e, "rpcauth_init_credcache" },
	{ 0x515ea361, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xa993f2db, "xdr_init_decode" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x387c2524, "rpc_call_null" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb06c8e8f, "rpc_sleep_on_timeout" },
	{ 0xa6c52c70, "rpc_create" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0xc2bdc077, "rpc_call_sync" },
	{ 0xa171831e, "from_kuid" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0x331d3911, "rpc_queue_upcall" },
	{ 0x8cd87508, "xdr_encode_word" },
	{ 0x2bc95bd4, "memset" },
	{ 0xfe1f46d6, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe0a4e000, "svcauth_unix_set_client" },
	{ 0x49bb3b69, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0xc2ed0f2f, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe27bcb08, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8ddceb5f, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x467cc511, "__put_net" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0xbf21b364, "rpc_mkpipe_dentry" },
	{ 0xdf4e7a26, "rpc_mkpipe_data" },
	{ 0xde97c202, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xbc03be1e, "cache_register_net" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xffb7a315, "xdr_inline_pages" },
	{ 0x790280c9, "__folio_put" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x2753039a, "rpc_init_wait_queue" },
	{ 0xb5ba517c, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd1c4c79b, "rpc_unlink" },
	{ 0x39da0efc, "rpcauth_wrap_req_encode" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x8b8cfcfd, "rpcauth_init_cred" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd879a080, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x597f7c49, "cache_destroy_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0xacce693c, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xc8b9a6ed, "xdr_stream_pos" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xc3029bd5, "sunrpc_cache_update" },
	{ 0xdd53563e, "xdr_truncate_encode" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c9781dc, "rpc_destroy_wait_queue" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xab143c3c, "auth_domain_put" },
	{ 0x2dca454e, "rpcauth_unwrap_resp_decode" },
	{ 0xf897cda1, "rpcauth_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F3920738A7BE5AEB46C888E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
