#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xb26da075, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xf143f7cf, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x3cea69c3, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x72c86f05, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x9ffb4d7a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x42539c26, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xfd72d097, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x33450bd6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x2e7aee12, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xdc5e1ab1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xfd89d671, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xaa158b26, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x572628bc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x678192e1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x21f6700a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xcb0d8b62, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x76954981, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xf58d56c5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x6a3fa8ba, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x472d37e3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x077f8fd1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x7c5ec2ab, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xe3103e43, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x18897682, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xb5a62291, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xec98532f, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x700389f7, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xc1173c8a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x83180a36, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x59dc25b4, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x0ce06f3c, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x460c2a51, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x4c3411ba, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x931a124c, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xeb4c6962, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa85fbbf7, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9406a022, "_copy_to_iter" },
	{ 0xaf4863cc, "vsock_insert_connected" },
	{ 0x3c635844, "skb_put" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x582df7ff, "vsock_remove_sock" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x52b0ffb4, "vsock_deliver_tap" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2fc9526f, "bpf_trace_run8" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xaa37cc0f, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe0899327, "skb_pull" },
	{ 0x705f5e7, "sk_free" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3534ed30, "__skb_recv_datagram" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x8923c345, "vsock_stream_has_data" },
	{ 0x6eb032e5, "vsock_find_connected_socket" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x9f670c34, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x83b030ee, "bpf_trace_run10" },
	{ 0xbc1cafcc, "vsock_core_get_transport" },
	{ 0xa1403fc, "vsock_stream_has_space" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xae2f91bb, "vsock_create_connected" },
	{ 0xc4e75f82, "vsock_assign_transport" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f0641c1, "vsock_data_ready" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "688EC2F0B29A01717024CEC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
