#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xaf4863cc, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xaa4569d2, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x33d9f5a1, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xaa37cc0f, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x6eb032e5, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x582df7ff, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xe91071c1, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x169ffc86, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x0c1b6cbb, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xa85fbbf7, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xc4e75f82, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xae2f91bb, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x8923c345, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x69ec1f7a, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x0a1403fc, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x2f0641c1, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x3cc80fb6, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x706e2a79, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xbc1cafcc, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x63aac954, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x4d590aa6, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x4db2cf72, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xca02ab76, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x52b0ffb4, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x2c7961f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x50c8bacb, "sock_map_close" },
	{ 0x39d95ef6, "sock_queue_rcv_skb_reason" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf3abf05d, "sock_map_unhash" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfbfec22f, "__module_get" },
	{ 0x6f72662e, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cc5abeb, "ns_capable_noaudit" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9874a615, "__put_cred" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2680723, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b996f53, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9500fb01, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x411fda75, "sk_msg_is_readable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x705f5e7, "sk_free" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x405e2be8, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x8ddceb5f, "nonseekable_open" },
	{ 0x1be39221, "sk_psock_drop" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdc91788a, "sock_no_ioctl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D2D67DF4ADE78159330BFFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
