#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x1fa10918, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0x476ffa10, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0x96103007, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0x8865fcf6, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0xfb6ce8b6, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0xaaca9907, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0x2d3ae323, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0xfeb518fc, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0xe3590e5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4a81dc5, "snd_rawmidi_receive" },
	{ 0x4ad08d5c, "snd_rawmidi_transmit" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc1acb03b, "snd_seq_device_new" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6858d961, "snd_rawmidi_kernel_write" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd7376470, "snd_rawmidi_new" },
	{ 0xfb68424c, "snd_rawmidi_kernel_open" },
	{ 0xa3d34afb, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x1ecdeb5c, "snd_rawmidi_kernel_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfa5abf9d, "snd_rawmidi_init" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xec6ffd2b, "snd_device_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa93d4b0a, "snd_rawmidi_free" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-seq-device,snd");


MODULE_INFO(srcversion, "99812C19E6783FBBD7A3041");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
