#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x367fabfc, "");
SYMBOL_CRC(fw_iso_resources_init, 0x77a22e7a, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x101b19ef, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x15f0aa0d, "");
SYMBOL_CRC(fw_iso_resources_update, 0x2357ce9a, "");
SYMBOL_CRC(fw_iso_resources_free, 0x0b7f84ad, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x72beb9c4, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x39ba0208, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x9dde6cc4, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xd9529524, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x51c6a7d7, "");
SYMBOL_CRC(fcp_avc_transaction, 0xad4fa907, "");
SYMBOL_CRC(fcp_bus_reset, 0xf365f616, "");
SYMBOL_CRC(cmp_connection_init, 0xb22df6f1, "");
SYMBOL_CRC(cmp_connection_check_used, 0xf2233bdd, "");
SYMBOL_CRC(cmp_connection_destroy, 0x4bcdb789, "");
SYMBOL_CRC(cmp_connection_reserve, 0x24af6c8d, "");
SYMBOL_CRC(cmp_connection_release, 0x0b21c103, "");
SYMBOL_CRC(cmp_connection_establish, 0xc960e4fe, "");
SYMBOL_CRC(cmp_connection_update, 0x956854e6, "");
SYMBOL_CRC(cmp_connection_break, 0xfe5c5a1a, "");
SYMBOL_CRC(amdtp_stream_init, 0xdeed713e, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x85ce0b02, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x2bb15f3a, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0xbcc7f4f0, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x8690aff5, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x41494626, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x56277903, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xb2330000, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xa9e09279, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x9bf7c1a6, "");
SYMBOL_CRC(amdtp_domain_init, 0x8afe24c3, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x20a4ed9f, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x208cc36a, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x74fe2089, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xeff72a3c, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x463c4378, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x2a6cfa10, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x53637b69, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x51741d94, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x87d97115, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x194f58b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x193e7b65, "fw_iso_context_destroy" },
	{ 0xa8a08caf, "trace_print_array_seq" },
	{ 0x2c9930c9, "fw_run_transaction" },
	{ 0xf4a81dc5, "snd_rawmidi_receive" },
	{ 0xfc2ccdcd, "fw_iso_buffer_init" },
	{ 0x4ad08d5c, "snd_rawmidi_transmit" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe2dcdd1e, "snd_pcm_hw_constraint_minmax" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9e60980a, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x76fbe5a3, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe5ee5b46, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabd28fd4, "fw_core_add_address_handler" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d2a02f0, "snd_pcm_hw_rule_add" },
	{ 0x1c78899d, "fw_iso_context_queue" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xfe2a2843, "fw_card_read_cycle_time" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9789e11, "fw_iso_buffer_destroy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{  0xdc8a9, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdd061a4c, "bpf_trace_run9" },
	{ 0xb0daee72, "snd_pcm_period_elapsed_under_stream_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8e979267, "fw_iso_context_start" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8a18f092, "snd_pcm_stop_xrun" },
	{ 0xe401e861, "snd_pcm_hw_constraint_msbits" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x55b9ce85, "snd_pcm_period_elapsed" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc507e253, "fw_iso_context_flush_completions" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "220800E04FB1DC05EC28F66");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
