#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xaacf243d, "");
SYMBOL_CRC(snd_ac97_read, 0x0d967a77, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x068f2753, "");
SYMBOL_CRC(snd_ac97_update, 0x7e302ca4, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xa28bd481, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x92641add, "");
SYMBOL_CRC(snd_ac97_bus, 0x0dfd8c4e, "");
SYMBOL_CRC(snd_ac97_mixer, 0x62cc869c, "");
SYMBOL_CRC(snd_ac97_update_power, 0xb785e2e3, "");
SYMBOL_CRC(snd_ac97_suspend, 0x886a244f, "");
SYMBOL_CRC(snd_ac97_resume, 0x7443d424, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xb07c547c, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x5b8f2f21, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xc5a2ccaa, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x44024a56, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x85aa7119, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x18f4b1f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x12f02cc2, "snd_ctl_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xe7d05033, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x388a964, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef1f9823, "snd_ctl_new1" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x4a375e76, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xf1156dff, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0x94af20ee, "snd_ctl_make_virtual_master" },
	{ 0x4d2a02f0, "snd_pcm_hw_rule_add" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xc4ddd41b, "snd_ctl_boolean_mono_info" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4e01af1c, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd25868e7, "snd_ctl_rename" },
	{ 0x9a0ee123, "_snd_ctl_add_follower" },
	{ 0xba58848c, "device_register" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xa5095894, "snd_device_new" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x97f42529, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "0CDE76D4D1A2621728074B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
