#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x264122e6, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0x90142439, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x118105eb, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0xb8a7593c, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x86a2ba20, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0xbec42c8a, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0x6145ceb0, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0x4bfa03fa, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x2fe7f51b, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0xd812dca9, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x7c6efa0a, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0xcadb02dd, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x9b8bf249, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0x36da984c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29441066, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa537328e, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc461235b, "regmap_bulk_read" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0x16047b74, "regmap_multi_reg_write" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x95ff3737, "regmap_register_patch" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9208B3D1C0AC3206318E5BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
