#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xf5a5a449, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x20cbfc78, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xe504810e, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xb0e5b0f3, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x9b163b69, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x638361b9, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x484cf514, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x27f70120, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xe9ef771f, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x5793b581, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xa627fae7, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xed79015c, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xbf8dccd4, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x56477b34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x722da9ec, "regcache_cache_only" },
	{ 0xacfd5a81, "regcache_sync" },
	{ 0x29441066, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x89475fca, "snd_soc_jack_report" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1c30c0a8, "gpiod_set_value_cansleep" },
	{ 0xe2dcdd1e, "snd_pcm_hw_constraint_minmax" },
	{ 0xcf1dda9f, "regcache_sync_region" },
	{ 0xa846f837, "snd_soc_put_enum_double" },
	{ 0xfb6ee30c, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e98bb9, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66a3052c, "regulator_bulk_disable" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0x63c77a10, "snd_soc_get_enum_double" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa175bc48, "snd_soc_info_volsw" },
	{ 0x529bc6a8, "regcache_drop_region" },
	{ 0xa537328e, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdfadeea7, "snd_soc_info_enum_double" },
	{ 0x937e8a1, "regulator_bulk_enable" },
	{ 0x5b12615, "devm_regulator_bulk_get" },
	{ 0xf205894d, "snd_soc_get_volsw" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0xc1e67383, "snd_soc_put_volsw" },
	{ 0x5e2a7e6b, "snd_soc_component_update_bits" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc461235b, "regmap_bulk_read" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x16047b74, "regmap_multi_reg_write" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "765AB33E9904D3A6837FDFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
