#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0xca35a1fe, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x85950b2d, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x3b5dd0cb, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x3b456faa, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xaa317eaf, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xcb8bbb32, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xcccde0ab, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xf87d0609, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x1c8a7990, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x532ad343, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x44065cab, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xc0a71a1e, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x9e7219b3, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xb8555c27, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x6fbcdb8f, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x85e516c5, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xe99a84cc, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x373cda59, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x2e438b15, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x0b2e3207, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x2f911d6b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x7fb4a2b3, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x8780ee4d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x3fbb9a83, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x00383685, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x097581a5, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x39522681, "snd_soc_component_force_enable_pin" },
	{ 0x297d14b, "firmware_request_nowarn" },
	{ 0x78652ac1, "cs_dsp_cleanup_debugfs" },
	{ 0xab0a756d, "cs_dsp_coeff_read_ctrl" },
	{ 0xc3f2317e, "snd_compr_stop_error" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa4058e45, "cs_dsp_stop" },
	{ 0x942fea60, "cs_dsp_adsp1_power_up" },
	{ 0x3725fa43, "cs_dsp_adsp1_power_down" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x1153fd79, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xb21b87b6, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b5b4fcc, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x87948bb6, "cs_dsp_halo_bus_error" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdefbd488, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0xcecc60c7, "cs_dsp_find_alg_region" },
	{ 0xc8b7745e, "cs_dsp_coeff_write_acked_control" },
	{ 0xe4e409aa, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x15a88645, "cs_dsp_get_ctl" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa537328e, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf37a94c3, "cs_dsp_halo_init" },
	{ 0x859ce76f, "cs_dsp_power_down" },
	{ 0xbc8879e8, "cs_dsp_adsp2_init" },
	{ 0x17d43b65, "snd_soc_add_component_controls" },
	{ 0xa862399d, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x74f429a6, "cs_dsp_set_dspclk" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xea48f433, "cs_dsp_power_up" },
	{ 0x7a536583, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x5f0328f4, "cs_dsp_run" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x21c69b90, "cs_dsp_write_data_word" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x874cd80a, "cs_dsp_halo_wdt_expire" },
	{ 0xfc7ea61f, "snd_soc_component_disable_pin" },
	{ 0xca66c1dd, "snd_soc_bytes_tlv_callback" },
	{ 0x72fe5d1f, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe555bef4, "cs_dsp_read_raw_data_block" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb2e7c4a5, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,cs_dsp,snd-compress");


MODULE_INFO(srcversion, "F4946440B2FFCD8C5353E28");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
