#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0xc6572b75, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x82fbac79, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xb91de78b, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x9b48e430, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x43578076, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x1aa781e0, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x76204d22, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xcc4f1113, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x23eda8e9, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x68a07ec5, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x2929701f, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x9dc93d8e, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x8d462db0, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x813944c5, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xaa3d15d8, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x5f439ba1, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xd7142051, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x40da1b0d, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x7354affb, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x2b3fb59e, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x572558cf, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xb5915933, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x4aaa27e6, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x924dccc5, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xeda6679c, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x9890e6d3, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xd1dcb21f, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xe3fb2328, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x95be141c, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xed5005cb, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0xdb2b6a72, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xe77f3014, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0xf2938e59, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x34981dc4, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x7c584fa0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7a8fea, "platform_device_put" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7834e779, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x2d004123, "sst_dsp_register_poll" },
	{ 0x249bf09d, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0xab3341ab, "snd_hdac_bus_send_cmd" },
	{ 0xd0451ff0, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5cb5ffde, "snd_hdac_stream_set_spib" },
	{ 0x80ec7df2, "snd_hdac_bus_enter_link_reset" },
	{ 0x3e97e5cc, "sst_ipc_tx_message_wait" },
	{ 0x6de58c3a, "intel_nhlt_get_dmic_geo" },
	{ 0xca52dfa1, "snd_hdac_bus_get_response" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x95ae225f, "snd_hdac_ext_stream_start" },
	{ 0xa2fa8b27, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9b503dbc, "snd_hdac_ext_stream_free_all" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4835d20e, "snd_hdac_bus_update_rirb" },
	{ 0xa9979f42, "sst_dsp_shim_write_unlocked" },
	{ 0x94deebc0, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xe2dcdd1e, "snd_pcm_hw_constraint_minmax" },
	{ 0xdf34fa3e, "snd_hdac_bus_stop_chip" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0xdaf69736, "snd_hdac_ext_bus_link_power_up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x50619d75, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa59e3fd2, "snd_intel_dsp_driver_probe" },
	{ 0x4fb74147, "snd_hdac_stream_set_lpib" },
	{ 0x907e1093, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x9bcbff08, "snd_sgbuf_get_chunk_size" },
	{ 0xefb6b9e9, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc355ec5d, "snd_hdac_ext_bus_device_remove" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5df9684b, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x8222fa, "snd_pcm_set_sync" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc56f0f33, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x629e134e, "snd_hdac_stream_timecounter_init" },
	{ 0xb5389e12, "snd_hdac_ext_link_free_all" },
	{ 0x95fa6096, "sst_ipc_tx_message_nowait" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xd8bf632b, "snd_dma_free_pages" },
	{ 0x4e98bb9, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa86dfccf, "snd_hdac_bus_free_stream_pages" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x95a906bf, "snd_hdac_dsp_prepare" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x91e58eea, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x4f3bf253, "snd_hdac_ext_bus_exit" },
	{ 0xc361ca28, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xfd72d1e6, "sysfs_remove_file_ns" },
	{ 0xb1467927, "snd_hdac_ext_stream_decouple" },
	{ 0xc2acc033, "hex_dump_to_buffer" },
	{ 0x27e0c552, "snd_hdac_ext_stream_clear" },
	{ 0x738803e6, "strnlen" },
	{ 0x19ef0eea, "snd_hdac_device_register" },
	{ 0xb842368, "snd_hdac_stream_spbcap_enable" },
	{ 0x20869cc6, "sst_ipc_tx_message_nopm" },
	{ 0xbfe099b8, "snd_hdac_i915_init" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa0734898, "snd_hdac_bus_init_chip" },
	{ 0xced9edb4, "snd_hdac_stream_stop" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xa4b4f0c1, "intel_nhlt_get_endpoint_blob" },
	{ 0x25a0d3fb, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x7fe1efba, "sst_dsp_shim_read_unlocked" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x82bce818, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xac5dbf3a, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x8a6a6b96, "sst_ipc_fini" },
	{ 0x81ca5bb5, "snd_hdac_ext_stream_assign" },
	{ 0x617db551, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x10363c9, "snd_hdac_ext_stream_init_all" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2ad85b63, "snd_soc_acpi_find_machine" },
	{ 0xc9156f32, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xdd97a5b0, "sst_dsp_shim_update_bits_forced" },
	{ 0x435b6d0b, "platform_device_add" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x7169b89f, "platform_device_alloc" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xf2bf2271, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x54ee2a5f, "snd_soc_acpi_intel_glk_machines" },
	{ 0x91c6303d, "snd_soc_tplg_component_load" },
	{ 0xbd5a4637, "sst_dsp_shim_read" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa3a407e4, "snd_hdac_ext_stream_setup" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa6290c1b, "snd_hdac_bus_stop_cmd_io" },
	{ 0x49a87887, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe89bb3d4, "snd_pcm_set_managed_buffer_all" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xba39b855, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7df01be8, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe6320a09, "sst_ipc_tx_msg_reply_complete" },
	{ 0x84094497, "snd_soc_tplg_component_remove" },
	{ 0xa23069e7, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x646f457f, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69ac6b04, "sst_dsp_shim_update_bits" },
	{ 0x61afe890, "snd_hdac_acomp_exit" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xef023db8, "snd_hdac_bus_parse_capabilities" },
	{ 0xc04932da, "platform_device_register_full" },
	{ 0x12231309, "sst_dsp_outbox_write" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x78edb3bf, "snd_hdac_stream_setup" },
	{ 0xa40d6347, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xea232a0, "snd_hdac_stream_set_params" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xe3c81771, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x44264403, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xe09ada43, "snd_hdac_bus_handle_stream_irq" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0x90b9bc08, "snd_hdac_stream_drsm_enable" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ec0531a, "snd_soc_acpi_intel_skl_machines" },
	{ 0x1939fae, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x5514c545, "snd_soc_set_runtime_hwparams" },
	{ 0xeb41213c, "snd_hdac_get_stream" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xc9b5d87c, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x7bb22b3, "snd_hdac_stream_sync_trigger" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3aa6d223, "snd_hdac_ext_bus_link_put" },
	{ 0x4cfa3d4a, "snd_hda_codec_device_init" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xf1d6cd27, "snd_hdac_set_codec_wakeup" },
	{ 0xefb06d68, "snd_hdac_stream_reset" },
	{ 0xa350355c, "sst_dsp_shim_write" },
	{ 0x55b9ce85, "snd_pcm_period_elapsed" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xcdf7cfe8, "snd_hdac_bus_alloc_stream_pages" },
	{ 0xce36790b, "snd_soc_tplg_widget_bind_event" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x6350c0c3, "snd_hdac_dsp_trigger" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xd803ea0b, "intel_nhlt_init" },
	{ 0x8f844bf0, "snd_hdac_stop_streams_and_chip" },
	{ 0x326044b0, "snd_hdac_dsp_cleanup" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xbdf3afae, "snd_hdac_ext_stream_reset" },
	{ 0x471179f5, "snd_hdac_stop_streams" },
	{ 0x50e34f20, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x8cf0af97, "snd_hdac_stream_start" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x7c1cd293, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcb43a7a0, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5effcb4b, "snd_soc_acpi_intel_hda_machines" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7830FEE4E75C7EB28F15513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
