#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x44e3895e, "");
SYMBOL_CRC(hda_ops_free, 0xcbf6a72f, "");
SYMBOL_CRC(sof_skl_ops, 0xab3ea3a9, "");
SYMBOL_CRC(sof_skl_ops_init, 0x99c1d525, "");
SYMBOL_CRC(skl_chip_info, 0xd896fbb0, "");
SYMBOL_CRC(sof_apl_ops, 0xcb46be01, "");
SYMBOL_CRC(sof_apl_ops_init, 0x0a1271e2, "");
SYMBOL_CRC(apl_chip_info, 0xfee33b2f, "");
SYMBOL_CRC(sof_cnl_ops, 0xa485ae1e, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x7098a529, "");
SYMBOL_CRC(cnl_chip_info, 0xf4d3d60b, "");
SYMBOL_CRC(jsl_chip_info, 0xa9aeefef, "");
SYMBOL_CRC(sof_tgl_ops, 0x5d64230e, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x6e2f7a10, "");
SYMBOL_CRC(tgl_chip_info, 0xd586c9ac, "");
SYMBOL_CRC(tglh_chip_info, 0x1c0554d4, "");
SYMBOL_CRC(ehl_chip_info, 0x094bc183, "");
SYMBOL_CRC(adls_chip_info, 0x6a0b1939, "");
SYMBOL_CRC(sof_icl_ops, 0x4e9523e7, "");
SYMBOL_CRC(sof_icl_ops_init, 0x5374abe3, "");
SYMBOL_CRC(icl_chip_info, 0xc477ef0d, "");
SYMBOL_CRC(sof_mtl_ops, 0x02a95ab5, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x0ca71139, "");
SYMBOL_CRC(mtl_chip_info, 0x891145fc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7c7f685, "hda_codec_jack_check" },
	{ 0x6105b1d9, "hda_bus_ml_suspend" },
	{ 0xe914e41e, "strcpy" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0xca024330, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7dd2ba35, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xc9224daa, "hda_codec_i915_display_power" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x249bf09d, "snd_dma_alloc_dir_pages" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xab3341ab, "snd_hdac_bus_send_cmd" },
	{ 0xcdebe3cf, "hda_bus_ml_resume" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0x6de58c3a, "intel_nhlt_get_dmic_geo" },
	{ 0xca52dfa1, "snd_hdac_bus_get_response" },
	{ 0x95ae225f, "snd_hdac_ext_stream_start" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf6975459, "hda_codec_set_codec_wakeup" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x931ec4d6, "hda_bus_ml_init" },
	{ 0xacf43a26, "hda_codec_probe_bus" },
	{ 0x9b022793, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xedc03953, "iounmap" },
	{ 0x5b30efae, "sdw_intel_exit" },
	{ 0xf853c933, "hda_codec_check_for_state_change" },
	{ 0x2097bed7, "hda_codec_jack_wake_enable" },
	{ 0x872f2e3c, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x50619d75, "snd_hdac_ext_bus_init" },
	{ 0xb09bfaa3, "hda_bus_ml_free" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xb2568bc6, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa59e3fd2, "snd_intel_dsp_driver_probe" },
	{ 0xa17b2312, "pci_irq_vector" },
	{ 0x907e1093, "snd_sgbuf_get_addr" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x9bcbff08, "snd_sgbuf_get_chunk_size" },
	{ 0xefb6b9e9, "pci_ioremap_bar" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4da4c705, "sof_pci_probe" },
	{ 0x7db51629, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3918f765, "hda_codec_i915_exit" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xd8bf632b, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef31a87a, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4f3bf253, "snd_hdac_ext_bus_exit" },
	{ 0x9442ffd0, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27e0c552, "snd_hdac_ext_stream_clear" },
	{ 0xd7624e61, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xd7c79149, "sdw_intel_startup" },
	{ 0x3c032928, "snd_hdac_ext_bus_link_power" },
	{ 0x32f5451a, "snd_sof_dsp_dbg_dump" },
	{ 0x48d3f4cb, "sdw_intel_process_wakeen_event" },
	{ 0xb390afe6, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x68ffa1be, "sof_mailbox_read" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x416cd69d, "hda_bus_ml_put_all" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x61b8aaa3, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x617db551, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x259a9c14, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2ad85b63, "snd_soc_acpi_find_machine" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x51386328, "hda_codec_device_remove" },
	{ 0xb7bbd0c7, "snd_soc_dpcm_get_substream" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x596c7fa9, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x115c3c60, "sof_print_oops_and_stack" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe8bc5b6a, "hda_bus_ml_reset_losidv" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa3a407e4, "snd_hdac_ext_stream_setup" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x5a70f1c8, "snd_sof_ipc_get_reply" },
	{ 0x1b22295, "snd_sof_dsp_update_bits" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0xa295729, "snd_sof_pci_update_bits" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xba39b855, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x1c145500, "sdw_intel_lnl_hw_ops" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0xd5c35ef6, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x646f457f, "snd_pcm_hw_constraint_integer" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x3f7a2957, "hda_codec_rirb_status_clear" },
	{ 0xe124ce7a, "hda_codec_suspend_cmd_io" },
	{ 0x410d41bc, "snd_sof_ipc_reply" },
	{ 0xeaa89e0e, "hda_codec_init_cmd_io" },
	{ 0x7f840621, "hda_codec_stop_cmd_io" },
	{ 0x4af86c2b, "hda_codec_detect_mask" },
	{ 0xc04932da, "platform_device_register_full" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf036392b, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x68ce23ec, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x69d1b356, "sdw_intel_probe" },
	{ 0x4cbca5ef, "snd_sof_load_firmware_raw" },
	{ 0xe1de2088, "snd_sof_dsp_panic" },
	{ 0x1939fae, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xbd220a03, "snd_sof_suspend" },
	{ 0xc9b5d87c, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xf3a5eff1, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xd803ea0b, "intel_nhlt_init" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x167f856e, "sof_client_dev_unregister" },
	{ 0x8feca1c6, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x278c9173, "hda_codec_i915_init" },
	{ 0xa9eadfb3, "pci_free_irq_vectors" },
	{ 0xf904d2bc, "hda_codec_check_rirb_status" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xbdf3afae, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x49572cf4, "hdac_bus_eml_get_count" },
	{ 0x50e34f20, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x325e68fd, "sof_io_write" },
	{ 0xee2325d9, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8206dd1f, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9cddf928, "hdac_bus_eml_get_mutex" },
	{ 0x5effcb4b, "snd_soc_acpi_intel_hda_machines" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-sof,soundwire-intel,snd-pcm,snd-hda-core,snd-intel-dspcfg,snd-hda-ext-core,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-hdac-hda,snd-soc-acpi,snd-soc-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match");


MODULE_INFO(srcversion, "DD8944F5A54F35480B305F5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
