#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb40365a2, "input_allocate_device" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xf4a81dc5, "snd_rawmidi_receive" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0xb71d986d, "snd_pcm_hw_limit_rates" },
	{ 0x4ad08d5c, "snd_rawmidi_transmit" },
	{ 0x12f02cc2, "snd_ctl_add" },
	{ 0x2026ed3b, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b7f086d, "snd_card_register" },
	{ 0x6f44dfad, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0xef1f9823, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69308dac, "usb_bulk_msg" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xbe7399dc, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x633da68c, "snd_card_new" },
	{ 0xcb5518f5, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf22e755f, "snd_card_set_id" },
	{ 0xa537328e, "_dev_err" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0xbb435365, "snd_pcm_set_ops" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9589e10f, "usb_string" },
	{ 0xe89bb3d4, "snd_pcm_set_managed_buffer_all" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf47218db, "input_event" },
	{ 0x80ebdf01, "input_set_abs_params" },
	{ 0xd7376470, "snd_rawmidi_new" },
	{ 0x316c8d0f, "snd_card_disconnect" },
	{ 0xeea0399, "strscpy" },
	{ 0xa3d34afb, "snd_rawmidi_set_ops" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0xfef41e58, "usb_init_urb" },
	{ 0x55b9ce85, "snd_pcm_period_elapsed" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DB42534C44C061BAB772F92");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
