#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x081e5c3a, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x231d6d82, "_gpl");
SYMBOL_CRC(af_alg_release, 0x026cb09c, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x2eef76cf, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x0b43b52a, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x22599d2f, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xf1c500cf, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x9f525139, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x25086f39, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x26f14d49, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x6d06f79d, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x898dadf7, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x2f4fa019, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xe6992c5e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5af8e078, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xaa173b39, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x798578fd, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc8699827, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd94e915a, "extract_iter_to_sg" },
	{ 0x234f934f, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x790280c9, "__folio_put" },
	{ 0x9500fb01, "proto_register" },
	{ 0x5b996f53, "sock_register" },
	{ 0x2680723, "proto_unregister" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xd0d05280, "release_sock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3d14dab9, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x705f5e7, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcedbb1e, "sock_wake_async" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xd69f62f0, "page_address" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x10878adf, "__free_pages" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7c5e8ef0, "key_put" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9e6996c, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x75bb39ae, "sock_no_connect" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0x2f7b4271, "sock_no_getname" },
	{ 0xdc91788a, "sock_no_ioctl" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0x9a57e661, "sock_no_shutdown" },
	{ 0x8d9f77b8, "sock_no_sendmsg" },
	{ 0xff0a9b83, "sock_no_recvmsg" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8639D7BBC4422DD3B734FCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
