#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(battery_hook_unregister, "_gpl", "");
KSYMTAB_FUNC(battery_hook_register, "_gpl", "");

SYMBOL_CRC(battery_hook_unregister, 0x80ac02bd, "_gpl");
SYMBOL_CRC(battery_hook_register, 0x7d6b8e8b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x53b53724, "power_supply_changed" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x33bf4443, "acpi_quirk_skip_acpi_ac_and_battery" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xc6f7ee34, "acpi_bus_register_driver" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0x371289fe, "power_supply_unregister" },
	{ 0x985d19da, "power_supply_get_drvdata" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x738803e6, "strnlen" },
	{ 0xeea0399, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f45e5, "power_supply_register_no_ws" },
	{ 0x212771a, "device_create_file" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0x58db9c5, "acpi_bus_unregister_driver" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb9bab07e, "acpi_bus_get_status" },
	{ 0xbe302ab, "acpi_pm_wakeup_event" },
	{ 0xe13cd8a7, "dmi_name_in_vendors" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x4582e34f, "acpi_notifier_call_chain" },
	{ 0xf9a482f9, "msleep" },
	{ 0x921847ec, "device_wakeup_disable" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xa684a013, "device_wakeup_enable" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C0A:*");
MODULE_ALIAS("acpi*:MSHW0146:*");

MODULE_INFO(srcversion, "4A70C0139E1322B283D5130");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
