#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x762dd9fa, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x16721e5b, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xd0499c5f, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xcec1279f, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xd826a542, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x1e1d2746, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x315daa08, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x420706dc, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x8e6a8898, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x6cd5bc2e, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x2df063f1, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x2abec138, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xf3156259, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x9bad608b, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x53648c3b, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x704f5a96, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x92523544, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x30caa437, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x053de7b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72523e08, "phy_set_mode_ext" },
	{ 0xbcf3ab1d, "phy_power_on" },
	{ 0x6ce11b39, "phy_init" },
	{ 0x2bd609ff, "phy_power_off" },
	{ 0x7b5d2c83, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x26cae995, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x4b587a97, "devm_of_phy_get" },
	{ 0xa537328e, "_dev_err" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0xc3c637c5, "ata_host_resume" },
	{ 0x774d5045, "ahci_reset_controller" },
	{ 0x45f737fb, "ahci_init_controller" },
	{ 0x5fb320b8, "regulator_enable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa8bb7d23, "platform_get_irq" },
	{ 0x825d3095, "ahci_save_initial_config" },
	{ 0x693febb9, "ahci_set_em_messages" },
	{ 0x4fa7419b, "ata_host_alloc_pinfo" },
	{ 0x4639229e, "platform_get_resource" },
	{ 0xef1a28e2, "ata_port_desc" },
	{ 0xfda26a8b, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x41e99e2b, "ahci_reset_em" },
	{ 0xde2ea975, "ahci_print_info" },
	{ 0xce3503f3, "ahci_host_activate" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x42de25e5, "devres_open_group" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xb2113e96, "platform_get_resource_byname" },
	{ 0xa1f70c3e, "devm_platform_ioremap_resource_byname" },
	{ 0x662a60ca, "devm_clk_bulk_get_all" },
	{ 0x2a32e9cf, "devm_regulator_get" },
	{ 0xabefc014, "devm_reset_control_array_get" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6985115, "of_platform_device_create" },
	{ 0x8ac4e797, "of_find_device_by_node" },
	{ 0x472464d5, "regulator_get" },
	{ 0x8d546bf4, "of_device_is_available" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xb9cd78b9, "devres_release_group" },
	{ 0x5fe72d4e, "devm_platform_ioremap_resource" },
	{ 0xfe367e7f, "devm_clk_get_optional" },
	{ 0xf8357786, "of_node_put" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7ce3fea3, "devres_remove_group" },
	{ 0x8cc2a643, "ata_host_suspend" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x238ef196, "ahci_ops" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "C065E82BDEE055DA5D24913");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
