#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x8b104d07, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x64bfa41a, "");
SYMBOL_CRC(__bcma_driver_register, 0x680ef194, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x8330edef, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x33125ceb, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xd0d825a9, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xf5921b5e, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x1574caef, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x93ecd0d2, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x4ad8ddd0, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xfc49ce6f, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x1e5d7c7e, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x6da06057, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xa53d56e5, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x0742f9f4, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xe76911f2, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xbd2c1785, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x76b74032, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xe01b5ee9, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xd9df7810, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xdc4b8bac, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xf33ebd31, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x86737231, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xf9c6dbf4, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xabec4886, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xe318e634, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x731b76b0, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8e2f1045, "of_address_to_resource" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xc6c6f876, "of_platform_default_populate" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x52075985, "device_initialize" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59540ffd, "get_device" },
	{ 0x47bc091f, "of_irq_parse_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xef0ff5a7, "of_irq_parse_raw" },
	{ 0x848d372e, "iowrite8" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x8f1a56e4, "gpiochip_get_data" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x73fad14b, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xefc6ce82, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75cef85d, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xc04932da, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x936a2493, "pcie_set_readrq" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc0fff63a, "irq_create_of_mapping" },
	{ 0x747ff716, "of_dma_configure_id" },
	{ 0x589acbc6, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "13B365E0B9DCCB88F85ADE2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
