#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c15543e, "set_capacity_and_notify" },
	{ 0x12c2d8c, "lc_seq_printf_stats" },
	{ 0x8f59a737, "set_disk_ro" },
	{ 0xa6de5abd, "__blk_alloc_disk" },
	{ 0x57fd7dc1, "bdev_alignment_offset" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x7355f004, "try_module_get" },
	{ 0x3256f3ec, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x45b401e5, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ff3c6bc, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x72122451, "lc_get_cumulative" },
	{ 0x1a6c0004, "bio_split_to_limits" },
	{ 0x81cea30a, "kmap_high" },
	{ 0x66418c81, "disk_update_readahead" },
	{ 0x3d22cf71, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0b4e852, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x29852bd5, "blk_queue_write_cache" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x43f2331, "kernel_accept" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x7bc6fc9b, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x6fc6a40a, "tcp_sock_set_quickack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3dfb10e5, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d905c59, "lc_del" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa3ecd7ab, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0x738803e6, "strnlen" },
	{ 0xbf626b41, "blk_queue_flag_set" },
	{ 0xa7d1f625, "lc_committed" },
	{ 0x3dcbf915, "lc_get" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x419fdb65, "blkdev_put" },
	{ 0x10878adf, "__free_pages" },
	{ 0xc8ec0ccb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb45f6aa1, "submit_bio" },
	{ 0x3d14dab9, "module_put" },
	{ 0x6f18269a, "bio_start_io_acct" },
	{ 0x5b52975d, "bdev_discard_alignment" },
	{ 0xa7b3f653, "lc_try_get" },
	{ 0x1243aefb, "bioset_exit" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xecf63ada, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2b377f79, "bio_put" },
	{ 0x889ca2d4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5fd4497c, "lc_element_by_index" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xa545842a, "submit_bio_noacct" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd04b06c6, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe1c3c1de, "kunmap_high" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xa7f20ee2, "set_cpus_allowed_ptr" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xf788ab31, "blkdev_get_by_path" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xb87cbdf9, "crypto_shash_digest" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0x63400e2, "blk_queue_segment_boundary" },
	{ 0x1a431e60, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x1d996a58, "sock_sendmsg" },
	{ 0x1d3760ac, "bio_add_page" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d0cdc8c, "del_gendisk" },
	{ 0x605b735, "blk_queue_max_discard_sectors" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x2838dcbd, "lc_create" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2fe1690f, "bd_unlink_disk_holder" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x78d56f15, "bio_alloc_clone" },
	{ 0x2257d5b6, "lc_try_lock" },
	{ 0x12f2c6e5, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x4fbe8be4, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcce2bb39, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2ff949a9, "lc_reset" },
	{ 0xf1799065, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xf6041b6e, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeea0399, "strscpy" },
	{ 0xb68b3d5d, "lc_seq_dump_details" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x959f12b3, "blk_queue_max_write_zeroes_sectors" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x9ded2374, "bioset_init" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x790280c9, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0x30e21c68, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x746e50d0, "bd_link_disk_holder" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xef0af27, "tcp_sock_set_nodelay" },
	{ 0x797fe566, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x9715244c, "proc_create_single_data" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xed921f3, "blk_queue_max_hw_sectors" },
	{ 0xd69f62f0, "page_address" },
	{ 0x16a8e2ca, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x906000b2, "lc_find" },
	{ 0xda4bba79, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x8fdc84e6, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xff6fee97, "fs_bio_set" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xf176fcd1, "blkdev_issue_discard" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "lru_cache,libcrc32c");


MODULE_INFO(srcversion, "BAA5FC0DB44B6F02BBEAD0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
