#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_ep_queue_is_empty, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(__mhi_ep_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_driver_unregister, "_gpl", "");

SYMBOL_CRC(mhi_ep_queue_is_empty, 0x1917d776, "_gpl");
SYMBOL_CRC(mhi_ep_queue_skb, 0xf8539842, "_gpl");
SYMBOL_CRC(mhi_ep_power_up, 0x8d7ee34b, "_gpl");
SYMBOL_CRC(mhi_ep_power_down, 0x1127d5a9, "_gpl");
SYMBOL_CRC(mhi_ep_register_controller, 0x1af1b0fb, "_gpl");
SYMBOL_CRC(mhi_ep_unregister_controller, 0xf7a0bef3, "_gpl");
SYMBOL_CRC(__mhi_ep_driver_register, 0x86917f29, "_gpl");
SYMBOL_CRC(mhi_ep_driver_unregister, 0xfd9c93ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x52075985, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61a4149e, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x589acbc6, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "878F893E12887BF00B7361D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
