#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69f08f72, "fw_core_remove_descriptor" },
	{ 0x797ef30c, "fw_send_response" },
	{ 0x193e7b65, "fw_iso_context_destroy" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0x3c635844, "skb_put" },
	{ 0xfc2ccdcd, "fw_iso_buffer_init" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x81cea30a, "kmap_high" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9e60980a, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x76fbe5a3, "fw_core_remove_address_handler" },
	{ 0xe5ee5b46, "fw_iso_context_stop" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabd28fd4, "fw_core_add_address_handler" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x1c78899d, "fw_iso_context_queue" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0xa9789e11, "fw_iso_buffer_destroy" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xe1c3c1de, "kunmap_high" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0x8ec4e37e, "fw_core_add_descriptor" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xc45e0d91, "fw_iso_context_queue_flush" },
	{ 0x8e979267, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd136190, "fw_bus_type" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd8c2ed0d, "__fw_send_request" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x589acbc6, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "firewire-core");

MODULE_ALIAS("ieee1394:ven*mo*sp0000005Ever00000001*");
MODULE_ALIAS("ieee1394:ven*mo*sp0000005Ever00000002*");

MODULE_INFO(srcversion, "91BC56DB842D7CE696BC3DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
