#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x2b5b4fcc, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x78652ac1, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xc8b7745e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0xb21b87b6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xab0a756d, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x15a88645, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xcecc60c7, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x1153fd79, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x942fea60, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x3725fa43, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x74f429a6, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xea48f433, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x859ce76f, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x5f0328f4, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xa4058e45, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xbc8879e8, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xf37a94c3, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xa862399d, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xe555bef4, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xb2e7c4a5, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x21c69b90, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x72fe5d1f, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x87948bb6, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x874cd80a, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xbcf9e5b6, "debugfs_create_bool" },
	{ 0x93962be7, "debugfs_create_x32" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xda4bba79, "single_open" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa537328e, "_dev_err" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xff9f73da, "regmap_raw_write" },
	{ 0x440198b9, "regmap_raw_read" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5152e605, "memcmp" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0x29441066, "regmap_write" },
	{ 0x16047b74, "regmap_multi_reg_write" },
	{ 0xc461235b, "regmap_bulk_read" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x96a76fc7, "regmap_raw_write_async" },
	{ 0x9fef23ba, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xd4690780, "single_release" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5BC619C06DD31D1CE84EB37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
