#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x470e543a, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x27fef801, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xe72d01d1, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x4382700e, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x70808f88, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x8a7c8946, "");
SYMBOL_CRC(dfl_driver_unregister, 0x8c7113a8, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xb9a88d4b, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x634259d0, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xa72fcf0c, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x1baed38a, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x85d90c59, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xd77165de, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x759fadea, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x7c9754a2, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x81927ec2, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x98559011, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x1f9edcde, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xaff04d37, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xd15c6e84, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xcd19effd, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x433f6ee5, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x79a8f3a6, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x82d2c143, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x94bfd19e, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x29b48d05, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7355f004, "try_module_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3d14dab9, "module_put" },
	{ 0x589acbc6, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x3a33ac87, "cdev_add" },
	{ 0xf01aca45, "cdev_del" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x59540ffd, "get_device" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xf565d79, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4aa3cb3, "__devm_request_region" },
	{ 0xc5a084ec, "devm_ioremap" },
	{ 0xa537328e, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5fe72d4e, "devm_platform_ioremap_resource" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x52075985, "device_initialize" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2fd128ea, "device_add" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x877e6fec, "platform_device_del" },
	{ 0x435b6d0b, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4f7a8fea, "platform_device_put" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x95639dac, "fpga_region_unregister" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf29cb45f, "devm_ioremap_resource" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xf5d4a0aa, "fpga_region_register" },
	{ 0x40217375, "devm_iounmap" },
	{ 0x698e2244, "__devm_release_region" },
	{ 0x7169b89f, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "5C15E73F17C0D134BDDFFFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
