#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_tng_gpio_probe, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_suspend, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_resume, "_gpl", "GPIO_TANGIER");

SYMBOL_CRC(devm_tng_gpio_probe, 0xdff178d4, "_gpl");
SYMBOL_CRC(tng_gpio_suspend, 0x54022f7a, "_gpl");
SYMBOL_CRC(tng_gpio_resume, 0x541180a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f1a56e4, "gpiochip_get_data" },
	{ 0x6aaa7e12, "gpiochip_add_pin_range" },
	{ 0xa537328e, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x67826b5b, "gpiochip_generic_request" },
	{ 0x507ba536, "gpiochip_generic_free" },
	{ 0xb4a9da8f, "handle_bad_irq" },
	{ 0x1b5492ca, "devm_gpiochip_add_data_with_key" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x4f9734ea, "gpiochip_generic_config" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xce7a9263, "gpiochip_enable_irq" },
	{ 0xfb8cb447, "gpiochip_disable_irq" },
	{ 0x892230cf, "generic_handle_domain_irq" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x7330f256, "handle_level_irq" },
	{ 0x29be89fe, "handle_edge_irq" },
	{ 0x6e254810, "gpiochip_irq_reqres" },
	{ 0xcae123c8, "gpiochip_irq_relres" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C5A618183043520F134C03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
