#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x63eb843c, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x19ca1d2e, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x698bcc71, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xece02bed, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xccbff93f, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x6285383e, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x10e73df5, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xea58ce83, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x6aedc5c4, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x166b0b86, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xe6a68797, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x81618a8c, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xf4b59f8b, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x797740d5, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x985cb46b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82aa9eb7, "drm_client_register" },
	{ 0x7355f004, "try_module_get" },
	{ 0x5e9ab0d5, "drm_fb_helper_init" },
	{ 0xe864ba4b, "drm_fb_helper_debug_enter" },
	{ 0xf450c439, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3d3b9e00, "drm_client_buffer_vmap" },
	{ 0x395746bb, "drm_fb_helper_lastclose" },
	{ 0x2459886a, "drm_fb_helper_setcmap" },
	{ 0xb1c40d7e, "drm_fb_helper_alloc_info" },
	{ 0x2d0baa32, "drm_helper_disable_unused_functions" },
	{ 0x5a61226c, "drm_fb_helper_unprepare" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x58c584a6, "drm_fb_helper_fini" },
	{ 0x54ad0c97, "dma_mmap_pages" },
	{ 0xfb5d552d, "drm_client_framebuffer_delete" },
	{ 0x1de05125, "dma_free_pages" },
	{ 0x58ffb229, "drm_client_framebuffer_create" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f12370c, "drm_fb_helper_fill_info" },
	{ 0xbcc52e92, "drm_gem_create_mmap_offset" },
	{ 0x5c522939, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x1ec607f8, "drm_fb_helper_hotplug_event" },
	{ 0x4cc39c79, "fb_sys_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb2dea5e3, "sys_imageblit" },
	{ 0xa180d287, "drm_atomic_helper_damage_iter_init" },
	{ 0x7bf8e623, "drm_fb_helper_blank" },
	{ 0xf7d8576b, "dma_alloc_pages" },
	{ 0xf8edeeef, "drm_gem_private_object_init" },
	{ 0xcf58fa36, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x17fbad2f, "sys_fillrect" },
	{ 0x3d14dab9, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc024f6fc, "drm_client_init" },
	{ 0xf9c5cfcb, "drm_gem_vm_close" },
	{ 0x934f497c, "drm_gem_vm_open" },
	{ 0xebb76b91, "drm_fb_helper_prepare" },
	{ 0xa537328e, "_dev_err" },
	{ 0x741b80e9, "drm_gem_object_release" },
	{ 0xab06fd53, "mem_section" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x62542c79, "drm_gem_handle_create" },
	{ 0x1e40c162, "drm_gem_fb_get_obj" },
	{ 0x971cc67a, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x623b8622, "drm_fb_helper_pan_display" },
	{ 0xdb820551, "drm_client_release" },
	{ 0xd5ca0124, "sys_copyarea" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb5fb3320, "drm_client_buffer_vunmap" },
	{ 0x365e38a2, "fb_sys_read" },
	{ 0x48aa879b, "drm_fb_helper_debug_leave" },
	{ 0x41459e62, "dma_buf_vmap_unlocked" },
	{ 0xb84e7ace, "dma_mmap_attrs" },
	{ 0x99b84776, "dma_get_sgtable_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x8537bf18, "drm_fb_helper_initial_config" },
	{ 0x6908a86, "drm_fb_helper_unregister_info" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x38bfd86, "drm_fb_helper_ioctl" },
	{ 0x2bf5535b, "drm_fb_helper_set_par" },
	{ 0xe1c92d98, "drm_prime_gem_destroy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93B1E366F1A8A53197A2A15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
