#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0x0f17b8fa, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0x7011e9cd, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0xeda51d33, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0x074c8ced, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0xa2970981, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0x0ec94912, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0xb677a197, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x22e1b2e3, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x3042aa95, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0xbc1d6486, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0xfd538e44, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0xefe939c1, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0x2fed3307, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0x6bb9b86f, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0x3dbf5b95, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0xde857eb0, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0x6732bffc, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0x7444ac98, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x675f883d, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x06ac9cac, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0xbf0b185b, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0x25f5d43f, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x39998430, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1e40c162, "drm_gem_fb_get_obj" },
	{ 0xb6b05bf2, "drm_gem_fb_begin_cpu_access" },
	{ 0x53cfb8fb, "drm_fb_swab" },
	{ 0xc1747c43, "drm_gem_fb_end_cpu_access" },
	{ 0x3ab9a5c0, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x3ff30ae0, "drm_fb_memcpy" },
	{ 0xa537328e, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc4c0b87, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x85fe0e75, "drm_dev_enter" },
	{ 0x2546bac8, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x8374295f, "drm_gem_begin_shadow_fb_access" },
	{ 0x1ea05199, "drm_gem_end_shadow_fb_access" },
	{ 0x14e3c6c5, "drm_gem_reset_shadow_plane" },
	{ 0x851f8194, "drm_gem_duplicate_shadow_plane_state" },
	{ 0xb1905f27, "drm_gem_destroy_shadow_plane_state" },
	{ 0xe85085eb, "drmm_mode_config_init" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xe4e43072, "drm_connector_init" },
	{ 0x6a6d631, "drm_simple_display_pipe_init" },
	{ 0x516a640e, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2f6c396b, "drm_connector_helper_get_modes_fixed" },
	{ 0x1c30c0a8, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xda4bba79, "single_open" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0x2bc95bd4, "memset" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xfc097601, "seq_puts" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe2916871, "spi_sync" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5fb320b8, "regulator_enable" },
	{ 0x484a0ebb, "drm_dev_printk" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xd4690780, "single_release" },
	{ 0x58e3e624, "drm_gem_fb_create_with_dirty" },
	{ 0x5db75c23, "drm_atomic_helper_check" },
	{ 0x77ff7104, "drm_atomic_helper_commit" },
	{ 0xbc60a02f, "drm_atomic_helper_connector_reset" },
	{ 0x47f52c12, "drm_helper_probe_single_connector_modes" },
	{ 0xc4ce7d12, "drm_connector_cleanup" },
	{ 0x79fe4aa8, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xef42a7f0, "drm_atomic_helper_connector_destroy_state" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D271FF4732401A99A41A2D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
