#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x354f9ea8, "");
SYMBOL_CRC(drm_gem_vram_put, 0xdb4d0808, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x64b44755, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xd000e83a, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x33e66bf2, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x6ab95b7c, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x604553fa, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xe749bc48, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xd495156c, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xc245c335, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x2357e457, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xde4ea6fe, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x7bef5448, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x1d768381, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xf5a7754d, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xc174395a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57755e41, "ttm_range_man_init_nocheck" },
	{ 0x58875793, "ww_mutex_lock_interruptible" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5bd510f, "ttm_resource_manager_debug" },
	{ 0xbafbfc3e, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b9d9a8e, "ttm_range_man_fini_nocheck" },
	{ 0x5c522939, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x535a9d34, "ttm_bo_pin" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0xf3507512, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2bcfebb, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3d9ad3a, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x741b80e9, "drm_gem_object_release" },
	{ 0x28b19795, "ttm_tt_init" },
	{ 0x62542c79, "drm_gem_handle_create" },
	{ 0x1e40c162, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18c07ca0, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xde3fbd41, "drm_debugfs_add_files" },
	{ 0xb58ea9ff, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19e05378, "ttm_device_init" },
	{ 0x9991585f, "ttm_bo_validate" },
	{ 0xc07d5377, "ttm_bo_move_to_lru_tail" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x535ff889, "ttm_bo_vmap" },
	{ 0x592dcf19, "ttm_bo_put" },
	{ 0xbb5c2f51, "ttm_resource_free" },
	{ 0xd0baa8c8, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x993da05, "ttm_tt_fini" },
	{ 0x316c8f94, "ttm_device_fini" },
	{ 0xd9af0d3b, "drm_gem_plane_helper_prepare_fb" },
	{ 0x88205fd7, "ttm_bo_eviction_valuable" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xeb74f21b, "drm_gem_ttm_print_info" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
