#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_fault, 0x62ee570c, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x9ddea8be, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0xdf8eb04e, "");
SYMBOL_CRC(drm_sched_stop, 0xb9bb8829, "");
SYMBOL_CRC(drm_sched_start, 0x6e6710bb, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x5daaf7d2, "");
SYMBOL_CRC(drm_sched_job_init, 0xee3e6ebc, "");
SYMBOL_CRC(drm_sched_job_arm, 0x5c32df0a, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x523d2c8b, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x9eb689ef, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x8a6362fb, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x9a338989, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x639fb1e6, "");
SYMBOL_CRC(drm_sched_pick_best, 0x323cad78, "");
SYMBOL_CRC(drm_sched_init, 0xd74936a5, "");
SYMBOL_CRC(drm_sched_fini, 0x43da4c70, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xc1258db8, "");
SYMBOL_CRC(to_drm_sched_fence, 0x5d14fca6, "");
SYMBOL_CRC(drm_sched_entity_init, 0x1a41e097, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xcc4a24f4, "");
SYMBOL_CRC(drm_sched_entity_error, 0xc7907228, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x1d6c9638, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x60ae8670, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xb93a1038, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xc7ea9541, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x6cc7b083, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7876b372, "drm_syncobj_find_fence" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x52478b5, "kthread_park" },
	{ 0x7bc6fc9b, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x8fa3dbd3, "dma_resv_iter_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x484a0ebb, "drm_dev_printk" },
	{ 0x53e642eb, "kthread_unpark" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xeabbfc70, "dma_resv_iter_first" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8E6B92FD98FDD9102C916B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
