#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x33cf1f58, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xa75abd1a, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xfd771f72, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x14868940, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29441066, "regmap_write" },
	{ 0xa50706aa, "__devm_drm_dev_alloc" },
	{ 0xdae65787, "device_get_match_data" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0xc763a173, "device_property_read_u8_array" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0x2a32e9cf, "devm_regulator_get" },
	{ 0x759b8188, "devm_backlight_device_register" },
	{ 0xe85085eb, "drmm_mode_config_init" },
	{ 0x949362c, "drm_universal_plane_init" },
	{ 0x516a640e, "drm_plane_enable_fb_damage_clips" },
	{ 0xed43f9a6, "drm_crtc_init_with_planes" },
	{ 0xa007fe77, "drm_encoder_init" },
	{ 0xe4e43072, "drm_connector_init" },
	{ 0xbd9fc6c, "drm_connector_attach_encoder" },
	{ 0x33665a3f, "drm_mode_config_reset" },
	{ 0xeb55cc45, "drm_dev_register" },
	{ 0xee9cfda7, "drm_fbdev_generic_setup" },
	{ 0xa537328e, "_dev_err" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x17d0fb0f, "drm_mode_duplicate" },
	{ 0x7f5894a9, "drm_mode_probed_add" },
	{ 0xefce030c, "drm_set_preferred_mode" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc5ab7635, "pwm_put" },
	{ 0xfd2b7667, "regulator_disable" },
	{ 0xc96f3b1f, "pwm_apply_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6f26d6f, "drm_dev_unplug" },
	{ 0xb1b3a0e1, "drm_atomic_helper_shutdown" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6fc6e624, "regmap_bulk_write" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1c30c0a8, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5fb320b8, "regulator_enable" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8aa197a4, "pwm_get" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x85fe0e75, "drm_dev_enter" },
	{ 0xa180d287, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xb6b05bf2, "drm_gem_fb_begin_cpu_access" },
	{ 0x296d5d7f, "drm_fb_xrgb8888_to_mono" },
	{ 0xc1747c43, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x47fd3151, "drm_gem_prime_handle_to_fd" },
	{ 0x1c815862, "drm_gem_prime_fd_to_handle" },
	{ 0x9b2bc544, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xc8370b6f, "drm_gem_prime_mmap" },
	{ 0x419b6e9d, "drm_gem_shmem_dumb_create" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0xd181316c, "drm_read" },
	{ 0xba549db1, "drm_poll" },
	{ 0x1e6b174, "drm_ioctl" },
	{ 0x12c3ce91, "drm_gem_mmap" },
	{ 0xe6d97de7, "drm_open" },
	{ 0x4224a5a3, "drm_release" },
	{ 0x58e3e624, "drm_gem_fb_create_with_dirty" },
	{ 0x5db75c23, "drm_atomic_helper_check" },
	{ 0x77ff7104, "drm_atomic_helper_commit" },
	{ 0xbc60a02f, "drm_atomic_helper_connector_reset" },
	{ 0x47f52c12, "drm_helper_probe_single_connector_modes" },
	{ 0xc4ce7d12, "drm_connector_cleanup" },
	{ 0x79fe4aa8, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xef42a7f0, "drm_atomic_helper_connector_destroy_state" },
	{ 0x3ae47b30, "drm_encoder_cleanup" },
	{ 0x777b6d33, "drm_atomic_helper_crtc_reset" },
	{ 0xf0b891ab, "drm_crtc_cleanup" },
	{ 0x15bf5f9a, "drm_atomic_helper_set_config" },
	{ 0x70670c0e, "drm_atomic_helper_page_flip" },
	{ 0x7b267cc8, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x649d8822, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xb4b409da, "drm_crtc_helper_atomic_check" },
	{ 0x6dcbac5b, "drm_atomic_helper_update_plane" },
	{ 0x1dbd439d, "drm_atomic_helper_disable_plane" },
	{ 0x40e87f73, "drm_plane_cleanup" },
	{ 0x14e3c6c5, "drm_gem_reset_shadow_plane" },
	{ 0x851f8194, "drm_gem_duplicate_shadow_plane_state" },
	{ 0xb1905f27, "drm_gem_destroy_shadow_plane_state" },
	{ 0x8374295f, "drm_gem_begin_shadow_fb_access" },
	{ 0x1ea05199, "drm_gem_end_shadow_fb_access" },
	{ 0xb04df43c, "drm_plane_helper_atomic_check" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EE2775FE948E5E396404CE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
