#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x756bdd32, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x3afae874, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc50bafc4, "hid_output_report" },
	{ 0xb4dc16b3, "hid_lookup_quirk" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0xed75f8af, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe6d41d9d, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x23717730, "hid_driver_suspend" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x49715188, "kill_fasync" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x9f82fde, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x8e7e39a2, "hidinput_count_leds" },
	{ 0xbf06ce9d, "usb_autopm_put_interface_no_suspend" },
	{ 0x31debdea, "hid_driver_resume" },
	{ 0xeaf92032, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe178ad48, "hid_allocate_device" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd204b985, "hid_destroy_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb1ccf44, "usb_interrupt_msg" },
	{ 0x305ed8fe, "usb_find_interface" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4d8825c3, "usb_clear_halt" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x62abb944, "usb_autopm_get_interface_async" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x48d27569, "usb_queue_reset_device" },
	{ 0xe4217504, "hid_alloc_report_buf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa537328e, "_dev_err" },
	{ 0x98291531, "usb_free_coherent" },
	{ 0xf7b37c15, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xd17086db, "hid_hw_request" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcd627fe1, "hid_hw_open" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xaf5eab60, "usb_register_dev" },
	{ 0xbdce3788, "hid_check_keys_pressed" },
	{ 0x24f7917c, "fasync_helper" },
	{ 0xcc3cfbcd, "usb_unpoison_urb" },
	{ 0x2bc68555, "usb_autopm_put_interface_async" },
	{ 0x12ef7e46, "hid_hw_close" },
	{ 0x5152e605, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9589e10f, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6d2bc9a, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc8375092, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7235dcc1, "usb_unlink_urb" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0xeea0399, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa299311a, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b5ff993, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfcd9be62, "usb_deregister_dev" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x90158d65, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cf24332, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1124d642, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "5C801CA353FE643814115E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
