#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x3d9ce397, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xb4fd4d6e, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xb04bce70, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x86cc8092, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x45aeafb8, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xae18c64e, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xacb27dcb, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xe617d305, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xf6260c64, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xd32ce20c, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x3dcf6565, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x9621fd44, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x86b12089, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x47507c10, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x1d800957, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x734e44c4, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xea3d83b8, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xd9947966, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xa7c104b1, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x413f35df, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x37cb1e88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf55ab875, "i2c_smbus_write_byte_data" },
	{ 0x6ffc1305, "i2c_smbus_read_byte_data" },
	{ 0xb3dd90de, "i2c_smbus_write_byte" },
	{ 0x8dc8b1f, "i2c_smbus_write_word_data" },
	{ 0x7d11e087, "i2c_smbus_read_word_data" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdf61a406, "devm_krealloc" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa78a20e6, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5fd706d6, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe9f63496, "rdev_get_dev" },
	{ 0x6b3754ee, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xcdfadd91, "thermal_zone_device_priv" },
	{ 0x60eb186e, "sysfs_notify" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xb0974be3, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa537328e, "_dev_err" },
	{ 0x63a3ef22, "i2c_smbus_xfer" },
	{ 0x212771a, "device_create_file" },
	{ 0x99f767ef, "__devm_add_action" },
	{ 0xe4e409aa, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x214fa885, "devm_hwmon_device_register_with_groups" },
	{ 0x522578e8, "devm_regulator_register" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "129D35A766BEF9E515B6649");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
