#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0x62cc176e, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x57d521ec, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0xcdbf1dd8, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xa16773c4, "_gpl");
SYMBOL_CRC(intel_th_free, 0x79b7ba43, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x6c760a3c, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0x50728a7e, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x62929f68, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x2a2befdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x52075985, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xf386e4ea, "devm_free_irq" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x3d14dab9, "module_put" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x82c763d6, "bus_find_device" },
	{ 0x2fd128ea, "device_add" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0x61a4149e, "device_del" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x29da51a7, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39ad0cee, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xdd186686, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc2ca680f, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x589acbc6, "driver_register" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD75BEE8718DB7AE053E5B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
