#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x2809d786, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x7005cfd7, "_gpl");
SYMBOL_CRC(stm_data_write, 0x744dbafa, "_gpl");
SYMBOL_CRC(stm_register_device, 0xddcd77a8, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x9f38adc9, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xa02776cc, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xe0704683, "_gpl");
SYMBOL_CRC(stm_source_write, 0xe040c10f, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xadd73c17, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3a6ad19, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0xb6efbe03, "vm_iomap_memory" },
	{ 0xa8dfff4c, "config_item_get" },
	{ 0x52075985, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34dd15d1, "configfs_unregister_subsystem" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x3d14dab9, "module_put" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1116f100, "configfs_register_subsystem" },
	{ 0x2fd128ea, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x47497b18, "class_unregister" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbb06e9c, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39ad0cee, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8ddceb5f, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe1c8131, "config_item_put" },
	{ 0xdd186686, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x8d0b8cdc, "kobject_set_name" },
	{ 0x7fad943a, "device_match_name" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x927909f3, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8b01173b, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "9BCDE3DC93BB2773EB4C19B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
