#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x22dfd546, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0xc351e77b, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x108e4655, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x1e1a32e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29441066, "regmap_write" },
	{ 0xa6e2f7e0, "regmap_get_device" },
	{ 0xa537328e, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2150e09a, "iio_get_time_ns" },
	{ 0x951e0e03, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0x9e857a08, "iio_buffer_enabled" },
	{ 0xc461235b, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dae8695, "iio_device_get_current_mode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x440198b9, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2b801003, "iio_push_to_buffers" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6dae5f0c, "iio_push_event" },
	{ 0x4dc51eb5, "iio_trigger_notify_done" },
	{ 0xd0b7d2c5, "iio_device_unregister" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x5a67e179, "iio_trigger_unregister" },
	{ 0xa28000b1, "iio_triggered_buffer_cleanup" },
	{ 0x66a3052c, "regulator_bulk_disable" },
	{ 0xd40fa1f0, "devm_iio_device_alloc" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x3c88656f, "iio_read_mount_matrix" },
	{ 0x5b12615, "devm_regulator_bulk_get" },
	{ 0x937e8a1, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x74e19c46, "iio_triggered_buffer_setup_ext" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x41552112, "of_irq_get_byname" },
	{ 0x9ac33c4f, "iio_device_id" },
	{ 0x4cb279f, "__devm_iio_trigger_alloc" },
	{ 0xf0633c76, "iio_trigger_register" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x7cacb87c, "__iio_device_register" },
	{ 0x39f920d1, "acpi_dev_hid_uid_match" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xfe624959, "iio_read_const_attr" },
	{ 0xc7940841, "iio_show_mount_matrix" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "F17F7EB3208C8977E4B3F23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
