#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xcfbcae5a, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x7c8944a2, "");
SYMBOL_CRC(ib_cm_listen, 0x7c752b75, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xcde278e9, "");
SYMBOL_CRC(ib_send_cm_req, 0x512b5205, "");
SYMBOL_CRC(ib_send_cm_rep, 0x1978e52c, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x5b26f050, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x062a9106, "");
SYMBOL_CRC(ib_send_cm_drep, 0x15121d23, "");
SYMBOL_CRC(ib_send_cm_rej, 0x94a4e021, "");
SYMBOL_CRC(ib_send_cm_mra, 0xc02a210a, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xc0c11e08, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xd05432f2, "");
SYMBOL_CRC(ib_cm_notify, 0x5de72762, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xaf02088e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd0f8cdb, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f2148d5, "ib_init_ah_attr_from_path" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1b98fc9, "rdma_query_gid" },
	{ 0x98cec5f6, "ib_port_register_client_groups" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xc2a0638d, "ib_modify_port" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x200324ea, "rdma_create_ah" },
	{ 0xa0e9f84, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xf2e0449, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x60b22489, "ib_register_client" },
	{ 0x4575d832, "ib_unregister_mad_agent" },
	{ 0x716ba078, "ib_post_send_mad" },
	{ 0xb089f09, "ib_create_send_mad" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xf5955f69, "rdma_destroy_ah_attr" },
	{ 0x7043bea1, "ib_set_client_data" },
	{ 0xef2ba179, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5957d71f, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf99bece0, "rdma_destroy_ah_user" },
	{ 0xbd798a13, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xf0f2d8f6, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xe5e3516f, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x2dfeff6a, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4a5c152f, "ib_free_recv_mad" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7c9a30e8, "ib_register_mad_agent" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x74eed482, "ib_modify_mad" },
	{ 0xbf110bc9, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "1E5B265EBB1C41AF566C213");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
