#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x21cbb3ee, "");
SYMBOL_CRC(flow_resources_alloc, 0x4647a8d7, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xfdcc8459, "");
SYMBOL_CRC(flow_resources_add, 0x8ee49bc6, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xd8d8e42a, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x9f59ca1c, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x4c26ea09, "");
SYMBOL_CRC(uverbs_idr_class, 0x123c1c9e, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xd73f9d43, "");
SYMBOL_CRC(uverbs_fd_class, 0x1b0ed658, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xfbdb4307, "");
SYMBOL_CRC(_uverbs_alloc, 0x33b63af9, "");
SYMBOL_CRC(uverbs_get_flags64, 0xa2212576, "");
SYMBOL_CRC(uverbs_get_flags32, 0x77485430, "");
SYMBOL_CRC(uverbs_copy_to, 0x68d96c26, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xc3f49804, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xfd7677c2, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xf0670975, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x84591023, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x6efe6c60, "");
SYMBOL_CRC(ib_umem_get, 0x7013c11d, "");
SYMBOL_CRC(ib_umem_release, 0x5dcd454f, "");
SYMBOL_CRC(ib_umem_copy_from, 0x8b1b2c8c, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xc1355d64, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x7b172dc6, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x8c59cc4c, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xe4b3dfc1, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xdcc7a36a, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xda84ac1c, "");
SYMBOL_CRC(ib_umem_odp_get, 0x55629053, "");
SYMBOL_CRC(ib_umem_odp_release, 0x2c73ec71, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x5520ef31, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x2f333926, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25111b21, "pin_user_pages_fast" },
	{ 0x7e3139f, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe2820fb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xfd0f8cdb, "ib_unregister_client" },
	{ 0x97a7627e, "show_class_attr_string" },
	{ 0x5b95a267, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc986477f, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x73780a1c, "mmu_interval_read_begin" },
	{ 0x14fc2833, "ib_create_qp_user" },
	{ 0xd110d0c9, "dma_resv_wait_timeout" },
	{ 0x9a5b5e8b, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x5fbf459f, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x49715188, "kill_fasync" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb8f70751, "class_destroy" },
	{ 0x8253fc9, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xed1feff3, "fget" },
	{ 0xddbc9010, "__put_task_struct" },
	{ 0x765cca44, "ib_query_srq" },
	{ 0xbafbfc3e, "ww_mutex_unlock" },
	{ 0x52075985, "device_initialize" },
	{ 0x98ce7fe, "__dynamic_ibdev_dbg" },
	{ 0x5a5b741a, "ib_rdmacg_try_charge" },
	{ 0xbdcf5c6f, "fd_install" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3e6cb3ef, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x70f39cdf, "unpin_user_page_range_dirty_lock" },
	{ 0xd2380637, "iput" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x9d3c0b5, "dma_buf_unpin" },
	{ 0x3a32c104, "zap_vma_ptes" },
	{ 0x35c2d2dc, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xaf14d019, "rdma_dev_access_netns" },
	{ 0x59540ffd, "get_device" },
	{ 0xd7963774, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb0186022, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69bff65a, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3b5df000, "radix_tree_iter_delete" },
	{ 0x12baccca, "ib_destroy_srq_user" },
	{ 0xaf29c73a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x2c20df1e, "hmm_range_fault" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xee13acfc, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x20938b92, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xe7c499ef, "ib_modify_qp_with_udata" },
	{ 0xd4584483, "ib_register_event_handler" },
	{ 0x42dc6ca5, "ib_detach_mcast" },
	{ 0x8d89f4c, "dma_buf_map_attachment" },
	{ 0x10878adf, "__free_pages" },
	{ 0x45bf08cd, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x60b22489, "ib_register_client" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x63d6652e, "ib_create_srq_user" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x7708767f, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0x71dfc7e5, "fput" },
	{ 0x7043bea1, "ib_set_client_data" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe3071ee8, "dma_buf_unmap_attachment" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x7acab55e, "radix_tree_next_chunk" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5957d71f, "rdma_put_gid_attr" },
	{ 0x203aa149, "class_create" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x1b3db08e, "dma_buf_get" },
	{ 0x20180bbf, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x46694141, "ww_mutex_lock" },
	{ 0x24f7917c, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x24431e4e, "ib_qp_usecnt_inc" },
	{ 0x8efed9ce, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x17c23a70, "ib_destroy_qp_user" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2db06a7, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x79b10831, "rdma_create_user_ah" },
	{ 0xf99bece0, "rdma_destroy_ah_user" },
	{ 0x92ab7ead, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3924cd13, "ib_destroy_cq_user" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb8c0d04, "__mmdrop" },
	{ 0xce705f9a, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x344ff7b, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x69e57676, "__mmap_lock_do_trace_start_locking" },
	{ 0x3c72ac51, "ib_rdmacg_uncharge" },
	{ 0x241ed52a, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xac657c2a, "mmput" },
	{ 0x3d86ef0, "dma_map_sgtable" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc6f8ee5, "__mmap_lock_do_trace_released" },
	{ 0x2d09b894, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x57e9279, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x50887818, "ib_dealloc_xrcd_user" },
	{ 0x267e666, "dma_buf_detach" },
	{ 0x6db373b0, "stream_open" },
	{ 0x6c5ff0e4, "mmu_interval_notifier_insert" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x977e8a3d, "mmput_async" },
	{ 0xbbcb2dbf, "ib_open_qp" },
	{ 0x1770db62, "ib_dealloc_pd_user" },
	{ 0x446f9fcb, "rdma_get_gid_attr" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x550b2ea5, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xec008f65, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x1e1e6c42, "rdma_query_gid_table" },
	{ 0x5b996747, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf1e53184, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72495db5, "ib_attach_mcast" },
	{ 0x81bcf7f9, "rdma_umap_priv_init" },
	{ 0x29f3a126, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x7f018410, "ib_destroy_wq_user" },
	{ 0x726d37b4, "put_pid" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x94f49df1, "rdma_user_mmap_entry_put" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "F8EA67E427CC32FDE96352B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
