#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x334fa71a, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xe097ee69, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x138323e1, "");
SYMBOL_CRC(rdma_res_to_id, 0xff43565c, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xf37ae1b5, "");
SYMBOL_CRC(rdma_create_user_id, 0xdf51dcea, "");
SYMBOL_CRC(rdma_create_qp, 0xef79e574, "");
SYMBOL_CRC(rdma_destroy_qp, 0xe33f5bc1, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x53380722, "");
SYMBOL_CRC(rdma_destroy_id, 0x378e7580, "");
SYMBOL_CRC(rdma_get_service_id, 0x06980748, "");
SYMBOL_CRC(rdma_read_gids, 0xe6ca219c, "");
SYMBOL_CRC(rdma_set_service_type, 0x82627ba3, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x933cfbb8, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x075e0d90, "");
SYMBOL_CRC(rdma_set_ib_path, 0x7199ee80, "");
SYMBOL_CRC(rdma_resolve_route, 0xf78f1103, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xae39d84f, "");
SYMBOL_CRC(rdma_set_afonly, 0x6d96ac1a, "");
SYMBOL_CRC(rdma_listen, 0xb0c5866b, "");
SYMBOL_CRC(rdma_resolve_addr, 0xdd8c3f52, "");
SYMBOL_CRC(rdma_bind_addr, 0xe146b72f, "");
SYMBOL_CRC(rdma_connect_locked, 0xd7d01589, "");
SYMBOL_CRC(rdma_connect, 0xa83f059e, "");
SYMBOL_CRC(rdma_connect_ece, 0x99e1be6e, "");
SYMBOL_CRC(rdma_accept, 0x7df641ef, "");
SYMBOL_CRC(rdma_accept_ece, 0x2f24c5cd, "");
SYMBOL_CRC(rdma_lock_handler, 0xeaf65883, "");
SYMBOL_CRC(rdma_unlock_handler, 0x12185f0b, "");
SYMBOL_CRC(rdma_notify, 0x307658f8, "");
SYMBOL_CRC(rdma_reject, 0xcb3b61f5, "");
SYMBOL_CRC(rdma_disconnect, 0x8c927aff, "");
SYMBOL_CRC(rdma_join_multicast, 0x1c40f0b6, "");
SYMBOL_CRC(rdma_leave_multicast, 0xbee0d31a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0c11e08, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf163debb, "iw_create_cm_id" },
	{ 0x4634153c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfd0f8cdb, "ib_unregister_client" },
	{ 0xb13860f1, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd05432f2, "ib_send_cm_sidr_rep" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x3a6ad19, "config_group_init" },
	{ 0x7f2148d5, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc3cc8657, "rdma_find_gid_by_port" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcde278e9, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1b98fc9, "rdma_query_gid" },
	{ 0x5fc33b64, "rt6_lookup" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xac55f2bb, "rdma_translate_ip" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xaf14d019, "rdma_dev_access_netns" },
	{ 0x7fc9821b, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7c8944a2, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34dd15d1, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xf2f6d578, "ip_mc_inc_group" },
	{ 0xaf29c73a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf2e0449, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7406ba5c, "iw_cm_connect" },
	{ 0x20938b92, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7a677047, "rdma_addr_cancel" },
	{ 0x5de72762, "ib_cm_notify" },
	{ 0x738803e6, "strnlen" },
	{ 0xfc43efa4, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x60b22489, "ib_register_client" },
	{ 0x8a6ac563, "ib_sa_path_rec_get" },
	{ 0xcfbcae5a, "ib_create_cm_id" },
	{ 0x91e26d6, "__ip_mc_dec_group" },
	{ 0xf8ef77a9, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xac422c67, "ib_init_ah_from_mcmember" },
	{ 0xf5955f69, "rdma_destroy_ah_attr" },
	{ 0x7043bea1, "ib_set_client_data" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef2ba179, "ib_get_cached_pkey" },
	{ 0x1116f100, "configfs_register_subsystem" },
	{ 0x90df9aed, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5957d71f, "rdma_put_gid_attr" },
	{ 0x54021a83, "config_group_init_type_name" },
	{ 0xd3254432, "dev_get_by_index" },
	{ 0x70a91152, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1978e52c, "ib_send_cm_rep" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x8cf13ea0, "iw_cm_disconnect" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x17c23a70, "ib_destroy_qp_user" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xaf02088e, "ib_cm_init_qp_attr" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x15121d23, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2db06a7, "rdma_restrack_set_name" },
	{ 0x36de5c8b, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x5e6be7cf, "ib_get_cached_port_state" },
	{ 0xc02a210a, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xce705f9a, "rdma_restrack_del" },
	{ 0x6b17bff4, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x467cc511, "__put_net" },
	{ 0x3471b634, "rdma_restrack_parent_name" },
	{ 0xeea0399, "strscpy" },
	{ 0x95a32448, "iw_cm_accept" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe1c8131, "config_item_put" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdbafa617, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x8f97a242, "iw_cm_init_qp_attr" },
	{ 0xa58bc662, "dst_release" },
	{ 0x5b26f050, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x62a9106, "ib_send_cm_dreq" },
	{ 0x512b5205, "ib_send_cm_req" },
	{ 0x568a7d96, "ib_create_qp_kernel" },
	{ 0xe96abc9, "ib_sa_join_multicast" },
	{ 0xd0d68738, "roce_gid_type_mask_support" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xec008f65, "rdma_restrack_new" },
	{ 0x949b3e69, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x1ae8653c, "iw_cm_listen" },
	{ 0x94a4e021, "ib_send_cm_rej" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf30cfe1d, "rdma_copy_src_l2_addr" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x6e3d9d4f, "rdma_resolve_ip" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "82C5476109488E5AE9645FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
