#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0x3e24c286, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xf9082db7, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0x0088c22f, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0x0cf68c4e, "");
SYMBOL_CRC(rtrs_srv_open, 0xed3824a2, "");
SYMBOL_CRC(rtrs_srv_close, 0xb83e33d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0xfd0f8cdb, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xb8f70751, "class_destroy" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x52075985, "device_initialize" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xb94ff442, "rtrs_post_recv_empty" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x35c2d2dc, "ib_dereg_mr_user" },
	{ 0x1300d9af, "rtrs_iu_post_send" },
	{ 0x59540ffd, "get_device" },
	{ 0xcb3b61f5, "rdma_reject" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8c927aff, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x1011fda0, "rtrs_rdma_dev_pd_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2491bc9, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf37ae1b5, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xb5f86872, "rtrs_rdma_dev_pd_deinit" },
	{ 0x738803e6, "strnlen" },
	{ 0x10878adf, "__free_pages" },
	{ 0xe146b72f, "rdma_bind_addr" },
	{ 0x60b22489, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x6bbdea74, "rtrs_iu_free" },
	{ 0x7540ec6f, "ib_map_mr_sg" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdf0c310, "kobj_sysfs_ops" },
	{ 0x108dd54, "rtrs_cq_qp_destroy" },
	{ 0x203aa149, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x9a4a923b, "rtrs_iu_post_recv" },
	{ 0xde78e575, "kobject_init_and_add" },
	{ 0xb0c5866b, "rdma_listen" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe184dd3, "sysfs_remove_file_self" },
	{ 0x61a4149e, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x9959f0fd, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd4d221a6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xeea0399, "strscpy" },
	{ 0xc3adf322, "kobject_del" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x378e7580, "rdma_destroy_id" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7df641ef, "rdma_accept" },
	{ 0x6adbd8b4, "rtrs_start_hb" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x17a89c41, "ib_drain_qp" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0x9e793dcd, "rtrs_cq_qp_create" },
	{ 0xbd993c54, "rtrs_ib_dev_put" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x928d5e24, "rtrs_init_hb" },
	{ 0xdc52400e, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x28d1b054, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x30dceb64, "rtrs_iu_alloc" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6cf8d063, "kobject_get" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "55CE50DA7AB32B288DE62DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
