#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2df6c2d2, "i2c_register_driver" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc4384a12, "i2c_transfer" },
	{ 0xa537328e, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xfd2c20e1, "i2c_del_driver" },
	{ 0xb28a66cb, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xf8c0ad3b, "irq_get_irq_data" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xb2f3ff5b, "i2c_transfer_buffer_flags" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x12da855a, "input_device_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0x66a3052c, "regulator_bulk_disable" },
	{ 0xf47218db, "input_event" },
	{ 0x7ae078f1, "input_mt_report_slot_state" },
	{ 0xa6257a2f, "complete" },
	{ 0x96df9bfd, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb40365a2, "input_allocate_device" },
	{ 0x7290f64e, "input_set_capability" },
	{ 0x80ebdf01, "input_set_abs_params" },
	{ 0x61ba0838, "input_mt_init_slots" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0x69f7cae3, "input_alloc_absinfo" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x93ebbca7, "request_firmware_nowait" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0x5b12615, "devm_regulator_bulk_get" },
	{ 0x16dc3bd9, "devm_gpiod_get_optional" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x937e8a1, "regulator_bulk_enable" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "A09F629FA2E656BDC6FFAFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
