#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x9e2adf09, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xb9fda29e, "");
SYMBOL_CRC(bttv_sub_unregister, 0xb8b08e87, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9d6950f, "videobuf_streamoff" },
	{ 0xef48a6e1, "v4l2_fh_exit" },
	{ 0x643ff897, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb6a8c37e, "videobuf_poll_stream" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x887327ae, "v4l2_ctrl_radio_filter" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd703e034, "i2c_bit_add_bus" },
	{ 0x2598e4d8, "v4l2_ctrl_add_handler" },
	{ 0x563800c8, "v4l2_fh_del" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x9eb708ab, "videobuf_dma_free" },
	{ 0xb929ca68, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x56261e08, "pci_get_device" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0x5feab8c8, "videobuf_reqbufs" },
	{ 0xedc03953, "iounmap" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x608c5dc0, "videobuf_waiton" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2f3ff5b, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb994f5e5, "videobuf_queue_is_busy" },
	{ 0x5d5f9f, "videobuf_dqbuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe67bac6e, "v4l2_ctrl_handler_log_status" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x7cf9eae, "i2c_new_scanned_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x598c1578, "v4l2_ctrl_find" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0x77b3540d, "__v4l2_ctrl_s_ctrl" },
	{ 0xe63896be, "videobuf_stop" },
	{ 0x212771a, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x90619cf9, "rc_keyup" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x92f49973, "tveeprom_read" },
	{ 0xe6a16cfe, "v4l2_ctrl_new_custom" },
	{ 0x55f82848, "rc_keydown_notimeout" },
	{ 0x160fdcec, "videobuf_queue_sg_init" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd33ee42a, "videobuf_dma_unmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e2c0b5c, "videobuf_read_stream" },
	{ 0xa825c75b, "videobuf_sg_alloc" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5298b1b, "rc_register_device" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x271ab18, "videobuf_querybuf" },
	{ 0xb8d1fddd, "rc_keydown" },
	{ 0xe6d60272, "snd_tea575x_enum_freq_bands" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x54702faa, "snd_tea575x_s_hw_freq_seek" },
	{ 0x2852f304, "v4l2_fh_init" },
	{ 0xfd75c58b, "v4l2_event_pending" },
	{ 0xde80cd09, "ioremap" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0xc14f1ec1, "snd_tea575x_set_freq" },
	{ 0x5152e605, "memcmp" },
	{ 0x64524242, "videobuf_qbuf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6faeaeea, "i2c_new_client_device" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0xc9d40711, "videobuf_read_one" },
	{ 0xf4bebccf, "rc_free_device" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0xb50573d9, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3f9738a, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x732b7205, "videobuf_iolock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5edbfad, "snd_tea575x_hw_init" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xea5256b, "videobuf_streamon" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9f808647, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x6553484c, "videobuf_next_field" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x732fc1f3, "v4l2_subdev_call_wrappers" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0xfe20cbc9, "videobuf_mmap_mapper" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0x589acbc6, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35dac1ce, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x863a3c82, "videobuf_to_dma" },
	{ 0xb25b302f, "videobuf_mmap_free" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf-core,videodev,tea575x,i2c-algo-bit,videobuf-dma-sg,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "205281FD767B6C8833ED0B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
