#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xc3777a8a, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xe3ecdba0, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x065acb89, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0xc364f898, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x854c664d, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xc5bbc986, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xec60d155, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cb08d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb23a1126, "vb2_dma_sg_memops" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x827c1b20, "vb2_ioctl_streamoff" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xba1b64c6, "vb2_ops_wait_finish" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f35cfb, "vb2_ioctl_querybuf" },
	{ 0xb0abcb4c, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x785c2ffb, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0xce0d42ac, "vb2_plane_cookie" },
	{ 0xaaa6f191, "vb2_ioctl_dqbuf" },
	{  0xb2732, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x14874c52, "vb2_ioctl_prepare_buf" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x573610e, "vb2_ioctl_qbuf" },
	{ 0x8b888786, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc0788ba, "vb2_fop_read" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0xb50573d9, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9907937, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc5e1a787, "vb2_ioctl_streamon" },
	{ 0x81e6d7d1, "vb2_fop_poll" },
	{ 0x9f808647, "v4l2_ctrl_new_std" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x58fb8b5a, "vb2_ioctl_reqbufs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "3719D8947F305CC499528DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
