#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x575d480f, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x81871772, "");
SYMBOL_CRC(ivtv_api, 0x78283b76, "");
SYMBOL_CRC(ivtv_vapi, 0xf9e9c21a, "");
SYMBOL_CRC(ivtv_vapi_result, 0x5c05e38b, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x8bd8daca, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x342207f6, "");
SYMBOL_CRC(ivtv_udma_setup, 0x0e1b7457, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x395f3374, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x4355dbbc, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x684068d5, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x9e430965, "");
SYMBOL_CRC(ivtv_firmware_check, 0x433a4f51, "");
SYMBOL_CRC(ivtv_claim_stream, 0xe26ced81, "");
SYMBOL_CRC(ivtv_release_stream, 0x762a1dee, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x0e35fd39, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x662798ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef48a6e1, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3e801463, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd703e034, "i2c_bit_add_bus" },
	{ 0x563800c8, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x226f044f, "v4l2_i2c_new_subdev_board" },
	{ 0x3fca5665, "kthread_flush_worker" },
	{ 0xb929ca68, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb6706d26, "request_firmware" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x8d898e32, "unpin_user_pages" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2f3ff5b, "i2c_transfer_buffer_flags" },
	{ 0x8aa567bb, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x47d71f41, "v4l2_device_register_subdev" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe67bac6e, "v4l2_ctrl_handler_log_status" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x7cf9eae, "i2c_new_scanned_device" },
	{ 0xac6c5f73, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x46267411, "kthread_queue_work" },
	{ 0x10878adf, "__free_pages" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x77b3540d, "__v4l2_ctrl_s_ctrl" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x92f49973, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x698c53df, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdc50ffe1, "v4l2_fh_is_singular" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x2852f304, "v4l2_fh_init" },
	{ 0xfd75c58b, "v4l2_event_pending" },
	{ 0x3331356a, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xb4600e2b, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x16f9c0d, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0xf1799065, "param_ops_string" },
	{ 0xb50573d9, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdcaac366, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9f808647, "v4l2_ctrl_new_std" },
	{ 0xa5f81558, "v4l2_ctrl_g_ctrl" },
	{ 0x91c94b2d, "cx2341x_handler_init" },
	{ 0x71ba70a5, "cx2341x_handler_set_50hz" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xb0511bd4, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x732fc1f3, "v4l2_subdev_call_wrappers" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x16359100, "v4l2_event_queue" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0xd69f62f0, "page_address" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0x9fc5bc9e, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C66B5DC5264B3E2BB1864AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
