#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xc6cfc8c9, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x65d933e3, "");
SYMBOL_CRC(dvb_usb_device_init, 0xc4e46d0e, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x19294390, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x4bb0b32c, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x09a084ef, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xf6ede2d5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb40365a2, "input_allocate_device" },
	{ 0x24ea39e5, "dvb_dmxdev_init" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7c68aa8b, "media_device_unregister" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe6d41d9d, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb63518b5, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc6dc2bfd, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4d8825c3, "usb_clear_halt" },
	{ 0x69308dac, "usb_bulk_msg" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xf799222f, "i2c_del_adapter" },
	{ 0x252ea157, "media_device_cleanup" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x98291531, "usb_free_coherent" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb5298b1b, "rc_register_device" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0xbc665a26, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x8fdbdf45, "dvb_dmxdev_release" },
	{ 0xf4bebccf, "rc_free_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7d4d8540, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf47218db, "input_event" },
	{ 0x19be6ed6, "dvb_frontend_detach" },
	{ 0xb50573d9, "i2c_add_adapter" },
	{ 0x9d258b97, "dvb_net_release" },
	{ 0xe3f9738a, "rc_allocate_device" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaee9f0d4, "dvb_unregister_frontend" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc9cc2e0b, "__media_device_usb_init" },
	{ 0x11b6f52, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5f06296, "dvb_create_media_graph" },
	{ 0x94715bc9, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35dac1ce, "rc_unregister_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "66AE720F6AE14C85228C057");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
