#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cb08d, "vb2_queue_init" },
	{ 0x56bc9161, "em28xx_init_camera" },
	{ 0x921d7c65, "em28xx_boards" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0x827c1b20, "vb2_ioctl_streamoff" },
	{ 0x48e84f8f, "em28xx_audio_analog_set" },
	{ 0xa22d288d, "em28xx_write_reg" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd82f4c20, "em28xx_stop_urbs" },
	{ 0xba1b64c6, "vb2_ops_wait_finish" },
	{ 0x94260695, "v4l2_ctrl_handler_init_class" },
	{ 0x170b0392, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f35cfb, "vb2_ioctl_querybuf" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7edb5b4f, "em28xx_set_mode" },
	{ 0xb0abcb4c, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8332427c, "v4l2_i2c_subdev_addr" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0x9abedcf6, "em28xx_audio_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa7941567, "video_devdata" },
	{ 0x785c2ffb, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x598c1578, "v4l2_ctrl_find" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x843df68, "media_device_register_entity" },
	{ 0xaaa6f191, "vb2_ioctl_dqbuf" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{  0xb2732, "vb2_ioctl_create_bufs" },
	{ 0x52d903dc, "em28xx_uninit_usb_xfer" },
	{ 0x14874c52, "vb2_ioctl_prepare_buf" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x240b2fbf, "em28xx_unregister_extension" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xd8372600, "vb2_plane_vaddr" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0xa0df9755, "media_entity_pads_init" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x573610e, "vb2_ioctl_qbuf" },
	{ 0x8b888786, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xab62c5d1, "vb2_vmalloc_memops" },
	{ 0x613dec01, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc0788ba, "vb2_fop_read" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0x58bec2f5, "media_entity_setup_link" },
	{ 0xeea0399, "strscpy" },
	{ 0x729113ed, "em28xx_register_extension" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0x2f99f5aa, "em28xx_init_usb_xfer" },
	{ 0xf9907937, "vb2_ops_wait_prepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc5e1a787, "vb2_ioctl_streamon" },
	{ 0x59a1521d, "v4l2_mc_create_media_graph" },
	{ 0x81e6d7d1, "vb2_fop_poll" },
	{ 0x9f808647, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x7fc8652c, "em28xx_tuner_callback" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x31a6a18, "em28xx_setup_xc3028" },
	{ 0xdf9a6eb0, "v4l2_ctrl_notify" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x771b129f, "em28xx_write_regs" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x721f7cc7, "em28xx_free_device" },
	{ 0x178507f, "v4l2_i2c_new_subdev" },
	{ 0x8cb9353f, "media_device_unregister_entity" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa7d71785, "em28xx_read_reg" },
	{ 0x58fb8b5a, "vb2_ioctl_reqbufs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,em28xx,videodev,mc,videobuf2-common,usbcore,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C71DC2AABB13584D69A0088");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
