#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xd4868183, "");
SYMBOL_CRC(gspca_dev_probe2, 0xb427b80e, "");
SYMBOL_CRC(gspca_dev_probe, 0xd5903ea2, "");
SYMBOL_CRC(gspca_disconnect, 0x111a4176, "");
SYMBOL_CRC(gspca_suspend, 0x88c8fd56, "");
SYMBOL_CRC(gspca_resume, 0xf1214eba, "");
SYMBOL_CRC(gspca_expo_autogain, 0x855fcf06, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x4097a165, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cb08d, "vb2_queue_init" },
	{ 0xb40365a2, "input_allocate_device" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0x18582e87, "video_ioctl2" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x47323b8, "v4l2_device_put" },
	{ 0x827c1b20, "vb2_ioctl_streamoff" },
	{ 0xe6d41d9d, "usb_alloc_coherent" },
	{ 0xf8b2926d, "vb2_ioctl_expbuf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x126e86d1, "usb_ifnum_to_if" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xba1b64c6, "vb2_ops_wait_finish" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f35cfb, "vb2_ioctl_querybuf" },
	{ 0xb0abcb4c, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4d8825c3, "usb_clear_halt" },
	{ 0x6babeb1, "v4l2_ctrl_handler_setup" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7941567, "video_devdata" },
	{ 0x64e5fb86, "vb2_queue_error" },
	{ 0x785c2ffb, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x77b3540d, "__v4l2_ctrl_s_ctrl" },
	{ 0xaaa6f191, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x98291531, "usb_free_coherent" },
	{  0xb2732, "vb2_ioctl_create_bufs" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc84cf3f1, "vb2_buffer_done" },
	{ 0xd8372600, "vb2_plane_vaddr" },
	{ 0xe533d817, "v4l2_ctrl_subscribe_event" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0x267cf637, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x573610e, "vb2_ioctl_qbuf" },
	{ 0x8b888786, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xab62c5d1, "vb2_vmalloc_memops" },
	{ 0x613dec01, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc0788ba, "vb2_fop_read" },
	{ 0x42edc4, "v4l2_device_register" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb9da607a, "__video_register_device" },
	{ 0xf9907937, "vb2_ops_wait_prepare" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc5e1a787, "vb2_ioctl_streamon" },
	{ 0x81e6d7d1, "vb2_fop_poll" },
	{ 0xa5f81558, "v4l2_ctrl_g_ctrl" },
	{ 0x94440c99, "v4l2_ctrl_handler_free" },
	{ 0x98633b42, "v4l2_device_unregister" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x6fcb2777, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc5f62464, "v4l2_event_unsubscribe" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x58fb8b5a, "vb2_ioctl_reqbufs" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "B9AE5B4705EE8DC1B55A294");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
