#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x3b0337d4, "");
SYMBOL_CRC(video_device_release, 0x52f57367, "");
SYMBOL_CRC(video_device_release_empty, 0x6fcb2777, "");
SYMBOL_CRC(video_devdata, 0xa7941567, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xb9da607a, "");
SYMBOL_CRC(video_unregister_device, 0x267cf637, "");
SYMBOL_CRC(video_device_pipeline_start, 0x66b48034, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x4a6d6452, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xc9122eb8, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x0008215b, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xd6c5f1c7, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x7f901df1, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x18582e87, "");
SYMBOL_CRC(v4l2_device_register, 0x0042edc4, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x047323b8, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x698c53df, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x613dec01, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x98633b42, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x47d71f41, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xa6d6c985, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x7a5f20f1, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x2852f304, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xb929ca68, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xb0abcb4c, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x563800c8, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0xef48a6e1, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xf410eff5, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xdc50ffe1, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x8fc7f724, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x16359100, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x84683e55, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0xfd75c58b, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xf6caf666, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xb4600e2b, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x4b725a56, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xc5f62464, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x2ed41943, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x5840e238, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x374e2998, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x732fc1f3, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xb80ee860, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x8007721c, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x0c91ed69, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x7e179e53, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xff2e322d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x671824d3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xa97a391c, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x8ed07389, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x7234536f, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0xfc0da595, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x36e8c019, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x74f6bd84, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0x3e1fb819, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xacd3e074, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x2f104e92, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x23bc3033, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xd1a4ce04, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xba6a2926, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x56acfc51, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xa9b4a783, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x8aa567bb, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x91ebc831, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x743730d0, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xd190ccf5, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xff76573f, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x817aa988, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xf1375b16, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xf97d4a8b, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x34a8c36b, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xa04d8a5a, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x3e2c423a, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xb88ebc4c, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xdf9a6eb0, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x94260695, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x94440c99, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x598c1578, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xe6a16cfe, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x9f808647, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x016f9c0d, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xcfd51e06, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0xc27fb297, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x0650a413, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x2598e4d8, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x887327ae, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x9fc5bc9e, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x9d963398, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x1824ac9e, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xb74481fa, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x30f7421e, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x06babeb1, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xe67bac6e, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x010bfc89, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x8362fd14, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x5d07e714, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xd85460bc, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x860dcaea, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x49d4f959, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xa5f81558, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xac335b44, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x77b3540d, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x73ef2b67, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xd88ba69b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x0ee66dcb, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xd787e621, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xe8343cfe, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xc9f207c9, "");
SYMBOL_CRC(v4l2_queryctrl, 0xa08955e1, "");
SYMBOL_CRC(v4l2_querymenu, 0xb2c9257f, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x20b65f7a, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xe4917383, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x35a44516, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xe533d817, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0xbfe0e193, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x00211694, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x16138b28, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x8365e5d9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x667fd7ad, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xd9147df2, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x59a1521d, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x5f312d86, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x08714d62, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x8587d008, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x3837a0d9, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xe4b1cf7c, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x4134a9ee, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x68c79f5e, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xcebc9eec, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xf5300272, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x85f40ef1, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xb48cf8aa, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x30142861, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xe0b98a71, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xaf746c3f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x2b6856cd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x5921f3f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xdef3dffd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xc67ceac9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xe35b3275, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x952f82af, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x226f044f, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x0178507f, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x8332427c, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89b09c50, "media_devnode_remove" },
	{ 0x7355f004, "try_module_get" },
	{ 0x388e2a5f, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcc8a48cc, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa6424745, "led_sysfs_enable" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8a7ff3b1, "fwnode_graph_get_remote_endpoint" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x2ba2cdb8, "spi_unregister_device" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfd7cd792, "media_request_object_unbind" },
	{ 0x86f98b0b, "led_put" },
	{ 0x3792631b, "led_trigger_remove" },
	{ 0x60173ec, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x193ffa04, "media_request_object_complete" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xcc4a7c46, "fwnode_graph_get_port_parent" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb80a2353, "media_create_intf_link" },
	{ 0x9e16f71f, "media_create_pad_link" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xb68ff42f, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x21bec36c, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x7cf9eae, "i2c_new_scanned_device" },
	{ 0x44da91d8, "media_pad_pipeline" },
	{ 0x738803e6, "strnlen" },
	{ 0xfc2963dd, "media_request_object_put" },
	{ 0x3d14dab9, "module_put" },
	{ 0x4698176b, "media_pipeline_alloc_start" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x843df68, "media_device_register_entity" },
	{ 0x4661bf33, "media_request_get_by_fd" },
	{ 0x3a33ac87, "cdev_add" },
	{ 0x499755e4, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x969b519f, "i2c_unregister_device" },
	{ 0x58fcfaff, "media_request_put" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf4cadc86, "spi_new_device" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x44355cc0, "media_request_object_bind" },
	{ 0x47497b18, "class_unregister" },
	{ 0x3b30993e, "media_graph_walk_next" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6faeaeea, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe33b7a43, "media_pipeline_start" },
	{ 0x6b46e1bd, "media_pipeline_stop" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95e0df82, "media_get_pad_index" },
	{ 0xeea0399, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xc3595ddf, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb5ab340f, "led_set_brightness" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9eb8266d, "media_graph_walk_start" },
	{ 0xc61c66a8, "media_devnode_create" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0xd54b738b, "media_entity_get_fwnode_pad" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x1a89cc48, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8cb9353f, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xe9c75db5, "__media_pipeline_start" },
	{ 0x927909f3, "class_register" },
	{ 0x84408a4c, "led_sysfs_disable" },
	{ 0xa20aadd5, "media_entity_find_link" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf01aca45, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1336a863, "cdev_alloc" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "364EA3BE85D1EE60760DE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
