#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x8cfb5d09, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x19a0db56, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x61516bac, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x24b0259b, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xb1119183, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x77aafff8, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xdeaef5a7, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x106203b9, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x32f705b5, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x859880f3, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x84a3f883, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x0c17e19d, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x2279e493, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x4c9eb3e6, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x83aae8c4, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xa1d0afdd, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x4f5edee1, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xb09bef73, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x4f801ee2, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x3893e22d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x3cb8cd4c, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xcaa7c27b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x6a00789a, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xc5a626dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x43afc6f, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x73965b91, "pci_find_ext_capability" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4179e07a, "pci_disable_msi" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe49390ee, "pm_schedule_suspend" },
	{ 0xc361ca28, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd15cfed6, "pci_enable_msi" },
	{ 0xa537328e, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x5d74f3b5, "pcie_capability_clear_and_set_word_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6b905329, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x4deda54b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xc59c83e, "mfd_remove_devices" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "3D096AFA448B427132D86B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
