#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x7ed24048, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x2f571ad4, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x5de3303c, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x2192ecac, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x9a643b43, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0xf006ad98, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xec326736, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xfbf4c9cc, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x6c6e8045, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x10ef853c, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x69ab763f, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x906ed2fd, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0xb138f203, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69308dac, "usb_bulk_msg" },
	{ 0x212079f5, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xfa587db8, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xc59c83e, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x337c17f0, "usb_sg_cancel" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6b905329, "mfd_add_devices" },
	{ 0x1423196a, "usb_enable_autosuspend" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
