#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(lis3_dev, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_poweroff, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_poweron, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_joystick_enable, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_joystick_disable, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_remove_fs, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_init_dt, "_gpl", "");
KSYMTAB_FUNC(lis3lv02d_init_device, "_gpl", "");

SYMBOL_CRC(lis3_dev, 0xa228035c, "_gpl");
SYMBOL_CRC(lis3lv02d_poweroff, 0x34f161b5, "_gpl");
SYMBOL_CRC(lis3lv02d_poweron, 0xe7b200d3, "_gpl");
SYMBOL_CRC(lis3lv02d_joystick_enable, 0x3a6bb245, "_gpl");
SYMBOL_CRC(lis3lv02d_joystick_disable, 0xd743fd4e, "_gpl");
SYMBOL_CRC(lis3lv02d_remove_fs, 0x99c1be4d, "_gpl");
SYMBOL_CRC(lis3lv02d_init_dt, 0xb9f12873, "_gpl");
SYMBOL_CRC(lis3lv02d_init_device, 0xad25745b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa537328e, "_dev_err" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf47218db, "input_event" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x5abd5c99, "input_unregister_device" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0xe49390ee, "pm_schedule_suspend" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x820c4470, "pm_runtime_barrier" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x37a0cba, "kfree" },
	{ 0x24f7917c, "fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x49715188, "kill_fasync" },
	{ 0xa288de8d, "param_set_int" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0xed037a3b, "of_get_property" },
	{ 0xb40365a2, "input_allocate_device" },
	{ 0x80ebdf01, "input_set_abs_params" },
	{ 0x6c30ae93, "input_setup_polling" },
	{ 0x2f0b3686, "input_free_device" },
	{ 0x7d402ad, "input_set_poll_interval" },
	{ 0x3b0ca11b, "input_set_min_poll_interval" },
	{ 0x229b44dd, "input_set_max_poll_interval" },
	{ 0xd3b3ddfb, "input_register_device" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc04932da, "platform_device_register_full" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x405e2be8, "misc_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7290f64e, "input_set_capability" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xa4ab8400, "param_get_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21E268E80753FAAC0B8CF26");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
