#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x712d364d, "cqhci_deactivate" },
	{ 0xd5b8b982, "sdhci_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf578a9f8, "sdhci_cqe_irq" },
	{ 0xfd14ae8a, "cqhci_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x819e23d3, "sdhci_runtime_suspend_host" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x131a9549, "sdhci_execute_tuning" },
	{ 0xa320d507, "sdhci_dumpregs" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0xc8c31411, "sdhci_set_clock" },
	{ 0x19ce5b1d, "mmc_send_tuning" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x6bdf92c9, "sdhci_remove_host" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x59b4ba76, "sdhci_pltfm_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0xa537328e, "_dev_err" },
	{ 0x9706a8ee, "of_match_node" },
	{ 0x75ccf49a, "soc_device_match" },
	{ 0xf05693e1, "sdhci_pltfm_init" },
	{ 0x59cb2a06, "devm_clk_get" },
	{ 0x5fe72d4e, "devm_platform_ioremap_resource" },
	{ 0xfbdac421, "__devm_regmap_init_mmio_clk" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x6dc3cc20, "sdhci_get_property" },
	{ 0x404c230, "mmc_of_parse" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x733ff4c6, "sdhci_setup_host" },
	{ 0x6ae5a8db, "dev_err_probe" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x42a2be8a, "cqhci_init" },
	{ 0xf8b50834, "__sdhci_add_host" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x38b597, "sdhci_cleanup_host" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x19a8eb38, "sdhci_runtime_resume_host" },
	{ 0x4c386e9b, "cqhci_resume" },
	{ 0x33c060a9, "pm_runtime_force_suspend" },
	{ 0xe64449c5, "pm_runtime_force_resume" },
	{ 0x12fef283, "sdhci_cqe_enable" },
	{ 0x21e10781, "sdhci_cqe_disable" },
	{ 0xf5f1c916, "sdhci_set_power_and_bus_voltage" },
	{ 0x77c44f76, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x78058854, "sdhci_set_bus_width" },
	{ 0xa5047bb9, "sdhci_set_uhs_signaling" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "cqhci,sdhci,mmc_core,sdhci-pltfm");

MODULE_ALIAS("of:N*T*Cti,am654-sdhci-5.1");
MODULE_ALIAS("of:N*T*Cti,am654-sdhci-5.1C*");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-8bit");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-8bitC*");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-4bit");
MODULE_ALIAS("of:N*T*Cti,j721e-sdhci-4bitC*");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-8bit");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-8bitC*");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-4bit");
MODULE_ALIAS("of:N*T*Cti,am64-sdhci-4bitC*");
MODULE_ALIAS("of:N*T*Cti,am62-sdhci");
MODULE_ALIAS("of:N*T*Cti,am62-sdhciC*");

MODULE_INFO(srcversion, "E744806A32201A340D6122C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
