#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x81389df0, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x58605389, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xc67c0a0f, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x2e160608, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x991e5480, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x660d5a65, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x017b39f9, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x31fdd6e2, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x1063d9ea, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x17597953, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x088f8cc3, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x74adf198, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x50972637, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xcd59acdd, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x7355f004, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2254f02c, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6e7caf23, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9a5b5e8b, "cdev_device_del" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x52075985, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x59540ffd, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8f6ef8f2, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x38272de5, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a79e959, "get_mtd_device" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xee13acfc, "cdev_device_add" },
	{ 0x4292364c, "schedule" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x3a33ac87, "cdev_add" },
	{ 0x2e8177ff, "mtd_block_markbad" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x62670854, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4038e3d5, "put_mtd_device" },
	{ 0x47497b18, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0x1efd988d, "mtd_read" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5cc8d177, "freezing_slow_path" },
	{ 0xba58848c, "device_register" },
	{ 0x2bc95bd4, "memset" },
	{ 0xeefe119f, "kern_path" },
	{ 0x405e2be8, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x92ca8fe3, "mtd_erase" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x412dc9cb, "mtd_write" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2967adca, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xd790bd7e, "seq_open" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1293cc6b, "mtd_block_isbad" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0x927909f3, "class_register" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf01aca45, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "A3214C84822F5D231523BF3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
