#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xdda65240, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x2baa36d5, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xe7d68cd0, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x1c538b6b, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x1a7899de, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x1bf9dba0, "_gpl");
SYMBOL_CRC(mux_control_states, 0xb262f8a8, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x56b57e59, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x73f17d4b, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x5c1de106, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x7a6c3781, "_gpl");
SYMBOL_CRC(mux_control_put, 0xc4a99d26, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x95634528, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xa10665d7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf8357786, "of_node_put" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xeb6530cf, "of_property_match_string" },
	{ 0xe507c5b1, "device_match_of_node" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcf2a6966, "up" },
	{ 0x52075985, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xa537328e, "_dev_err" },
	{ 0x2fd128ea, "device_add" },
	{ 0x7c33711, "__of_parse_phandle_with_args" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x47497b18, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x61a4149e, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x927909f3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "87DC7BA071226A04DFBC9AA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
