#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0x64ca1bda, "_gpl");
SYMBOL_CRC(c_can_power_down, 0xc71bd592, "_gpl");
SYMBOL_CRC(c_can_power_up, 0x63f8254b, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0xd6b2bb2e, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0x063cfa13, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0x5ffa796c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x4e4ceaa4, "can_put_echo_skb" },
	{ 0x919f08ce, "can_get_echo_skb" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x2a8e44d3, "open_candev" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53fd1f28, "pinctrl_pm_select_default_state" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x5cf9a1fb, "alloc_can_skb" },
	{ 0xb9fc50, "unregister_candev" },
	{ 0x5850ec89, "can_change_mtu" },
	{ 0xf543c65b, "pinctrl_put" },
	{ 0x8fc0494d, "can_dropped_invalid_skb" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e156bc6, "pinctrl_pm_select_sleep_state" },
	{ 0x12d5cb20, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xaa3b7c3f, "alloc_candev_mqs" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd737de3f, "netdev_printk" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xd13d9e5, "close_candev" },
	{ 0x9ed99ea9, "pinctrl_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7fe4571, "can_bus_off" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f8abd81, "pinctrl_lookup_state" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbbe6c652, "pinctrl_select_state" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa4f2b842, "alloc_can_err_skb" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0xc37568b, "register_candev" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "524AB3E20B6D5A7FA299AE7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
