#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x395625d4, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x1f5b285a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xfcaeab5c, "xsk_tx_completed" },
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0x549c9de2, "pci_save_state" },
	{ 0x569c35bd, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x43afc6f, "pcie_capability_read_word" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x58d59ca9, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xde1835a7, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf5bee35, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc3fee633, "pci_request_selected_regions" },
	{ 0xc0fb3a0b, "pci_release_selected_regions" },
	{ 0x7cd7ac38, "pci_wake_from_d3" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x739d7129, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8f23a306, "auxiliary_device_init" },
	{ 0xb2bc7fc1, "pci_enable_device_mem" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x790ad0ed, "xsk_tx_peek_release_desc_batch" },
	{ 0x2e2cb1ec, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2a0c98a8, "bpf_warn_invalid_xdp_action" },
	{ 0x82e54bbf, "ndo_dflt_bridge_getlink" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x3c4a8951, "xdp_convert_zc_to_xdp_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x10be9d79, "xdp_features_set_redirect_target" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x644bfdcf, "trace_print_bitmask_seq" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd922411c, "pci_num_vf" },
	{ 0x71bfb046, "flow_rule_match_eth_addrs" },
	{ 0xc571eded, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4179e07a, "pci_disable_msi" },
	{ 0x861a5bc1, "ptp_clock_index" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x45c5f417, "xdp_do_redirect" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x572833d, "netdev_warn" },
	{ 0x725aa112, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x59587349, "pci_set_power_state" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xabc03e3e, "flow_rule_match_ipv4_addrs" },
	{ 0x8e0d5c5b, "xdp_rxq_info_unreg_mem_model" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0x2fc9526f, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x5013e04b, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x85638360, "ptp_find_pin" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x67f31ed5, "irq_set_affinity_notifier" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x285d6ca4, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x33e78cc3, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x57fb5cce, "pci_enable_msix_range" },
	{ 0xa4b15e67, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x10878adf, "__free_pages" },
	{ 0x6a48ecce, "__hw_addr_unsync_dev" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xfdd3e65e, "napi_gro_receive" },
	{ 0x433c0fbd, "xdp_features_clear_redirect_target" },
	{ 0xfd5faa86, "pci_select_bars" },
	{ 0x2c171ce4, "netdev_pick_tx" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x6f93f14e, "xp_raw_get_dma" },
	{ 0xa84a5812, "eth_get_headlen" },
	{ 0xce5ae977, "flow_block_cb_setup_simple" },
	{ 0x645a36ad, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd15cfed6, "pci_enable_msi" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e43f022, "softnet_data" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x50519f11, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x40df9540, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x160217b8, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x81a70fbe, "netif_set_real_num_tx_queues" },
	{ 0x59bee194, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc13d51b8, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd8e479d4, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc900cbac, "dcbnl_ieee_notify" },
	{ 0xf6f97c3a, "xsk_uses_need_wakeup" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x22aba082, "page_to_nid" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x8a48402e, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xd54bec4b, "eth_platform_get_mac_address" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x56a018e9, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x280ac07b, "netif_tx_stop_all_queues" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0x61a4149e, "device_del" },
	{ 0xbb29504a, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x65d91a58, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2e79bde4, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe1798f68, "ptp_clock_event" },
	{ 0x7fcc5d41, "netif_schedule_queue" },
	{ 0x565f9cde, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x98a0f1dc, "flow_rule_match_ipv6_addrs" },
	{ 0x5b127449, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x34c9c4ed, "ptp_clock_unregister" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x7444a7b2, "xp_dma_unmap" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff0de8f5, "netdev_unbind_sb_channel" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x4c1bdf04, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe6a87822, "ipv6_find_hdr" },
	{ 0x2ac64dbb, "netdev_bind_sb_channel_queue" },
	{ 0xeea0399, "strscpy" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xe8a9fbb6, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x274335d5, "netdev_reset_tc" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xedfb9596, "call_netdevice_notifiers" },
	{ 0x4e235e69, "xp_set_rxq_info" },
	{ 0xf8d4f102, "flow_rule_match_vlan" },
	{ 0xe2f9d2e5, "xdp_rxq_info_unreg" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xa4d12fff, "napi_build_skb" },
	{ 0xb59772e9, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x152c2f1e, "__hw_addr_sync_dev" },
	{ 0xad0751f5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xa922289e, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x42d0b24b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96399322, "dev_uc_add_excl" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0x2c8d63a0, "xp_free" },
	{ 0x50e639d6, "dev_mc_add_excl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdff46d5f, "dev_uc_add" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x74a40611, "_dev_crit" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xb08b4753, "xdp_master_redirect" },
	{ 0xd69f62f0, "page_address" },
	{ 0xcc906ced, "__napi_schedule_irqoff" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x3105e3, "napi_consume_skb" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x2d30d874, "xp_alloc_batch" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xaabc0e0e, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdd2d7147, "flow_rule_match_control" },
	{ 0xdcaaa310, "pci_enable_sriov" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x5904228b, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E3DF7BD1DF0390E2F6849C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
