#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x3ad17301, "");
SYMBOL_CRC(prestera_device_unregister, 0xc2796d04, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0xf3228352, "netdev_lower_get_next" },
	{ 0x90affc39, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xebcf8424, "br_vlan_enabled" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf2258487, "devlink_unregister" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0xf8357786, "of_node_put" },
	{ 0x3c635844, "skb_put" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb44211a8, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xea88874, "register_fib_notifier" },
	{ 0x11e21580, "l3mdev_fib_table_rcu" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x71bfb046, "flow_rule_match_eth_addrs" },
	{ 0x96fa3e79, "devlink_port_attrs_set" },
	{ 0x7b111e3c, "flow_block_cb_priv" },
	{ 0xf8434f50, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7b45d62, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe680e63, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x822b7e48, "of_node_get" },
	{ 0x9d737228, "devlink_free" },
	{ 0x7b83b125, "of_find_node_by_name" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0x572833d, "netdev_warn" },
	{ 0xabc03e3e, "flow_rule_match_ipv4_addrs" },
	{ 0xe20aa7df, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x7fc9821b, "fib_table_lookup" },
	{ 0xbbe9ef30, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x2a532e6c, "switchdev_handle_port_attr_set" },
	{ 0xc891d495, "devlink_traps_unregister" },
	{ 0x1cb3026c, "phylink_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0x73419967, "flow_rule_match_icmp" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xfb3d21c9, "switchdev_handle_port_obj_del" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7277b9d9, "priv_to_devlink" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xbf1942af, "switchdev_bridge_port_offload" },
	{ 0x7b5a2cd0, "flow_block_cb_incref" },
	{ 0xf24be889, "flow_rule_match_ports_range" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xaf4ff50d, "of_get_mac_address" },
	{ 0x37a0bbb, "free_fib_info" },
	{ 0x645a36ad, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf8ef77a9, "vlan_dev_real_dev" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0x357bcaf3, "devlink_port_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6299a45d, "flow_block_cb_decref" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0x8822ca62, "unregister_fib_notifier" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xe1e42da1, "switchdev_bridge_port_unoffload" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x2e79bde4, "flow_rule_match_ports" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x59c5de6a, "devlink_trap_report" },
	{ 0xa464054a, "__neigh_event_send" },
	{ 0xb9f6ee66, "flow_block_cb_alloc" },
	{ 0x7b23e075, "switchdev_handle_port_obj_add" },
	{ 0xcd081f70, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4319fd95, "__neigh_create" },
	{ 0x4775a786, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0x4517f79f, "br_multicast_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xf8d4f102, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x99a264fd, "netdev_master_upper_dev_get_rcu" },
	{ 0xc6f271a, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xcb6f3324, "netdev_master_upper_dev_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x24f13693, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56991684, "devlink_priv" },
	{ 0xb3269aac, "devlink_port_register_with_ops" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xe9c0ae7c, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x6c8f2ba9, "devlink_trap_groups_register" },
	{ 0x11921a42, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0x923f9104, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa2371fbe, "netdev_walk_all_lower_dev" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0x949b3e69, "__fib_lookup" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x3fc361d0, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdd2d7147, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x6ba5117e, "init_dummy_netdev" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1c6a84d0, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "bridge,phylink");


MODULE_INFO(srcversion, "7D931CBA4D434687E854DF4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
