#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x71c2b0e6, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x15f1c69a, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x35811db7, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x6c84ce77, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x16f43417, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9187694, "__do_once_done" },
	{ 0x75c83d8, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xaffc1d41, "dev_pre_changeaddr_notify" },
	{ 0x61b878a8, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xfe604a22, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdf6e6d83, "netdev_update_features" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x13ed8dc2, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x63bc608f, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0x87056655, "netif_inherit_tso_max" },
	{ 0xf02ed2fc, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa28e7117, "dev_uc_unsync" },
	{ 0xaaa2784, "ether_setup" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x519d1f95, "netdev_upper_dev_link" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x7870de54, "netdev_core_stats_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6e3e3171, "eth_header_parse" },
	{ 0xce050bbd, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdaddb7e4, "eth_header_cache_update" },
	{ 0xee05fe25, "nf_register_net_hooks" },
	{ 0x17e319e4, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8564c0fb, "ip_route_input_noref" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0xe0899327, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x823d99c9, "netif_stacked_transfer_operstate" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xbd2fee7e, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x6794c9a8, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xee824b65, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x555e69d3, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc3e2121a, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc1cb095b, "vlan_vid_add" },
	{ 0xedfb9596, "call_netdevice_notifiers" },
	{ 0x45608192, "vlan_vid_del" },
	{ 0x99db7986, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb9b33ba3, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x296863d0, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x6b275920, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x71ad21dd, "dev_change_flags" },
	{ 0x438df399, "dev_forward_skb" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ACABF95A977E7279CD53C49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
