#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x635560bc, "phy_drivers_register" },
	{ 0xc793fdcd, "phy_read_paged" },
	{ 0x9c618aa, "phy_modify_paged" },
	{ 0x548f3f47, "__mdiobus_read" },
	{ 0x7d41dd00, "phy_select_page" },
	{ 0x6cc9c6bc, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x54c643a2, "phy_restore_page" },
	{ 0x5835a985, "phy_write_paged" },
	{ 0x706a360d, "mdiobus_read" },
	{ 0x2efa2bbc, "phy_modify" },
	{ 0x48091176, "genphy_soft_reset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x57563af0, "ethnl_cable_test_pulse" },
	{ 0x40b6d418, "ethnl_cable_test_step" },
	{ 0x2d8b5304, "__phy_modify" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x3e411ace, "sfp_select_interface" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xa537328e, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0f459c0, "phy_save_page" },
	{ 0x36abe133, "phy_trigger_machine" },
	{ 0xee90ac2, "phy_error" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x46c27b24, "devm_hwmon_device_register_with_info" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xed1c4317, "phy_drivers_unregister" },
	{ 0x9e465ade, "genphy_c45_ethtool_get_eee" },
	{ 0x64d9cd85, "mdiobus_write" },
	{ 0xb1f082cf, "phy_config_aneg" },
	{ 0x534d2d57, "phy_sfp_probe" },
	{ 0x483acd35, "genphy_read_lpa" },
	{ 0xbfcd2b75, "phy_resolve_aneg_pause" },
	{ 0xcde56d1f, "genphy_update_link" },
	{ 0xb526ffb4, "genphy_read_status_fixed" },
	{ 0xed037a3b, "of_get_property" },
	{ 0xfb87db2d, "genphy_suspend" },
	{ 0xdc8c60d6, "genphy_resume" },
	{ 0xeea0399, "strscpy" },
	{ 0xef327472, "phy_modify_changed" },
	{ 0x17f0f754, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7746e1c6, "genphy_check_and_restart_aneg" },
	{ 0xf66b10e6, "genphy_setup_forced" },
	{ 0x60c5ca6, "phy_modify_paged_changed" },
	{ 0xacb19b6f, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x89256ec2, "ethnl_cable_test_result" },
	{ 0xe504e81f, "ethnl_cable_test_fault_length" },
	{ 0x843b4b75, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "A34A5C7054A031590BAEE22");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
