#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x8575353f, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xf7ce710d, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x2e458be7, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xd382ba0e, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x2a77e205, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xb2844e6c, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xa07b0cfa, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x0ffa9650, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x60d4e01d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf01aca45, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x3a33ac87, "cdev_add" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x20981a75, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x705f5e7, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x31e716fb, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x205a63ee, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9406a022, "_copy_to_iter" },
	{ 0x36fdf1b7, "iov_iter_advance" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x4292364c, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xec5e53ab, "__skb_gso_segment" },
	{ 0x1e8c0ad5, "__skb_get_hash" },
	{ 0x285d6ca4, "skb_checksum_help" },
	{ 0x6dc0fcf5, "kfree_skb_list_reason" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdef68d34, "flow_keys_basic_dissector" },
	{ 0x458edfe9, "__skb_flow_dissect" },
	{ 0x3c37ad2f, "skb_partial_csum_set" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0x3c635844, "skb_put" },
	{ 0x9eaf3550, "zerocopy_sg_from_iter" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xe75f4571, "skb_copy_datagram_from_iter" },
	{ 0xac1e8974, "iov_iter_npages" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0xc915165d, "build_skb" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7EE6332694C2188760D00F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
