#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x3cf4f780, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x7c4b74c2, "");
SYMBOL_CRC(team_options_register, 0x3ade9442, "");
SYMBOL_CRC(team_options_unregister, 0x5d8e3c05, "");
SYMBOL_CRC(team_option_inst_set_change, 0x44bb7af8, "");
SYMBOL_CRC(team_options_change_check, 0xa9982c9d, "");
SYMBOL_CRC(team_mode_register, 0x522f410f, "");
SYMBOL_CRC(team_mode_unregister, 0xa4aafacf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7cae7934, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xd3254432, "dev_get_by_index" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99db7986, "dev_set_allmulti" },
	{ 0xd8a0a7, "dev_set_promiscuity" },
	{ 0xa28e7117, "dev_uc_unsync" },
	{ 0x6b275920, "dev_mc_unsync" },
	{ 0x71a90bca, "dev_set_mtu" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x11479c2c, "dev_uc_sync_multiple" },
	{ 0xe10edcc0, "dev_mc_sync_multiple" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x45608192, "vlan_vid_del" },
	{ 0xc1cb095b, "vlan_vid_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3d14dab9, "module_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xaaa2784, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x1aeb12af, "netpoll_send_skb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd7d5f5ba, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x8795cff7, "__netpoll_setup" },
	{ 0xfa0ef2ae, "__netpoll_free" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xedfb9596, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x572833d, "netdev_warn" },
	{ 0xee824b65, "__ethtool_get_link_ksettings" },
	{ 0x7355f004, "try_module_get" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xbd2fee7e, "netdev_upper_dev_unlink" },
	{ 0xce050bbd, "netdev_rx_handler_unregister" },
	{ 0x34425ddf, "vlan_vids_del_by_dev" },
	{ 0x41b6c2b4, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x19422397, "netdev_change_features" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6fec8d2d, "netdev_has_upper_dev" },
	{ 0x25dc85ca, "dev_uc_flush" },
	{ 0x83df09c8, "dev_mc_flush" },
	{ 0x11147d6e, "dev_open" },
	{ 0x923f9104, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4c0b7fa0, "vlan_vids_add_by_dev" },
	{ 0xb9b33ba3, "netdev_rx_handler_register" },
	{ 0xe9def179, "netdev_master_upper_dev_link" },
	{ 0x6402284f, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0x66568792, "passthru_features_check" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C0FA4D8B9D20D95A6710FE9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
