#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x6747d745, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0xaf2f85ef, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x77f330f6, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x2ce39555, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x52e409e8, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x994d15a8, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xec1d55f7, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xeeb22da3, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x1f4a41a4, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x62cb0fe1, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x117eff2b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x706f445c, "usb_driver_release_interface" },
	{ 0x292007c3, "usb_altnum_to_altsetting" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0x8d164fcf, "usbnet_link_change" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xb7584573, "usbnet_update_max_qlen" },
	{ 0xe4748d1d, "usbnet_unlink_rx_urbs" },
	{ 0x6829fc0, "usbnet_write_cmd" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x1395bf65, "netif_tx_lock" },
	{ 0x8b293ed6, "usbnet_start_xmit" },
	{ 0x234787d3, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xef34bf3e, "hrtimer_active" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0xf73f4898, "usbnet_read_cmd" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x3c635844, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0x201943d8, "usbnet_skb_return" },
	{ 0x2bc95bd4, "memset" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd1f07277, "cdc_parse_cdc_header" },
	{ 0x126e86d1, "usb_ifnum_to_if" },
	{ 0xc21c27f1, "usb_driver_claim_interface" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a21684b, "usbnet_get_ethernet_addr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xa537328e, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x8ba659e6, "usbnet_manage_power" },
	{ 0x1ec84a43, "usbnet_cdc_update_filter" },
	{ 0xdc36a6c2, "usbnet_open" },
	{ 0x57492ed5, "usbnet_stop" },
	{ 0x645c627c, "usbnet_set_rx_mode" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0xc1bd4cd6, "usbnet_tx_timeout" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0xf9bf0583, "usbnet_get_drvinfo" },
	{ 0xead8a202, "usbnet_get_msglevel" },
	{ 0xc953ddad, "usbnet_set_msglevel" },
	{ 0x8d674b1d, "usbnet_nway_reset" },
	{ 0x8a74fa7f, "usbnet_get_link" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0x7c69a7ec, "usbnet_get_link_ksettings_internal" },
	{ 0x9b98ead8, "usbnet_probe" },
	{ 0xe5ad29, "usbnet_disconnect" },
	{ 0xabdd2bc, "usbnet_suspend" },
	{ 0x9def9505, "usbnet_resume" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
