#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa75cf664, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x5a21684b, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x8d42996d, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xab574222, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x201943d8, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xb7584573, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x4247a6a5, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x5818ab5f, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3215e9dc, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x30a9a725, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x08295e03, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xe4748d1d, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x57492ed5, "_gpl");
SYMBOL_CRC(usbnet_open, 0xdc36a6c2, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x72d78df9, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x7c69a7ec, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x5e6706e3, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x8a74fa7f, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x8d674b1d, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xf9bf0583, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xead8a202, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xc953ddad, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x645c627c, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xc1bd4cd6, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x8b293ed6, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x00e5ad29, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x9b98ead8, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x0abdd2bc, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x9def9505, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x6b375932, "");
SYMBOL_CRC(usbnet_manage_power, 0x8ba659e6, "");
SYMBOL_CRC(usbnet_link_change, 0x8d164fcf, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf73f4898, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x06829fc0, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x50d04296, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x07fd858f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x09c16791, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1af1018c, "usb_set_interface" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9589e10f, "usb_string" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xefca6754, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7235dcc1, "usb_unlink_urb" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0x20af76f8, "mii_ethtool_get_link_ksettings" },
	{ 0xa43893a9, "mii_ethtool_set_link_ksettings" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf5e02392, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8499c560, "usb_get_from_anchor" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbdc0494c, "netif_device_attach" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa299311a, "usb_autopm_get_interface" },
	{ 0xed75f8af, "usb_autopm_put_interface" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xca2176c0, "mii_link_ok" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0x2bc68555, "usb_autopm_put_interface_async" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x738803e6, "strnlen" },
	{ 0xeea0399, "strscpy" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x62abb944, "usb_autopm_get_interface_async" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xab06fd53, "mem_section" },
	{ 0x3ffe2cf3, "skb_tstamp_tx" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xca8e23b0, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xd477e381, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xeaf92032, "usb_autopm_get_interface_no_resume" },
	{ 0x3c635844, "skb_put" },
	{ 0x4d8825c3, "usb_clear_halt" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0xb944a368, "ethtool_op_get_ts_info" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
