#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x0b6ffd53, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x13487e4d, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x42a365cd, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xda2f2fb5, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x3b538461, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xb4a24934, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xdb7b6a06, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x1c764f9e, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xa4e2b357, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x5b73ff6e, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x881cbf32, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xafb2a631, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x9cb6cc70, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x336f9a0b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92506cf, "ath9k_hw_set_txpowerlimit" },
	{ 0xcb890a27, "ath_hw_keyreset" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x8235805b, "memmove" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0899327, "skb_pull" },
	{ 0x599fcc3d, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "77E99D44B2E3BB47B3346DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
