#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x1ac034e7, "");
SYMBOL_CRC(alloc_libipw, 0x0701808f, "");
SYMBOL_CRC(free_libipw, 0xbf9d061a, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0xa66c4bcd, "");
SYMBOL_CRC(libipw_txb_free, 0xfa756fa1, "");
SYMBOL_CRC(libipw_rx_any, 0x61f9e8d5, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x601edbb0, "");
SYMBOL_CRC(libipw_rx, 0x5962ef49, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x647793f0, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x82cb43e1, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x42753bab, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x1817a4cc, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x84692e0d, "");
SYMBOL_CRC(libipw_get_channel, 0x64c3914c, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x2c1579e5, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xf0b53d7a, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xfc2b1e03, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xe8726446, "");
SYMBOL_CRC(libipw_channel_to_index, 0x99a97734, "");
SYMBOL_CRC(libipw_set_geo, 0x184b4c44, "");
SYMBOL_CRC(libipw_get_geo, 0xb79cd538, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x3c635844, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x903eda2f, "proc_create" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x48ebb070, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9bde9d13, "wiphy_new_nm" },
	{ 0x1af9767f, "lib80211_crypt_info_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x4ea32045, "lib80211_get_crypto_ops" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe50a8fa6, "proc_mkdir" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x316a1d8e, "wireless_spy_update" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x1430b3b8, "lib80211_crypt_info_free" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xccf7c8b8, "lib80211_crypt_delayed_deinit" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xda4bba79, "single_open" },
	{ 0x5e733455, "wiphy_free" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "5511E2CCF2641E03BC0BAC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
