#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(orinoco_open, "", "");
KSYMTAB_FUNC(orinoco_stop, "", "");
KSYMTAB_FUNC(orinoco_set_multicast_list, "", "");
KSYMTAB_FUNC(orinoco_change_mtu, "", "");
KSYMTAB_FUNC(orinoco_process_xmit_skb, "", "");
KSYMTAB_FUNC(orinoco_tx_timeout, "", "");
KSYMTAB_FUNC(__orinoco_ev_rx, "", "");
KSYMTAB_FUNC(__orinoco_ev_info, "", "");
KSYMTAB_FUNC(orinoco_interrupt, "", "");
KSYMTAB_FUNC(orinoco_init, "", "");
KSYMTAB_FUNC(alloc_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_if_add, "", "");
KSYMTAB_FUNC(orinoco_if_del, "", "");
KSYMTAB_FUNC(free_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_up, "", "");
KSYMTAB_FUNC(orinoco_down, "", "");
KSYMTAB_FUNC(hermes_struct_init, "", "");

SYMBOL_CRC(orinoco_open, 0x7f6e1988, "");
SYMBOL_CRC(orinoco_stop, 0x5d6d39e3, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x2f6795c1, "");
SYMBOL_CRC(orinoco_change_mtu, 0x5e105296, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0xc1b038d7, "");
SYMBOL_CRC(orinoco_tx_timeout, 0xd2034cf1, "");
SYMBOL_CRC(__orinoco_ev_rx, 0x99190840, "");
SYMBOL_CRC(__orinoco_ev_info, 0x4a51f866, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0x7dab2295, "");
SYMBOL_CRC(alloc_orinocodev, 0x2e4b8ae4, "");
SYMBOL_CRC(orinoco_if_add, 0x2537757f, "");
SYMBOL_CRC(orinoco_if_del, 0xcaf17803, "");
SYMBOL_CRC(free_orinocodev, 0xf58250d2, "");
SYMBOL_CRC(orinoco_up, 0xeb165350, "");
SYMBOL_CRC(orinoco_down, 0xd3c6ca6e, "");
SYMBOL_CRC(hermes_struct_init, 0xa74c2dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x508868f8, "eth_mac_addr" },
	{ 0x3c635844, "skb_put" },
	{ 0xdc43427, "cfg80211_scan_done" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xb030dacd, "cfg80211_wext_siwfrag" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0xe98f6423, "cfg80211_wext_giwrts" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x7e611357, "cfg80211_wext_giwscan" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa817b7fe, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0xf924cbe4, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0x48ebb070, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2197f50, "cfg80211_wext_giwmode" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd8d016d8, "cfg80211_wext_giwrange" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9bde9d13, "wiphy_new_nm" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0x84f856f1, "iw_handler_get_thrspy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6031dd10, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x7f5b71ee, "cfg80211_put_bss" },
	{ 0x1479f350, "netif_device_detach" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x185b3db4, "cfg80211_wext_siwrts" },
	{ 0xbdc0494c, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x31947dab, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0xdeaa0873, "cfg80211_wext_giwfrag" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x60daa59d, "wireless_send_event" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x1915e36d, "iw_handler_get_spy" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x316a1d8e, "wireless_spy_update" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6c83adee, "cfg80211_wext_siwmode" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb3bc78cf, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xbedeb342, "cfg80211_wext_siwscan" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdb5d2a1b, "cfg80211_inform_bss_data" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0x5e733455, "wiphy_free" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x669fd88e, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A73BF8EEB23980CC389C317");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
