#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_get_nic_capability, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0xe651a986, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x2d26d23c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0xfbcceb62, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x3646ae20, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x02609b73, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0xf08bb6c1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x227a2416, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x15fabafc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xd3ddbb51, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x936d2aa8, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x7b74a8ad, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x18c30caa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xdfee09fd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x4e5084a8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x77d18e04, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x7b33e074, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0xa429c56e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x4a7a0401, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x2370e1df, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0xfe0d98a2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x66ece882, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xa5ddeeea, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x54596f39, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0xe5f7ace6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0xdcd32c37, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0xfb780acd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x8632f7ff, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0xd8d50a24, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xf38d066f, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x97c007b6, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x50c9c644, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x50462275, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x78959432, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x33e2be4f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x290e4ba8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x0a08bf5f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x52ebd3d1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xc3d117c7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0xfc03a204, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x96640cda, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xe4989796, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x7c6f8f10, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_get_nic_capability, 0xfbb62682, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xcdd5c2d4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x400c867f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x2a2c3e3a, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x326d3418, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x3e19a65f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xe5f15412, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0xa3a12f84, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x5a5b8130, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xd8382b5d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x1141f800, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x96828bfe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x125c81d7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x3993a806, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x8555d9d0, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x0374f5aa, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x3b9f6ba4, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x438f43d8, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x46a8af75, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x2387102f, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x74a469af, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xf8a80dab, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x840fddff, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x1b8ad499, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0xd46eb662, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0xa2a8740d, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xd40e41c2, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0xd99674f6, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x9bb2e824, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xcaf63ab9, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x65f6d49a, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xf679b663, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x64ad3df5, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xc1f99434, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4196a723, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8d084902, "mt76_tx_status_skb_get" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9d983e6b, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x3d526cf9, "mt76_get_rate" },
	{ 0x2e60bace, "memcpy" },
	{ 0xabbeb4e5, "ieee80211_beacon_loss" },
	{ 0x617bd73d, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x907d69e, "ieee80211_find_sta" },
	{ 0xd442274a, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcde5d834, "mt76_tx" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7333e4cc, "mt76_init_queue" },
	{ 0x5c33883d, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe0899327, "skb_pull" },
	{ 0xc8ba7579, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0xca11a3e8, "mt76_mcu_send_and_get_msg" },
	{ 0xd6c1faf5, "ieee80211_iter_keys_rcu" },
	{ 0x4607e913, "__mt76_mcu_msg_alloc" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf38b425, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6142ef5, "mt76_get_rate_power_limits" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad77f5b2, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "D51FC264F391645DB4C1CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
