#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_mac_sta_add, 0x510007d4, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xc2311231, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x4f02c67e, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x0606bba0, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0xee1b76d4, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xb365ec32, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x48a1b723, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xf9e7c31d, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x049ac382, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x7458182e, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x5177be11, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x76fb5167, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xe00f77f5, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xe5488f2c, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x527763e3, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x9ed152f3, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xa67559cf, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xe3c0387a, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x972a603e, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x4aca6b29, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xdea3428e, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xae1ff6da, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xdb4435e9, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x6cd66c31, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x1d5631e6, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x0ae84527, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x91ae29d6, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xf07307b6, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xd537d651, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xcc952bce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x326d3418, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xcdd5c2d4, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x3649287b, "ieee80211_sta_register_airtime" },
	{ 0x96828bfe, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xfe0d98a2, "mt76_connac_mcu_sta_tlv" },
	{ 0xa55da36c, "device_set_wakeup_enable" },
	{ 0x2efeb4a5, "mt76_tx_worker_run" },
	{ 0xdbecec62, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4196a723, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x32163af9, "ieee80211_iterate_interfaces" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0xa429c56e, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xc3d117c7, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x297d14b, "firmware_request_nowarn" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8d084902, "mt76_tx_status_skb_get" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9d983e6b, "mt76_tx_status_lock" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x15fabafc, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x1c5ab15f, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x2609b73, "mt76_connac_mcu_set_channel_domain" },
	{ 0xdcd32c37, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbe2b2690, "mt76_release_buffered_frames" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0xf9681f18, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x46a8af75, "mt76_connac_pm_wake" },
	{ 0x3d526cf9, "mt76_get_rate" },
	{ 0xf51ed61f, "mt76_wake_tx_queue" },
	{ 0x9c707da5, "ieee80211_tx_status_ext" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfc03a204, "mt76_connac_mcu_chip_config" },
	{ 0x5bdca882, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb780acd, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x617bd73d, "__mt76_tx_complete_skb" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x6b963b27, "mt76_set_stream_caps" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x400c867f, "mt76_connac_mcu_update_arp_filter" },
	{ 0x227a2416, "mt76_connac_mcu_set_vif_ps" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x7ffbb803, "mt76_mcu_rx_event" },
	{ 0x6178218b, "mt76_alloc_phy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf8a80dab, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a23c97, "mt76_tx_status_check" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x74a469af, "mt76_connac_free_pending_tx_skbs" },
	{ 0x2387102f, "mt76_connac_power_save_sched" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7641d29a, "ieee80211_send_bar" },
	{ 0x4a7a0401, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xa2a8740d, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6094dede, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcde5d834, "mt76_tx" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xf08bb6c1, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x76afe0e6, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x2a2c3e3a, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x84acf321, "mt76_rx" },
	{ 0x52ebd3d1, "mt76_connac_mcu_sched_scan_req" },
	{ 0x18c30caa, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x33e2be4f, "mt76_connac_mcu_uni_add_bss" },
	{ 0x34c085e9, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x290e4ba8, "mt76_connac_mcu_hw_scan" },
	{ 0x5c33883d, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xe6c54e73, "mt76_eeprom_init" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0xe0899327, "skb_pull" },
	{ 0x1177930b, "debugfs_create_file_unsafe" },
	{ 0xc8ba7579, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x30fcf3b1, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd3ddbb51, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xf1e24db2, "mt76_set_channel" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0xca11a3e8, "mt76_mcu_send_and_get_msg" },
	{ 0x6efa1e05, "of_find_property" },
	{ 0xc6fac808, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x7a343068, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6df2e83c, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4607e913, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x840fddff, "mt76_connac_pm_dequeue_skbs" },
	{ 0x125c81d7, "mt76_connac_mcu_set_pm" },
	{ 0xf943373, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x214fa885, "devm_hwmon_device_register_with_groups" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf38b425, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b92ca4, "debugfs_create_u32" },
	{ 0xfbcceb62, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe188f557, "mt76_sta_state" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3646ae20, "mt76_connac_mcu_init_download" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0x5e4beb66, "cfg80211_reg_can_beacon" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x936d2aa8, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xa08bf5f, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xb6142ef5, "mt76_get_rate_power_limits" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x6ad798f4, "ieee80211_sched_scan_results" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x6c46cfae, "mt76_insert_ccmp_hdr" },
	{ 0x54596f39, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xca45be2, "mt76_sw_scan_complete" },
	{ 0x5539f8b1, "mt76_rx_aggr_start" },
	{ 0xe651a986, "mt76_connac_mcu_start_firmware" },
	{ 0xf78ee519, "____mt76_poll_msec" },
	{ 0xa5ddeeea, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8555d9d0, "mt76_connac_mcu_rdd_cmd" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x7c6f8f10, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xad77f5b2, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x85891af, "mt76_unregister_phy" },
	{ 0x549f0279, "mt76_register_phy" },
	{ 0x7b33e074, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xa1564d9, "mt76_put_txwi" },
	{ 0xfc097601, "seq_puts" },
	{ 0xceae9a00, "ieee80211_radar_detected" },
	{ 0xe5f15412, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7b74a8ad, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xd4690780, "single_release" },
	{ 0xa12ec78e, "mt76_sw_scan" },
	{ 0xa66cfde6, "mt76_queues_read" },
	{ 0x3e19a65f, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x6a5a9728, "mt76_sta_pre_rcu_remove" },
	{ 0xe613a13b, "mt76_register_debugfs_fops" },
	{ 0x2370e1df, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xdfee09fd, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd8d50a24, "mt76_connac_mcu_sta_ba" },
	{ 0x1141f800, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xe5f7ace6, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2d26d23c, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x20020fa7, "__mt76_poll" },
	{ 0xa98f0f1a, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x20690101, "debugfs_create_u8" },
	{ 0xda4bba79, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x9dfb71c, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x7b636ac3, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4e5084a8, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xdc6661ef, "ieee80211_csa_finish" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "06F15319304D77B43FE503A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
