#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x3b38029a, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x40adc4c2, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x57c6091d, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x13ec1a8e, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x53e70014, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x72a78159, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xf820150e, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x66033d66, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x7ef56f7d, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xa793dfd2, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x1b55e114, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x42ac6f50, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x1f502509, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x8a88595e, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xb7d481fc, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x0acd686d, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x1d34a004, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x690d33f1, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xd805acac, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x3f00e1e2, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xef330544, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x9068ec1b, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xef97d882, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xa457ae4f, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xfc5a0aaa, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x064eb172, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xbd084b8d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xb8a391f9, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x62c20349, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x6b82fe8a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xc7bdf4ea, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xe421e9e0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x206a2c2f, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xc0ea74d9, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x862c1924, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x8aa81693, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x409f61f0, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xf92fbb36, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xd13547a1, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x51599851, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x2d3f2fa9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x588e887d, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xff83f14f, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x0aebc331, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x29cbdf53, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x61a90f8e, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x2bb96e51, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x049b66ad, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x57e1c710, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xb31be39e, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xb695267a, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x8df25afc, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xf281a93e, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xa63dfd8f, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x8cbcc0cb, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x1f89335e, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xd9d25916, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xd8b5d4b4, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x7e80769b, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x146dc889, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x3ffd15e3, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x3f32d473, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x771cbada, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xc2118841, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x8138fed2, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xf48f2484, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3649287b, "ieee80211_sta_register_airtime" },
	{ 0x67b22c07, "mt76_dma_rx_poll" },
	{ 0x4196a723, "mt76_tx_status_unlock" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x5beb052e, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8d084902, "mt76_tx_status_skb_get" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9d983e6b, "mt76_tx_status_lock" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe313730c, "mt76_csa_check" },
	{ 0xb04e385, "mt76_tx_status_skb_add" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x715c3e2f, "mt76_tx_check_agg_ssn" },
	{ 0x9c707da5, "ieee80211_tx_status_ext" },
	{ 0xd91a07fd, "mt76_stop_tx_queues" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x617bd73d, "__mt76_tx_complete_skb" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x52478b5, "kthread_park" },
	{ 0x7ffbb803, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a23c97, "mt76_tx_status_check" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x63703280, "ieee80211_get_buffered_bc" },
	{ 0x64060aaf, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf7a443bd, "ieee80211_get_tx_rates" },
	{ 0x7641d29a, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6094dede, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcde5d834, "mt76_tx" },
	{ 0x5bc97dbb, "__napi_schedule" },
	{ 0xaa491570, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x76afe0e6, "mt76_wcid_key_setup" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x84acf321, "mt76_rx" },
	{ 0x53e642eb, "kthread_unpark" },
	{ 0x34c085e9, "mt76_phy_dfs_state" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0x7333e4cc, "mt76_init_queue" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x2f9ca9d2, "__mt76_sta_remove" },
	{ 0x5c33883d, "mt76_tx_status_skb_done" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xbcf9e5b6, "debugfs_create_bool" },
	{ 0xe0899327, "skb_pull" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x7874fb49, "napi_enable" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x78cb622b, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0xca11a3e8, "mt76_mcu_send_and_get_msg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xd6c1faf5, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4607e913, "__mt76_mcu_msg_alloc" },
	{ 0x5b398d91, "mt76_set_irq_mask" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc3908523, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b92ca4, "debugfs_create_u32" },
	{ 0xd6f3280c, "mt76_seq_puts_array" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0xb48677a, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x9ea8af66, "mt76_mcu_get_response" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe691ed58, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5539f8b1, "mt76_rx_aggr_start" },
	{ 0xf78ee519, "____mt76_poll_msec" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfc097601, "seq_puts" },
	{ 0xceae9a00, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa66cfde6, "mt76_queues_read" },
	{ 0xe613a13b, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x370bb2ec, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0xafe4f88a, "napi_disable" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x20020fa7, "__mt76_poll" },
	{ 0xa98f0f1a, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x20690101, "debugfs_create_u8" },
	{ 0xda4bba79, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x109e41bb, "mt76_dma_attach" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "C9BB8632B542759B7C38C5D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
