#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x37784e79, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xbc3455de, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x9f07c9f0, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xa9002a1a, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xdb73e3ac, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xc64ea1bb, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x0eaa54ab, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x1f029f65, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xdc8c212a, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xabb512b5, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x5a473971, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xb5253534, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xc0d9aea6, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x7f3ee320, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xf7d5c5e0, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xf09fc0a9, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x54dc6702, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x5527f3b9, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xa39339fe, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x95124859, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x69232e01, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xb689e1d8, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x1d31f383, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x638221fc, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x292da0df, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xd1302266, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xa3d660ec, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x25c98edc, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x30d3285c, "_gpl");
SYMBOL_CRC(rt2800_config, 0x5df3345e, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xc8f21680, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x8201b8f3, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x2e125f39, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xf8f692ac, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xa1bbc642, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x4b9a261b, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x1637f304, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xd919d7a2, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x71958149, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xe5c585c9, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xb074e7a7, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xc850fffd, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xb3b21191, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x21c540cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa537328e, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdecb9531, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff32774, "rt2x00lib_txdone" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x7ece0704, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x45719574, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xfb6c68d2, "rt2x00mac_conf_tx" },
	{ 0x23389b43, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0x1547fbfb, "rt2x00lib_txdone_noinfo" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0xe0899327, "skb_pull" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x8ce89e4c, "rt2x00lib_set_mac_address" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "3BEB024AB97135A7C8A8FDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
