#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x45719574, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x3095ab17, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x542223f5, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x34ad682b, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x1f3fdba3, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xdecb9531, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xdff32774, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x1547fbfb, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x340cbc4c, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x8ce89e4c, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xaa8510a2, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xb86608f2, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xf7aa95f7, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xe8ab8ff6, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xfdbd72e4, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x7e08d773, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x37923599, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x9b7301d0, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xa46e2548, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x46b7bb9a, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x3d4a203e, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x9e0933b0, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xe0d42f72, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xb5ce5f39, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x31b33b51, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x5a9a792f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xbb363cfb, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x69803e7b, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xfb6c68d2, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x7137bd8f, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xcea70736, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xf9d79534, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x4d5f1958, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x44975aa0, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xac22ea91, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xb3cf34fb, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x7693e8a8, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x94d50282, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x7ece0704, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x90ec09db, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x7bb5cf72, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x2cd060e6, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xa46c4465, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xd4cfb616, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x398e0820, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x4db7669e, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x8ae95c2b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x32163af9, "ieee80211_iterate_interfaces" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x89de3ad, "led_classdev_suspend" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x9c707da5, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xd9df841, "led_classdev_unregister" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0x2b74d30a, "__ieee80211_create_tpt_led_trigger" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x4e057917, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x63703280, "ieee80211_get_buffered_bc" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xaf4ff50d, "of_get_mac_address" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4b3a4178, "ieee80211_ctstoself_get" },
	{ 0xe0899327, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xf09f958e, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeba87446, "ieee80211_tx_status" },
	{ 0xad7ebf56, "ieee80211_stop_queue" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1e11159, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xb69714f2, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x562bdd2a, "led_classdev_resume" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7aaa8616, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf0f5f169, "ieee80211_rx_napi" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "BB0C7B99057FB801B3DE19C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
