#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x23ef4e06, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x668eb7f1, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x1e410b3e, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xc7f29a8d, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x10bf2ef8, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xcce7cca0, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xfe681700, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0xec9aa520, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xa178d8fd, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xb0632df8, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xeafd19b2, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x11d4cd5a, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x7bcec1cf, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x8e604722, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x89e4512e, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xa4932010, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa537328e, "_dev_err" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xca8e23b0, "usb_anchor_urb" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1e7eec, "usb_unanchor_urb" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x34ad682b, "rt2x00lib_dmastart" },
	{ 0x1f3fdba3, "rt2x00lib_dmadone" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x43f07a46, "__skb_pad" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94d50282, "rt2x00queue_for_each_entry" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0x7ece0704, "rt2x00queue_get_entry" },
	{ 0xa46c4465, "rt2x00queue_stop_queue" },
	{ 0xd4cfb616, "rt2x00queue_flush_queue" },
	{ 0x2cd060e6, "rt2x00queue_start_queue" },
	{ 0x1547fbfb, "rt2x00lib_txdone_noinfo" },
	{ 0x340cbc4c, "rt2x00lib_rxdone" },
	{ 0xf7aa95f7, "rt2x00lib_suspend" },
	{ 0xe8ab8ff6, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb86608f2, "rt2x00lib_remove_dev" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0xca4c6168, "usb_put_dev" },
	{ 0x79759b7d, "usb_get_dev" },
	{ 0xbe7399dc, "usb_reset_device" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaa8510a2, "rt2x00lib_probe_dev" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "6F447F82018DD206728E438");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
