#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_cmd_send_packet, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_calculate_bit_shift, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0x45989cd9, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0x185669fc, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0x11fd1c90, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0xac245b87, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x9b525ef5, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0x53002c39, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0x4d035572, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0xc742a606, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0x4e8dbf89, "_gpl");
SYMBOL_CRC(rtl8723_cmd_send_packet, 0x9296318a, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0xb3895b15, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0x8f680d86, "_gpl");
SYMBOL_CRC(rtl8723_phy_calculate_bit_shift, 0x3f5bf9c0, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0x93fe7739, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0xb676f14b, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0xc912170f, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0xe9e67339, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0x70b4c309, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0x75b70844, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0xc8bdda19, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0x44948fb8, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0x48fb58fe, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0xee891dc4, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0x19ffd45e, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x8cc399e7, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0x6ccf6f47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x83944c83, "_rtl_dbg_print" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa6cf78bb, "rtl_fw_page_write" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "CC61D5578FC91C63533DB84");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
