#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x57c0d979, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xe637dd90, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x6f9f8582, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xa7ce09c9, "_gpl");
SYMBOL_CRC(wlcore_remove, 0xd00cb3c4, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x2a5de262, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xaada44c8, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xf44c676f, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xd95cf0d2, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xfb345319, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x65f6c5cb, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xbabf7e88, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x4f7d827a, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x7f9c4a15, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x5acdf79e, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x7c242b4f, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x65bd0fb9, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x6a8caaad, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x7c7c649e, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xe0b6df23, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x23950d63, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x1e6eb44a, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xa8609bb8, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xdff19f58, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x59999175, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xb953b750, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x2f27be64, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xf2f15622, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x421d3aa0, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x915d2d54, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xec51ff09, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x63cb6031, "");
SYMBOL_CRC(wlcore_tx_complete, 0xc5f97b27, "");
SYMBOL_CRC(wl1271_tx_flush, 0xeaf2d6c1, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x221d29be, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xf8730783, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0xe8567bea, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xd31f4883, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x581454dd, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x7e479a1d, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x51bc4c48, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x858a4f68, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xffa17e2f, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0xc1db71fa, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x6bb60fb9, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x7068fb61, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x249f8b03, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x71b36aa0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xabb0f28e, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x32163af9, "ieee80211_iterate_interfaces" },
	{ 0x59e03a35, "ieee80211_sched_scan_stopped" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xef8dc338, "ieee80211_chswitch_done" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9dbbf31e, "ieee80211_free_hw" },
	{ 0x36247d1c, "ieee80211_probereq_get" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x16b7234e, "ieee80211_ap_probereq_get" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x74c6869, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x7c9219a, "ieee80211_pspoll_get" },
	{ 0xdbaaf039, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87fdb82b, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfb0d62c6, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2a155787, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4175d4ce, "ieee80211_stop_rx_ba_session" },
	{ 0x4e057917, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7a9e5d56, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x907d69e, "ieee80211_find_sta" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97c8dd92, "ieee80211_handle_wake_tx_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa7bd6956, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x921847ec, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x212771a, "device_create_file" },
	{ 0xeccd380c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc3329092, "ieee80211_queue_delayed_work" },
	{ 0x78117ff1, "ieee80211_proberesp_get" },
	{ 0xa684a013, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x93ebbca7, "request_firmware_nowait" },
	{ 0xdfc2f5bd, "simple_open" },
	{ 0xe0899327, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4639229e, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x634b4f0f, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x94128661, "no_seek_end_llseek" },
	{ 0x41cd466d, "ieee80211_wake_queues" },
	{ 0x828d2cf9, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x55a948d9, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xe736fee2, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeba87446, "ieee80211_tx_status" },
	{ 0xad7ebf56, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6036e31b, "ieee80211_ready_on_channel" },
	{ 0x43a70471, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8ff7d96, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x6ad798f4, "ieee80211_sched_scan_results" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x81f1849a, "ieee80211_scan_completed" },
	{ 0x3525573e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x8649f234, "dev_pm_clear_wake_irq" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe64449c5, "pm_runtime_force_resume" },
	{ 0x33838270, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x76d0cff7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x9996c4c0, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6bb19f42, "ieee80211_queue_work" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0xc39fda99, "ieee80211_sta_ps_transition" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x9dfb71c, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x33c060a9, "pm_runtime_force_suspend" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb89a87b, "device_remove_bin_file" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xdc6661ef, "ieee80211_csa_finish" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xf0f5f169, "ieee80211_rx_napi" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "2FF17258B28B10A28824CAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
