#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn533_rx_frame_is_ack, "_gpl", "");
KSYMTAB_FUNC(pn533_rx_frame_is_cmd_response, "_gpl", "");
KSYMTAB_FUNC(pn533_recv_frame, "", "");
KSYMTAB_FUNC(pn533_finalize_setup, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_init, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_clean, "_gpl", "");
KSYMTAB_FUNC(pn532_i2c_nfc_alloc, "_gpl", "");
KSYMTAB_FUNC(pn53x_register_nfc, "_gpl", "");
KSYMTAB_FUNC(pn53x_unregister_nfc, "_gpl", "");

SYMBOL_CRC(pn533_rx_frame_is_ack, 0xdecfd339, "_gpl");
SYMBOL_CRC(pn533_rx_frame_is_cmd_response, 0x77e5b105, "_gpl");
SYMBOL_CRC(pn533_recv_frame, 0x5acc8366, "");
SYMBOL_CRC(pn533_finalize_setup, 0x461d9f0d, "_gpl");
SYMBOL_CRC(pn53x_common_init, 0x98658f8d, "_gpl");
SYMBOL_CRC(pn53x_common_clean, 0x1c572602, "_gpl");
SYMBOL_CRC(pn532_i2c_nfc_alloc, 0x4589c981, "_gpl");
SYMBOL_CRC(pn53x_register_nfc, 0xfd880fc1, "_gpl");
SYMBOL_CRC(pn53x_unregister_nfc, 0x3dd4397d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4bc2b5ae, "nfc_targets_found" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xa537328e, "_dev_err" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3aa3723b, "nfc_tm_activated" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x989e461d, "nfc_set_remote_general_bytes" },
	{ 0x7e098f7f, "nfc_dep_link_is_up" },
	{ 0x9aedb0e3, "nfc_tm_deactivated" },
	{ 0x3c635844, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xeb39384b, "nfc_tm_data_received" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4915b92c, "nfc_allocate_device" },
	{ 0xc1510f16, "nfc_unregister_device" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfb718ee5, "nfc_register_device" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ba18e9a, "nfc_get_local_general_bytes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "9F2BBD0D8CD7A187B2A590D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
