#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0xef6e9989, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x339c848f, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x52210bb4, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0xc3a138af, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xa59b9e91, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x779e9c0e, "");
SYMBOL_CRC(st21nfca_dep_init, 0xa58d7ec4, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x4adc74e8, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x5f9f4b0b, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xe6bfeb95, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xd2c638a7, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xf795c79c, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xeaa5142d, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x9f2e2f57, "");
SYMBOL_CRC(st21nfca_se_init, 0x8fe5e764, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x6d08c989, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xaa77b7ed, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x6c6d0321, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbbc5c32, "nfc_hci_set_clientdata" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x3852527b, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x3c635844, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a3f48be, "nfc_hci_get_param" },
	{ 0x72f298d, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc84e7a38, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc0f5acf, "nfc_llc_stop" },
	{ 0x1d6d89d4, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xeb39384b, "nfc_tm_data_received" },
	{ 0x9807e0df, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd130e521, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x6cf74c8f, "nfc_llc_start" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x6e3a162d, "nfc_hci_free_device" },
	{ 0x75fa34, "nfc_se_transaction" },
	{ 0x2ba18e9a, "nfc_get_local_general_bytes" },
	{ 0xd628f305, "nfc_hci_register_device" },
	{ 0x989e461d, "nfc_set_remote_general_bytes" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe0899327, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xcff38bef, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xc04c3900, "nfc_hci_get_clientdata" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3aa3723b, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ac82203, "nfc_hci_allocate_device" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f74304c, "nfc_se_connectivity" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7661e3e3, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbbf35313, "nfc_hci_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7e098f7f, "nfc_dep_link_is_up" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x970d86e2, "nfc_hci_send_event" },
	{ 0xbda8656b, "nfc_hci_disconnect_all_gates" },
	{ 0xa99e4ea4, "nfc_hci_disconnect_gate" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "9B46D0A65CE1543A3EC9F57");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
