#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xa90993e6, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8684c27, "nvme_remove_admin_tag_set" },
	{ 0x9d55ed92, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x657a047c, "nvme_uninit_ctrl" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x69b3a253, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4b080585, "nvmf_free_options" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x67fc0429, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4ac25e10, "blk_mq_complete_request_remote" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x19c93328, "nvme_setup_cmd" },
	{ 0xb0c7358, "nvme_start_ctrl" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x404879e7, "nvme_alloc_admin_tag_set" },
	{ 0xc9f728f5, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xf3f304a8, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7f46aa6, "nvme_delete_ctrl" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe2f95e3d, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x1371d115, "nvmf_get_address" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0x31b26c3b, "nvme_remove_io_tag_set" },
	{ 0xa383baec, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcff3f1f3, "nvme_mpath_start_request" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xdf5bbc26, "nvmf_unregister_transport" },
	{ 0x2bfea130, "blkcg_get_fc_appid" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x66a92323, "nvme_change_ctrl_state" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xb19c85bb, "nvme_init_ctrl" },
	{ 0x146a1d5, "nvme_alloc_io_tag_set" },
	{ 0x459469a1, "nvme_fail_nonready_command" },
	{ 0x352f7704, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9ec4f73c, "device_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0xbe88a9e7, "blk_sync_queue" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcc56519e, "blkcg_set_fc_appid" },
	{ 0xaa3f7d5c, "__blk_rq_map_sg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc56f6cda, "nvmf_reg_read64" },
	{ 0x47497b18, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x554f6df2, "nvmf_connect_admin_queue" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdc0c73c2, "nvme_enable_ctrl" },
	{ 0xf0394be2, "nvme_unquiesce_admin_queue" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4895626b, "nvme_unquiesce_io_queues" },
	{ 0x3aa0319e, "blk_mq_update_nr_hw_queues" },
	{ 0x5d507947, "nvmf_reg_write32" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa03db8df, "nvmf_should_reconnect" },
	{ 0x6154f1e1, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb327349e, "device_destroy" },
	{ 0x8e7483a3, "nvme_set_queue_count" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xec36fc6a, "nvmf_register_transport" },
	{ 0x96e3717f, "blk_mq_start_request" },
	{ 0x8343bc9e, "nvme_quiesce_io_queues" },
	{ 0xe73b99b8, "blk_mq_tagset_busy_iter" },
	{ 0xe65011ac, "nvme_stop_ctrl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xed3c7e2b, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x90a84a03, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xf8996a1f, "nvme_quiesce_admin_queue" },
	{ 0x927909f3, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x9b177684, "__nvme_check_ready" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "28ADF42E2F42E5549997A18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
