#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(dead_socket, "", "");
KSYMTAB_DATA(pcmcia_socket_list, "", "");
KSYMTAB_DATA(pcmcia_socket_list_rwsem, "", "");
KSYMTAB_FUNC(pcmcia_get_socket, "", "");
KSYMTAB_FUNC(pcmcia_put_socket, "", "");
KSYMTAB_FUNC(pcmcia_register_socket, "", "");
KSYMTAB_FUNC(pcmcia_unregister_socket, "", "");
KSYMTAB_FUNC(pcmcia_get_socket_by_nr, "", "");
KSYMTAB_FUNC(pcmcia_parse_events, "", "");
KSYMTAB_FUNC(pcmcia_parse_uevents, "", "");
KSYMTAB_FUNC(pccard_register_pcmcia, "", "");
KSYMTAB_FUNC(pcmcia_reset_card, "", "");
KSYMTAB_DATA(pcmcia_socket_class, "", "");

SYMBOL_CRC(dead_socket, 0xcf97f3bd, "");
SYMBOL_CRC(pcmcia_socket_list, 0x212db8d2, "");
SYMBOL_CRC(pcmcia_socket_list_rwsem, 0xc7b87106, "");
SYMBOL_CRC(pcmcia_get_socket, 0x6d74e6db, "");
SYMBOL_CRC(pcmcia_put_socket, 0x4859450f, "");
SYMBOL_CRC(pcmcia_register_socket, 0xa60d69bc, "");
SYMBOL_CRC(pcmcia_unregister_socket, 0x5ff9d4f7, "");
SYMBOL_CRC(pcmcia_get_socket_by_nr, 0x6bd7b430, "");
SYMBOL_CRC(pcmcia_parse_events, 0xeccb362b, "");
SYMBOL_CRC(pcmcia_parse_uevents, 0xe20cf7d0, "");
SYMBOL_CRC(pccard_register_pcmcia, 0x96922652, "");
SYMBOL_CRC(pcmcia_reset_card, 0x8a276397, "");
SYMBOL_CRC(pcmcia_socket_class, 0xb29885c5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x13ad1879, "pci_bus_size_bridges" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x59540ffd, "get_device" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x4292364c, "schedule" },
	{ 0xb161c4f6, "pci_scan_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x86db94ca, "pci_scan_slot" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xf47ae95d, "pci_bus_add_devices" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x47497b18, "class_unregister" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5cc8d177, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0xc669739d, "pci_bus_assign_resources" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xbb92963c, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe82f16cb, "pci_fixup_cardbus" },
	{ 0xb265ae69, "pci_stop_and_remove_bus_device" },
	{ 0x108ac85b, "pci_set_cacheline_size" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x29f3a126, "up_read" },
	{ 0x927909f3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8AF4FD39DC9CC9011656914");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
