#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_DATA(ssam_bus_type, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x3da8fcc7, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x70e1db2b, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x5492f11b, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x34649263, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x85f95db4, "_gpl");
SYMBOL_CRC(ssam_device_type, 0xf9b162a4, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x74296c57, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x45ac6e0f, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x56c7db73, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x92a5d768, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xf49b1433, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0xe114f12f, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x9689cc25, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x41125523, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x1d60a826, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x75352a1b, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xc81a5c86, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x695a11c4, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x776619b8, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x4ebb65bb, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xf4a6dc97, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x679196d1, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x74285785, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x5aeb2bbf, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xb68c48d2, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xcf7c4550, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xfd96f24a, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xeb583e0b, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0xd89346ec, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xe6b60d04, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x96835b95, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xe5788545, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x14978e9b, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x632971f1, "gpiod_put" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd7bed7e8, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x8235805b, "memmove" },
	{ 0x22df4b54, "gpiod_count" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x52075985, "device_initialize" },
	{ 0x866ccd47, "serdev_device_set_flow_control" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x14fcbc3d, "gpiod_to_irq" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x71d0ab91, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x71f6f400, "fwnode_get_next_child_node" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xd20fea9c, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xc87f8f20, "device_for_each_child_reverse" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xb35cdc69, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x3c27db08, "devm_acpi_dev_add_driver_gpios" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0xe2d47398, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x38cee423, "serdev_device_wait_until_sent" },
	{ 0x9fd29b54, "__serdev_device_driver_register" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xb0bb8097, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb300d898, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb3b56aa2, "serdev_device_write_buf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2abd2e2f, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x1a89cc48, "fwnode_handle_put" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x571fe10, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x589acbc6, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "1FEF2D2915F587122AA49A3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
