#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(set_required_buffer_size, "_gpl", "");
KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(set_required_buffer_size, 0xd2b377b0, "_gpl");
SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0xf1ad9da3, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0xf76987b2, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0x9c834de0, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xdcaaf964, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0xff5a73d1, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd58d575f, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0xf7e56b63, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x6a473878, "");
SYMBOL_CRC(wmi_driver_unregister, 0xb6222af4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x589acbc6, "driver_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8ddceb5f, "nonseekable_open" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x927909f3, "class_register" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x47497b18, "class_unregister" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7355f004, "try_module_get" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3d14dab9, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xa537328e, "_dev_err" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x6c04814c, "misc_deregister" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x9ec4f73c, "device_create" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x52075985, "device_initialize" },
	{ 0x2fd128ea, "device_add" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x405e2be8, "misc_register" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "D9818062EB7FB2B300BCEE3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
