#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x8260bddc, "");
SYMBOL_CRC(rpmsg_create_channel, 0x738f4ddc, "");
SYMBOL_CRC(rpmsg_release_channel, 0x42f41ae4, "");
SYMBOL_CRC(rpmsg_create_ept, 0xcf756b07, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x42edff24, "");
SYMBOL_CRC(rpmsg_send, 0xeaafa919, "");
SYMBOL_CRC(rpmsg_sendto, 0xf890fe8a, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x76d3763c, "");
SYMBOL_CRC(rpmsg_trysend, 0x5f7f2ded, "");
SYMBOL_CRC(rpmsg_trysendto, 0x35f1b190, "");
SYMBOL_CRC(rpmsg_poll, 0x8d6c94a8, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x5ffd0d47, "");
SYMBOL_CRC(rpmsg_get_mtu, 0xb000448c, "");
SYMBOL_CRC(rpmsg_find_device, 0xf47c7d3c, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x4910225b, "");
SYMBOL_CRC(rpmsg_register_device, 0x90308499, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xb694a341, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x8e0b1a44, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x62b489b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa537328e, "_dev_err" },
	{ 0xf10a90ef, "device_find_child" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa82c3efd, "of_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfc3f3589, "strscpy_pad" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x52075985, "device_initialize" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbe71a4f4, "driver_set_override" },
	{ 0x2fd128ea, "device_add" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x589acbc6, "driver_register" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x203aa149, "class_create" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb8f70751, "class_destroy" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xcbaea9ca, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa391ae40, "of_device_modalias" },
	{ 0x27ec3465, "dev_pm_domain_detach" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc3b0701, "dev_pm_domain_attach" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB3CA5788CB269A9ED422AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
