#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x49e10827, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x982b86a2, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xe0748583, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x3ad343df, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x9db4225c, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xbe06b03d, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x6ae1163d, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x38d3bd6c, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xbe5f18f2, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xc6541d4c, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x3782d7fc, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x5e7b2ea5, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xc1b1960c, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xe14c81ce, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x3cc935cc, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x519d434e, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x48be2097, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x68ef0e2f, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x1fb0d4ea, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x89962b3e, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xfa9e3189, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x7e351238, "");
SYMBOL_CRC(fcoe_transport_detach, 0xad9fc312, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x1535cab3, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xa8d27339, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x742eaae3, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xce135bc4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7713b17d, "fc_rport_lookup" },
	{ 0x7b5df9db, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x3c635844, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xb2de596e, "fc_lport_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37a0cba, "kfree" },
	{ 0x707284bb, "fc_rport_logoff" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa84c0c2d, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb619a2c, "fc_rport_login" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2022c86d, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xbf0df06e, "fc_lport_reset" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2c9efbce, "fc_lport_set_local_id" },
	{ 0xbb418741, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xee824b65, "__ethtool_get_link_ksettings" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba58848c, "device_register" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x528acf4a, "fc_vport_id_lookup" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xbdc707f6, "fc_elsct_init" },
	{ 0x2bc95bd4, "memset" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x8b4afd81, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xac240bff, "fc_fcp_init" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0x790280c9, "__folio_put" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x830b6b94, "dev_get_by_name" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x87393952, "fc_seq_els_rsp_send" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x1fc8f6c7, "fc_rport_create" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xf0395265, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f390a4b, "fc_linkup" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "CF291A399B9A54101F0979A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
