#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x5169dc45, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xe50354bf, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x8322c695, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x2ebe335b, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x15831f7e, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xe98158ef, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x9907ebb8, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x15ea0258, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xeab36e8c, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x3245f558, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xa170038d, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x8ab36e23, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xd6bbd9ab, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x3f35bf71, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xfd4cbb96, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x56193bab, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x2241b99e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xe1c3c1de, "kunmap_high" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x89838ba6, "iscsi_dbg_trace" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xd69f62f0, "page_address" },
	{ 0x81cea30a, "kmap_high" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x17f39460, "crypto_ahash_final" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96a3e481, "crypto_ahash_digest" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x77de6157, "skb_prepare_seq_read" },
	{ 0xb245a3d0, "skb_seq_read" },
	{ 0x2e60bace, "memcpy" },
	{ 0xda60762d, "skb_abort_seq_read" },
	{ 0x80b7abc8, "iscsi_conn_failure" },
	{ 0xe585aad4, "iscsi_prep_data_out_pdu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x97d7f80e, "iscsi_put_task" },
	{ 0x6ab31d94, "iscsi_conn_setup" },
	{ 0x4f5e4b5, "iscsi_conn_teardown" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5152e605, "memcmp" },
	{ 0xcd0760d8, "iscsi_complete_pdu" },
	{ 0x56ba817e, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x13de1553, "iscsi_itt_to_ctask" },
	{ 0xda041d91, "iscsi_get_task" },
	{ 0x631c212f, "iscsi_update_cmdsn" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x81cef572, "__iscsi_complete_pdu" },
	{ 0xc7dbe3f8, "iscsi_requeue_task" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "996C9DADF87E43446B7A223");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
