#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x7f919919, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x1674b94e, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x701deeb1, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x063b50bd, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xb2a3dc9c, "");
SYMBOL_CRC(sas_resume_ha, 0x2bfb9232, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xe0612dd1, "");
SYMBOL_CRC(sas_suspend_ha, 0x7800b078, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xebf83792, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x7c8eabdc, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xabda6177, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xa7da5201, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x51e4de10, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x44d80922, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x5937f5a4, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x37d9099d, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x5c8a28ad, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x3a3a0442, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x85968605, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x45328c04, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xd0c86871, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x540837fe, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x70467073, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xebbe3381, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x3c81cfb0, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xb8e0016e, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x7ccd2246, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x7ca4086f, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xfb0b15a3, "_gpl");
SYMBOL_CRC(sas_query_task, 0x326fd5d2, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x987064a2, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xf612ff88, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x19223715, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xacc05f78, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x2713d2cb, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x5767d28d, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xddd2b49d, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x78e7e918, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x530ecf37, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xb12bfeda, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95757fba, "ata_qc_complete" },
	{ 0x57b79c12, "ata_sas_scsi_ioctl" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x61b2ed6d, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x8a241f68, "ata_sas_port_destroy" },
	{ 0x2af94946, "bsg_job_done" },
	{ 0x50765580, "ata_sas_queuecmd" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x30ebfb93, "sas_rphy_unlink" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb03df3f8, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9bd1953, "scsi_schedule_eh" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb300805c, "ata_host_init" },
	{ 0xe135883b, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e376970, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x8f07e3b2, "sas_port_get_phy" },
	{ 0xa5376827, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb4222615, "ata_wait_after_reset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x3a72ae84, "sas_phy_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x8fa75d19, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x1a0f121d, "sas_phy_free" },
	{ 0xab6f8aaa, "scsi_eh_finish_cmd" },
	{ 0x44fe3e99, "ata_noop_qc_prep" },
	{ 0x709132c1, "ata_sas_port_alloc" },
	{ 0x2315fe5d, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x304c5d77, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xacec4d20, "sas_port_mark_backlink" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xf292d8dc, "ata_link_abort" },
	{ 0x9b2eecf6, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa559f01d, "ata_sas_port_start" },
	{ 0xb18dda39, "ata_scsi_port_error_handler" },
	{ 0x86e1dc6a, "ata_change_queue_depth" },
	{ 0x728bd09, "ata_std_error_handler" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5c2ed750, "sas_end_device_alloc" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xfa8f74c5, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf053dd12, "sas_expander_alloc" },
	{ 0x93df066b, "ata_sas_port_stop" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xe2a233ed, "sas_rphy_delete" },
	{ 0x144e5d30, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x115fb81d, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ad5cc7c, "scsi_host_busy" },
	{ 0xd66f88b5, "ata_sas_async_probe" },
	{ 0xc7b0f4e3, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd48b1af7, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20aec0c5, "ata_sas_port_suspend" },
	{ 0xe86b2275, "sas_rphy_add" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xa24341a2, "sas_port_delete_phy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xac62751d, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4d8bd8f, "sas_port_add_phy" },
	{ 0x55f42384, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xa1b3b1df, "ata_sas_slave_configure" },
	{ 0xe73b99b8, "blk_mq_tagset_busy_iter" },
	{ 0x3a0fce17, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1f00e207, "scsi_unblock_requests" },
	{ 0x240a21ff, "sas_phy_add" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x533e9385, "ata_host_put" },
	{ 0xd8567041, "sas_port_free" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xb52bc882, "ata_std_sched_eh" },
	{ 0xba7083d9, "scsi_block_requests" },
	{ 0xa3f33808, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x13b792dd, "sas_remove_children" },
	{ 0xdafee0f6, "scsi_change_queue_depth" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x64da67f6, "ata_port_wait_eh" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "46C82E3D8CB1134C499F20A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
