#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(__scsi_init_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0xdafee0f6, "");
SYMBOL_CRC(scsi_track_queue_full, 0x160f9051, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x17b86955, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xf9dfc1f4, "");
SYMBOL_CRC(scsi_device_get, 0xee03c17b, "");
SYMBOL_CRC(scsi_device_put, 0xa7304f09, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x72d15548, "");
SYMBOL_CRC(starget_for_each_device, 0x20a67b76, "");
SYMBOL_CRC(__starget_for_each_device, 0x93dc4fa4, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0x05d0a29d, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0x8d50e611, "");
SYMBOL_CRC(__scsi_device_lookup, 0x0954c448, "");
SYMBOL_CRC(scsi_device_lookup, 0x5053af67, "");
SYMBOL_CRC(scsi_remove_host, 0xb737db35, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0x13c7f70c, "");
SYMBOL_CRC(scsi_host_alloc, 0x9497156a, "");
SYMBOL_CRC(scsi_host_lookup, 0x86866d3a, "");
SYMBOL_CRC(scsi_host_get, 0x6d3f601d, "");
SYMBOL_CRC(scsi_host_busy, 0x6ad5cc7c, "");
SYMBOL_CRC(scsi_host_put, 0xa5ea3208, "");
SYMBOL_CRC(scsi_is_host_device, 0x144e5d30, "");
SYMBOL_CRC(scsi_queue_work, 0x3aace189, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0xc9cd0456, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x9c92ad4c, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x5599142c, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x25ba4341, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0xb603793e, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0x43a6d09c, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x52ad3cd2, "");
SYMBOL_CRC(scsi_partsize, 0xeb013117, "");
SYMBOL_CRC(scsicam_bios_param, 0x32963d6f, "");
SYMBOL_CRC(scsi_schedule_eh, 0xf9bd1953, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xc23f0104, "");
SYMBOL_CRC(scsi_check_sense, 0x9c8c99aa, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0x54d70056, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x3761bfb0, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0xab6f8aaa, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0x7e376970, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x32d9de8f, "");
SYMBOL_CRC(scsi_report_device_reset, 0x9b95aba1, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x86d61ad0, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_execute_cmd, 0xd0a401ec, "");
SYMBOL_CRC(scsi_free_sgtables, 0x47cfc3d5, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0x3a1aa203, "");
SYMBOL_CRC(scsi_alloc_request, 0xc94070a9, "_gpl");
SYMBOL_CRC(scsi_done, 0x3a0fce17, "");
SYMBOL_CRC(scsi_done_direct, 0xa9433ce6, "");
SYMBOL_CRC(__scsi_init_queue, 0x53a17c33, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x25169ae0, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xba7083d9, "");
SYMBOL_CRC(scsi_unblock_requests, 0x1f00e207, "");
SYMBOL_CRC(scsi_mode_select, 0x1c75061c, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0xfac3c78f, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x43d50409, "");
SYMBOL_CRC(scsi_device_set_state, 0x73eec89b, "");
SYMBOL_CRC(sdev_evt_send, 0xce070ccb, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x8d1ade7b, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0x0c8f176d, "");
SYMBOL_CRC(scsi_device_resume, 0xed9695cb, "");
SYMBOL_CRC(scsi_target_quiesce, 0xc0a8e1c2, "");
SYMBOL_CRC(scsi_target_resume, 0x12c858d1, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x9ad3be8c, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x64508855, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xfda4923f, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x7e42d3aa, "_gpl");
SYMBOL_CRC(scsi_host_block, 0x1c10af26, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0x4757bf28, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xa5bd05c8, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x7a644661, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x8100464a, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0xf336f068, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x664a50e4, "");
SYMBOL_CRC(scsi_build_sense, 0x0bcb052c, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x5da24462, "");
SYMBOL_CRC(scsi_dma_unmap, 0x503f8444, "");
SYMBOL_CRC(scsi_is_target_device, 0x1bbbb226, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0x61f5f20c, "");
SYMBOL_CRC(scsi_add_device, 0x2f212282, "");
SYMBOL_CRC(scsi_rescan_device, 0xf4df375e, "");
SYMBOL_CRC(scsi_scan_target, 0x260df688, "");
SYMBOL_CRC(scsi_scan_host, 0xca48b33c, "");
SYMBOL_CRC(scsi_remove_device, 0x136a89e6, "");
SYMBOL_CRC(scsi_remove_target, 0xf7c3b37e, "");
SYMBOL_CRC(scsi_register_driver, 0xfc4d6fa0, "");
SYMBOL_CRC(scsi_register_interface, 0xd20d2d2d, "");
SYMBOL_CRC(scsi_is_sdev_device, 0xea755243, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x1f3581f1, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0x8fcb4266, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0xa86e7675, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0xfa08bdd0, "");
SYMBOL_CRC(scmd_printk, 0x037b8adc, "");
SYMBOL_CRC(__scsi_format_command, 0x418a5367, "");
SYMBOL_CRC(scsi_print_command, 0x8f5aa4f7, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0x412bdd7e, "");
SYMBOL_CRC(__scsi_print_sense, 0xd6510011, "");
SYMBOL_CRC(scsi_print_sense, 0x9e9e0105, "");
SYMBOL_CRC(scsi_print_result, 0xf4f6b6fb, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x963a6489, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0x6149889e, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0x0546e47c, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x77784cfa, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0x58c63e26, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x4d3c43ef, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0xaa9b3b37, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0xe5cb3d87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x87975396, "param_ops_ullong" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9723ff4c, "add_disk_randomness" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x91c6626c, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x3afc4a8f, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x903eda2f, "proc_create" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0x6e7caf23, "seq_release" },
	{ 0xcbf45776, "blk_queue_max_segment_size" },
	{ 0xcd9fb0ec, "blk_pre_runtime_resume" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x83038fe8, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c8d2bd9, "read_cache_folio" },
	{ 0xe42ae4fa, "sysfs_unbreak_active_protection" },
	{ 0x52075985, "device_initialize" },
	{ 0x239255bc, "blk_mq_unquiesce_queue" },
	{ 0x9b9ab9b6, "blk_queue_dma_alignment" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xf972c9ae, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xb59b6ac, "blk_mq_kick_requeue_list" },
	{ 0x8385ca9e, "proc_create_data" },
	{ 0x563952a3, "kblockd_schedule_work" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x59540ffd, "get_device" },
	{ 0x2563ebcd, "blk_set_queue_depth" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x98573465, "netlink_ack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7561cb7a, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67d21b72, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa2250c05, "platform_bus" },
	{ 0x7b5da2ec, "blk_mq_alloc_tag_set" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x1104c4d5, "trace_seq_puts" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xf78f90c3, "blk_rq_init" },
	{ 0x23a9eba3, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x82923818, "transport_setup_device" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1b9ff0d6, "blk_execute_rq" },
	{ 0xf995236f, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x69857775, "blk_set_pm_only" },
	{ 0xe5193451, "dma_max_mapping_size" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xc2acc033, "hex_dump_to_buffer" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xddc3d620, "blk_mq_free_request" },
	{ 0x86f7d560, "netlink_capable" },
	{ 0xae439300, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0x9e10353f, "blk_get_queue" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0x352f7704, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x594acbd1, "blk_rq_map_user" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe358ab9a, "blk_update_request" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x82c763d6, "bus_find_device" },
	{ 0x2fd128ea, "device_add" },
	{ 0x7f11c277, "blk_rq_map_user_io" },
	{ 0x71d93032, "blk_execute_rq_nowait" },
	{ 0x8ff23902, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69cbe6f, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0xaa3f7d5c, "__blk_rq_map_sg" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xee806f31, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x63400e2, "blk_queue_segment_boundary" },
	{ 0x82e78d1a, "transport_configure_device" },
	{ 0x43685279, "bsg_register_queue" },
	{ 0x11391a2a, "netlink_kernel_release" },
	{ 0x47497b18, "class_unregister" },
	{ 0x707eac97, "blk_mq_free_tag_set" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5152e605, "memcmp" },
	{ 0xfb1fa82a, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xabc64832, "transport_add_device" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdd26231, "blk_put_queue" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x61a4149e, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe50a8fa6, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8074a5cf, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcce2bb39, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa1e255e0, "blk_mq_init_queue" },
	{ 0x500a7646, "blk_post_runtime_resume" },
	{ 0x5b08a97c, "blk_rq_unmap_user" },
	{ 0xf1799065, "param_ops_string" },
	{ 0x9f98b4cb, "blk_clear_pm_only" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4b3d6299, "blk_queue_virt_boundary" },
	{ 0x788ad228, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xd0f30ad3, "blk_mq_freeze_queue" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1e0369d4, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb670d0db, "sysfs_break_active_protection" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x790280c9, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4f319ce, "blk_rq_map_integrity_sg" },
	{ 0xb8ca27a1, "transport_destroy_device" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xbc01dd6d, "device_match_any" },
	{ 0xa3bb8b05, "blk_mq_unfreeze_queue" },
	{ 0x96e3717f, "blk_mq_start_request" },
	{ 0xe73b99b8, "blk_mq_tagset_busy_iter" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x70637fc9, "blk_mq_quiesce_queue_nowait" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0xd790bd7e, "seq_open" },
	{ 0x8810a3d8, "blk_pre_runtime_suspend" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xed921f3, "blk_queue_max_hw_sectors" },
	{ 0xd69f62f0, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb24e17bd, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x7ede2c3f, "blk_post_runtime_suspend" },
	{ 0xebc2c888, "blk_mq_requeue_request" },
	{ 0x589acbc6, "driver_register" },
	{ 0x927909f3, "class_register" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x40420804, "blk_queue_rq_timeout" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb28e4c51, "kmem_cache_alloc_node" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xa73ae8fd, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "223039640D076051CAF00D8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
