#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x4e1d0180, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xcc0fcb34, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x326dfb13, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x4ed03fc6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xc478604c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x3b65cfaa, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x5c26d9da, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xe7b6748b, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xbb7d3ee4, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x27f04e0a, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0xeb2b65e6, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x3bf5129d, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x6b65a7a9, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x07ecc859, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x6d524f7e, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x9af75a5d, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xb7047c39, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x682ed3f0, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x948cbdd4, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x15ebc298, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x63908143, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x23b55042, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xcfd8f5dc, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xc980163f, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xbd73a64e, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x21f07b57, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xc997b050, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x46b7cdcf, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xceb5d8a9, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x37aade99, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x903dab54, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xbb0e5498, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x9ef9c7cd, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x86c82c4d, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x691dd226, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x8474582b, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x1e36878d, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x3babf6c2, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x212aeedb, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xa36b3178, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x6e922aab, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x491d9ba4, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xf9930493, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xf0245ed0, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x2d7290b4, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x276c9592, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xb0f89385, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x89838ba6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x59540ffd, "get_device" },
	{ 0xf10a90ef, "device_find_child" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92b57248, "flush_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x83038fe8, "transport_remove_device" },
	{ 0xb8ca27a1, "transport_destroy_device" },
	{ 0x61a4149e, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7e42d3aa, "scsi_target_unblock" },
	{ 0xedbba7f6, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x11391a2a, "netlink_kernel_release" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0x355e3548, "transport_class_unregister" },
	{ 0x47497b18, "class_unregister" },
	{ 0x927909f3, "class_register" },
	{ 0x9291f9e1, "transport_class_register" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xf972c9ae, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x144e5d30, "scsi_is_host_device" },
	{ 0x260df688, "scsi_scan_target" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d3f601d, "scsi_host_get" },
	{ 0x52075985, "device_initialize" },
	{ 0x2fd128ea, "device_add" },
	{ 0x82923818, "transport_setup_device" },
	{ 0xabc64832, "transport_add_device" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6f08dadf, "attribute_container_unregister" },
	{ 0x9a2691c3, "bsg_remove_queue" },
	{ 0xa5ea3208, "scsi_host_put" },
	{ 0x2af94946, "bsg_job_done" },
	{ 0xfda4923f, "scsi_block_targets" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x513553b6, "bsg_setup_queue" },
	{ 0x53a17c33, "__scsi_init_queue" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xba58848c, "device_register" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xd3755d23, "attribute_container_register" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xf7c3b37e, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x86f7d560, "netlink_capable" },
	{ 0x7355f004, "try_module_get" },
	{ 0x3d14dab9, "module_put" },
	{ 0x86866d3a, "scsi_host_lookup" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xe0899327, "skb_pull" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x2bc95bd4, "memset" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
