#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c15543e, "set_capacity_and_notify" },
	{ 0x8f59a737, "set_disk_ro" },
	{ 0x412bdd7e, "scsi_print_sense_hdr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbe3da62e, "blk_integrity_register" },
	{ 0xfac3c78f, "scsi_mode_sense" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0xcdb18ebc, "blk_queue_logical_block_size" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6149889e, "scsi_autopm_put_device" },
	{ 0xee03c17b, "scsi_device_get" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x8235805b, "memmove" },
	{ 0x3d22cf71, "device_add_disk" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xdb95042a, "blk_pm_runtime_init" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0x17b86955, "scsi_get_vpd_page" },
	{ 0x52075985, "device_initialize" },
	{ 0x4b01382c, "t10_pi_type1_crc" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6785b7, "block_pr_type_to_scsi" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x29852bd5, "blk_queue_write_cache" },
	{ 0x32963d6f, "scsicam_bios_param" },
	{ 0xf6ead8ef, "blk_mq_alloc_disk_for_queue" },
	{ 0x59540ffd, "get_device" },
	{ 0x86d61ad0, "scsi_command_normalize_sense" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xebac0161, "blk_integrity_unregister" },
	{ 0x37a030a8, "blk_queue_required_elevator_features" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x73eec89b, "scsi_device_set_state" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x43d50409, "scsi_test_unit_ready" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc23f0104, "scsi_block_when_processing_errors" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xfc4d6fa0, "scsi_register_driver" },
	{ 0x1953c958, "mempool_create" },
	{ 0x4496f5eb, "__blk_req_zone_write_unlock" },
	{ 0xa3ecd7ab, "put_disk" },
	{ 0xb603793e, "scsi_ioctl" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8b923e3, "blk_queue_physical_block_size" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x9fa37999, "blk_queue_max_zone_append_sectors" },
	{ 0xbf626b41, "blk_queue_flag_set" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x8077d2a, "disk_set_zoned" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5eac1fce, "blk_queue_flag_clear" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xa7304f09, "scsi_device_put" },
	{ 0x6c99927, "t10_pi_type3_crc" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xa032bf3d, "t10_pi_type3_ip" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe0ca8b50, "blk_revalidate_disk_zones" },
	{ 0x2fd128ea, "device_add" },
	{ 0x48a91171, "string_get_size" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfa08bdd0, "sdev_prefix_printk" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xf9dfc1f4, "scsi_report_opcode" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0x47497b18, "class_unregister" },
	{ 0x1d0cdc8c, "del_gendisk" },
	{ 0x605b735, "blk_queue_max_discard_sectors" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x6ae544b4, "blk_queue_zone_write_granularity" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61a4149e, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x810704c3, "disk_alloc_independent_access_ranges" },
	{ 0x3a1aa203, "scsi_alloc_sgtables" },
	{ 0x77af67c, "init_opal_dev" },
	{ 0x963a6489, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8f5aa4f7, "scsi_print_command" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe370035a, "blk_queue_alignment_offset" },
	{ 0x9f5d29e7, "blk_queue_chunk_sectors" },
	{ 0x959f12b3, "blk_queue_max_write_zeroes_sectors" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x37b8adc, "scmd_printk" },
	{ 0xd0a401ec, "scsi_execute_cmd" },
	{ 0x47cfc3d5, "scsi_free_sgtables" },
	{ 0x6ab1cac7, "disk_set_independent_access_ranges" },
	{ 0x1c75061c, "scsi_mode_select" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x1840449, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e86c79b, "blk_queue_io_min" },
	{ 0x43a6d09c, "scsi_ioctl_block_when_processing_errors" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdaf2ec5d, "t10_pi_type1_ip" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x927909f3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x40420804, "blk_queue_rq_timeout" },
	{ 0x74bf2e01, "scsi_pr_type_to_block" },
	{ 0xed15ad07, "blk_req_zone_write_trylock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x25ba4341, "scsi_set_medium_removal" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,t10-pi,scsi_common");


MODULE_INFO(srcversion, "569D99421C1912554086377");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
