#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x71f910f4, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x0849cd7c, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x456ad4bc, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x6fd865f6, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xf5345883, "");
SYMBOL_CRC(sdw_show_ping_status, 0xd38fd1d6, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x1e70a80c, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x99ed33ba, "");
SYMBOL_CRC(sdw_write_no_pm, 0xea13c1e2, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x7a6cb591, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x3fe283c7, "");
SYMBOL_CRC(sdw_read_no_pm, 0x937e3e03, "");
SYMBOL_CRC(sdw_update_no_pm, 0x07fe7a60, "");
SYMBOL_CRC(sdw_update, 0xa7de9b48, "");
SYMBOL_CRC(sdw_nread, 0x4fe762fa, "");
SYMBOL_CRC(sdw_nwrite, 0x1d902f5b, "");
SYMBOL_CRC(sdw_read, 0x28bc70cb, "");
SYMBOL_CRC(sdw_write, 0x82c15a65, "");
SYMBOL_CRC(sdw_compare_devid, 0x97eb487a, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xddbad0fb, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xf6746bfa, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x2df7f9c7, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x82919f71, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x70ccbecd, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xd28057dc, "");
SYMBOL_CRC(sdw_slave_add, 0x3a739d55, "");
SYMBOL_CRC(sdw_master_read_prop, 0xc77f5fe1, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x3137752c, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x70dde51d, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x5d096b8b, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x4000cb7c, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x91aee388, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xce446aa2, "device_property_present" },
	{ 0xc3141350, "devm_device_add_groups" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x363a218c, "of_fwnode_ops" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x822b7e48, "of_node_get" },
	{ 0xc3b0701, "dev_pm_domain_attach" },
	{ 0x804488c6, "devm_device_add_group" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xed037a3b, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4ef58e70, "pm_generic_runtime_resume" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x35aecaec, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0xebdd1a89, "fwnode_property_read_u32_array" },
	{ 0x27ec3465, "dev_pm_domain_detach" },
	{ 0x62c8c94b, "pm_generic_runtime_suspend" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xba58848c, "device_register" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6da2fb72, "fwnode_property_present" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc288ca63, "device_get_named_child_node" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xd4690780, "single_release" },
	{ 0x3601e1a9, "acpi_dev_for_each_child" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0xda4bba79, "single_open" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x589acbc6, "driver_register" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "040660382D94FA18FB6353A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
