#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x8feca1c6, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x1c145500, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x69d1b356, "");
SYMBOL_CRC(sdw_intel_startup, 0xd7c79149, "");
SYMBOL_CRC(sdw_intel_exit, 0x5b30efae, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x48d3f4cb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc32860a, "sdw_cdns_pdi_init" },
	{ 0x9beb2b66, "simple_attr_open" },
	{ 0x4a8c51f8, "debugfs_attr_write" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x8f23a306, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x592eea32, "sdw_cdns_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x40277b69, "sdw_cdns_clock_restart" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa339cb22, "sdw_cdns_debugfs_init" },
	{ 0x184e323b, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xfb595ec3, "pm_runtime_set_autosuspend_delay" },
	{ 0x6fd865f6, "sdw_bus_master_add" },
	{ 0x22e934d, "sdw_cdns_enable_interrupt" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa1739cf7, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c8f783f, "sdw_cdns_is_clock_stop" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x9e9d72ae, "sdw_cdns_config_update_set_wait" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9faf3977, "sdw_cdns_config_stream" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xe7086fa6, "auxiliary_driver_unregister" },
	{ 0x4e98bb9, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x430b31c7, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x18a7df88, "cdns_set_sdw_stream" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0xebdd1a89, "fwnode_property_read_u32_array" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xd28057dc, "sdw_clear_slave_status" },
	{ 0x88d0831, "debugfs_attr_read" },
	{ 0x5d096b8b, "sdw_stream_remove_master" },
	{ 0x8268f958, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xe131800, "sdw_cdns_exit_reset" },
	{ 0xa537328e, "_dev_err" },
	{ 0x8f791011, "simple_attr_release" },
	{ 0x59bee194, "__auxiliary_device_add" },
	{ 0x5871922e, "sdw_cdns_alloc_pdi" },
	{ 0xa797f257, "sdw_cdns_clock_stop" },
	{ 0x2a19e6, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x77ff70cd, "cdns_xfer_msg_defer" },
	{ 0x18c937d8, "cdns_xfer_msg" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x61a4149e, "device_del" },
	{ 0x1dc5e7c7, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0x7c487ac9, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x70dde51d, "sdw_stream_add_master" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd4727bbe, "cdns_read_ping_status" },
	{ 0x47a2bff8, "acpi_fetch_acpi_dev" },
	{ 0xc288ca63, "device_get_named_child_node" },
	{ 0x92210b33, "sdw_cdns_probe" },
	{ 0x6ac4ce7d, "sdw_cdns_config_update" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xf5345883, "sdw_bus_master_delete" },
	{ 0xd4690780, "single_release" },
	{ 0xc20c5a5d, "__auxiliary_driver_register" },
	{ 0x22b269a3, "sdw_cdns_check_self_clearing_bits" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5c7444d8, "__pm_runtime_use_autosuspend" },
	{ 0x630a2659, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xda4bba79, "single_open" },
	{ 0x983e597, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xc77f5fe1, "sdw_master_read_prop" },
	{ 0xea5ca963, "sdw_compute_params" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "3686EC30798B24CAAAAF1D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
