#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_device_from_of, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xcd4c22a1, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xa526e6b1, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xf0248a47, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x7b37214b, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x42c281a7, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xcda5ec21, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xb0890efc, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x52cd5c29, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x952cb002, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x871ba5d5, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x5cb627f4, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x42e168c4, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x0bf29fce, "_gpl");
SYMBOL_CRC(spmi_device_from_of, 0xa11d94dc, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x2cd2c549, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xc4329c92, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x333903ac, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x15774260, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x6081cbb7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x250ed5b3, "bpf_trace_run6" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x2fd128ea, "device_add" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xa537328e, "_dev_err" },
	{ 0x5be5149f, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xcbaea9ca, "of_device_uevent_modalias" },
	{ 0xe507c5b1, "device_match_of_node" },
	{ 0x82c763d6, "bus_find_device" },
	{ 0x589acbc6, "driver_register" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x8f68a9c8, "device_for_each_child" },
	{ 0x61a4149e, "device_del" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x52075985, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xa82c3efd, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5248ba27, "of_get_next_available_child" },
	{ 0x23fcdff5, "of_property_read_variable_u32_array" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "287B1CB5A19569B0EC9AE97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
