#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(ieee80211_rx, "", "");
KSYMTAB_FUNC(ieee80211_rx_mgt, "", "");
KSYMTAB_FUNC(ieee80211_is_54g, "", "");
KSYMTAB_FUNC(ieee80211_is_shortslot, "", "");
KSYMTAB_FUNC(ieee80211_softmac_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_stop_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_start_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_stop_scan, "", "");
KSYMTAB_FUNC(ieee80211_start_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_ps_tx_ack, "", "");
KSYMTAB_FUNC(ieee80211_softmac_xmit, "", "");
KSYMTAB_FUNC(ieee80211_reset_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_disassociate, "", "");
KSYMTAB_FUNC(ieee80211_get_beacon, "", "");
KSYMTAB_FUNC(ieee80211_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(ieee80211_softmac_start_protocol, "", "");
KSYMTAB_FUNC(SendDisassociation_rsl, "", "");
KSYMTAB_FUNC(ieee80211_wpa_supplicant_ioctl, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event_rsl, "", "");
KSYMTAB_FUNC(ieee80211_txb_free, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mlme, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_auth, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_gen_ie, "", "");
KSYMTAB_DATA(ieee80211_wlan_frequencies, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rawtx, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_name, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_power, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_power, "", "");
KSYMTAB_FUNC(HTUpdateSelfAndPeerSetting, "", "");
KSYMTAB_FUNC(rtl8192u_dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_reset, "", "");
KSYMTAB_FUNC(dot11d_update_country_ie, "", "");
KSYMTAB_FUNC(dot11d_get_max_tx_pwr_in_dbm, "", "");
KSYMTAB_FUNC(dot11d_scan_complete, "", "");
KSYMTAB_FUNC(is_legal_channel, "", "");
KSYMTAB_FUNC(to_legal_channel, "", "");

SYMBOL_CRC(ieee80211_rx, 0x09fda081, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0x3c3487bf, "");
SYMBOL_CRC(ieee80211_is_54g, 0x66979591, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0xe825617f, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x80c966ae, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xa761cc9b, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0x1619fbb0, "");
SYMBOL_CRC(ieee80211_stop_scan, 0x7dad57bf, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0xcc56a161, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0x34bf1ce8, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0x8de69643, "");
SYMBOL_CRC(ieee80211_reset_queue, 0xeef12651, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0x1a0675be, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x4cd91309, "");
SYMBOL_CRC(ieee80211_disassociate, 0xc75b4e27, "");
SYMBOL_CRC(ieee80211_get_beacon, 0x7fad2a23, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0x6e32240a, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0xb4f881f7, "");
SYMBOL_CRC(SendDisassociation_rsl, 0xb5ac9d9f, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0x4b779192, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0xe79764b0, "");
SYMBOL_CRC(ieee80211_txb_free, 0x0635ab28, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0x525f307c, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x99d087f3, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0x14b8b2fa, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0x680594f0, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0x0980e233, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x974e14bc, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0x427769a4, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0x85c60259, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0x105efebe, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0x982c3421, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0xc4f6ddc3, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0xbe66a41b, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0x0aabb49f, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0xdd33082c, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0x5541c2b3, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0x8e8bae4d, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0xf41bd795, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0xc17aaea3, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0xda2dfae3, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0x6a934880, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0x4908643c, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0x97371fa8, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0x97be4011, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0xac20e493, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0xcc18188c, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x4c75f6d6, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0xd9387510, "");
SYMBOL_CRC(dot11d_reset, 0x5d334bef, "");
SYMBOL_CRC(dot11d_update_country_ie, 0x3b31cef5, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0xc1357019, "");
SYMBOL_CRC(dot11d_scan_complete, 0x40f9d32e, "");
SYMBOL_CRC(is_legal_channel, 0xedf834fe, "");
SYMBOL_CRC(to_legal_channel, 0x4006aa17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa23dd5ff, "alloc_etherdev_mqs" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x3c635844, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x903eda2f, "proc_create" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x76dcec75, "unregister_netdev" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa4160e86, "dev_trans_start" },
	{ 0x841c69ba, "dev_alloc_name" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xfdd51aab, "eth_validate_addr" },
	{ 0xb361a344, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x572833d, "netdev_warn" },
	{ 0xb0c36d19, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x52004313, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x40291f5e, "debugfs_lookup" },
	{ 0xe389a3db, "crypto_aead_setkey" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0xe0899327, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4777814f, "crypto_aead_encrypt" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x439b04a0, "usb_control_msg" },
	{ 0x60daa59d, "wireless_send_event" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0x7f25c39b, "register_netdev" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc0e30161, "free_netdev" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x853dc6e6, "netif_tx_wake_queue" },
	{ 0xe50a8fa6, "proc_mkdir" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x11af2959, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x437c4c93, "netdev_alert" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x24194de4, "debugfs_rename" },
	{ 0xeea0399, "strscpy" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xda4bba79, "single_open" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2fd901a2, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libarc4");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "09B1C804883913A46C95CFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
