#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xffebf306, "_gpl");
SYMBOL_CRC(teedev_close_context, 0xb25bb689, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x2f2d9b5b, "_gpl");
SYMBOL_CRC(tee_device_register, 0x043d9ce0, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x0173423b, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x2182d619, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xf10f09f0, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xfe606333, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x81d3b3f8, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0xd72a9745, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x6c4e2fd7, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x26a9a386, "_gpl");
SYMBOL_CRC(tee_bus_type, 0xdf2d38c7, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x78f30fca, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x662550a1, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0x2e0cca8c, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x7f4735e4, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xfc83e6de, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x279292b5, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x4043d3ff, "_gpl");
SYMBOL_CRC(tee_shm_put, 0xfb558225, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xabe0d23d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25111b21, "pin_user_pages_fast" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9a5b5e8b, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb8f70751, "class_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x52075985, "device_initialize" },
	{ 0x8d898e32, "unpin_user_pages" },
	{ 0xd942915, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xee13acfc, "cdev_device_add" },
	{ 0xce886e75, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x203aa149, "class_create" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0xa51cdfe8, "__FIXADDR_TOP" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x790280c9, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7a2579e4, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x33d4876e, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A2596E39F3A51A0AB10B21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
