#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0x4175f822, "_gpl");
SYMBOL_CRC(cdns_remove, 0x8ebce22c, "_gpl");
SYMBOL_CRC(cdns_suspend, 0x5862ce6e, "_gpl");
SYMBOL_CRC(cdns_resume, 0xd09f88e2, "_gpl");
SYMBOL_CRC(cdns_set_active, 0xaedee594, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0x7f80083f, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0xe9ccacbb, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0x6f3927fb, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x88ffbd74, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0x176a655b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7a8fea, "platform_device_put" },
	{ 0xce446aa2, "device_property_present" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc56f0f33, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x937f63e5, "usb_get_dr_mode" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x9a2a7b7e, "platform_device_add_resources" },
	{ 0xa537328e, "_dev_err" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x357ebb29, "phy_reset" },
	{ 0x435b6d0b, "platform_device_add" },
	{ 0x7169b89f, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x1313d23f, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6fcbc42, "usb_role_switch_register" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x72523e08, "phy_set_mode_ext" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf29cb45f, "devm_ioremap_resource" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "roles,usb-common,usbcore");


MODULE_INFO(srcversion, "C8329777930BFB4F5E2C7A3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
