#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ehci_handshake, "_gpl", "");
KSYMTAB_FUNC(ehci_reset, "_gpl", "");
KSYMTAB_FUNC(ehci_adjust_port_wakeup_flags, "_gpl", "");
KSYMTAB_FUNC(ehci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ehci_setup, "_gpl", "");
KSYMTAB_FUNC(ehci_suspend, "_gpl", "");
KSYMTAB_FUNC(ehci_resume, "_gpl", "");
KSYMTAB_FUNC(ehci_init_driver, "_gpl", "");

SYMBOL_CRC(ehci_handshake, 0x77914bd0, "_gpl");
SYMBOL_CRC(ehci_reset, 0x4365f75b, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0xe68eccb9, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0x08371b95, "_gpl");
SYMBOL_CRC(ehci_setup, 0xd27149ee, "_gpl");
SYMBOL_CRC(ehci_suspend, 0x14e9752a, "_gpl");
SYMBOL_CRC(ehci_resume, 0x5998e694, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0x799eec49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b51aaa2, "usb_hub_clear_tt_buffer" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x584a1fa2, "usb_hcd_unlink_urb_from_ep" },
	{ 0x6bc0f1bf, "usb_hcd_giveback_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x49fbb13d, "usb_debug_root" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x74e0df3, "__platform_register_drivers" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0xcfb722bb, "platform_unregister_drivers" },
	{ 0xd6b38ac2, "usb_hcd_resume_root_hub" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd0d8621b, "strlen" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xa537328e, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf000ee09, "usb_hcd_check_unlink_urb" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x484d4810, "dma_pool_create" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x82618415, "ehci_cf_port_reset_rwsem" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x212771a, "device_create_file" },
	{ 0x25fb2182, "usb_root_hub_lost_power" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x56f83e06, "usb_hc_died" },
	{ 0x12307160, "usb_hcd_start_port_resume" },
	{ 0xa50aa824, "usb_hcd_poll_rh_status" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc2427155, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x85553083, "usb_hcd_end_port_resume" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa5c43522, "usb_for_each_dev" },
	{ 0xc45d8c33, "default_llseek" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "6177BF074EDC98A0C75575E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
