#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xee2d7610, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xc0e8aaaa, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xf28af39e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce446aa2, "device_property_present" },
	{ 0x3e112809, "usb_hcd_platform_shutdown" },
	{ 0x94203df9, "is_acpi_device_node" },
	{ 0x363a218c, "of_fwnode_ops" },
	{ 0xd1a39f97, "device_set_wakeup_capable" },
	{ 0xd7243b70, "xhci_suspend" },
	{ 0x953e833f, "devm_platform_get_and_ioremap_resource" },
	{ 0xb765d108, "platform_driver_unregister" },
	{ 0xa8bb7d23, "platform_get_irq" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xad928d73, "xhci_gen_setup" },
	{ 0x42c00e84, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x2ad9fe18, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabefc014, "devm_reset_control_array_get" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda25864f, "pm_runtime_enable" },
	{ 0x11b3e90a, "device_property_read_u32_array" },
	{ 0xa537328e, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x5cf50fa6, "xhci_resume" },
	{ 0x5e3d39c9, "xhci_run" },
	{ 0x1313d23f, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4eb28ec1, "xhci_init_driver" },
	{ 0xaafccb2f, "usb_put_hcd" },
	{ 0x4f670ab2, "__platform_driver_register" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0xfe367e7f, "devm_clk_get_optional" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x1ab60474, "__usb_create_hcd" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0x815aad78, "usb_remove_hcd" },
	{ 0xff015c73, "of_device_get_match_data" },
	{ 0x6f5188d, "__pm_runtime_disable" },
	{ 0x8dbe76e3, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd,usb-common");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "3C817D4B66A9535A8C58157");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
