#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xfa990f93, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x293583b0, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x747808bb, "");
SYMBOL_CRC(usb_serial_resume, 0xe08d2ded, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x99459e17, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xc0b9d1bb, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xb217f908, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xeac67b8e, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xbaa93a0d, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x1966c915, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x50c21224, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x0bbb8f70, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x49b37711, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x84a34039, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x28700d3e, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xc03f0b9f, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xaafae7a4, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xb0ab9407, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x48b59e5a, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xdcde24dc, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xebb31fe1, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x0b076e07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48e3a75f, "usb_put_intf" },
	{ 0xe3a80365, "usb_alloc_urb" },
	{ 0xed75f8af, "usb_autopm_put_interface" },
	{ 0x7355f004, "try_module_get" },
	{ 0x4fa2ac03, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xf4445e9e, "param_ops_ushort" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x3da45130, "tty_flip_buffer_push" },
	{ 0x9fbee31a, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9d819bf2, "tty_kref_put" },
	{ 0x43afec41, "usb_register_driver" },
	{ 0xf15fe1c4, "usb_match_one_id" },
	{ 0x52075985, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x4a68c646, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb8293d63, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd58b2b98, "usb_show_dynids" },
	{ 0x54c003cb, "tty_hangup" },
	{ 0xf1d75973, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x192dedc7, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x706f445c, "usb_driver_release_interface" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0xca4c6168, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x79759b7d, "usb_get_dev" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xf8cd8c25, "usb_submit_urb" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x8dd77af7, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3d14dab9, "module_put" },
	{ 0xa4dc9066, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x491688cd, "usb_match_id" },
	{ 0x3a50ef3b, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x1a5eba98, "tty_ldisc_ref" },
	{ 0x4c2d5ade, "tty_vhangup" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8c47d13b, "tty_port_destroy" },
	{ 0xffa2c1f0, "tty_insert_flip_string_fixed_flag" },
	{ 0x9a4ae98b, "tty_port_init" },
	{ 0xc21c27f1, "usb_driver_claim_interface" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0x6aa492d2, "usb_poison_urb" },
	{ 0xcc3cfbcd, "usb_unpoison_urb" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0x1e47ce0, "tty_port_register_device" },
	{ 0x4ee6b2ef, "tty_ldisc_deref" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5a18fc57, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61a4149e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x74bfaa87, "tty_port_close" },
	{ 0xfc04e70f, "__tty_insert_flip_char" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa299311a, "usb_autopm_get_interface" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x99ef5845, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb58c8d0e, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6b246fb3, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xc2423b85, "tty_port_open" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x589acbc6, "driver_register" },
	{ 0x5ed88d80, "tty_driver_kref_put" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e9e2852, "tty_port_tty_get" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "F19DEDC6FF51C802E861224");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
