#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x674475fe, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46267411, "kthread_queue_work" },
	{ 0x5c2b37ff, "typec_unregister_altmode" },
	{ 0xacb82cd6, "typec_get_drvdata" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc49c807, "typec_register_partner" },
	{ 0x46a73d4a, "typec_partner_set_usb_power_delivery" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x49fbb13d, "usb_debug_root" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xda4bba79, "single_open" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x985d19da, "power_supply_get_drvdata" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46c81c6f, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4fcf0e8c, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x688cfd28, "typec_set_mode" },
	{ 0x3f1c8dc6, "typec_set_data_role" },
	{ 0xf399290b, "typec_set_pwr_role" },
	{ 0xe9252b91, "typec_set_vconn_role" },
	{ 0x53b53724, "power_supply_changed" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2766f6f3, "usb_power_delivery_unregister_capabilities" },
	{ 0x25d423ee, "usb_power_delivery_unregister" },
	{ 0xb0a1f77b, "typec_unregister_partner" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x7edd8fda, "kthread_create_worker" },
	{ 0xb0511bd4, "sched_set_fifo" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70284e8, "fw_devlink_purge_absent_suppliers" },
	{ 0xd1d149ce, "typec_get_fw_cap" },
	{ 0x6da2fb72, "fwnode_property_present" },
	{ 0xebdd1a89, "fwnode_property_read_u32_array" },
	{ 0x5c307d13, "usb_role_switch_get" },
	{ 0xd0d8621b, "strlen" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x984916e0, "devm_power_supply_register" },
	{ 0x5f193c75, "usb_power_delivery_register" },
	{ 0x5de3c2bf, "typec_register_port" },
	{ 0xb2098a1c, "typec_port_register_altmodes" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x2570a7f6, "kthread_destroy_worker" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x5ee7664b, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x7d6f076a, "fwnode_usb_role_switch_get" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xba50aa42, "usb_power_delivery_register_capabilities" },
	{ 0xa6c319d6, "typec_unregister_port" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x245794a2, "typec_match_altmode" },
	{ 0x3da19786, "typec_altmode_vdm" },
	{ 0x3a68c853, "typec_partner_set_identity" },
	{ 0x1912c0eb, "typec_altmode_attention" },
	{ 0x98b31edf, "typec_altmode_notify" },
	{ 0xd560d86b, "typec_partner_set_svdm_version" },
	{ 0xfd3b4202, "typec_partner_register_altmode" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x97dc7e4e, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x102fb747, "seq_lseek" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xd4690780, "single_release" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "typec,usb-common,roles");


MODULE_INFO(srcversion, "C9FE44C0E26E3374F19A772");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
