#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x160a9332, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x2cadcff1, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x37124926, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xb654a0eb, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x7e81da01, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xdac6482a, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xd1c71c05, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x3b7983c4, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xf557327e, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x356f29da, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x6aee6d09, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xd042b8fc, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x5e664aaf, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xe8fa82d6, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x7442a620, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x291636a5, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xc72ce60d, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x67480880, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x3384f6c6, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x549c9de2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x5cc47daf, "pci_read_vpd" },
	{ 0x1209f366, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc3fee633, "pci_request_selected_regions" },
	{ 0xc0fb3a0b, "pci_release_selected_regions" },
	{ 0xae8694b0, "pci_user_write_config_byte" },
	{ 0x6ff48c36, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xeafc3491, "pci_bus_max_busnr" },
	{ 0x8c7d03f0, "pci_check_and_mask_intx" },
	{ 0x731b76b0, "pci_iomap" },
	{ 0x51f16cdb, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x5c9635c2, "pci_alloc_irq_vectors" },
	{ 0x5b8cfda, "vfio_set_irqs_validate_and_prepare" },
	{ 0x7919be8b, "pci_enable_atomic_ops_to_root" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0xbc6bbf55, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x4b849b38, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8253fc9, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xed1feff3, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xd922411c, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd4abc7d, "pci_user_read_config_dword" },
	{ 0xd942915, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bddc591, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf6908108, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2ef32c21, "pci_probe_reset_slot" },
	{ 0x3a32c104, "zap_vma_ptes" },
	{ 0x59587349, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa17b2312, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xc361ca28, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c510fca, "pci_user_write_config_word" },
	{ 0x76f95e9d, "bus_register_notifier" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x1c39c3f3, "vfio_file_is_group" },
	{ 0x19826d30, "pci_msix_can_alloc_dyn" },
	{ 0x11826b29, "vfio_file_has_dev" },
	{ 0x8988cc1a, "pci_clear_master" },
	{ 0xf6cd940d, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x71dfc7e5, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x841458f1, "pci_write_vpd" },
	{ 0x1d31008, "vfio_virqfd_enable" },
	{ 0xdea10b5a, "vga_client_register" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc8a20e35, "aperture_remove_conflicting_pci_devices" },
	{ 0x747135c7, "vfio_unregister_group_dev" },
	{ 0xbca21406, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x33d8bd5f, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x73fad14b, "pci_iounmap" },
	{ 0x895c44d8, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x17890655, "pcie_get_mps" },
	{ 0x277079a6, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x3fc58a65, "vga_put" },
	{ 0xf655355, "vfio_info_add_capability" },
	{ 0xde87ac08, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x69e57676, "__mmap_lock_do_trace_start_locking" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0x20ab601, "pm_runtime_forbid" },
	{ 0x778f9d06, "pm_runtime_allow" },
	{ 0x6bac6cc7, "pci_reset_bus" },
	{ 0xac657c2a, "mmput" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0xd84c91e4, "vfio_register_group_dev" },
	{ 0xdec4d237, "vfio_assign_device_set" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6045b78e, "pci_user_read_config_byte" },
	{ 0x716ba84c, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0xa9924a04, "pci_get_class" },
	{ 0xc56ad32b, "pci_user_write_config_dword" },
	{ 0x57d0845f, "pcie_capability_read_dword" },
	{ 0xfc6f8ee5, "__mmap_lock_do_trace_released" },
	{ 0x1a33a84c, "pci_load_and_free_saved_state" },
	{ 0xad0751f5, "pci_disable_sriov" },
	{ 0x18735984, "vfio_device_set_open_count" },
	{ 0x3629ef81, "pci_disable_device" },
	{ 0xecb36159, "pci_match_id" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x95a8c5da, "pci_check_and_unmask_intx" },
	{ 0x936a2493, "pcie_set_readrq" },
	{ 0x60bb311b, "pci_walk_bus" },
	{ 0x27dbed68, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe05b776d, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2ffc44a3, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x24caee17, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x7d5110a7, "vga_set_legacy_decoding" },
	{ 0x740460d, "pci_dev_unlock" },
	{ 0xfde6fe6a, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9eadfb3, "pci_free_irq_vectors" },
	{ 0xdcaaa310, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xd49b5c60, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "3D35347451DFF9C6E59E648");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
