#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xa6ec4d52, "");
SYMBOL_CRC(w1_remove_master_device, 0xbba1d2d8, "");
SYMBOL_CRC(w1_register_family, 0xcde9a94d, "");
SYMBOL_CRC(w1_unregister_family, 0x7618ede9, "");
SYMBOL_CRC(w1_touch_bit, 0xc123e28e, "_gpl");
SYMBOL_CRC(w1_write_8, 0x772d2411, "_gpl");
SYMBOL_CRC(w1_triplet, 0x1ced73fc, "_gpl");
SYMBOL_CRC(w1_read_8, 0x3a54227f, "_gpl");
SYMBOL_CRC(w1_write_block, 0xa39ecce9, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x0fbe7bcc, "_gpl");
SYMBOL_CRC(w1_read_block, 0x358a3757, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x0b875f39, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x6f3a389b, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x967b6cb8, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xc12eae3d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf8357786, "of_node_put" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5be5149f, "device_unregister" },
	{ 0x3322fecc, "sysfs_remove_groups" },
	{ 0xc4b762f1, "sysfs_create_groups" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x182e2f09, "cn_netlink_send_mult" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xecf63ada, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8d59df8d, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xed3c1ec, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xba58848c, "device_register" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0xbe79db8c, "hwmon_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe1c860f5, "of_find_matching_node_and_match" },
	{ 0x589acbc6, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x42c995d, "cn_add_callback" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa887fb0b, "bus_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0A5873F5C0DBF68A0E96B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
