#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xbc179d18, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x876553d7, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x89114da0, "_gpl");
SYMBOL_CRC(fat_scan, 0x46fdee26, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x806cda41, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x8fbe7818, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x69b50448, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xe154be58, "_gpl");
SYMBOL_CRC(fat_getattr, 0x54cf6244, "_gpl");
SYMBOL_CRC(fat_setattr, 0xda6fadab, "_gpl");
SYMBOL_CRC(fat_attach, 0xe22ab919, "_gpl");
SYMBOL_CRC(fat_detach, 0x1f240d24, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xa14d923a, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x43e47561, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x1de5b419, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x43745a2f, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x89e0f796, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x7148e0ec, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x34aee174, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x7dc8f6b2, "_gpl");
SYMBOL_CRC(fat_update_time, 0x19cc58f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7e9a8ee, "filemap_fdatawrite" },
	{ 0xf5459e86, "generic_fillattr" },
	{ 0x2a165249, "setattr_prepare" },
	{ 0x4912f0df, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x4931ea35, "sync_blockdev_nowait" },
	{ 0x58d56408, "make_vfsgid" },
	{ 0x8ff3c6bc, "blk_start_plug" },
	{ 0x74ed8e35, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x43cb29f9, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xde93ce3c, "new_inode" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xeb81566b, "mark_buffer_dirty" },
	{ 0xdbac3ed0, "security_inode_setattr" },
	{ 0x6ccfadb0, "__find_get_block" },
	{ 0xba922c65, "filemap_fdatawrite_range" },
	{ 0x6a4e4fc3, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xd27d7095, "__blockdev_direct_IO" },
	{ 0x4c6872f9, "d_make_root" },
	{ 0xa1c7585, "__bforget" },
	{ 0x9f737dd5, "sb_set_blocksize" },
	{ 0xb8511712, "block_truncate_page" },
	{ 0x78e5549d, "write_dirty_buffer" },
	{ 0xa9da0c3f, "sync_filesystem" },
	{ 0x77a4f716, "fsnotify" },
	{ 0x75bd7ed1, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x91e7a977, "from_vfsuid" },
	{ 0x4063249a, "inode_dio_wait" },
	{ 0xd77f32d3, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ae79ca, "cont_write_begin" },
	{ 0xd2380637, "iput" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xce1bfbb1, "iter_file_splice_write" },
	{ 0xbff664d9, "generic_file_write_iter" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xc7fe6662, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6279dd0f, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd20a42a9, "mnt_want_write_file" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x64d50e7e, "block_invalidate_folio" },
	{ 0xbddc8342, "__breadahead" },
	{ 0x3b7182c2, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f4ec0ef, "load_nls" },
	{ 0x11033bfd, "generic_cont_expand_simple" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0x5f776bb4, "truncate_inode_pages_final" },
	{ 0x57469dea, "generic_file_mmap" },
	{ 0xaa8771b9, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcf282087, "ilookup" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xfa1ed298, "invalidate_inode_buffers" },
	{ 0xc8ec0ccb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x881b13c9, "mnt_drop_write_file" },
	{ 0x2062cdad, "inode_init_once" },
	{ 0x85274f5c, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3689d833, "__brelse" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3792959c, "generic_file_read_iter" },
	{ 0x777f979e, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb64c9098, "truncate_pagecache" },
	{ 0x765d1795, "sync_dirty_buffer" },
	{ 0xb4dd8980, "setattr_copy" },
	{ 0xffe9c4b, "__wait_on_buffer" },
	{ 0xdd77b965, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x61e18ceb, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xfafb5d0a, "from_vfsgid" },
	{ 0xd31cc99b, "write_inode_now" },
	{ 0x5152e605, "memcmp" },
	{ 0xa602ec62, "d_obtain_alias" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x97484fe5, "__bread_gfp" },
	{ 0x596b0927, "block_dirty_folio" },
	{ 0x8183702, "mpage_read_folio" },
	{ 0x2bc95bd4, "memset" },
	{ 0x399cf4e7, "__insert_inode_hash" },
	{ 0x11839a5d, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0x5c5ff7e7, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x4e0e89b0, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xed2d4103, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x241ed52a, "igrab" },
	{ 0xcf0df23d, "__getblk_gfp" },
	{ 0xf2b89a2b, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe5dbfd8f, "mpage_readahead" },
	{ 0x88043cff, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xc775442e, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x611b1fa1, "blkdev_issue_flush" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe3ad51c0, "generic_fh_to_parent" },
	{ 0x9e0a95bd, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xe19569d1, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3e51ea7, "kmem_cache_alloc_lru" },
	{ 0x71acd967, "__mark_inode_dirty" },
	{ 0x9dfb71c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc70a074f, "unload_nls" },
	{ 0x29f3a126, "up_read" },
	{ 0xc0d3aaf8, "mark_buffer_dirty_inode" },
	{ 0x61a0db71, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xf176fcd1, "blkdev_issue_discard" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DEEE1A842F9D939FB8DE8CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
