#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x639a8afc, "");
SYMBOL_CRC(jbd2_journal_start, 0xd72d2240, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x38da6849, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xd21c5efb, "");
SYMBOL_CRC(jbd2__journal_restart, 0xf1455dd6, "");
SYMBOL_CRC(jbd2_journal_restart, 0xd5942cc6, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xc7236a8f, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x70e5fe2a, "");
SYMBOL_CRC(jbd2_journal_extend, 0x60e14a1b, "");
SYMBOL_CRC(jbd2_journal_stop, 0xac2d7b50, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xc0b68cc7, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xb1105e50, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x6e77c6a3, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x8e1ef187, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x81411e6f, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xf1770348, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xb4356d9d, "");
SYMBOL_CRC(jbd2_journal_forget, 0xe402152d, "");
SYMBOL_CRC(jbd2_journal_flush, 0x48268669, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x7cfec7d2, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xe7ff406a, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x59453bee, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x388770ee, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xffba6a04, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x485cbfdd, "");
SYMBOL_CRC(jbd2_journal_load, 0x4da82cad, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xf77b8dad, "");
SYMBOL_CRC(jbd2_journal_abort, 0x78a36259, "");
SYMBOL_CRC(jbd2_journal_errno, 0x09e4ecdf, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x8f92de0e, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xc6fbfa3b, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x95d55420, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x2adbf2ca, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x2680eb56, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xaaea052e, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xc1be4c11, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x2a8a5c7c, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x2a2c33d8, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x1ae0224c, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x72163344, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x0bcd1d44, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x99d57554, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xcb87f868, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x8285dab4, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x342e195d, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x555b98f0, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xad441966, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xdadafa51, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x4b585274, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x43a29910, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xb4616fbc, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xa6894057, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xd428fa96, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x74acff10, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x34646031, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xb379ce5b, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x4c989f0b, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x43945915, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x82e50321, "bh_uptodate_or_lock" },
	{ 0x8ff3c6bc, "blk_start_plug" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d012a9b, "folio_unlock" },
	{ 0x6e7caf23, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x250ed5b3, "bpf_trace_run6" },
	{ 0xeb81566b, "mark_buffer_dirty" },
	{ 0x6ccfadb0, "__find_get_block" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xba922c65, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0xa1c7585, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x78e5549d, "write_dirty_buffer" },
	{ 0x43fe1da1, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2380637, "iput" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x75fc9c4e, "blockdev_superblock" },
	{ 0x8385ca9e, "proc_create_data" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x2fc9526f, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf2e8a6ac, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xfd2c5b81, "alloc_buffer_head" },
	{ 0x3cc25ba, "wake_up_process" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x7b351b18, "mutex_lock_io" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa3793e3f, "try_to_free_buffers" },
	{ 0xd828b71f, "sync_blockdev" },
	{ 0x42ef878b, "free_buffer_head" },
	{ 0x390e4ca0, "unregister_shrinker" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0xc8ec0ccb, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3689d833, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc824f043, "__bh_read_batch" },
	{ 0x49467c0d, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xab06fd53, "mem_section" },
	{ 0xffe9c4b, "__wait_on_buffer" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x48548da0, "__bh_read" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x1a431e60, "blkdev_issue_zeroout" },
	{ 0x532a0786, "filemap_fdatawait_range_keep_errors" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5cc8d177, "freezing_slow_path" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0xe50a8fa6, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x819ac320, "set_bh_page" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa81334e, "kthread_create_on_node" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0xed2d4103, "unlock_buffer" },
	{ 0xcf0df23d, "__getblk_gfp" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x790280c9, "__folio_put" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xc775442e, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9eb7a44f, "truncate_inode_pages_range" },
	{ 0x611b1fa1, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9474b24, "end_buffer_write_sync" },
	{ 0xd790bd7e, "seq_open" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x37cd75eb, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xf176fcd1, "blkdev_issue_discard" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D671426A0A2A1FD8378332B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
