#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x982d5eee, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xee7a9829, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x19e91ed6, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xfbc24321, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xb4298bcc, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x93734975, "");
SYMBOL_CRC(p9_show_client_options, 0xfe95db2a, "");
SYMBOL_CRC(p9_fcall_fini, 0x46baf750, "");
SYMBOL_CRC(p9_tag_lookup, 0x74f24a12, "");
SYMBOL_CRC(p9_req_put, 0xfbca8eb3, "");
SYMBOL_CRC(p9_client_cb, 0xb9d90b64, "");
SYMBOL_CRC(p9_parse_header, 0x6db7033e, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xee437897, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x26d2448f, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xb55ae777, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x7ce4c865, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xb7afee1d, "");
SYMBOL_CRC(p9_client_create, 0x11fe52c7, "");
SYMBOL_CRC(p9_client_destroy, 0x409955c0, "");
SYMBOL_CRC(p9_client_disconnect, 0x21c131d2, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x90ddcf09, "");
SYMBOL_CRC(p9_client_attach, 0x98c4b319, "");
SYMBOL_CRC(p9_client_walk, 0x71ecedb2, "");
SYMBOL_CRC(p9_client_open, 0x1765c50a, "");
SYMBOL_CRC(p9_client_create_dotl, 0xdf201a7f, "");
SYMBOL_CRC(p9_client_fcreate, 0xded1a87e, "");
SYMBOL_CRC(p9_client_symlink, 0x1a178380, "");
SYMBOL_CRC(p9_client_link, 0xdfe138de, "");
SYMBOL_CRC(p9_client_fsync, 0x4ea9235b, "");
SYMBOL_CRC(p9_client_clunk, 0x71536cc8, "");
SYMBOL_CRC(p9_client_remove, 0xea578587, "");
SYMBOL_CRC(p9_client_unlinkat, 0xf975c221, "");
SYMBOL_CRC(p9_client_read, 0x4160df38, "");
SYMBOL_CRC(p9_client_read_once, 0x1b51da6c, "");
SYMBOL_CRC(p9_client_write, 0x15e583e4, "");
SYMBOL_CRC(p9_client_stat, 0xd8877db2, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xd611d441, "");
SYMBOL_CRC(p9_client_wstat, 0x65d00b65, "");
SYMBOL_CRC(p9_client_setattr, 0x3ba71238, "");
SYMBOL_CRC(p9_client_statfs, 0xf57cd1ab, "");
SYMBOL_CRC(p9_client_rename, 0x0bd2644c, "");
SYMBOL_CRC(p9_client_renameat, 0x3bd7ad57, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xeef87f89, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x2e3877ee, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xab774a24, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xdd7c28b5, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x06da5e07, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x7d7bd77b, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xe028013b, "");
SYMBOL_CRC(p9_client_readlink, 0x0cc66f93, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xb4a85690, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9406a022, "_copy_to_iter" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x14f8fbac, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x3d14dab9, "module_put" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8ff23902, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfc0f1ad4, "from_kgid" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa171831e, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x13bdf8d3, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1623b6f3, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x790280c9, "__folio_put" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xfc097601, "seq_puts" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F1CD33F09E7DEA07004CF67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
