#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x0e2d43b7, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xc5e36951, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x356162a4, "");
SYMBOL_CRC(vcc_release_async, 0x495f2456, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x8b640e12, "");
SYMBOL_CRC(atm_dev_signal_change, 0x42058a8a, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xe4a9476b, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xe293d8f7, "");
SYMBOL_CRC(atm_alloc_charge, 0x494d3244, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xe571c719, "");
SYMBOL_CRC(atm_dev_lookup, 0x574b4a4d, "");
SYMBOL_CRC(atm_dev_register, 0x2d834bb9, "");
SYMBOL_CRC(atm_dev_deregister, 0x72a40a5c, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6d669e0a, "skb_free_datagram" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x8385ca9e, "proc_create_data" },
	{ 0xb62a4b1f, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2680723, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0x5b996f53, "sock_register" },
	{ 0x961b455b, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9500fb01, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x3d14dab9, "module_put" },
	{ 0x212771a, "device_create_file" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f7c361, "noop_llseek" },
	{ 0x705f5e7, "sk_free" },
	{ 0xcedbb1e, "sock_wake_async" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0x47497b18, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0xba58848c, "device_register" },
	{ 0x61a4149e, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfa5afa48, "skb_recv_datagram" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xfc097601, "seq_puts" },
	{ 0x1561951b, "sock_gettstamp" },
	{ 0xa6b771c, "_proc_mkdir" },
	{ 0x797fe566, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0xfc79e0a2, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x927909f3, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x4c11131b, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0d05280, "release_sock" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B286C315EB881B7511B2CE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
