#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xe7c5b8d6, "");
SYMBOL_CRC(bt_sock_register, 0x8bb1ab20, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_link, 0xf8d1d80a, "");
SYMBOL_CRC(bt_sock_unlink, 0x691e2810, "");
SYMBOL_CRC(bt_accept_enqueue, 0xeba2a2f5, "");
SYMBOL_CRC(bt_accept_unlink, 0x79e4ba9f, "");
SYMBOL_CRC(bt_accept_dequeue, 0x2f283f2a, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x5190ed5e, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xd3ca460c, "");
SYMBOL_CRC(bt_sock_poll, 0x7ea9960f, "");
SYMBOL_CRC(bt_sock_ioctl, 0x880e1e4e, "");
SYMBOL_CRC(bt_sock_wait_state, 0x98b61bdd, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x8686723a, "");
SYMBOL_CRC(bt_procfs_init, 0x0d872a48, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x8eb8d3ac, "");
SYMBOL_CRC(bt_debugfs, 0x89a28166, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x3cb767dc, "");
SYMBOL_CRC(hci_free_dev, 0xe5225d58, "");
SYMBOL_CRC(hci_register_dev, 0x07a59421, "");
SYMBOL_CRC(hci_unregister_dev, 0x6cd7118f, "");
SYMBOL_CRC(hci_release_dev, 0xcf8fd440, "");
SYMBOL_CRC(hci_suspend_dev, 0x542990ec, "");
SYMBOL_CRC(hci_resume_dev, 0x8bd1f37f, "");
SYMBOL_CRC(hci_reset_dev, 0xc3948180, "");
SYMBOL_CRC(hci_recv_frame, 0x0d7ca536, "");
SYMBOL_CRC(hci_recv_diag, 0x7b8be0c9, "");
SYMBOL_CRC(hci_set_hw_info, 0xa23a353f, "");
SYMBOL_CRC(hci_set_fw_info, 0x63819024, "");
SYMBOL_CRC(hci_register_cb, 0x8dd53eba, "");
SYMBOL_CRC(hci_unregister_cb, 0xe1cb5edf, "");
SYMBOL_CRC(__hci_cmd_send, 0x1ca7a49e, "");
SYMBOL_CRC(hci_get_route, 0x8be35627, "");
SYMBOL_CRC(hci_conn_security, 0x3b7e1371, "");
SYMBOL_CRC(hci_conn_check_secure, 0x497c6ada, "");
SYMBOL_CRC(hci_conn_switch_role, 0x7952da3a, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xdad38ce2, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x03dd6c78, "");
SYMBOL_CRC(l2cap_add_psm, 0xaad41314, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x7a2fe8f6, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xf4f8d006, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x11c6169f, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xa67f1e1f, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x8d5aa9f4, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x0fe2469e, "");
SYMBOL_CRC(l2cap_register_user, 0xf3ea591a, "");
SYMBOL_CRC(l2cap_unregister_user, 0x68459d39, "");
SYMBOL_CRC(l2cap_conn_get, 0x2ffecac7, "");
SYMBOL_CRC(l2cap_conn_put, 0x67c21598, "");
SYMBOL_CRC(l2cap_chan_send, 0x080edbc5, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x2ae89842, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x7ac45b68, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x0ce50447, "");
SYMBOL_CRC(__hci_cmd_sync, 0x2e8d2685, "");
SYMBOL_CRC(hci_cmd_sync, 0x8c95dd08, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x60293599, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x92d51ce5, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xbec14489, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x25a0cebf, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xddc47ac8, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x0ca8775a, "");
SYMBOL_CRC(hci_devcd_rx, 0xb4870d75, "");
SYMBOL_CRC(hci_devcd_timeout, 0x32c9a10c, "");
SYMBOL_CRC(hci_devcd_register, 0x2ce339b3, "");
SYMBOL_CRC(hci_devcd_init, 0x2b587495, "");
SYMBOL_CRC(hci_devcd_append, 0xce2ed8ce, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xe53ceb32, "");
SYMBOL_CRC(hci_devcd_complete, 0xb249ca79, "");
SYMBOL_CRC(hci_devcd_abort, 0x1e5eb218, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6d669e0a, "skb_free_datagram" },
	{ 0x39d95ef6, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7355f004, "try_module_get" },
	{ 0xd365669, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x2b713346, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf99c8f1a, "led_trigger_register_simple" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x52075985, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x75bb39ae, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x48ebb070, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x7523b045, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfbfec22f, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x87761ba3, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeedc9dc7, "put_cmsg" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x776c7e4c, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x2680723, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b996f53, "sock_register" },
	{ 0xb1b2bfb, "datagram_poll" },
	{ 0x961b455b, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9500fb01, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x3d14dab9, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd8644bce, "__sock_recv_timestamp" },
	{ 0x9a57e661, "sock_no_shutdown" },
	{ 0x9e67fcdd, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x72d8ecf4, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2fd128ea, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdffd6e38, "init_uts_ns" },
	{ 0x705f5e7, "sk_free" },
	{ 0x23389f07, "device_move" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0xf102732a, "crc16" },
	{ 0xb87cbdf9, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x47497b18, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xf10a90ef, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6df2e83c, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0x2a8dd42a, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x61a4149e, "device_del" },
	{ 0x9fb391d6, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdce2b90a, "__sock_recv_wifi_status" },
	{ 0xa171831e, "from_kuid" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbb06e9c, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x11af2959, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1f99e633, "devm_kasprintf" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x7543b595, "sock_i_ino" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0xb786045d, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xf86d1452, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xfa5afa48, "skb_recv_datagram" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x575a0c22, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x6bad061, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfc097601, "seq_puts" },
	{ 0x1561951b, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xb10fc496, "led_trigger_event" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfc79e0a2, "proc_create_seq_private" },
	{ 0xda4bba79, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe85aaeb3, "fwnode_property_read_u8_array" },
	{ 0x927909f3, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9a5e61b3, "__dev_fwnode" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0x92b57248, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "970DA1B1901F1F868B42BA0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
