#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xfb187d67, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x21391606, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x7e33c04a, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xe8848023, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x7b650dc6, "_gpl");
SYMBOL_CRC(br_forward, 0xf8250aa6, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xb89f5141, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x40ae5629, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x83f5662c, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x02819474, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x4517f79f, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x74495818, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x1e8636fd, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x1777f84c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xc7f15252, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x1baf8f4f, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xebcf8424, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xf0c329f7, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x4049bc9b, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x42587bc6, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xd6b4a82c, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xe4c9880b, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xa027e140, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x9de99ead, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xd34578a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3228352, "netdev_lower_get_next" },
	{ 0x71a90bca, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaffc1d41, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x294096c1, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83ff87f0, "ipv6_mc_check_mld" },
	{ 0x3c635844, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb44211a8, "call_switchdev_notifiers" },
	{ 0xd0451ff0, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdf6e6d83, "netdev_update_features" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xfa0ef2ae, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x9ea949cd, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1aeb12af, "netpoll_send_skb" },
	{ 0x2a1fa193, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xda35cfce, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x931e8c7a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8a0a7, "dev_set_promiscuity" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4f359d49, "unregister_netdevice_queue" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcac9ebe3, "netdev_state_change" },
	{ 0x59560f0d, "__dev_get_by_name" },
	{ 0xaaa2784, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ddc4c80, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xc65035d5, "brioctl_set" },
	{ 0x8bbb164, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xec67bc2b, "arp_xmit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe0a3c2cd, "alloc_netdev_mqs" },
	{ 0x66568792, "passthru_features_check" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xce050bbd, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6397a914, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x12360498, "rtnl_set_sk_err" },
	{ 0x58c2d5c1, "skb_vlan_pop" },
	{ 0x7da88f02, "sysfs_create_link" },
	{ 0x41f2aec2, "ipv6_dev_get_saddr" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x49f26466, "kstrndup" },
	{ 0x9abf6357, "nla_reserve_64bit" },
	{ 0x91e26d6, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0xa5f0a251, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x5ba46b0d, "dev_get_port_parent_id" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb942aeaa, "ipv6_stub" },
	{ 0x797ef9e7, "inet_confirm_addr" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8590c7f9, "sysfs_remove_link" },
	{ 0xd428e793, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf275fc7f, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xee27f0, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x26afa071, "br_fdb_test_addr_hook" },
	{ 0x8ec4941f, "ndo_dflt_fdb_dump" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xbd2fee7e, "netdev_upper_dev_unlink" },
	{ 0x80b63427, "netif_receive_skb" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8d81845f, "llc_mac_hdr_init" },
	{ 0xc0e30161, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xde78e575, "kobject_init_and_add" },
	{ 0xf1f95795, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x4cc1ec0e, "inet_select_addr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf36260c, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x815976e2, "arp_create" },
	{ 0xee824b65, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x73b0823c, "stp_proto_register" },
	{ 0xb66a36b3, "rtnl_register_module" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x7951b83b, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6e879fb6, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xd8a5bddd, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0xca782e, "ip_mc_check_igmp" },
	{ 0xe4fe0aa1, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x6182c9c6, "switchdev_port_obj_del" },
	{ 0xe9def179, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xd4d221a6, "kobject_create_and_add" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x16b7f064, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe1ab1809, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd806dc42, "__ip_mc_inc_group" },
	{ 0x4775a786, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x764c6725, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8795cff7, "__netpoll_setup" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc1cb095b, "vlan_vid_add" },
	{ 0x284fb076, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc3adf322, "kobject_del" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xedfb9596, "call_netdevice_notifiers" },
	{ 0xf76c6892, "is_skb_forwardable" },
	{ 0x45608192, "vlan_vid_del" },
	{ 0x99db7986, "dev_set_allmulti" },
	{ 0xc2682b24, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb6f3324, "netdev_master_upper_dev_get" },
	{ 0xacde0d4a, "ipv6_dev_mc_inc" },
	{ 0xee377ca4, "rtnl_notify" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd08527b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4efbc09a, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x8919559a, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0x5c8d1d5, "netif_carrier_on" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x11921a42, "arp_tbl" },
	{ 0x2945ec73, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb9b33ba3, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdff46d5f, "dev_uc_add" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x113ecc5d, "netif_set_tso_max_size" },
	{ 0x6402284f, "dev_disable_lro" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x74ac6ae1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x74663382, "dev_get_flags" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x388b70c2, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd8059ce3, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xe3cebac0, "nf_queue" },
	{ 0xfe4601e6, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd114ad79, "skb_ext_add" },
	{ 0xc9fbd927, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbedbf43b, "stp_proto_unregister" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1c6a84d0, "neigh_lookup" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0x4f8c60fa, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "8ACF6C5E91DC1B6CF73028D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
