#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x116835aa, "");
SYMBOL_CRC(ceph_compare_options, 0xca860623, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x1934e649, "");
SYMBOL_CRC(ceph_parse_param, 0x9cc8edf3, "");
SYMBOL_CRC(ceph_print_client_options, 0x871b88c3, "");
SYMBOL_CRC(ceph_client_addr, 0x71c3dc95, "");
SYMBOL_CRC(ceph_client_gid, 0xd69bf0fa, "");
SYMBOL_CRC(ceph_create_client, 0xd5c9e505, "");
SYMBOL_CRC(ceph_destroy_client, 0x161eabde, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xd85a4642, "");
SYMBOL_CRC(__ceph_open_session, 0xbcb84560, "");
SYMBOL_CRC(ceph_open_session, 0x81b59c14, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x5456bf72, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x163053e7, "");
SYMBOL_CRC(ceph_con_open, 0x748ed2ea, "");
SYMBOL_CRC(ceph_con_init, 0x324b881e, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0xce85aad9, "");
SYMBOL_CRC(ceph_con_keepalive, 0x1e140b75, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x8ccd61ed, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x1fc6cd9e, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0xc9174232, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x93269659, "");
SYMBOL_CRC(ceph_msg_new2, 0x6b75ebdd, "");
SYMBOL_CRC(ceph_msg_new, 0xa0a78812, "");
SYMBOL_CRC(ceph_msg_get, 0x3896c51d, "");
SYMBOL_CRC(ceph_msg_put, 0x8c0a486f, "");
SYMBOL_CRC(ceph_msg_dump, 0x2c33d2a7, "");
SYMBOL_CRC(ceph_buffer_new, 0x3522979c, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0x0a3c60e0, "");
SYMBOL_CRC(ceph_pagelist_release, 0x644b6e50, "");
SYMBOL_CRC(ceph_pagelist_append, 0x1cba3f20, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0x6edb8cb7, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x8bd5050e, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xc20c8ca8, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xf562aab7, "");
SYMBOL_CRC(ceph_monc_want_map, 0x412c7acf, "");
SYMBOL_CRC(ceph_monc_got_map, 0x281739fa, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x1643ffc4, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x4a60021e, "");
SYMBOL_CRC(ceph_monc_open_session, 0x0c6a3a46, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0xaa765c49, "");
SYMBOL_CRC(ceph_monc_get_version, 0xb06e3eb9, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x39ff3fa8, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x0f70e9f0, "");
SYMBOL_CRC(ceph_monc_init, 0xf0e22839, "");
SYMBOL_CRC(ceph_monc_stop, 0xb55e0186, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x0f956d88, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x551342b0, "");
SYMBOL_CRC(ceph_cls_unlock, 0x74fb9747, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x8d89b26a, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xd69e9fc2, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0xe6f17bfc, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0x254bf6e3, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xb4c3f0d2, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0xa39a5374, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xa350b319, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x700bb634, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x58a2dbcf, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xee33a197, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x166e95b3, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x4849842e, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x28482af5, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x8a20f3c4, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x49295744, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xd8436329, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x34ee8a5a, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x1925619e, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x530c432c, "");
SYMBOL_CRC(osd_req_op_init, 0xa66691cb, "");
SYMBOL_CRC(osd_req_op_extent_init, 0x6f759dd5, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xe0b0f420, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0xe0dbf18a, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x2a0a06ee, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x29f6d145, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x45d3833f, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x5f3437a4, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xd98e5045, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x7be82c60, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x76afdab0, "");
SYMBOL_CRC(ceph_osdc_start_request, 0xf9159847, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x9b913564, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0xea59935b, "");
SYMBOL_CRC(ceph_osdc_sync, 0x370a9aa0, "");
SYMBOL_CRC(ceph_osdc_watch, 0x44b597ca, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x133aa044, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xf25fa687, "");
SYMBOL_CRC(ceph_osdc_notify, 0x2c34d14b, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0xb104b2d1, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x81f1284c, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x57a81efc, "");
SYMBOL_CRC(ceph_osdc_call, 0xd9d09580, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x8e53d63f, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0xbd55e437, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x6c9f9b92, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0xe3b99e98, "");
SYMBOL_CRC(ceph_oloc_copy, 0x317ac0ee, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x3d0f2a7c, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0x93d5a2ea, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0xaca06008, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x9b55060a, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0xaad081e0, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0xd8bb8b18, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x5aba150e, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0xcd581d97, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x74407c00, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x551728ea, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0xeab77910, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x423a1273, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0xd589ab13, "");
SYMBOL_CRC(ceph_release_page_vector, 0xa9e4d405, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x520d94be, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x59254593, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x61268706, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x83ad1d70, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x2fe0bae0, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x45044d94, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5adfce93, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3256f3ec, "tcp_sock_set_cork" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa5b09d5, "fs_param_is_string" },
	{ 0x24079b40, "vmalloc_to_page" },
	{ 0x81cea30a, "kmap_high" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x36fdf1b7, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x74204e87, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x102fb747, "seq_lseek" },
	{ 0x3cfcbb78, "fs_param_is_enum" },
	{ 0x51716714, "logfc" },
	{ 0xb361a344, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb0c36d19, "crypto_aead_setauthsize" },
	{ 0x52004313, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x822d898e, "crypto_skcipher_setkey" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x38390858, "register_key_type" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x731dd7b1, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeeef2ab0, "filemap_alloc_folio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6e89570d, "crypto_skcipher_decrypt" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xc5d60070, "__kmap_local_page_prot" },
	{ 0x1d334e7, "seq_escape_mem" },
	{ 0x49f26466, "kstrndup" },
	{ 0x7c5e8ef0, "key_put" },
	{ 0xe389a3db, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5af8e078, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4777814f, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe1c3c1de, "kunmap_high" },
	{ 0xab06fd53, "mem_section" },
	{ 0x55e1392f, "zero_user_segments" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x9ea3a745, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x50e8fd97, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x1d996a58, "sock_sendmsg" },
	{ 0x1de9ab81, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0x514c44ce, "tcp_stream_memory_free" },
	{ 0xce651ce5, "sg_alloc_table_from_pages_segment" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xe8e59fc6, "kernel_connect" },
	{ 0x2bc95bd4, "memset" },
	{ 0x12f2c6e5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xea38292f, "crypto_alloc_sync_skcipher" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9b7d47b, "seq_read" },
	{ 0x467cc511, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x22ebead1, "debugfs_create_file" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2e231eb, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xb6188e5d, "request_key_tag" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x681b9c5d, "generic_key_instantiate" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x790280c9, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa1c889a6, "set_page_dirty_lock" },
	{ 0x30e21c68, "sock_release" },
	{ 0xdd132f82, "iov_iter_discard" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0xfc097601, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4690780, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xef0af27, "tcp_sock_set_nodelay" },
	{ 0xefa3343c, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd69f62f0, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda4bba79, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0x2676a135, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaee2c993, "kernel_sendmsg" },
	{ 0x29f3a126, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "EB8DE1ABCD7E1A33E6DB620");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
