#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x5570e0ad, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x2f699051, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x64bf6a77, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x697e546e, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xb6d3e49f, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x27e00d7f, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x5a008a6f, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xea89d1be, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xc5f9b60f, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x63fb81ee, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x7f7aa068, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x56ed2a49, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xe40e41c4, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x93308cf2, "_gpl");
SYMBOL_CRC(dccp_connect, 0xeb67a178, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xf0a22016, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xedfb65d0, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x64211de2, "_gpl");
SYMBOL_CRC(dccp_done, 0x85f32113, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x1896a070, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x48901df4, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x7caa3d30, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xd2ea0974, "_gpl");
SYMBOL_CRC(dccp_poll, 0x4606a78c, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x884385ec, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xd231abcf, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x468ca544, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xd9f4390c, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x96bfce21, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xf3d9cf68, "_gpl");
SYMBOL_CRC(dccp_close, 0x47838423, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x9dab5b4b, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0xc6a5b51d, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x3c635844, "skb_put" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xde7ac4eb, "sock_wmalloc" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x6ec7af6d, "proc_dointvec_ms_jiffies" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1f484c92, "inet_csk_clear_xmit_timers" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0xe532ed0d, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xfeb272dc, "inet_sock_destruct" },
	{ 0x82ede9ad, "inet_put_port" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x59d19bdb, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9b50c3d1, "sk_reset_timer" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x29356c27, "sk_stream_wait_close" },
	{ 0xe82d3718, "inet_twsk_hashdance" },
	{ 0xc924678a, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4ec9f84, "ip6_mtu" },
	{ 0x705f5e7, "sk_free" },
	{ 0xcedbb1e, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0x514c44ce, "tcp_stream_memory_free" },
	{ 0xe42d9a57, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0xd8715d02, "sk_wait_data" },
	{ 0x91f61014, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x11af2959, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ee83c1c, "inet_csk_listen_start" },
	{ 0x2b1e1a1, "sk_free_unlock_clone" },
	{ 0x9403cae2, "sock_rfree" },
	{ 0xcbec605b, "ipv4_mtu" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x3a5152bf, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x85f9a14, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0xed285598, "sk_stream_wait_connect" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0x2df847ba, "inet_csk_destroy_sock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0xa6b3c102, "sk_stop_timer" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0xfd43a4d0, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4d4b034, "inet_csk_listen_stop" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xb8ea33d3, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xecb89ab2, "inet_csk_complete_hashdance" },
	{ 0xd0d05280, "release_sock" },
	{ 0xee63429c, "inet_csk_reqsk_queue_drop" },
	{ 0x3a3308f7, "__inet_twsk_schedule" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "667C973E08655E0DAEAF495");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
