#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x25537290, "");
SYMBOL_CRC(wpan_phy_for_each, 0x2f24359d, "");
SYMBOL_CRC(wpan_phy_new, 0x1103e8a6, "");
SYMBOL_CRC(wpan_phy_register, 0x251b41d4, "");
SYMBOL_CRC(wpan_phy_unregister, 0x3e477bbf, "");
SYMBOL_CRC(wpan_phy_free, 0x891e2375, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x3aface53, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x7f2afdff, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x5d8f7f3f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xdb5589b0, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x9f2e0898, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xd097126c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xe9d7379f, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x0fb3145f, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xec3a636e, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xda0aa2ec, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x7d35c779, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0x3c635844, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0xf4eb46e6, "trace_output_call" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x52075985, "device_initialize" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaee2b965, "device_rename" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x311091cb, "netlink_broadcast" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0x36444bbe, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2fd128ea, "device_add" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xd3254432, "dev_get_by_index" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x47497b18, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x61a4149e, "device_del" },
	{ 0x7cae7934, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0x467cc511, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62d384f3, "get_net_ns_by_pid" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7fad943a, "device_match_name" },
	{ 0x830b6b94, "dev_get_by_name" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xf006c173, "__dev_change_net_namespace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0xadca8512, "get_net_ns_by_fd" },
	{ 0x927909f3, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x8b01173b, "class_find_device" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A44A46586DB888F501F54F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
