#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0x729b7f80, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x935fcdbc, "_gpl");
SYMBOL_CRC(esp_input_done2, 0xb53fe705, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8fbda10e, "xfrm_register_type" },
	{ 0xab596744, "xfrm4_protocol_register" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x93dcb399, "xfrm_unregister_type" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0x602594f1, "xfrm4_protocol_deregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb361a344, "crypto_alloc_aead" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb0c36d19, "crypto_aead_setauthsize" },
	{ 0xe389a3db, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ab41acc, "xfrm_state_lookup" },
	{ 0xca0b030d, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x11ffa4a, "ipv4_update_pmtu" },
	{ 0x2e2f1dc2, "__xfrm_state_destroy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x790280c9, "__folio_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x705f5e7, "sk_free" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x3d0fdb2d, "km_new_mapping" },
	{ 0xbbe9ef30, "skb_pull_rcsum" },
	{ 0xe42d9a57, "skb_checksum" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xffa87ee6, "xfrm_input_resume" },
	{ 0xfc474266, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x69c9dde8, "skb_to_sgvec" },
	{ 0x52004313, "crypto_aead_decrypt" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4777814f, "crypto_aead_encrypt" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc5d650d0, "skb_page_frag_refill" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x7e987e60, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe66e3c3a, "xfrm_dev_resume" },
	{ 0xd9ae34dd, "xfrm_output_resume" },
	{ 0x88a098f9, "__skb_ext_del" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbfc32d19, "__inet_lookup_established" },
	{ 0x26bbeb9, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x83e65dee, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21f62a8b, "espintcp_queue_out" },
	{ 0xd0d3a0ab, "pskb_put" },
	{ 0xd69f62f0, "page_address" },
	{ 0x6a71f837, "xfrm_state_mtu" },
	{ 0x6b1290ef, "xfrm4_rcv" },
	{ 0xfb916c99, "xfrm_input" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "7C2D710678F9DCE81936D91");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
