#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x2290f45e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x00cd384c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x5ff0da3a, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x3a4eb67a, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x75f07b9d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x9e878d9a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xae379a67, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x4a9d952b, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xbc058c8d, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xc7fb2d2a, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xb35699a8, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xfcc5d3d3, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x32b8229d, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x6ce1cb81, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xf8df060e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x0a649ebe, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xae90bfce, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xb53154b9, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x2b096cc2, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x9942272e, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x98be9d02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0xe182a2e0, "udp_sock_create6" },
	{ 0xd04b06c6, "kernel_sock_shutdown" },
	{ 0x30e21c68, "sock_release" },
	{ 0xe8e59fc6, "kernel_connect" },
	{ 0x6a828b86, "udp_sock_create4" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x705f5e7, "sk_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2bf51948, "udp_set_csum" },
	{ 0xba86b8dd, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0xc19c62e0, "udp6_set_csum" },
	{ 0x848d84d9, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa58bc662, "dst_release" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x51ee841b, "sockfd_lookup" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xd0d05280, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x71dfc7e5, "fput" },
	{ 0xdd04f3c4, "setup_udp_tunnel_sock" },
	{ 0x5152e605, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "7512B1DCD48B8760E388269");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
