#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x9e6b1067, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x7bcc2834, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x30787b96, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xe729004c, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x6ff2152e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a996331, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd365669, "sock_i_uid" },
	{ 0xd3d4e633, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa88db11e, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x60a4d5ff, "skb_copy_bits" },
	{ 0x423cd424, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea9b5967, "sock_wfree" },
	{ 0x3c635844, "skb_put" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x6ff4ff7a, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeedfad0a, "ip6_dst_hoplimit" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0xda3d6c12, "inet6_add_offload" },
	{ 0x2b713346, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x74982b1a, "inet6_bind" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x761ba5fa, "l3mdev_fib_table_by_index" },
	{ 0x6a828b86, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x93dfe9de, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x59ac0526, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a9a2f9f, "skb_segment" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0xd2c7d5f5, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x58f70d10, "udp_tunnel6_xmit_skb" },
	{ 0x780b2a53, "sock_common_getsockopt" },
	{ 0x10fd7c53, "inet_bind" },
	{ 0x2d0aba06, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xbdcf5c6f, "fd_install" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x414975dd, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6562dcd4, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xe7a50364, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x1131cce2, "sock_common_setsockopt" },
	{ 0xb62a4b1f, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x97f57272, "kmem_cache_create" },
	{ 0x71da866, "__sk_mem_schedule" },
	{ 0xbb6795fb, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd296ef0e, "sock_alloc_file" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x26f626c9, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0xeedc9dc7, "put_cmsg" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xfeb272dc, "inet_sock_destruct" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xc8699827, "sock_kmalloc" },
	{ 0x1d5653ae, "inet_sk_get_local_port_range" },
	{ 0x4936fb60, "inet6_del_protocol" },
	{ 0xd38ee2c7, "__get_hash_from_flowi6" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4ca292e1, "inet_getname" },
	{ 0x2680723, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x961b455b, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd875584a, "__genradix_ptr" },
	{ 0x41b4abd3, "inet_release" },
	{ 0x40612c89, "kmem_cache_alloc" },
	{ 0x9500fb01, "proto_register" },
	{ 0x3ff637d5, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x542c3bb4, "inet_ctl_sock_create" },
	{ 0xff94ad30, "inet_ioctl" },
	{ 0xa9bb8daf, "reuseport_add_sock" },
	{ 0xb3017333, "reuseport_select_sock" },
	{ 0xc924678a, "__kmalloc_node_track_caller" },
	{ 0x5d095b35, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9e67fcdd, "sk_filter_trim_cap" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x71dfc7e5, "fput" },
	{ 0x1c8dde47, "inet_accept" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1dd7a991, "crypto_shash_setkey" },
	{ 0xe0899327, "skb_pull" },
	{ 0xe0ff0d65, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4ec9f84, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x34af75cf, "inet_add_protocol" },
	{ 0x2c27f43, "inet_shutdown" },
	{ 0x705f5e7, "sk_free" },
	{ 0xcedbb1e, "sock_wake_async" },
	{ 0x84cfb8d7, "dev_get_by_index_rcu" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1a97de4a, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6e0a599a, "skb_push" },
	{ 0xca85ad74, "__ip_queue_xmit" },
	{ 0xc31dabdb, "kmem_cache_free" },
	{ 0xdf7ff180, "__sk_mem_reclaim" },
	{ 0x4904c8a9, "fl6_update_dst" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5cc8a4e7, "ns_capable" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xea697a11, "inet6_ioctl" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x31e2c72e, "ip6_dst_lookup_flow" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x60bc3a00, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0xdd04f3c4, "setup_udp_tunnel_sock" },
	{ 0xe182a2e0, "udp_sock_create6" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35971154, "sk_common_release" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xae53747f, "inet6_getname" },
	{ 0x7543b595, "sock_i_ino" },
	{ 0x2413358b, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x24013163, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x50c5426a, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcbec605b, "ipv4_mtu" },
	{ 0x582ae3ab, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xd4d2eeb9, "__skb_checksum" },
	{ 0x4c76b656, "reuseport_alloc" },
	{ 0xac5274c6, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xa08fca35, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xe9b96cbf, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x14402163, "ipv6_dup_options" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1916f770, "rhltable_init" },
	{ 0xcfac382a, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0xa9d5ee31, "proc_create_net_single" },
	{ 0xb9175681, "skb_copy" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x85f9a14, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x30e21c68, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xfc097601, "seq_puts" },
	{ 0x1561951b, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xa6b771c, "_proc_mkdir" },
	{ 0xc2b28809, "sk_setup_caps" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x797fe566, "send_sig" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x12f3e26a, "inet6_add_protocol" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xf859a15f, "ip_setsockopt" },
	{ 0xc2788d42, "ipv6_flowlabel_exclusive" },
	{ 0x74ac6ae1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb8fbcd97, "ipv6_getsockopt" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf04b7b1f, "reuseport_detach_sock" },
	{ 0x7f4acd37, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x63d4b5b3, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x1c4c8bf9, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x1b73c3c6, "kmem_cache_destroy" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x54661d23, "skb_queue_head" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "34B0E6152D75B4DF1221BC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
