#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smc_hash_sk, "_gpl", "");
KSYMTAB_FUNC(smc_unhash_sk, "_gpl", "");
KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_hash_sk, 0xd622d001, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0x70efe383, "_gpl");
SYMBOL_CRC(smc_proto, 0xdce2db1b, "_gpl");
SYMBOL_CRC(smc_proto6, 0x7f4d51a5, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xd24addfc, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x9c3d1673, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfb8cae0f, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xf47b4ee2, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xe979278c, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xb3f2d173, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x76da5303, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x8e60fb32, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3153cc92, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xa053541c, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x13968672, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe7dacb8d, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3228352, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x34bf9972, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xfd0f8cdb, "ib_unregister_client" },
	{ 0x9406a022, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9fc43743, "proc_dointvec_jiffies" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x24079b40, "vmalloc_to_page" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x44003b74, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6f9cedc6, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb76e6ee7, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6ddc1bd4, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xc5a57a38, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x35c2d2dc, "ib_dereg_mr_user" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x43f2331, "kernel_accept" },
	{ 0xaf14d019, "rdma_dev_access_netns" },
	{ 0xfbfec22f, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0x59540ffd, "get_device" },
	{ 0xfd7ada45, "sk_stream_error" },
	{ 0xd7963774, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa783ea2c, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37d76d13, "sk_error_report" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0x9b8cb16e, "dev_driver_string" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xfd60ba32, "tcp_abort" },
	{ 0xaf29c73a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xc9d660d8, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x58f9ecfc, "splice_to_pipe" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2680723, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b996f53, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xd4584483, "ib_register_event_handler" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x10878adf, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x45bf08cd, "ib_unregister_event_handler" },
	{ 0x9500fb01, "proto_register" },
	{ 0xd169fa27, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x60b22489, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7540ec6f, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdd054adb, "generic_pipe_buf_get" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x7043bea1, "ib_set_client_data" },
	{ 0x5af8e078, "down_write" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0x5957d71f, "rdma_put_gid_attr" },
	{ 0xf8dd1d16, "kernel_getsockname" },
	{ 0x705f5e7, "sk_free" },
	{ 0xcedbb1e, "sock_wake_async" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd04b06c6, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x20180bbf, "ib_query_port" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1c74dc6e, "proc_douintvec_minmax" },
	{ 0xf3276c7f, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8a0423ec, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x17c23a70, "ib_destroy_qp_user" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xd8f7faa7, "dma_sync_single_for_cpu" },
	{ 0xe8e59fc6, "kernel_connect" },
	{ 0xe3e7453f, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd8715d02, "sk_wait_data" },
	{ 0x5e03547, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9959f0fd, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x3924cd13, "ib_destroy_cq_user" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0x6b17bff4, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf47ab537, "tcp_register_ulp" },
	{ 0x35971154, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95e1e1a0, "kernel_listen" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x9709dbc5, "current_work" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x4659eca1, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x790280c9, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x830b6b94, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa58bc662, "dst_release" },
	{ 0xed285598, "sk_stream_wait_connect" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x30e21c68, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x568a7d96, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa2371fbe, "netdev_walk_all_lower_dev" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x28d44c48, "vlan_dev_vlan_id" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0x1770db62, "ib_dealloc_pd_user" },
	{ 0x446f9fcb, "rdma_get_gid_attr" },
	{ 0x93f0c3bb, "dma_unmap_sg_attrs" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd69f62f0, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaee2c993, "kernel_sendmsg" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xd0d05280, "release_sock" },
	{ 0xf86e2310, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "7927698FF25C13BA525EB5F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
