#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x35934ae0, "");
SYMBOL_CRC(tipc_dump_start, 0x55fcc30b, "");
SYMBOL_CRC(tipc_dump_done, 0x2eef1ab3, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xc5d64217, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x766da052, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0xd365669, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66731d34, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x55901c61, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3c635844, "skb_put" },
	{ 0x40ad0f96, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeedfad0a, "ip6_dst_hoplimit" },
	{ 0xf4eb46e6, "trace_output_call" },
	{ 0xb1d8b038, "consume_skb" },
	{ 0x9ddea225, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x6a828b86, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xd2c7d5f5, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb004b12a, "dst_cache_set_ip4" },
	{ 0x58f70d10, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x43846b71, "genlmsg_put" },
	{ 0x6edefc6a, "___pskb_trim" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xb361a344, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x572833d, "netdev_warn" },
	{ 0xb0c36d19, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x52004313, "crypto_aead_decrypt" },
	{ 0x43f2331, "kernel_accept" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xfbfec22f, "__module_get" },
	{ 0x7cf2442b, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x87761ba3, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7d4b4f3, "pskb_expand_head" },
	{ 0x5d473c39, "register_pernet_subsys" },
	{ 0xeedc9dc7, "put_cmsg" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0x290f0c1, "crypto_destroy_tfm" },
	{ 0xddb388d7, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x2680723, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5b996f53, "sock_register" },
	{ 0x92af5124, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0xc251001a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9b50c3d1, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xd33ab4a, "skb_try_coalesce" },
	{ 0x9500fb01, "proto_register" },
	{ 0x3ff637d5, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x6fa40be0, "skb_queue_tail" },
	{ 0x3d14dab9, "module_put" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe389a3db, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x89a1b36d, "__dev_get_by_index" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xe3b1fc99, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb942aeaa, "ipv6_stub" },
	{ 0xe0899327, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4777814f, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1f623f7a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba18028e, "dev_remove_pack" },
	{ 0x705f5e7, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2d8715d6, "kfree_skb_reason" },
	{ 0xd04b06c6, "kernel_sock_shutdown" },
	{ 0x19460fe6, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x6e0a599a, "skb_push" },
	{ 0x179a1ba6, "dst_cache_get" },
	{ 0xa8254fd3, "sock_no_listen" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x24391fcc, "iov_iter_kvec" },
	{ 0x62b2842b, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbac1264c, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xe5d52ba3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x44993266, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0xd7e7aacf, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x49d5e36f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0x17fd1eeb, "kfree_skb_partial" },
	{ 0xccec3127, "skb_queue_purge" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x60bc3a00, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdab83ca, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x396a47db, "__pskb_pull_tail" },
	{ 0x555e69d3, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xdd04f3c4, "setup_udp_tunnel_sock" },
	{ 0xe182a2e0, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1e39c4, "skb_trim" },
	{ 0xfc474266, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9403cae2, "sock_rfree" },
	{ 0xeea0399, "strscpy" },
	{ 0x7543b595, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x95e1e1a0, "kernel_listen" },
	{ 0xcae40616, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0x9778145c, "dev_nit_active" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xf6e0b2f6, "sock_create_kern" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6343888, "dst_cache_set_ip6" },
	{ 0xd0d3a0ab, "pskb_put" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcfac382a, "udp_tunnel_xmit_skb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdbfe6d1e, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9175681, "skb_copy" },
	{ 0x272ed5cc, "skb_clone" },
	{ 0x830b6b94, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9333b7c4, "_copy_from_iter" },
	{ 0x30e21c68, "sock_release" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x7023721e, "crypto_default_rng" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa6b3c102, "sk_stop_timer" },
	{ 0xb5512916, "unregister_net_sysctl_table" },
	{ 0xbf0b8efd, "genl_unregister_family" },
	{ 0xc9c5b08c, "from_kuid_munged" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa4e07c90, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x41522e1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaee2c993, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x69c9dde8, "skb_to_sgvec" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xae53f91a, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcbaf239c, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xd0d05280, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FEB1255E0CE595D5B8954F5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
