#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24af6c8d, "cmp_connection_reserve" },
	{ 0x2c9930c9, "fw_run_transaction" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x463c4378, "amdtp_am824_set_parameters" },
	{ 0x367fabfc, "snd_fw_transaction" },
	{ 0x12f02cc2, "snd_ctl_add" },
	{ 0x8235805b, "memmove" },
	{ 0xf2233bdd, "cmp_connection_check_used" },
	{ 0x2026ed3b, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x87d97115, "amdtp_am824_midi_trigger" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb21c103, "cmp_connection_release" },
	{ 0x194f58b4, "amdtp_am824_init" },
	{ 0x6b7f086d, "snd_card_register" },
	{ 0x6f44dfad, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51741d94, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0xb22df6f1, "cmp_connection_init" },
	{ 0xe2dcdd1e, "snd_pcm_hw_constraint_minmax" },
	{ 0xfe5c5a1a, "cmp_connection_break" },
	{ 0xf365f616, "fcp_bus_reset" },
	{ 0x56277903, "amdtp_domain_stream_pcm_pointer" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8afe24c3, "amdtp_domain_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x59540ffd, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8222fa, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x41494626, "amdtp_stream_pcm_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef1f9823, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x738803e6, "strnlen" },
	{ 0x4d2a02f0, "snd_pcm_hw_rule_add" },
	{ 0xeff72a3c, "amdtp_domain_stop" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x633da68c, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa537328e, "_dev_err" },
	{ 0x332f7b18, "snd_hwdep_new" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x85ce0b02, "amdtp_stream_destroy" },
	{ 0xb7204405, "snd_ctl_notify" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xbb435365, "snd_pcm_set_ops" },
	{ 0x208cc36a, "amdtp_domain_add_stream" },
	{ 0xd9529524, "avc_general_get_sig_fmt" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc960e4fe, "cmp_connection_establish" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8690aff5, "amdtp_stream_get_max_payload" },
	{ 0x51c6a7d7, "avc_general_get_plug_info" },
	{ 0xe89bb3d4, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xad4fa907, "fcp_avc_transaction" },
	{ 0x4bcdb789, "cmp_connection_destroy" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd7376470, "snd_rawmidi_new" },
	{ 0xeea0399, "strscpy" },
	{ 0xa3d34afb, "snd_rawmidi_set_ops" },
	{ 0x842eed37, "fw_schedule_bus_reset" },
	{ 0x2a6cfa10, "amdtp_am824_set_pcm_position" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0x53637b69, "amdtp_am824_set_midi_position" },
	{ 0xd136190, "fw_bus_type" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x97f42529, "snd_info_create_card_entry" },
	{ 0x9dde6cc4, "avc_general_set_sig_fmt" },
	{ 0x556601c3, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xb2330000, "amdtp_domain_stream_pcm_ack" },
	{ 0x20a4ed9f, "amdtp_domain_destroy" },
	{ 0x589acbc6, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x74fe2089, "amdtp_domain_start" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-firewire-lib,firewire-core,snd,snd-pcm,snd-hwdep,snd-rawmidi");

MODULE_ALIAS("ieee1394:ven000040ABmo00010049sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000040ABmo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010066sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010049sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00010065sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00010067sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001260mo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000022Emo00010067sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001204sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001604sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00000006sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001616sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00000610sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000003DBmo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000003DBmo0001EEEEsp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000F1Bmo00010064sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000000Amo00030000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00050000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00060000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00070000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00080000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00000000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000019E5mo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001A9Emo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001198mo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001198mo0000ADA8sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000003sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000004sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000007sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000005sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000002sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A0DEmo0010000Bsp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A0DEmo0010000Csp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000003sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000006sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010058sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010046sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010060sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010062sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo0000000Asp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010081sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo000100A1sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010070sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010071sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010091sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A07Emo000000A9sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00002327mo00020002sp0000A02Dver*");

MODULE_INFO(srcversion, "BF424DC9F003B0953413C6C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
