#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x50619d75, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x4f3bf253, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xc355ec5d, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x4f96f6eb, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x0c4598da, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x94deebc0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x5df9684b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x44264403, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xb5389e12, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x4d67bf4d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x01939fae, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xdaf69736, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x60843e13, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x91e58eea, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x7834e779, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xc9b5d87c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x50e34f20, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x0aa3995a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x3aa6d223, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x3c032928, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x010363c9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x9b503dbc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x9b022793, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xb1467927, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x95ae225f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x27e0c552, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xbdf3afae, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xa3a407e4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x81ca5bb5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x617db551, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x1b82faff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ff2acd6, "snd_hdac_stream_release" },
	{ 0x6c128b21, "snd_hdac_stream_release_locked" },
	{ 0x6e10b304, "snd_hdac_bus_link_power" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd60eb9a4, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0xd6339d34, "snd_hdac_bus_init" },
	{ 0x1fb79b04, "snd_hdac_stream_init" },
	{ 0xa537328e, "_dev_err" },
	{ 0x37f45ffa, "snd_hdac_device_unregister" },
	{ 0x94b45fad, "snd_hdac_stream_assign" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x14c3a1fc, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa6290c1b, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa23069e7, "snd_hdac_bus_init_cmd_io" },
	{ 0x45097e67, "snd_hda_bus_type" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0x589acbc6, "driver_register" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
