#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x1debc165, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x45097e67, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xd6339d34, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xd60eb9a4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xbc3ff1e8, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x10f2af62, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xb9254680, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xa7cc8bac, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x1ee0809c, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x19ef0eea, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x37f45ffa, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x5a239f28, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x94bb7105, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x34043f50, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x4162bf7d, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x62ab4178, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xe0e97da5, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xbe68210c, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x18092fce, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x6faa5815, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x7054f8f3, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x3805dd84, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x0ab806ec, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xaf99c9f4, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xeb4e13fa, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xf5f1afc9, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xd184a456, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x794d11b2, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x824ab483, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x80540e7c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x6f2d605f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xc9c9c31a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x48a90256, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xbe2bbf03, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x3cc2ed99, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xd232e6c3, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xebf10bce, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x0942e60e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xa23069e7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xa6290c1b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xab3341ab, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x4835d20e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xca52dfa1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xef023db8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x80ec7df2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xac5dbf3a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x502731f3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xa0734898, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xdf34fa3e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xe09ada43, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xcdf7cfe8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xa86dfccf, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x6e10b304, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x1207a1ff, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x1fb79b04, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x8cf0af97, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xced9edb4, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x471179f5, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x8f844bf0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xefb06d68, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x78edb3bf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x25a0d3fb, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x94b45fad, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x6c128b21, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x9ff2acd6, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xeb41213c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x55ee449d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x0ea232a0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x629e134e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x07bb22b3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x49a87887, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x0b842368, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x5cb5ffde, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xd78e23f1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x90b9bc08, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xe866d09a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xcb43a7a0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x4fb74147, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x95a906bf, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x6350c0c3, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x326044b0, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xab5209cf, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xee9d4cf7, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x25549ba4, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x94e015b6, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xf1d6cd27, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xba39b855, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xf9cf4393, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x0d5f66bf, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x4a74d769, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xa3d6e203, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x61afe890, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x0081c68c, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xbfe099b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x7355f004, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x722da9ec, "regcache_cache_only" },
	{ 0xacfd5a81, "regcache_sync" },
	{ 0x29441066, "regmap_write" },
	{ 0x249bf09d, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x7083fd28, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd7ad6ce8, "component_master_add_with_match" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x56aff9c2, "snd_pcm_add_chmap_ctls" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x56261e08, "pci_get_device" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0xcbbd2e87, "devres_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd39c752a, "pm_runtime_get_if_active" },
	{ 0x8b0fa0c9, "kobject_init" },
	{ 0x52075985, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x907e1093, "snd_sgbuf_get_addr" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x9bcbff08, "snd_sgbuf_get_chunk_size" },
	{ 0x1256d3b8, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xd8bf632b, "snd_dma_free_pages" },
	{ 0xb8f3b2b0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0x3d14dab9, "module_put" },
	{ 0x5ea544c7, "component_match_add_typed" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0xca51ea01, "bus_unregister" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfbadb000, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2fd128ea, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0537de, "__devres_alloc_node" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x86349923, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf50e9bd4, "__regmap_init" },
	{ 0x61a4149e, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd4d221a6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd535ecf, "sysfs_remove_group" },
	{ 0x9d0a9050, "bpf_trace_run3" },
	{ 0xb6c5a3b5, "component_master_del" },
	{ 0x17e08eb2, "regmap_read" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xf68f966c, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bbf9bdc, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa24b9acf, "devres_find" },
	{ 0xf5f6ef93, "regmap_update_bits_base" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xc254857a, "__pm_runtime_suspend" },
	{ 0xcfc34c22, "regmap_exit" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xecb0d924, "component_unbind_all" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa6260978, "pci_bus_type" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa887fb0b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xfbd7cb73, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "BA7FD67DED277E5DD41D6B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
