#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_bzero, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x03fe2ee2, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xe4b62579, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x5aba134f, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0x76ea7e71, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xe645bdf0, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x13d4419b, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xf5c38002, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x40cca8eb, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x3bd0ab60, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0xa4b4701a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf4a81dc5, "snd_rawmidi_receive" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x249bf09d, "snd_dma_alloc_dir_pages" },
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x264bf51f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4ad08d5c, "snd_rawmidi_transmit" },
	{ 0x68f2753, "snd_ac97_write_cache" },
	{ 0x12f02cc2, "snd_ctl_add" },
	{ 0x7443d424, "snd_ac97_resume" },
	{ 0x2026ed3b, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc1acb03b, "snd_seq_device_new" },
	{ 0x6b7f086d, "snd_card_register" },
	{ 0xb6706d26, "request_firmware" },
	{ 0x685e990c, "snd_devm_alloc_dir_pages" },
	{ 0xb4518d15, "__pci_register_driver" },
	{ 0xe2dcdd1e, "snd_pcm_hw_constraint_minmax" },
	{ 0x64beb9ea, "snd_timer_interrupt" },
	{ 0x170b0392, "param_array_ops" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdaf62598, "snd_card_rw_proc_new" },
	{ 0xa28bd481, "snd_ac97_update_bits" },
	{ 0x62cc869c, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x907e1093, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0x54edfe03, "snd_ctl_remove" },
	{ 0xdfd8c4e, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x388a964, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2af7830f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xd8bf632b, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef1f9823, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x4a375e76, "snd_ctl_remove_id" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7ee18702, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x886a244f, "snd_ac97_suspend" },
	{ 0xe1a632a5, "snd_pcm_lib_malloc_pages" },
	{ 0x4a123d4c, "__snd_util_mem_alloc" },
	{ 0xc4ddd41b, "snd_ctl_boolean_mono_info" },
	{ 0x5af8e078, "down_write" },
	{ 0xa537328e, "_dev_err" },
	{ 0xadd4d890, "snd_util_memhdr_new" },
	{ 0xaa173b39, "up_write" },
	{ 0x9a9de66c, "snd_pcm_lib_free_pages" },
	{ 0x332f7b18, "snd_hwdep_new" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb6343af2, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb7204405, "snd_ctl_notify" },
	{ 0xbb435365, "snd_pcm_set_ops" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcce7cc5c, "snd_pcm_set_managed_buffer" },
	{ 0x5a48e513, "snd_timer_new" },
	{ 0xd25868e7, "snd_ctl_rename" },
	{ 0x5b1469fe, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7e302ca4, "snd_ac97_update" },
	{ 0xe89bb3d4, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x6af870c3, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd7376470, "snd_rawmidi_new" },
	{ 0x2b9b73ab, "dma_set_coherent_mask" },
	{ 0x646f457f, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f1da836, "_dev_notice" },
	{ 0xeea0399, "strscpy" },
	{ 0x6a224c83, "__snd_util_mem_free" },
	{ 0xa3d34afb, "snd_rawmidi_set_ops" },
	{ 0x771e5fbc, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5239133f, "param_ops_bool" },
	{ 0xe671c358, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x9e06c0b1, "snd_util_memhdr_free" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97f42529, "snd_info_create_card_entry" },
	{ 0x531f14c0, "dma_set_mask" },
	{ 0xa3ef2093, "snd_device_free" },
	{ 0x55b9ce85, "snd_pcm_period_elapsed" },
	{ 0x3936370b, "__snd_util_memblk_new" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xbf8f1b09, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0xa5518ead, "snd_pcm_hw_rule_noresample" },
	{ 0xd967a77, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "184E635301AFD8D0AE84AAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
