#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34463532, "snd_hda_shutup_pins" },
	{ 0x3d9613bb, "snd_hda_get_connections" },
	{ 0xb228b111, "snd_hda_gen_build_controls" },
	{ 0x2631410b, "snd_hda_mixer_amp_volume_info" },
	{ 0x3cc2ed99, "snd_hdac_regmap_read_raw" },
	{ 0xeb791cea, "snd_hda_gen_spec_init" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2c239c42, "snd_hda_mixer_amp_switch_info" },
	{ 0xeefebdaa, "hda_codec_driver_unregister" },
	{ 0x99ad0aeb, "snd_hda_codec_get_pincfg" },
	{ 0x794d11b2, "snd_hdac_codec_write" },
	{ 0xa0749628, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xf046321d, "snd_hda_gen_add_kctl" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b38695c, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x4162bf7d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xdd3b572, "snd_hda_get_bool_hint" },
	{ 0xc4ddd41b, "snd_ctl_boolean_mono_info" },
	{ 0x9d270716, "snd_hda_override_amp_caps" },
	{ 0x2bdd350f, "__hda_codec_driver_register" },
	{ 0x35bd81b0, "snd_hda_parse_pin_defcfg" },
	{ 0x7e15cd20, "snd_hda_gen_init" },
	{ 0xdc06934d, "snd_hda_mixer_amp_switch_get" },
	{ 0x13cfeca9, "snd_hda_codec_set_name" },
	{ 0xd6144e04, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66dd78a4, "snd_hda_mixer_amp_switch_put" },
	{ 0xbbec722a, "snd_hda_codec_set_pincfg" },
	{ 0x3312cf72, "snd_hda_jack_unsol_event" },
	{ 0xe64c5321, "snd_hda_override_conn_list" },
	{ 0xe37ca2a4, "snd_hda_check_amp_list_power" },
	{ 0x77ea3d2c, "snd_hda_gen_build_pcms" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x59d04cbd, "snd_hda_mixer_amp_tlv" },
	{ 0x7b486d98, "snd_hda_pick_fixup" },
	{ 0xd34b2ca2, "snd_hda_apply_fixup" },
	{ 0xa883ee2d, "snd_hda_add_verbs" },
	{ 0xc588d51, "snd_hda_gen_parse_auto_config" },
	{ 0x794d52b8, "snd_hda_enum_helper_info" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd184a456, "snd_hdac_codec_read" },
	{ 0x6ccfa5ed, "snd_hda_mixer_amp_volume_put" },
	{ 0x867afa13, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x942e60e, "snd_hdac_regmap_sync" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "2DF55CC55A470D27C3C56B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
