#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xf18bb1f9, "");
SYMBOL_CRC(oxygen_read16, 0x6969ce6c, "");
SYMBOL_CRC(oxygen_read32, 0x6a78fa69, "");
SYMBOL_CRC(oxygen_write8, 0x0e495787, "");
SYMBOL_CRC(oxygen_write16, 0xe3d2ba01, "");
SYMBOL_CRC(oxygen_write32, 0x9b0a2b14, "");
SYMBOL_CRC(oxygen_write8_masked, 0x30baae5f, "");
SYMBOL_CRC(oxygen_write16_masked, 0x109d68ea, "");
SYMBOL_CRC(oxygen_write32_masked, 0xcc34ee02, "");
SYMBOL_CRC(oxygen_write_ac97, 0x818e382e, "");
SYMBOL_CRC(oxygen_read_ac97, 0x5affc1b3, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x785546e4, "");
SYMBOL_CRC(oxygen_write_spi, 0xf00d1767, "");
SYMBOL_CRC(oxygen_write_i2c, 0x233518d4, "");
SYMBOL_CRC(oxygen_reset_uart, 0x0bc2f74c, "");
SYMBOL_CRC(oxygen_write_uart, 0x0995d8cd, "");
SYMBOL_CRC(oxygen_pci_probe, 0xa5a7ca66, "");
SYMBOL_CRC(oxygen_pci_pm, 0xb8c9abe6, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xc927da99, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xcf0ca6cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90f149c0, "devm_request_threaded_irq" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x12f02cc2, "snd_ctl_add" },
	{ 0x2026ed3b, "snd_pcm_new" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b7f086d, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfac37e65, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5c6172e8, "snd_card_free_on_error" },
	{ 0xdaf62598, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8222fa, "snd_pcm_set_sync" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef1f9823, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1156dff, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xa5ac1b69, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc4ddd41b, "snd_ctl_boolean_mono_info" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb7204405, "snd_ctl_notify" },
	{ 0xbb435365, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcce7cc5c, "snd_pcm_set_managed_buffer" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xe89bb3d4, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe671c358, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x10a64abf, "snd_mpu401_uart_new" },
	{ 0xecb36159, "pci_match_id" },
	{ 0xe401e861, "snd_pcm_hw_constraint_msbits" },
	{ 0x55b9ce85, "snd_pcm_period_elapsed" },
	{ 0xd35f75a1, "match_string" },
	{ 0xf3a5eff1, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0xbf8f1b09, "pcim_enable_device" },
	{ 0xfde6fe6a, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "650D1041C2FC3D09DC17E15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
