#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_shim32_write, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_read, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_write64, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_read64, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_read, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_write_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_read_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_forced_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_forced, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_register_poll, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_mailbox_init, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_outbox_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_outbox_read, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_inbox_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_inbox_read, "_gpl", "");

SYMBOL_CRC(sst_shim32_write, 0xe9c6de99, "_gpl");
SYMBOL_CRC(sst_shim32_read, 0x16e86983, "_gpl");
SYMBOL_CRC(sst_shim32_write64, 0x87cdf7d2, "_gpl");
SYMBOL_CRC(sst_shim32_read64, 0xd72a34c2, "_gpl");
SYMBOL_CRC(sst_dsp_shim_write, 0xa350355c, "_gpl");
SYMBOL_CRC(sst_dsp_shim_read, 0xbd5a4637, "_gpl");
SYMBOL_CRC(sst_dsp_shim_write_unlocked, 0xa9979f42, "_gpl");
SYMBOL_CRC(sst_dsp_shim_read_unlocked, 0x7fe1efba, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_unlocked, 0xc9156f32, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_forced_unlocked, 0x988e0b6d, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits, 0x69ac6b04, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_forced, 0xdd97a5b0, "_gpl");
SYMBOL_CRC(sst_dsp_register_poll, 0x2d004123, "_gpl");
SYMBOL_CRC(sst_dsp_mailbox_init, 0x7df01be8, "_gpl");
SYMBOL_CRC(sst_dsp_outbox_write, 0x12231309, "_gpl");
SYMBOL_CRC(sst_dsp_outbox_read, 0x0f0b412b, "_gpl");
SYMBOL_CRC(sst_dsp_inbox_write, 0x568c3858, "_gpl");
SYMBOL_CRC(sst_dsp_inbox_read, 0xa40d6347, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf4243f4d, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5448b482, "__trace_trigger_soft_disabled" },
	{ 0x172ff28a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xe108da51, "trace_event_raw_init" },
	{ 0xd437323d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdec9f77, "bpf_trace_run2" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x18737f5, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7815991, "perf_trace_run_bpf_submit" },
	{ 0x21bf5394, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdb1be31, "bpf_trace_run1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ed2d31c, "trace_event_buffer_reserve" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1C69C7BE251758B51D55C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
