#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(amd_sof_acp_suspend, 0xfaadc751, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x8dd63451, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x18d05042, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x65014901, "");
SYMBOL_CRC(acp_dsp_block_read, 0x3cb728a3, "");
SYMBOL_CRC(acp_dsp_block_write, 0xa0d95b78, "");
SYMBOL_CRC(acp_get_bar_index, 0x3338a94e, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x2d7a8843, "");
SYMBOL_CRC(acp_sof_dsp_run, 0xa9a20a5b, "");
SYMBOL_CRC(acp_mailbox_write, 0x09448406, "");
SYMBOL_CRC(acp_mailbox_read, 0xa354986c, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x12e2b7e9, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xff7f05e7, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0xea514bb7, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x908bd8e1, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x1c3cc41b, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x8ea15186, "");
SYMBOL_CRC(acp_pcm_open, 0xdbfabd34, "");
SYMBOL_CRC(acp_pcm_close, 0x70dc0b38, "");
SYMBOL_CRC(acp_pcm_pointer, 0x9bd6e18e, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x234993b7, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x9bfcb683, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x0a3cbb6b, "");
SYMBOL_CRC(acp_sof_trace_release, 0x41870e63, "");
SYMBOL_CRC(acp_sof_trace_init, 0x4b98ef74, "");
SYMBOL_CRC(sof_acp_common_ops, 0xaee4ed0e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x7dd2ba35, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1b89448c, "pci_dev_put" },
	{ 0x56261e08, "pci_get_device" },
	{ 0xc5a084ec, "devm_ioremap" },
	{ 0x872f2e3c, "sof_xtensa_arch_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x907e1093, "snd_sgbuf_get_addr" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0448616, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa537328e, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xba0a0eb5, "platform_device_unregister" },
	{ 0x3bfd064, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2ad85b63, "snd_soc_acpi_find_machine" },
	{ 0x115c3c60, "sof_print_oops_and_stack" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1b22295, "snd_sof_dsp_update_bits" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xc00cb712, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdde35710, "sof_io_read" },
	{ 0x410d41bc, "snd_sof_ipc_reply" },
	{ 0xc04932da, "platform_device_register_full" },
	{ 0x1c57e8b0, "dma_free_attrs" },
	{ 0xf036392b, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe1de2088, "snd_sof_dsp_panic" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcc01c10e, "snd_sof_load_firmware_memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c32bd5e, "pci_write_config_dword" },
	{ 0x325e68fd, "sof_io_write" },
	{ 0xee2325d9, "sof_machine_register" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-sof,snd-sof-xtensa-dsp,snd-pcm,snd-soc-acpi");


MODULE_INFO(srcversion, "8CE4FBA46FBA3EAE451210D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
