#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x2097bed7, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0xc7c7f685, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xacf43a26, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xf853c933, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x4af86c2b, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xeaa89e0e, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xef31a87a, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x7f840621, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xe124ce7a, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x3f7a2957, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xf6975459, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xf904d2bc, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x51386328, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xc9224daa, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x278c9173, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x3918f765, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96307ac2, "devm_kmalloc" },
	{ 0xab3341ab, "snd_hdac_bus_send_cmd" },
	{ 0xca52dfa1, "snd_hdac_bus_get_response" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4835d20e, "snd_hdac_bus_update_rirb" },
	{ 0x94bb7105, "snd_hdac_codec_modalias" },
	{ 0x2f58e1f1, "__dynamic_dev_dbg" },
	{ 0xc355ec5d, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b9ebce4, "put_device" },
	{ 0x19ef0eea, "snd_hdac_device_register" },
	{ 0xbfe099b8, "snd_hdac_i915_init" },
	{ 0xa537328e, "_dev_err" },
	{ 0x37f45ffa, "snd_hdac_device_unregister" },
	{ 0x566e7e0, "device_attach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa6290c1b, "snd_hdac_bus_stop_cmd_io" },
	{ 0x2774856d, "_dev_warn" },
	{ 0xba39b855, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa23069e7, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x61afe890, "snd_hdac_acomp_exit" },
	{ 0xef645ec, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4cfa3d4a, "snd_hda_codec_device_init" },
	{ 0xf1d6cd27, "snd_hdac_set_codec_wakeup" },
	{ 0x5e0452a2, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "234B47FB3F87495B2666428");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
