#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emux_new, "", "");
KSYMTAB_FUNC(snd_emux_register, "", "");
KSYMTAB_FUNC(snd_emux_free, "", "");
KSYMTAB_FUNC(snd_emux_terminate_all, "", "");
KSYMTAB_FUNC(snd_emux_lock_voice, "", "");
KSYMTAB_FUNC(snd_emux_unlock_voice, "", "");
KSYMTAB_FUNC(snd_sf_linear_to_log, "", "");

SYMBOL_CRC(snd_emux_new, 0xfc7bee4f, "");
SYMBOL_CRC(snd_emux_register, 0x723756d2, "");
SYMBOL_CRC(snd_emux_free, 0xc9c47214, "");
SYMBOL_CRC(snd_emux_terminate_all, 0xf458a3be, "");
SYMBOL_CRC(snd_emux_lock_voice, 0xc62d72ae, "");
SYMBOL_CRC(snd_emux_unlock_voice, 0x2bd784ae, "");
SYMBOL_CRC(snd_sf_linear_to_log, 0x655cb202, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7355f004, "try_module_get" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaef97e4f, "snd_seq_event_port_attach" },
	{ 0x6bb71038, "snd_seq_delete_kernel_client" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc1acb03b, "snd_seq_device_new" },
	{ 0x6b7f086d, "snd_card_register" },
	{ 0x2c6a86f3, "snd_virmidi_new" },
	{ 0xe7d05033, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x833a3e07, "snd_midi_channel_set_clear" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3d14dab9, "module_put" },
	{ 0x614c7976, "__snd_printk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x332f7b18, "snd_hwdep_new" },
	{ 0x74769de9, "snd_midi_process_event" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x7b8699eb, "snd_seq_event_port_detach" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc8562706, "snd_seq_create_kernel_client" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d5b6391, "seq_printf" },
	{ 0x97f42529, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa3ef2093, "snd_device_free" },
	{ 0x308ceb0f, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xec6ffd2b, "snd_device_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x94cb3bd6, "kmalloc_caches" },
	{ 0xbac39ad8, "snd_util_mem_avail" },
	{ 0xb275023e, "module_layout" },
};

MODULE_INFO(depends, "snd-seq,snd-seq-device,snd,snd-seq-virmidi,snd-seq-midi-emul,snd-hwdep,snd-util-mem");


MODULE_INFO(srcversion, "BE47411A3A24A6E7F6F50E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
